
//******************  Risk Analysis Chart - 개별 차트  **********************************

function Graph(width,height,stacted)
{
this.Area1="ITA";
this.Area2="STA";
this.Area3="FTA";
this.Area4="STTA";
this.X_axis="Impact";
this.Y_axis="Likelihood";
this.circle_diameter=40;
this.gridscale=10;
this.stacted=stacted;
this.width=width||200;
this.height=height||200;
this.setxScale=_xScale;
this.setyScale=_yScale;
this.cvx=_xScaleValue;
this.cvy=_yScaleValue;
this.dcvx=_xDScaleValue;
this.dcvy=_yDScaleValue;
this.setAxisName=_setAxisName;
this.plotArray=new Array();
this.plotName=new Array();
this.Plot=_Plot;
//this.build=_buildGraph;

return this;
}

function _setAxisName(X_axis,Y_axis)
{
	this.X_axis=X_axis;
	this.Y_axis=Y_axis;
}
function _xScale(min,max,unit)
{
this.xunit=unit;
this.xmax=max;
this.xmin=min;
this.xsc=(this.width)/(this.xmax-this.xmin);
//	alert("calculate x_Scale to Ploting Data");
}
function _xScaleValue(x)
{
	return Math.floor((x-this.xmin)*this.xsc); 
	//return ((x-this.xmin)*this.xsc); 
}
function _xDScaleValue(x)
{
	var ret = Math.floor((x)/this.xsc - this.xmin +0.5);
	//var ret = ((x)/this.xsc - this.xmin);
	if(ret<0) return 0;
	else return ret;
}
function _yScale(min,max,unit)
{
this.yunit=unit;
this.ymax=max;
this.ymin=min;
this.ysc=(this.height)/(this.ymax-this.ymin);
//	alert("calculate y_Scale to Ploting Data");
}
function _yScaleValue(y)
{
	return this.height-Math.floor((y-this.ymin)*this.ysc);
	//return this.height-((y-this.ymin)*this.ysc);
}
function _yDScaleValue(y)
{
	var ret=Math.floor((this.height-y)/this.ysc + this.ymin);
	//var ret = ((this.height-y)/this.ysc + this.ymin);
	if(ret<0) return 0;
	else return ret;
}
function _Plot(x,y,option)
{
this.plotArray[this.plotArray.length] = new Array();
this.plotName[this.plotName.length] = new Array();

this.plotArray[this.plotArray.length-1]={x:x,y:y};
this.plotName[this.plotName.length-1]= option;
}
function _find_plot_n(seq,g)
{
	for(k=0;k<g.plotName.length;k++)
	{
		if(g.plotName[k].seq == seq)
		{
			return k;
		}
	}
}
function _find_plot_option(seq,g)
{
	for(k=0;k<g.plotName.length;k++)
	{
		if(g.plotName[k].seq == seq)
		{
			return g.plotName[k];
		}
	}
}

function _find_plot_data(x,y,g)
{
	var temp_name='';
	var temp_cnt=0;

	for(k=0;k<g.plotArray.length;k++)
	{
		if(g.plotArray[k].x >= Math.floor(x*g.gridscale) && g.plotArray[k].x <=Math.floor((x+1)*g.gridscale) && g.plotArray[k].y>=Math.floor(y*g.gridscale) && g.plotArray[k].y<= Math.floor((y+1)*g.gridscale))
		{
				g.info=k;
				temp_cnt++;
				temp_name+='\n'+g.plotName[k].info+' : <br> orignal('+g.plotName[k].ox+','+g.plotName[k].oy+')<br> current('+g.dcvx(g.plotArray[k].x-22)+','+g.dcvy(g.plotArray[k].y-22-3)+')<br>';
		}
	}

	return {cnt:temp_cnt,info:temp_name};
}

//-------------------------------------------------------

var RiskItemchartWin = null;
//var g = new Graph(384,354);
var g = new Graph(350,350);

chartWin = function(domainSeq,analysisSeq,flag){

	if(RiskItemchartWin) {
		//RiskItemchartWin.hide(true);
		RiskItemchartWin.chartPanel.removeAll();
		RiskItemchartWin.reloadData(analysisSeq,domainSeq,flag);
		return;
	}

	var chartPanel = new Ext.Panel({
		id: 'chartPanel',
		//frame:true,
		border: false,
		//bodyStyle:'background-image:url("/image/riskAnalysis.gif");background-repeat:no-repeat; width:100%; height:100%; ',// fixed;',
		//html:'',
		width: 400,
		height: 400
	});

	var centerPanel = {
		region: 'center',
		xtype: 'panel',
        border: false,
		items: [chartPanel],
		tbar: [{xtype:'label',id: 'chartDragDropMsg'}, //text: (flag == 3 )?TPMS_lang_Msg_chartDragDrop:""},
			'->', {
			xtype: 'button',
			iconCls: 'icon-cancel',
			text: TPMS_lang_button_close,//TPMS_lang_button_cancel,
			handler: function() {
				
				//chartWin.close();
				chartWin.hide(true);
			}
        }]
	};



reloadData=function(analysisSeq,domainSeq,flag){

	g.plotArray=null;
	g.plotArray=new Array();
	g.plotName=null;
	g.plotName=new Array();
	currentAnalysesSeq=analysisSeq;
	Ext.Ajax.request({
		//url: '../json/chart1.json',
		url: '/service/tpms_proc.php?method=getRiskAnalysisItemDiagram',
		method: 'POST',
		params: { 
			AnalysesSeq : analysisSeq,
			DomainSeq : domainSeq
		},
		success: function(result, request) {
			data = Ext.decode( result.responseText );
			if(flag == 2){
				//RiskItemchartWin.setTitle(TPMS_lang_riskAnlyse_riskAnalyseResult);
				RiskItemchartWin.setTitle((data.title)?TPMS_lang_risk+' '+TPMS_lang_riskAnlyse_riskDistributionChart+' : '+data.title:"NoTitle");
			}else{
				if(TPMS_lang_riskAnlyse_riskDiscussResult2 == data.title){
					RiskItemchartWin.setTitle((data.title)?TPMS_lang_risk+' '+TPMS_lang_riskAnlyse_riskDistributionChart+' : '+data.title:"NoTitle");
				}else{
					RiskItemchartWin.setTitle((data.title)?TPMS_lang_risk+' '+TPMS_lang_riskAnlyse_riskDistributionChart+' : '+TPMS_lang_riskAnlyse_riskAnalyseResult+' - '+data.title:"NoTitle");
				}
			}

			var pointer = '';
			var riskLevels = '';
			var factorTypeName = '';
			var linePointNumber = '';
			var riskItemAreaNumber = '';

			var Area1 = 0;
			var Area2 = 0;
			var Area3 = 0;
			var Area4 = 0;

			var maxX = data.max_X;
			var maxY = data.max_Y;
			//alert('maxX:'+maxX+'/ maxY:'+maxY);
			//g.setxScale(0,parseInt(maxX,10),10);
			//g.setyScale(0,parseInt(maxY,10),10);
			g.setxScale(0,maxX,10);
			g.setyScale(0,maxY,10);
			g.setAxisName(Config.FI[1].name,Config.FI[0].name);
			for(var i=0; i < data.data.length; i++){

				var drag = data.drag;

				var xW = 1;
				var yW = 1;
				
				if(drag){
					xW = data.data[i].xWeight;
					yW = data.data[i].yWeight;
				}

				var pointX = data.data[i].pointX;
				var pointY = data.data[i].pointY;
				var temp;
				
				temp=((pointX>0)?(pointX * xW):xW-1);
				if(temp<0) temp=0;
				var x = g.cvx(temp)+22;
				//var x = g.cvx(temp)+12;

				temp=((pointY>0)?(pointY * yW):yW-1);
				if(temp<0) temp=0;
				var y = g.cvy(temp)+22;
				//var y = g.cvy(temp)+12;

				var name = my_unescape(data.data[i].name);
				var seq = data.data[i].seq;

				g.Plot(x,y,{seq:seq,info:name,ox:pointX,oy:pointY});
					
				if(drag){
					if(flag == 2){
						pointer += '<div id=\'point_'+i+'\' style=\'cursor:pointer;background-image:url("/image/point.gif");background-repeat:no-repeat; no-repeat fixed; position: absolute; left: '+x+'px; top: '+y+'px;\' title=\''+name+'('+g.dcvx(x-22)+','+g.dcvy(y-22-3)+')'+'\'>&nbsp;&nbsp; </div>';
						Ext.getCmp('chartDragDropMsg').setText("");//Drag drop 설명
					}else{
						pointer += '<div id=\'point_'+i+'\' style=\'cursor:pointer; background-image:url("/image/point.gif");background-repeat:no-repeat; no-repeat fixed; position: absolute; left: '+x+'px; top: '+y+'px;\' onmousedown=\'dragStart2(event);\' onmouseup=\'updateMovePoint(event,'+seq+',this.id,'+analysisSeq+','+domainSeq+','+flag+');\' title=\''+name+'('+g.dcvx(x-22)+','+g.dcvy(y-22-3)+')'+'\'>&nbsp;&nbsp; </div>';
						Ext.getCmp('chartDragDropMsg').setText(TPMS_lang_Msg_chartDragDrop);//Drag drop 설명
					}
				}else{
					pointer += '<div id=\'point_'+i+'\' style=\'cursor:pointer;background-image:url("/image/point.gif");background-repeat:no-repeat; no-repeat fixed; position: absolute; left: '+x+'px; top: '+y+'px;\' title=\''+name+'('+g.dcvx(x-22)+','+g.dcvy(y-22-3)+')'+'\' onmouseup=\'updateMovePoint(event,'+seq+',this.id,'+analysisSeq+','+domainSeq+','+flag+');\'>&nbsp;&nbsp; </div>';
					Ext.getCmp('chartDragDropMsg').setText("");//Drag drop 설명
				}

				//"STA","STTA","ITA","FTA",				
				if(x >= ((372-22)/2+22) && y <= ((372-22)/2+22)){
					Area1++;
					//alert("STA : "+name);
				}
				if(x >= ((372-22)/2+22) && y > ((372-22)/2+22)){
					Area2++;
					//alert("STTA : "+name);
				}
				if(x < ((372-22)/2+22) && y <= ((372-22)/2+22)){
					Area3++;
					//alert("ITA : "+name);
				}
				if(x < ((372-22)/2+22) && y > ((372-22)/2+22)){
					Area4++;
					//alert("FTA : "+name);
				}
				//alert("name : "+name+", x : "+pointX+", y : "+pointY+", x : "+x+", y : "+y);
			}

			var RA1 = data.RA1;
			var RA2 = data.RA2;
			var RA3 = data.RA3;
			var RA4 = data.RA4;


			riskLevels += '<div style=\'position: absolute; right: 30px; top: 30px; color:blue; font-size:15px; font-weight:bold;\' title=\''+RA1+'\'>'+RA1+'</div>';
			riskLevels += '<div style=\'position: absolute; right: 30px; top: 355px; color:blue; font-size:15px; font-weight:bold;\' title=\''+RA2+'\'>'+RA2+'</div>';
			riskLevels += '<div style=\'position: absolute; left: 30px; top: 30px; color:blue; font-size:15px; font-weight:bold;\' title=\''+RA3+'\'>'+RA3+'</div>';
			riskLevels += '<div style=\'position: absolute; left: 30px; top: 355px; color:blue; font-size:15px; font-weight:bold;\' title=\''+RA4+'\'>'+RA4+'</div>';

			//팩터 사용자 유형
			riskLevels += '<div style=\'position: absolute; right: 30px; top: 380px; width:150px; text-align:right; height:20px; color:blue; font-size:15px; font-weight:bold;\' >'+g.X_axis+'</div>';
			//riskLevels += '<div style=\'position: absolute; left: 5px; top: 30px; writing-mode:tb-rl; width:20px;height:150px; color:blue; font-size:15px; font-weight:bold;\' >'+g.Y_axis+'</div>';
			
			var browser = new Browser();
			if (browser.isIE)
				factorTypeName += '<div ID="oDiv" STYLE="position:absolute; left:5px; top:30px; color:blue; font-size:15px; font-weight:bold; filter:progid:DXImageTransform.Microsoft.Matrix(sizingMethod=\'auto expand\')" onfilterchange="fnSetRotation(this, 270)"> <div>'+g.Y_axis+'</div></div>';
			if (browser.isNS)
				factorTypeName += '<div ID="oDiv" class="transformed" STYLE="position:absolute; font-weight:bold; left:-60px; top:95px; width: 150; font-size:15px;"> <div>'+g.Y_axis+'</div></div>';

			//X 축
			linePointNumber	+= '<div style=\'position: absolute; left: 355px; top: 8px; color:#7f7f7f; font-size:12px; font-weight:bold;\'>'+(maxX*1)+'</div>';
			linePointNumber	+= '<div style=\'position: absolute; left: 195px; top: 8px; color:#7f7f7f; font-size:12px; font-weight:bold;\'>'+(maxX/2)+'</div>';
			//Y 축
			if (browser.isIE){
				linePointNumber	+= '<div style="position: absolute; left: 375px; top: 20px; color:#7f7f7f; font-size:12px; font-weight:bold; filter:progid:DXImageTransform.Microsoft.Matrix(sizingMethod=\'auto expand\')" onfilterchange="fnSetRotation(this, 90)">'+(maxY*1)+'</div>';
				linePointNumber	+= '<div style="position: absolute; left: 375px; top: 190px; color:#7f7f7f; font-size:12px; font-weight:bold; filter:progid:DXImageTransform.Microsoft.Matrix(sizingMethod=\'auto expand\')" onfilterchange="fnSetRotation(this, 90)">'+(maxY/2)+'</div>';
			}
			if (browser.isNS){
				linePointNumber	+= '<div class="transformed" style=\'position: absolute; left: 375px; top: 20px; color:#7f7f7f; font-size:12px; font-weight:bold;\'>'+(maxY*1)+'</div>';
				linePointNumber	+= '<div class="transformed" style=\'position: absolute; left: 375px; top: 190px; color:#7f7f7f; font-size:12px; font-weight:bold;\'>'+(maxY/2)+'</div>';
			}
			
			//"STA","STTA","ITA","FTA",
			riskItemAreaNumber += '<div style=\'position: absolute; left: 270px; top: 80px; color:#cfcfcf; font-size:55px; font-weight:bold;\'>'+Area1+'</div>';
			riskItemAreaNumber += '<div style=\'position: absolute; left: 270px; top: 260px; color:#cfcfcf; font-size:55px; font-weight:bold;\'>'+Area2+'</div>';
			riskItemAreaNumber += '<div style=\'position: absolute; left: 95px; top: 80px; color:#cfcfcf; font-size:55px; font-weight:bold;\'>'+Area3+'</div>';
			riskItemAreaNumber += '<div style=\'position: absolute; left: 95px; top: 260px; color:#cfcfcf; font-size:55px; font-weight:bold;\'>'+Area4+'</div>';

			//var background = '<img src="/image/riskAnalysis2.gif" width=400 height=400>';
			var background = '<img src="/image/RiskMatrix-Big.bmp" width=400 height=400>';
			chartPanel.add({
				width: 400,
				height: 400,
				border:false,
				html: background+riskItemAreaNumber+riskLevels+pointer+factorTypeName+linePointNumber
			});
			/*
			chartPanel.add({
				width: 400,
				height: 400,
				html: pointer
			});
			*/
			chartWin.show(this);
			RiskItemchartWin.doLayout(false,true);
		},
		failure: function(result, request) {
		 
		}
	});
}
	var chartWin = new Ext.Window({
		title: TPMS_lang_chart,
		animation:false,
		width: 415,
		height:460,
		border:false,
		plain:true,
		layout: 'border',
		resizable: false, //Resize of the Window, if false - it cannot be resized
		closable: false,
		items: [centerPanel]
	});

RiskItemchartWin=chartWin;
RiskItemchartWin.reloadData=reloadData;
RiskItemchartWin.chartPanel=chartPanel;
reloadData(analysisSeq,domainSeq,flag);

};
//******************  End  **********************************


//******************  MovePoint - 이동 아이템 좌표 저장 **********************************

var startPointX;
var startPointY;

dragStart2 = function(event){
	dragStart(event);
	var pos=RiskItemchartWin.getPosition(true);
	var x,y;
	if (browser.isIE) {
		x = event.x;
		y = event.y;
	}
	//alert(pos[0]);
	if (browser.isNS) {
		x = event.clientX-pos[0]-12;
		y = event.clientY-pos[1]-52;
	}

	startPointX=x;
	startPointY=y;
};

updateMovePoint = function(event,riskItemSeq,id,analysisSeq,domainSeq,flag){//,id,riskItemSeq,pX,pY,x,y,rX,rY){
	var pos=RiskItemchartWin.getPosition(true);
	var x,y;
	if (browser.isIE) {
		x = event.x;
		y = event.y;
	}
	//alert(pos[0]);
	if (browser.isNS) {
		x = event.clientX-pos[0]-12;
		y = event.clientY-pos[1]-52;
	}

	if(x < 20) x=22;
	if(y < 20) y=22;
	if(x > 374) x=372;
	if(y > 374) y=372;
 
	//alert(g.dcvx(parseInt(x-15,10))+','+g.dcvy(parseInt(y-15,10)));
	//document.getElementById(id).title=""+pointInfo.info+"("+g.dcvx(parseInt(x-15,10))+","+g.dcvy(parseInt(y-15,10))+")";

	var pointInfo=_find_plot_option(riskItemSeq,g);
	var k= _find_plot_n(riskItemSeq,g);
	g.plotArray[k].x=x-3;
	g.plotArray[k].y=y-3;
	if(Math.abs(startPointX-x)>1 || Math.abs(startPointY-y)>1)
	{
	var xW=g.dcvx(parseInt(x-22,10))/((pointInfo.ox>0)?pointInfo.ox:1);
	var yW=g.dcvy(parseInt(y-22-3,10))/((pointInfo.oy>0)?pointInfo.oy:1);
	var xPos=g.dcvx(parseInt(x-22,10));
	var yPos=g.dcvy(parseInt(y-22-3,10));

	if(pointInfo.ox==0 && xW>1) xW+=1;
	if(pointInfo.oy==0 && yW>1) yW+=1;
	var risk=4;
	if(g.xmax<=2*xPos && g.ymax<=2*yPos) risk=1;
	else if(g.xmax<=2*xPos) risk=2;
	else if(g.ymax<=2*yPos) risk=3;
	
		//저장 확인 confirm
		Ext.Msg.confirm(TPMS_lang_title, TPMS_lang_riskAnlyseMsg_riskDiscussSave , function(btn,text){
			if(btn=="yes"){
				Ext.Ajax.request({
					url: '/service/tpms_proc.php?method=updateDomainRiskItemWeights',
					method: 'POST',
					params: { 
						RiskItemSeq: riskItemSeq,
						xWeight: xW,
						yWeight: yW,
						xPosition: xPos,
						yPosition: yPos,
						riskLevel: risk
					},
					success: function(result, request) {
						//data = Ext.decode( result.responseText );
						RiskItemchartWin.chartPanel.removeAll();
						RiskItemchartWin.reloadData(analysisSeq,domainSeq,flag);
					},
					failure: function(result, request) {
					}
				});
			}else{
				RiskItemchartWin.chartPanel.removeAll();
				RiskItemchartWin.reloadData(analysisSeq,domainSeq,flag);
				//chartWin.hide(true);
				//chartWin.show(true);
				return;
			}
		});  	
	}
	else{ 
		var msg='';
		msg+='RiskItem:'+pointInfo.info+'\n';
		msg+='current position('+g.dcvx(parseInt(x-15,10))+','+g.dcvy(parseInt(y-15-3,10))+')\n';
		msg+='original position('+pointInfo.ox+','+pointInfo.oy+')\n';
		var info=_find_plot_data(parseInt((x-3)/10,10),parseInt((y-3)/10,10),g);
		if(info.cnt>0)
			Ext.Msg.alert(TPMS_lang_title, info.info);
			//Ext.getCmp('riskAnalysis-centerPanel').body.unmask(); 
			//alert(info.info);
	}
}

//************************* End ***********************************
