	//////////////////////////////////////////////////////////
	//////												//////
	//////				Set Store Load					//////
	//////												//////
	//////////////////////////////////////////////////////////
	var projectSeverityCh = 0;
	var dateMenu = new Ext.menu.DateMenu({});
	var selectItemId = "";

Ext.ux.form.SearchField = Ext.extend(Ext.form.TwinTriggerField, {
	initComponent : function(){
		Ext.ux.form.SearchField.superclass.initComponent.call(this);
		this.on('specialkey', function(f, e){
			if(e.getKey() == e.ENTER){
				this.onTrigger2Click();
			}          
		}, this);     
	},       
	validationEvent:false,      
	validateOnBlur:false,      
	trigger1Class:'x-form-clear-trigger',     
	trigger2Class:'x-form-search-trigger',     
	hideTrigger1:true,      
	width:180,      
	hasSearch : false,      
	paramName : 'query',        
	onTrigger1Click : function(){		
		if(this.hasSearch){			
			this.el.dom.value = '';
			var o = {start: 0};			
			this.triggers[0].hide();
			this.hasSearch = false;
			issue_menuEvent();
		}      
	},        
	onTrigger2Click : function(){
		var v = this.getRawValue();
		if(v.length < 1){
			this.onTrigger1Click();
			return;
		}
		this.hasSearch = true;          
		this.triggers[0].show();      
		issue_menuEvent();
	}  
});  


	function issue_reset(){//메뉴를 모두 초기화 해주면 되나?
		Ext.getCmp("orderBy").setValue();
		Ext.getCmp("orderByCk").setValue(false);
		Ext.getCmp("searchType").setValue('All');
		Ext.getCmp("searchText").setValue();
		Ext.getCmp("startDate").setValue();
		Ext.getCmp("endDate").setValue();
		searchIssueListStore.reload({params:{
			ProjectSeq:projectSeq,			
			statusCloseChk:UserInfo.CloseView,			
			start:0, limit:100
		}});
	}
	function issue_dateEvent(){
		var dateView = Ext.getCmp("DateFieldViewCk").checked;
		
		var startD = Ext.getCmp("startDate");
		var endD = Ext.getCmp("endDate");

		if(dateView == true){			
			startD.enable();
			startD.show(); 

			endD.enable();
			endD.show();
		}else{
			//값을 없애버리자
			startD.setValue();
			endD.setValue();
			startD.endDateField='';
			endD.startDateField='';
			startD.hide();
			endD.hide();
		}
	}

	function issue_menuEvent(item){//$SearchType,$SearchText	
		//alert(selectItemId+" : "+item.value)
		var searchType = Ext.getCmp("searchType").value;
		
		var searchText = '';
		if(searchType!='userDefined'){
			searchText = Ext.getCmp("searchText").getValue();
		}
		
		
		var startDate = Ext.getCmp("startDate").value;
		var endDate = Ext.getCmp("endDate").value;
		var otherData = Array();
		var userDefined = Array();

		if(startDate){
			otherData.push({StartDate:startDate});
		}
		if(endDate){
			otherData.push({EndDate:endDate});
		}

		var orderBy = Ext.getCmp("orderBy").value;
		var orderByCk = Ext.getCmp("orderByCk").checked;

		if(orderBy){
			otherData.push({OrderBy:orderBy+((orderByCk)?' desc':' asc')});
		}
		
		if(selectItemId=='menu_issue_label'){
			if(item.value){
				otherData.push({Issue_label:item.value});
				selectItemId = "";
			}
		}else{
			var issue_label = Ext.getCmp('menu_issue_label').menu.items;
			for(var i=0;i<issue_label.length;i++){
				if(issue_label.items[i].checked){
					otherData.push({Issue_label:issue_label.items[i].value});
					break;
				}
			}		
		}

		if(selectItemId=='menu_issue_category'){
			if(item.value){
				otherData.push({Issue_category:item.value});
				selectItemId = "";
			}
		}else{
			var issue_category = Ext.getCmp('menu_issue_category').menu.items;
			for(var i=0;i<issue_category.length;i++){
				if(issue_category.items[i].checked){
					otherData.push({Issue_category:issue_category.items[i].value});
					break;
				}
			}
		}

		if(selectItemId=='menu_issue_status'){
			if(item.value){
				otherData.push({Issue_status:item.value});
				selectItemId = "";
			}
		}else{
			var issue_status = Ext.getCmp('menu_issue_status').menu.items;
			for(var i=0;i<issue_status.length;i++){
				if(issue_status.items[i].checked){
					otherData.push({Issue_status:issue_status.items[i].value});
					break;
				}
			}
		}

		if(selectItemId=='menu_issue_Severity'){
			if(item.value){
				otherData.push({Issue_Severity:item.value});
				selectItemId = "";
			}
		}else{
			var issue_Severity = Ext.getCmp('menu_issue_Severity').menu.items;
			for(var i=0;i<issue_Severity.length;i++){
				if(issue_Severity.items[i].checked){
					otherData.push({Issue_Severity:issue_Severity.items[i].value});
					break;
				}
			}
		}

		if(selectItemId=='menu_issue_Priority'){
			if(item.value){
				otherData.push({Issue_Priority:item.value});
				selectItemId = "";
			}
		}else{
			var issue_Priority = Ext.getCmp('menu_issue_Priority').menu.items;
			for(var i=0;i<issue_Priority.length;i++){
				if(issue_Priority.items[i].checked){
					otherData.push({Issue_Priority:issue_Priority.items[i].value});
					break;
				}
			}
		}
		
		if(searchType=='userDefined'){
			var userDefinedV = Ext.getCmp("userDefinedVersionCmd").getValue();
			var userDefinedF = Ext.getCmp('userDefined_form');

			userDefined.push({userDefinedVersion:userDefinedV});

			

			for(var i=1;i<userDefinedF.items.length;i++){
				//alert(userDefinedF.items.items[i].getValue());
				//alert(userDefinedF.items.items[i].itemId);
				//userDefined.push({});
				userDefined.push({reportitemid:userDefinedF.items.items[i].fieldLabel,reportvalue:userDefinedF.items.items[i].getValue()});
			}
		}



		
		searchIssueListStore.reload({params:{
			ProjectSeq:projectSeq,
			SearchType:searchType,
			SearchText:searchText,
			statusCloseChk:UserInfo.CloseView,
			OtherData : Ext.encode(otherData),
			UserDefined : Ext.encode(userDefined),
			start:0, limit:100
		}});
		//ProjectSeq:projectSeq,statusCloseChk:UserInfo.CloseView,start:0, limit:100
    }


if(projectSeverityCh==0){	
	Ext.Ajax.request({
		url : '/service/issueManager_proc.php?method=getIssueProjectInfo',
		method: 'POST',
		params :{ ProjectSeq : projectSeq},
		success: function ( result, request ) {
					
			Ext.getCmp("menu_issue_Severity").menu.add({text: TPMS_lang_common_all,checked: true,value: '',group: 'group_issue_Severity',
			handler:function(e){
				selectItemId = 'menu_issue_Severity';
				issue_menuEvent(e);
			}});
			Ext.getCmp("menu_issue_status").menu.add({text: TPMS_lang_common_all,checked: true,value: '',group: 'group_issue_status',
			handler:function(e){
				selectItemId = 'menu_issue_status';
				issue_menuEvent(e);
			}});
			Ext.getCmp("menu_issue_Priority").menu.add({text: TPMS_lang_common_all,checked: true,value: '',group: 'group_issue_Priority',
			handler:function(e){
				selectItemId = 'menu_issue_Priority';
				issue_menuEvent(e);
			}});

			for(var i=0;i<Ext.decode(result.responseText).SvI.length;i++){
				Ext.getCmp("menu_issue_Severity").menu.add({text: Ext.decode(result.responseText).SvI[i].name,checked: false,value: Ext.decode(result.responseText).SvI[i].issueSeverity,group: 'group_issue_Severity',
					handler:function(e){
						selectItemId = 'menu_issue_Severity';
						issue_menuEvent(e);
					}});
			}
			for(var i=0;i<Ext.decode(result.responseText).StI.length;i++){
				Ext.getCmp("menu_issue_status").menu.add({text: Ext.decode(result.responseText).StI[i].name,checked: false,value: Ext.decode(result.responseText).StI[i].issueStatus,group: 'group_issue_status',
					handler:function(e){
						selectItemId = 'menu_issue_status';
						issue_menuEvent(e);
					}});
			}							
			for(var i=0;i<Ext.decode(result.responseText).PI.length;i++){
				Ext.getCmp("menu_issue_Priority").menu.add({text: Ext.decode(result.responseText).PI[i].name,checked: false,value: Ext.decode(result.responseText).PI[i].issuePriority,group: 'group_issue_Priority',
					handler:function(e){
						selectItemId = 'menu_issue_Priority';
						issue_menuEvent(e);
					}});
			}
			projectSeverityCh=1;
			
		},
		failure: function ( result, request ) {
			self.close();
		}
	});
}

	



	var ControlButtonGroup = ['->',
		MakeButton('add',TPMS_lang_button_add,'searchIssueAdd_Btn','','','','',function(btn){
			IssueWriteWindow();						
		}),'-',
		MakeButton('update',TPMS_lang_button_update,'searchIssueUpdate_Btn','','','','',function(btn){
			var searchItemTabCenterGridPanel = Ext.getCmp('searchItemTabCenterGridPanel').selModel.getSelections();
			var issueSeq = searchItemTabCenterGridPanel[0].data['seq'];
			if(issueSeq){
				IssueWriteWindow();
				IssueEditWindow2(issueSeq);									
			}else{
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issue+TPMS_lang_Msg_validationMsg2);
			}
		}),'-',
		MakeButton('delete',TPMS_lang_button_remove,'searchIssueRemove_Btn','','','','',function(btn){
			var Records = Ext.getCmp('searchItemTabCenterGridPanel').selModel.getSelections();
			if(Records.length==0){
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
				return;
			}else{
				var DataList = "";
				for(var i=0; i<Records.length; i++){
						DataList += Records[i].data['seq'];
					if(i+1 != Records.length){
						DataList += ",";
					}
				}
				Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
					if(btn == "yes") { 											
						Ext.Ajax.request({ 
							scope : this,
							url:'/service/issueManager_proc.php?method=deleteIssueReport',
							params : {ProjectSeq : projectSeq,DataList:DataList,MemberSeq:UserInfo.seq} , 
							method : 'POST',
							success : function(rsp, opt) {
								CommonIssueStore.reload();
							}
						});
					}else{
						return;
					}
				}); 	
			}
		}),'-',
		MakeButton('assign_Btn','Assign','searchIssueAssign_Btn','icon-email','','','',function(btn){
			var Records = Ext.getCmp('searchItemTabCenterGridPanel').selModel.getSelections();
			if(Records.length == 0){
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issue+TPMS_lang_Msg_validationMsg2);
				return;
			}else if(Records.length > 0){
				var SeqList = "";
				for(var i=0;i<Records.length;i++)
				{
					if(i==0)
						SeqList+=Records[i].data['seq'];
					else
						SeqList+=","+Records[i].data['seq'];
				}
				AssignWin(SeqList);
			}
		}),'-',
		MakeButton('copy','Mapping','searchIssueMapping_Btn','icon-connect','','','',function(btn){
			SelectIssueRiskItem(projectSeq);
		}),'-',
		MakeButton('',TPMS_lang_issue_interest,'searchIssueInterest_Btn','icon-folder-add','','','',function(btn){
			var issueItemSeqList='';
			if(Ext.getCmp('searchItemTabCenterGridPanel')){
				var issueItemRecords = Ext.getCmp('searchItemTabCenterGridPanel').selModel.getSelections();

				if(issueItemRecords.length==0){
					Ext.Msg.alert(TPMS_lang_title,"Select Item!");
					return;
				}else{					
					var itemCnt = 0;
					for(var i=0; i<issueItemRecords.length; i++){
						issueItemSeqList += issueItemRecords[i].data['seq']+",";
						itemCnt++;
					}
				}								
			}
			AssignIssueToMember(issueItemSeqList,UserInfo.seq,3);
		})
	]

	var searchIssueListStore = MakeStore('/service/issueManager_proc.php?method=getSearchIssueList','',[
			{ name: 'seq', type: 'float' },
			'subject',
			'category',
			'level',
			'status',
			'priority',
			'levelName',
			'riskLevel',
			'severity',
			'updateDate',
			'regDate',			
			{ name: 'issueTextCnt', type: 'float' },
			{ name: 'filecnt', type: 'float' }
		],'');//{ProjectSeq:projectSeq,statusCloseChk:UserInfo.CloseView,start:0, limit:100}
	
	searchIssueListStore.load({params:{ProjectSeq:UserInfo.Groupid}});
	

	//////////////////////////////////////////////////////////
	//////				Domain Grid Panel				//////
	//////////////////////////////////////////////////////////

	var Sm2 = new Ext.grid.CheckboxSelectionModel({ 
		singleSelect: false,
		listeners: {
			scope : this,
			rowselect: function(smObj, rowIndex, record) {
			}
		}
	});

	var Cm2 = new Ext.grid.ColumnModel([
			{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: 'riskLevel', dataIndex: 'riskLevel', sortable: true, width: 15, hidden: true, tooltip: 'seq' },
			{header: 'Seq', dataIndex: 'seq', sortable: true, width: 30, hidden: false, tooltip: 'seq' },
			{header: TPMS_lang_common_type, dataIndex: 'category', sortable: true, width: 50,renderer:renderCategoryName},
			{header: TPMS_lang_strategyLevel2, dataIndex: 'level', sortable: true, width: 50},
			{header: TPMS_lang_common_title, dataIndex: 'subject', sortable: true, width: 100,renderer:function(val){
				return my_unescape(val);//<&lt;
				//return xxx(val);
			}},
			{header: TPMS_lang_common_status, dataIndex: 'status', sortable: true, width: 40},
			{header: TPMS_lang_scrum_priority, dataIndex: 'priority', sortable: true, width: 40, hidden:false },
			{header: TPMS_lang_scrum_severity, dataIndex: 'severity', sortable: true, width: 40, hidden:false },
			{header: TPMS_lang_riskArea, dataIndex: 'levelName', sortable: true, width: 40, hidden:false,renderer:
				function(value, meta, record){
					return TPMS_lang_RiskLevel[value];
			}},		
			{header: TPMS_lang_common_count, dataIndex: 'issueTextCnt', sortable: true, width: 40},
			{header: TPMS_lang_scrum_file, dataIndex: 'filecnt', sortable: true, width: 40},
			{header: TPMS_lang_LatestDate, dataIndex: 'updateDate',sortable: true, width: 80, hidden:false,
						renderer: function(val, meta, record){	
							var toDay=new Date(); 
							var date = val.substr(0,10); 
							var time = val.substr(11,19); 
							if(toDay.format('Y-m-d')==date){
								val=time;
							}else{
								val=date;
							} 
							return renderHistoryCategory(val);
						} 
					}
			//{header: TPMS_lang_updateDate, dataIndex: 'updateDate', sortable: true, width: 80, hidden:false },
			//{header: TPMS_lang_common_createdDate, dataIndex: 'regDate', sortable: true, width: 80}
		]);

	var searchItemTabCenterGridListeners = {
		scope : this,
		rowdblclick: function(grid){					
			var sel = grid.getSelectionModel().getSelected();
			var Type = 'isseuItem';
			if(sel){
				var seq = sel.data.seq;				
				ViewItemInfo(Type,seq,issueListStore);
			}
		}
	};	
	var projectsearchLevelStore = MakeStore('/service/issueManager_proc.php?method=getStrategyLevelList','',['levelSeq','level'],{ProjectSeq:projectSeq});
	var issueCategoryStore3 = MakeStore('/service/issueManager_proc.php?method=getIssueCategoryProject','',['categorySeq','name'],{ProjectSeq:projectSeq,type:1});
	


	var orderBy = MakeItem('','combo','','orderBy',[
					['subject', TPMS_lang_common_title],	
					['regdate', TPMS_lang_common_createdDate],					
					['updatedate', TPMS_lang_updateDate],
					['issuetextcnt', TPMS_lang_common_count]
				],'',100,'','','','','');
	orderBy.getListParent = function() {
		return this.el.up('.x-menu');
    }
	orderBy.listeners = {
		select:function(item){
			selectItemId="";
			issue_menuEvent(item);
		}
	};

	
	var searchTypeListener = {
		select:function(){
			var searchType = Ext.getCmp('searchType').getValue();
			var searchText = Ext.getCmp('searchText');
			
			var userDefinedF = Ext.getCmp("userDefined_form");
				
			if(searchType=='userDefined'){
				userDefinedF.enable();
				userDefinedF.show(); 
				//alert(userItemFormList);
				searchText.setDisabled(true);

				userDefinedF.add(userItemFormList);
			}else{
				searchText.setDisabled(false);
				userDefinedF.hide();				
			}
		}
	};		
    var searchType = MakeItem('','combo','','searchType',[//TPMS_lang_scrum_content
							['All', TPMS_lang_Search_all],
							['title', TPMS_lang_Search_title],
							//['description', TPMS_lang_scrum_content],
							['userDefined', TPMS_lang_userDefined]
						],'','100%',searchTypeListener,'All','','','');
	
	var searchText = MakeItem('','textfield','','searchText','','','100%','','','','','')
	searchText.fieldLabel = TPMS_lang_Search_text;
	var startDate = new Ext.form.DateField({
		vtype: 'daterange',
		id:'startDate',
		format:'Y-m-d',
		editable: false,
		hidden:true,
		emptyText :TPMS_lang_scrum_startDate
		//fieldLabel : TPMS_lang_scrum_startDate,
		/*endDateField: 'endDate',
		menu: new Ext.menu.DateMenu({
			hideOnClick: false,  
			allowOtherMenus: true  
		})  */
	});
	var endDate = new Ext.form.DateField({
		vtype: 'daterange',
		id:'endDate',
		format:'Y-m-d',
		editable: false,
		hidden:true,
		emptyText :TPMS_lang_scrum_endDate
		//fieldLabel : TPMS_lang_scrum_endDate,
		/*startDateField: 'startDate',
		menu: new Ext.menu.DateMenu({
			hideOnClick: false,
			allowOtherMenus: true
		})  */
	});

	var imenu = new Ext.menu.Menu({
		id: 'searchMenu2',
		plain: true,
		items: [{
			text: TPMS_lang_strategyLevel2,
			id:'menu_issue_label',
			menu:[]
		},{
			text: TPMS_lang_issueManager_issueStatus,//
			id:'menu_issue_status',
			menu:[]
		},{
			text: TPMS_lang_issueManager_issueSeverity,
			id:'menu_issue_Severity',
			menu:[]
		},{
			text: TPMS_lang_issueManager_issuePriority,
			id:'menu_issue_Priority',
			menu:[]
		}]
	});
	var omenu = new Ext.menu.Menu({
		id: 'searchMenu3',		
		plain: true,
		items: [{
			xtype: 'buttongroup',
			bodyStyle:'padding:10px;',
			columns: 2,
			defaults: {
				scale: 'small',
				bodyStyle: 'padding-right:5px;'
			},
			
			items:[orderBy,{
				xtype:'checkbox',
				id:'orderByCk',
				style:'margin-left:10px;',
				boxLabel:'<span style=font-size:10px;>DESC</span>',
				handler: issue_menuEvent
			}]
		}]
    });
	var ItemTypeMenu = new Ext.menu.Menu({
		id: 'searchMenu4',
		plain: true,
		items: [{
			text: TPMS_lang_issueManager_type,
			id:'menu_issue_category',
			menu:[]
		}]
	});
	var TBar = [];
	var userItemFormList = new Array();

	var fileListComboListeners1 = {
		scope : this,
		select: function(combo,record,index){
			//Load_UserIssueForm(record.data.seq);
			var formSeq = record.data.seq;			
			Ext.Ajax.request({
				url : '/service/issueManager_proc.php?method=getIssueFormSuite',
				method: 'POST',
				params :{ 
					ProjectSeq : projectSeq,
					Seq : formSeq,
					MemberSeq : UserInfo.seq
				},
				success: function ( result, request ) {
					var Obj = XmlToObj.xml2obj(result.responseText);
					UserInfo.IssueForm=Obj;
					IssueFormReDraw(Obj);
						if(typeof Ext.getCmp('userDefined_form')!='undefined'){
							Ext.getCmp('userDefined_form').removeAll();
							Ext.getCmp('userDefined_form').add(userDefinedVersionCmd);

							var Obj = UserInfo.IssueForm;
							var userItemFormList = new Array();
							var itemCnt = 0;
							if(Obj.report_data.report_item){
								itemCnt=Obj.report_data.report_item.length;				
							}else{
								itemCnt=0;
							}

							if(typeof itemCnt == 'undefined'){
								var itemId = "search"+Obj.report_data.report_item.item_id;
								var itemName = Obj.report_data.report_item.item_name;
								var itemType = Obj.report_data.report_item.item_type;
								var itemData = Obj.report_data.report_item.item_data;

								if(itemType == 2 || itemType == 3 || itemType == 4){
									if(itemData == ""){
										return;
									}
								}

								var itemTypeStore = new Array();
								var itemTypeStore = itemData.split(',');

								var typeName = ItemType(itemType,'');

								//alert(itemId+","+ itemName+","+itemType +","+typeName+","+ itemData);
								userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','100%',Listeners,'',''));
							}

							for(var i=0; i<itemCnt; i++){
								var itemId = "search"+Obj.report_data.report_item[i].item_id;
								var itemName = Obj.report_data.report_item[i].item_name;
								var itemType = Obj.report_data.report_item[i].item_type;
								var itemData = Obj.report_data.report_item[i].item_data;

								var itemTypeStore = new Array();
								var itemTypeStore = itemData.split(',');
								var typeName = ItemType(itemType,'');
								//alert(itemId+","+ itemName+","+itemType +","+typeName+","+ itemData);

								if(itemType == 2 || itemType == 3 || itemType == 4){
									if(itemData != ""){
										userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','100%',Listeners,'',''));
									}
								}else{
									userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','100%',Listeners,itemData,''));
								}
							}
							Ext.getCmp('userDefined_form').add(userItemFormList);
							//Ext.getCmp('userDefined_form').add(userFormItemObj(UserInfo.IssueForm));
							Ext.getCmp('userDefined_form').doLayout();
							Ext.getCmp("userDefinedVersionCmd").setValue(formSeq);
						}
				},
				failure: function ( result, request ) {
				}
			});
		}
	};

	var fileListComboStore1 = MakeStore('/service/issueManager_proc.php?method=getIssueFormSuiteList','',['seq','name'],{ProjectSeq:projectSeq,SearchType:'ext',SearchText:'tpl'});
	var userDefinedVersionCmd = MakeItem('','combo','','userDefinedVersionCmd',fileListComboStore1,'','1px',fileListComboListeners1,'',['seq','name'],'');
	userDefinedVersionCmd.fieldLabel = TPMS_lang_userDefined_version;
	
	var userDefined = {
		xtype: 'fieldset',
		title:TPMS_lang_userDefined,
		id:'userDefined_form',
		width:'250',
		hidden:true,
		bodyStyle: '',
		labelWidth:120,
		disabled:true,
        defaults: {
            anchor: '0'
        },
		items:[userDefinedVersionCmd,userItemFormList]
	}

	var searchGroupType = {
        xtype: 'fieldset',     
		title:TPMS_lang_Search,		
		width:'290',
		style:'padding:5px;',
		labelWidth:80,
		defaults: {
            anchor: '0'
        },
        items   : [			
		new Ext.ux.form.SearchField({					
			//store: issue_menuEvent,
			fieldLabel : TPMS_lang_Search_text,
			id:'searchText',
			width:100
		})
		,searchType,userDefined,startDate,endDate],
		buttons: [{
			xtype:'checkbox',
			id:'DateFieldViewCk',
			boxLabel : TPMS_lang_time_option,
			handler: issue_dateEvent
		},{
			xtype:'button',
			text:'Reset',
			iconCls: 'icon-page',
			handler: issue_reset
		},'-',{
			xtype:'button',
			text:'Search',
			iconCls: 'icon-page',
			handler: issue_menuEvent
		}]
	}

	var individual = [{
        bodyStyle: 'padding:10px;',		
		border:false,
        items: [searchGroupType],
		tbar:[{
			text:'Item Type',//'Item Type'
			iconCls: 'icon-page',		
			menu: ItemTypeMenu		
		},'-',{
			text:'Filter',//'Item Type'
			iconCls: 'icon-find',		
			menu: imenu		
		},'-',{
			text:'Sort',
			iconCls: 'icon-refresh_small',		
			menu: omenu		
		}]
    }]





	issueCategoryStore3.on('load',function(s,dr,r){
		Ext.getCmp("menu_issue_category").menu.add({text: TPMS_lang_common_all,checked: true,value: '',group: 'group_issue_category',
			handler:function(e){
				selectItemId = 'menu_issue_category';
				issue_menuEvent(e);
			}});
		for(var i=0;i<s.data.items.length;i++){//name
			Ext.getCmp("menu_issue_category").menu.add({text: s.data.items[i].data.name,checked: false,value: s.data.items[i].data.categorySeq,group: 'group_issue_category',
				handler:function(e){
					selectItemId = 'menu_issue_category';
					issue_menuEvent(e);
				}});
		}
	});	
	projectsearchLevelStore.on('load',function(s,dr,r){//실행 레벨
		for(var i=0;i<s.data.items.length;i++){//name
			var levelAll = (i==0)?true:false;
			Ext.getCmp("menu_issue_label").menu.add({text: s.data.items[i].data.level,checked: levelAll,value: s.data.items[i].data.levelSeq,group: 'group_issue_label',
			handler:function(e){
				selectItemId = 'menu_issue_label';
				issue_menuEvent(e);
			}});
		}
	});	
	var BBar = ['->',/*getStatusCloseChk('searchItemList'),'-',*/new Ext.PagingToolbar({
				pageSize: 100,
				store: searchIssueListStore,
				displayInfo: true,
				//plugins: [new Ext.ux.PageSizePlugin()],
				displayMsg: 'Total: {0} - {1} of {2}',
				//   displayMsg: 'Total: {2} 中 {0} - {1}',
				emptyMsg: "No Data",
				doLoad: function(start) {
					var o = this.store.lastOptions.params;
					var pn = this.getParams();
					o[pn.start] = start;
					o[pn.limit] = this.pageSize;
					if (this.fireEvent('beforechange', this, o) !== false) {
						this.store.load({
							params: o
						});
					}
				}
			})];	
	
	var TButton = [];
	
	var searchWestInfoPanel = {
		id: 'search-west',
		region: 'west',
		layout:'fit',
		cmargins:'5',
		collapsible: false,
		split: false,		
		border: true,
		items:[individual]
	}

	var searchItemTabCenterGridPanel = MakeGridPanel('','searchItemTabCenterGridPanel',searchIssueListStore,'100%',550,Cm2,'',searchItemTabCenterGridListeners,TButton,'');//BButton

	var search_westPanel = MakePanel('west','fit','panel','Search','','',320,searchWestInfoPanel,'','','','padding:0px;margin:0px;');
	var search_centerPanel = MakePanel('center','fit','','','','','',searchItemTabCenterGridPanel,'',TBar,BBar,'');
	var Items2 = [search_centerPanel,search_westPanel];
	
	var searchItemTab = MakePanel('','border','',TPMS_lang_button_search, 'searchItemTab','','',Items2,'','','','');