/// <reference path="../vswd-ext_2.2.js" />

/*******************************************************************************
 *
 * Copyright(c) 2006-2008, Inpion Consulting Co., Ltd.
 * 5th Fl.,S1 Bldg.168 Sunhwa-Dong,Jung-Gu,Seoul,Korea 100-130
 * All rights reserved.
 * @Description	: 리스크 분석 화면 구성  팝업
 * @Version		: 0.01
 * @Date		: 
 * @Author		: kyungrim
 * @History     :
 * 		0.01: 초기 작성
 * 
 ******************************************************************************/
 
/*---------------------------------------------------리스크 분석 화면 구성  팝업      searchManager ------------------------------------*/    

RiskAnalysePop = function(domainSeq,domainName){
    factorItemStore(domainSeq,domainName);
};


factorItemStore = function(domainSeq,domainName){
    var store = "";
    Ext.Ajax.request({ 
			url: '/service/tpms_proc.php?method=getRiskFactorListForAnalysis',
			displaySuccessMessage : false,
			displayFailMessage : "데이터를 가져오는 중 오류가 발생하였습니다",
			method : 'POST',
            params:{
                DomainSeq : domainSeq
            },
			success : function(rsp, opt) {
			   
                store =Ext.decode(rsp.responseText);

                RiskAnalysePopGrid(store,domainSeq,domainName);
        
			}
		}); //ajx 
}

/*---------------------------------------------------그리드 스토어 부분     Ext.grid.Record ------------------------------------*/    
Ext.grid.Record = function(store){
   
    var arr= [];
    
    for (var i = 0; i < store.data.length; i++){
        arr[i] = store.data[i].ID;
    }
    
    this.recordType = Ext.data.Record.create(arr);
    
    return this.recordType;
   
};
Ext.extend(Ext.grid.Record, Ext.data.Record.create, {});




RiskAnalysePopGrid = function(store,domainSeq,domainName){



    var riskAnalyseGridStore = new Ext.data.Store({
            proxy: new Ext.data.HttpProxy({
                       url:'/service/tpms_proc.php?method=getRiskAnalysisCells'
				    }),
			baseParams:{
                    DomainSeq : domainSeq,
                    UserSeq : UserInfo.Seq
                },
	        reader: new Ext.data.JsonReader(
		        { root: 'data'  },
		        this.myRecoredObj =  Ext.grid.Record(store)                     
	        ),
	        listeners: {
			    scope: this,
			    load:{
			        scope : this,
			        fn : function(s,dr,option){
			             if(!s.reader.jsonData.success){
			                if(s.reader.jsonData.msg !=""){
                                Ext.errorAlert('','');
                            }else{
                                Ext.errorAlert('',"데이터를 불러오는 중 오류가 발생하였습니다");
                            }
			             }
			        }
			    }
			}
    });
    

    //데이터 로드 
    riskAnalyseGridStore.load();
    
    
    var riskAnalysePopGrid = new Ext.grid.EditorGridPanel({

       viewConfig: { 
      	autoFill:true,
      	forceFit : true,
      	enableRowBody : true
    	},
        id: 'risk-analysePop-grid',
        loadMask: { msg: 'loading...'},
        headerAsText:false,
        autoWidth:true,
        ds: riskAnalyseGridStore,
        editStaus:'',
		clicksToEdit : 1,
        border : false,
        height:150,
        split:true,
        autoScroll:true,
        cm : new Ext.grid.DynamicColumnModel(store),
        listeners : {
            scope : this,
            afteredit :{
                scope : this,
                fn : function(e){
                    Ext.getCmp('risk-analysePop-grid').editStaus="update";
					var msg='&DomainSeq='+UserInfo.DomainSeq+'&UserSeq='+UserInfo.seq+'&RiskFactorSeq='+e.field +'&RiskItemSeq='+e.record.data.RiskItemSeq+'&RiskPointSeq='+e.value;
					send_UpdateAnalysisCell({
											url : chatting_proc_url,
											room_no : chatting_room_no,
											user : chatting_user,
											mb_id : chatting_mb_id,
											bo_table : '',
											command : 'UpdateAnalysisCell',
											DomainSeq : UserInfo.DomainSeq,
											UserSeq : UserInfo.seq,
											AnalysisType : '1',
											RiskFactorSeq : e.field,
											RiskItemSeq : e.record.data.RiskItemSeq,
											RiskPointSeq : e.value
											});
                }
            },
            cellclick : function(grid, rowIndex, colIndex,e){

                var el = Ext.get('risk-analysePop-grid');

                //var test="";
            },
           render: function(grid){
 
           }

        }
    }); // levelProgressGrid


    
    
    //스크롤 오른쪽에 cell 클릭시 스크롤 이 밀려나는 문제 발생 -> focus 설정을 위한 override 처리 
    Ext.override(Ext.grid.GridView, {
      getEditorParent: function(ed) {
        return this.mainWrap.dom;
      }
    });
    
    
    
   
    var riskAnalyseStausDataStore = new Ext.data.Store({
            proxy:new Ext.data.HttpProxy({
                url:'/service/tpms_proc.php?method=getAnalysisStateList',
                method:'post'
            }),
            baseParams:{
                    DomainSeq : domainSeq,
                    UserSeq : UserInfo.seq
                },
            reader:new Ext.data.JsonReader({
                root:'data',
                fields:['Seq','Name']
            }),
            autoLoad:true,
            listeners:{
                scope:this,
                load : function(s , dr, option){
                    
                    
                    if(!s.reader.jsonData.success){
		                if(s.reader.jsonData.msg !=""){
                            Ext.errorAlert('','');
                        }else{
                            Rxt.errorAlert('',"데이터를 불러오는 중 오류가 발생하였습니다");
                        }
		             }else{
		                Ext.getCmp('riskAnalyseStaus').setValue(s.reader.jsonData.selectData);
		             }
		             
                },
                loadexception:function(){
                    Ext.errorAlert('' , '');
                }
            }//listeners
      });// riskTypeComboData
      
     var win="";
   
     if(!win){
        var riskAnalysePop = new Ext.Window({
                id:'risk-analysepop-win',
                layout:'fit',
				x:5,
				y:5,
                width:(document.body.clientWidth - 360),
                minWidth : 100 ,
                height:300,
                minHeight : 100,
                closeAction :'hide',
                resizable : true,
                title: TPMS_lang_domain+' : ',//'TPMS.locale.riskAnlyse.riskAnalyseCase +" : " + domainName ',
                //modal:true,
                border : false,
                autoScroll:true,
                items:[
                    riskAnalysePopGrid
                    ],
                    
                tbar : ['',{//'TPMS.locale.riskAnlyse.riskAnalyseCase',{
                    xtype:'combo',
                    fieldLabel:'TPMS.locale.riskAnlyse.riskAnalyseStatus',
                    id:'riskAnalyseStaus',
                    name:'riskAnalyseStaus',
                    store:riskAnalyseStausDataStore,                    
                    valueField:'Seq',
                    displayField:'Name',
                    mode          : 'local',
			        typeAhead     : false,
			        editable      : false,
			        forceSelection: false,
			        selectOnFocus : false,
			        triggerAction : 'all',
			        widht : 500,
			        emptyText: 'TPMS.locale.commonMsg.selectMesage'
                },'->',{
                    xtype :'label',
                    html:'<div style="background:#EBE2FA;height:18px;">Impact</div>'
                },'-',{
                    xtype :'label',
                    html:'<div style="background:#EBF0F3;height:18px;">Likehood</div>' //#FCEBF5
                }], //tbar
                bbar:[{
                    xtype:'button',
                    text:'riskDistributionChart',//'TPMS.locale.riskAnlyse.riskDistributionChart',
                    handler : function() {
                    	RiskRangePop(domainSeq,'400','400',UserInfo.seq);
                    }
                },'-',{
                    xtype:'button',
                    text:'riskRankingList',//'TPMS.locale.riskAnlyse.riskRankingList',
                    handler : function(){
						RiskRankPop(domainSeq, UserInfo.seq);                 
                    }
                },'->',{
                    xtype:'button',
                    text:'apply',//'TPMS.locale.commonButton.apply',
                    handler:function(){
                    
                        var paramObj= new Object();
						var nCount=Ext.getCmp('risk-analysePop-grid').getStore().getCount();
                        for(var i=0;i<nCount;i++){
                            //배열에 담기 
                            paramObj[i]=Ext.getCmp('risk-analysePop-grid').getStore().data.items[i].data;  
                        }

                         
                        //Ext.confirmAlert('','',function(btn,text){
                                //if(btn=="yes"){
                                
								Ext.Ajax.request({
									url:'/service/tpms_proc.php?method=applyAnalysis',
									displaySuccessMessage : false,//'TPMS.locale.commonMsg.saveInfrom',
									displayFailMessage : true,//'TPMS.locale.commonMsg.insertFailMessage',
									method : 'POST',
									params:{
										RiskAnalyseData : Ext.encode(paramObj),
										RiskAnalyseStatus : Ext.getCmp('riskAnalyseStaus').getValue(),
										UserSeq : UserInfo.seq,
										DomainSeq : domainSeq
									},
									success : function(rsp, opt) {
										//분석담당자 그리드 스토어 로드 
										/*
										Ext.getCmp('DomainriskAnalyse-manager-grid').getStore().load({
											 params:{
													DomainSeq:domainSeq
												}
										});*/
								
									}
								}); //ajx 
//                                }else{
//                                    return;
//                                }
//                            });   
                         
                        
                         
                            
                    }
                },'-',{
                    xtype:'button',
                    text:'close',//'TPMS.locale.commonButton.close',
                    handler:function(){
                    
                        if(Ext.getCmp('risk-analysePop-grid').editStaus=="update"){
                            Ext.confirmAlert('','',function(btn,text){
                                    if(btn=="yes"){
                                        Ext.getCmp('risk-analysepop-win').hide();                 
                                    }
                                })    
                        }else{
                            Ext.getCmp('risk-analysepop-win').hide();     
                        }
                        
                       
                       
                    }
                }],
            listeners:{
                scope : this,
                afterlayout : function(){
                    
                    var a = riskAnalysePop;
                    
                }
            } 
               
        });
        
        
    }
    
    this.riskAnalysePopWin = riskAnalysePop;
    this.riskAnalysePopWin.show();

}; 




/*---------------------------------------------------그리드 cm 정의 부분  Ext.grid.DynamicColumnModel------------------------------------*/    

var PointList=null;
//콤보 리스트 스토어 

var riskAnalyseComboDataStore = new Ext.data.JsonStore({
        proxy:new Ext.data.HttpProxy({
                    url:'/service/tpms_proc.php?method=getRiskPointList'
                }),
        baseParams:{
            DomainSeq: UserInfo.DomainSeq
        },
        root : 'data',
        fields:[
            {name: 'Seq', type: 'string'},
            {name: 'DisplayPoint', type: 'string'},
            {name: 'ActualPoint', type: 'string'}

        ],
		autoLoad : true,
        listeners:{
            scope:this,
            load : function(s, dr, options) {
			    if(!s.reader.jsonData.success){
				    if(s.reader.jsonData.msg !=""){
                        Ext.errorAlert('', '');
                    }else{
                        Ext.errorAlert('',"데이터를 불러오는 중 오류가 발생하였습니다");
                    }
				}
				else
				{
					PointList = s.reader.jsonData.data;
					//alert(PointList[0].Seq);
				}
			},
            loadexception:function(){
                Ext.messageAlert('' , '');
            }
        }//listeners
    });

Ext.grid.DynamicColumnModel = function(store){

     
var cols = [];

   for (var i = 0; i < store.data.length; i++)
    {
           cols[0] = {header: 'no' , dataIndex: '', width:100, renderer :renderNumber ,css:'background-color: #EBF0F3;'};
        if(i==0){ 
            cols[i+1] = {header: TPMS_lang_riskItem, dataIndex: store.data[i].ID, width:100, css:'background-color: #EBF0F3;'};
        }else if(i==1 ){
            cols[i+1] = {header: 'RiskItemSeq', dataIndex: store.data[i].ID, width:100, css:'background-color: #EBF0F3;',hidden : true};
        }else{
           cols[i+1] = {id:i+1,header:   my_unescape(store.data[i].Name)  , 
                     dataIndex: store.data[i].ID, width:100,
					 renderer : function(Seq) {
										//if(Seq)
										//alert(PointList[0].DisplayPoint);

										if(PointList) {
											for(var idx=0;idx<PointList.length;idx++)
												if(PointList[idx].Seq == Seq)
												return PointList[idx].DisplayPoint;
										}

										},
                     editor:new Ext.form.ComboBox({
                                            id : Ext.id() +  'riskAnalyseCombo-'+i,
                                            typeAhead: false,
                                            triggerAction: 'all',
                                            store         : riskAnalyseComboDataStore,
                                            valueField    : 'Seq',
                                            displayField  : 'DisplayPoint',
                                            width:95,
                                            editable: false,
                                            lazyInit : false,
					                        forceSelection: true,
					                        selectOnFocus : true,
                                            mode: 'local',
                                            listWidth: 95,
                                            listeners:{
                                                scope : this,
                                                render  : {
                                                    scope : this,
                                                    fn : function(combo){
                                                       if (!combo.isExpanded()) {combo.onTriggerClick();};
                                                    }
                                                }
                                            }
                                            
                                            
                        }),
                        css:'border:0.5px solid #EBF0F3;background-color:'+ store.data[i].TypeName +';'
           				};


            }//col
   }
    Ext.grid.DynamicColumnModel.superclass.constructor.call(this, cols);

   
}

Ext.extend(Ext.grid.DynamicColumnModel, Ext.grid.ColumnModel, {});




function send_UpdateAnalysisCell(params)
{
	Ext.Ajax.request({
		url:params.url,
		displaySuccessMessage : false,//'TPMS.locale.commonMsg.saveInfrom',
		displayFailMessage : true,//'TPMS.locale.commonMsg.insertFailMessage',
		method : 'POST',
		params:params,
		success : function(rsp, opt) {
			//alert(rsp.responseText);
		}
	}); //ajx 
}