/// <reference path="../vswd-ext_2.2.js" />


/*---------------------------------------------------리스크 분석 화면 구성  팝업      searchManager ------------------------------------*/    
RiskDiscussPop = function(domainSeq){
    RiskDiscussPopStore(domainSeq);
};



RiskDiscussPopStore= function(domainSeq){
    
    var store = "";
    
   Ext.Ajax.request({
       //url:TPMS.sys.Service + '/Analyses.aspx?method=GetRiskFactorListForAnalysis',
	   url: '/service/TPMS_proc.php?method=getRiskFactorListForAnalysis',
		//url: '/json/GetRiskFactorListForAnalysis.json',
       displaySuccessMessage : false,
		displayFailMessage : "error ",
       method:'Post',
       params:{
            domainSeq : domainSeq
       },
       success: function(opt ,resp){
	       store = Ext.decode(opt.responseText);
	       
	       RiskDiscussPopGrid(store, domainSeq);
       },
       failure: function(){
            Ext.Msg.alert(TPMS_lang_title,'error');
       }
    });
};

//---------------------------------------------------그리드 스토어 부분     Ext.grid.Record ------------------------------------
Ext.grid.RecordDiscussion = function(store){
   
    var arr= [];
    
    for (var i = 0; i < store.data.length; i++){
   		arr[i] = store.data[i].ID;
    }
    
    this.recordType = Ext.data.Record.create(arr);
    
    return this.recordType;
   
};
Ext.extend(Ext.grid.RecordDiscussion, Ext.data.Record.create, {});




RiskDiscussPopGrid = function(store,domainSeq){
  


    var riskDiscussStore = new Ext.data.Store({
            proxy: new Ext.data.HttpProxy({
               //url:TPMS.sys.Service + '/Analyses.aspx?method=getRiskItemDiscussionValue',
			   url: '/service/TPMS_proc.php?method=getRiskItemDiscussionValue',
				//url: '/json/getRiskItemDiscussionValue.json',
               method : 'POST'
		    }),
		   
			baseParams:{
                    DomainSeq : domainSeq,
                    RiskItemSeq : ''
                },
	        reader: new Ext.data.JsonReader(
		        { root :'data'},
		        this.discussRecord =  Ext.grid.RecordDiscussion(store)
	        ),
	        autoLoad : false,
        listeners:{
            scope:this,
            loadexception: function(store) {
        		Ext.Msg.alert(TPMS_lang_title ,'error');
            }
        }
    });
    
    var riskDiscussDetail = new Ext.data.Store({
        proxy: new Ext.data.HttpProxy({
           //url:TPMS.sys.Service + '/Analyses.aspx?method=getRiskItemDiscussionAnalysesValue'
		   url: '/service/TPMS_proc.php?method=getRiskItemDiscussionAnalysesValue'
		   //url: '/json/getRiskItemDiscussionAnalysesValue.json'
	    }),
	    
        reader: new Ext.data.JsonReader(
	        { root: 'data'  },
	        this.discussResultRecord =  Ext.grid.RecordDiscussion(store)                     
        )
    });

    var itemGrid = new Ext.grid.EditorGridPanel({

        id: 'itemGrid',
        height: 50,
        region: 'north',
        loadMask: { msg: 'processing'},
        headerAsText:false,
        viewConfig : {
			autoFill : true,
			forceFit : true
		},
        width: 720,
        ds: riskDiscussStore,
		clicksToEdit : 1,
        split: true,
        autoScroll: true,
        cm : new Ext.grid.DynamicColumnModelDiscuss(store, domainSeq)
    }); 
    
   // var summary = new Ext.ux.GridSummary(); 
    
    var resultGrid = new Ext.grid.EditorGridPanel({

        id: 'resultGrid',
        height: 300,
        region: 'center',
        loadMask: { msg: 'processing' },
        headerAsText:false,
        viewConfig : {
			autoFill : true,
			forceFit : true
		},
        width: 720,
        ds: riskDiscussDetail,
		clicksToEdit : 1,
        split: true,
        autoScroll: true,
        cm : new Ext.grid.DynamicColumnModelDetail(store)//,
        //plugins: summary
    }); 

    //스크롤 오른쪽에 cell 클릭시 스크롤 이 밀려나는 문제 발생 -> focus 설정을 위한 override 처리 
    Ext.override(Ext.grid.GridView, {
      getEditorParent: function(ed) {
        return this.mainWrap.dom;
      }
    });

    var riskItemStore = new Ext.data.Store({
        proxy:new Ext.data.HttpProxy({
            //url:TPMS.sys.Service + '/domains.aspx?method=getRiskItemList',
			url: '/service/TPMS_proc.php?method=getRiskItemList',
			//url: '/json/getRiskItemList.json',
            method:'post'
        }),
        baseParams:{
                DomainSeq : domainSeq
            },
        reader:new Ext.data.JsonReader({
            root: 'data',
            fields: [ 'Seq','riskItemName' ]
        }),
        autoLoad:true,
        listeners:{
            scope:this,
            load : function(store , record, option){

            	if(record.length!=0){
            		this.combo = store.getAt(0).get('Seq');
            	
	            	Ext.getCmp('riskDiscussCombo').setValue(store.getAt(0).get('riskItemName'));
	            	
	            	itemGrid.getStore().reload({
	        			params: {
	        				domainSeq : domainSeq,
	        				riskItemSeq : store.getAt(0).get('Seq')
	        			}
	        		});
	        		resultGrid.getStore().reload({
	        			params: {
	        				domainSeq : domainSeq,
	        				riskItemSeq : store.getAt(0).get('Seq')
	        			}
	        		});
            	}
            	
            },
            loadexception:function(){
                //" 리스크 팩터 유형 목록을 가져올 수 없습니다"
                Ext.Msg.alert(TPMS_lang_title, 'error');
            }
        }
     });
      
      
     var win="";
    
     if(!win){
     	
     	var panel = new Ext.Panel({
			id : 'discussPanel',
			layout : 'border',
	    	border : false,
	    	width : 720,
	    	height : 230,
	    	autoScroll : false,
			bodyStyle : 'overflow-x:hidden; overflow-y:auto',						
			items : [ itemGrid, resultGrid ],
            tbar : ['TPMS.locale.riskAnlyse.subTitle',{
                        xtype :'label',
                        html:'<div style="background:#EBE2FA;height:18px;">(Impact</div>'
                    },'-',{
                        xtype :'label',
                        html:'<div style="background:#FCEBF5;height:18px;">Likehood)</div>'
                    },'->',{
                        xtype:'combo',
                        id:'riskDiscussCombo',
                        name:'riskDiscussCombo',
                        store: riskItemStore,                    
                        valueField: 'Seq',
                        displayField: 'riskItemName',
                        mode          : 'local',
		                typeAhead     : false,
		                editable      : false,
		                forceSelection: false,
		                selectOnFocus : false,
		                triggerAction : 'all',
		                widht : 500,
		                emptyText: 'TPMS.locale.riskAnlyseMsg.noItem',
		                listeners: {
		        	        scope: this,
		        	        select: function(combo, record, index){
		        		        this.combo = combo.getValue();
		        		        itemGrid.getStore().reload({
		        			        params: {
		        				        domainSeq : domainSeq,
                				        riskItemSeq : combo.getValue()
		        			        }
		        		        });
        		        		
		        		        resultGrid.getStore().reload({
		        			        params: {
		        				        domainSeq : domainSeq,
                				        riskItemSeq : combo.getValue()
		        			        }
		        		        });
		        	        }
		                }
            }]
		})
		
		//데이터 로드 
    	
        var riskAnalyseDiscussionPop = new Ext.Window({
                id:'risk-analyseDiscussionPop-win',
                layout:'fit',
                 width:screen.width - 440 ,
                minWidth : screen.width - 440 ,
                height:300,
                minHeight : 300,
                //minWidth:500,
                closeAction :'close',
                title:'TPMS.locale.riskAnlyse.riskAnalyseConsult',
                modal:true,
                //resizable:true,
                autoHeight: true,
                autoScroll:true,
                items:[ panel ],
                bbar:[{
                    xtype:'button',
                    text:'TPMS.locale.riskAnlyse.riskAnalyseVersion',
                    handler:function(){
                        var paramObj= new Object();

						paramObj[0]=Ext.getCmp('itemGrid').getStore().data.items[0].data;
                        for(var i=1;i<=Ext.getCmp('resultGrid').getStore().getCount();i++){
                            //배열에 담기 
                            paramObj[i]=Ext.getCmp('resultGrid').getStore().data.items[i-1].data;  
                        }
                        
                        save(paramObj, domainSeq, 'makeVer');
                        
                    }
                },'->',{
                    xtype:'button',
                    text:'TPMS.locale.commonButton.apply',
                    scope: this,
                    handler:function(){
                    
                    	
                        var paramObj= new Object();

						paramObj[0]=Ext.getCmp('itemGrid').getStore().data.items[0].data;
                        for(var i=1;i<=Ext.getCmp('resultGrid').getStore().getCount();i++){
                            //배열에 담기 
                            paramObj[i]=Ext.getCmp('resultGrid').getStore().data.items[i-1].data;  
                        }
                         //리스크 분석 값을 저장 하시겠습니까
                        Ext.Msg.confirm(TPMS_lang_title,'TPMS.locale.commonMsg.saveConfirm',function(btn){
                            if(btn=="yes"){
                            	save(paramObj, domainSeq, 'save');
                            }else{
                                return;
                            }
                        });   
                    }
                },'-',{
                    xtype:'button',
                    text:'TPMS.locale.commonButton.cancel',
                    handler:function(){
                        Ext.getCmp('risk-analyseDiscussionPop-win').close();
                    }
                }],
                listeners:{
                    scope : this,
                    show : function(){
                        var aa="";
                    }
                }
        });
    }
    
    return riskAnalyseDiscussionPop.show();

}; 

//리스크분석협의 저장
save=function(paramObj, domainSeq, type){
	//ajax 통신 
	Ext.Ajax.request({
       //url: TPMS.sys.Service + '/Analyses.aspx?method=updateRiskItemDiscussionAnalysesValue',
	   //url: '/service/TPMS_proc.php?method=updateRiskItemDiscussionAnalysesValue',
	   url: '/json/updateRiskItemDiscussionAnalysesValue.json',
       method:'Post',
       params:{
       		data : Ext.encode(paramObj),
       		riskItemSeq : this.combo,
            domainSeq : domainSeq
        },
       success: function(opt ,resp){
	       if(type == 'makeVer'){
				makeVersion(domainSeq);
				return;
			}
			Ext.Msg.alert(TPMS_lang_title, 'error');
       },
       failure: function(){
            Ext.Msg.alert(TPMS_lang_title, 'error');
       }
    });
};

//리스크분석협의 버전 생성
makeVersion=function(domainSeq){
	//ajax 통신 
	Ext.Ajax.request({
       //url: TPMS.sys.Service + '/Analyses.aspx?method=makeVersion',
	   //url: '/service/TPMS_proc.php?method=makeVersion',
	   url: '/json/makeVersion.json',
       method:'Post',
       params:{
       		userSeq : UserInfo.seq,
            domainSeq : domainSeq
        },
       success: function(resp, opt){
       		var respObj = Ext.decode(resp.responseText);
       		if(respObj==null){ return; }
       		if (respObj.success == true) {
       			
       			Ext.Msg.alert(TPMS_lang_title, 'error');
			} else {
				Ext.Msg.alert(TPMS_lang_title,'error');
			}
       },
       failure: function(){
            Ext.Msg.alert(TPMS_lang_title,'error');
       }
    });
};

/*---------------------------------------------------그리드 cm 정의 부분  Ext.grid.DynamicColumnModel------------------------------------*/    


Ext.grid.DynamicColumnModelDiscuss = function(store, domainSeq){

//콤보 리스트 스토어 
var discussStore = new Ext.data.Store({
    proxy:new Ext.data.HttpProxy({
        //url:TPMS.sys.Service + '/Analyses.aspx?method=GetRiskPointList'
		url: '/service/TPMS_proc.php?method=getRiskPointList'
    }),
    baseParams:{
        DomainSeq: 1//TPMS.login.DomainSeq
    },
    reader:new Ext.data.JsonReader({
        root:'data',
        fields:['Seq','DisplayPoint','ActualPoint']
    }),
    autoLoad: true,
    listeners:{
        scope:this,
        loadexception:function(){
            Ext.Msg.alert(TPMS_lang_title, 'error');
        }
    }//listeners
});


var cols = [];
	
   for (var i = 0; i < store.data.length; i++) {
   	
        if(i==0){ 
            cols[i] = {header: '&nbsp;', dataIndex: store.data[i].Seq, width:100, css:'background-color: #EBF0F3;'};
        }else if(i==1){
            cols[i] = {header: '&nbsp;', dataIndex: store.data[i].Seq, width:100, css:'background-color: #EBF0F3;', hidden:true};
        }else{

            cols[i] = {id:i,header: store.data[i].Name, dataIndex: store.data[i].ID, width:100, editor:new Ext.form.ComboBox({
                id : Ext.id() +  'riskAnalyseCombo-'+i,
                typeAhead: false,
                editable: false,
                forceSelection: false,
                selectOnFocus : false,
                listClass: 'x-combo-list-small',
                mode: 'remote',
                triggerAction: 'all',
                width: 95,
                store: discussStore,
                valueField: 'ActualPoint',
                displayField: 'DisplayPoint'
            }),
             css:'border:0.5px solid #EBF0F3;background-color:'+ store.data[i].TypeName +';'  };
        }//col
   }
    Ext.grid.DynamicColumnModelDiscuss.superclass.constructor.call(this, cols);
    
   
};

Ext.extend(Ext.grid.DynamicColumnModelDiscuss, Ext.grid.ColumnModel, {});


Ext.grid.DynamicColumnModelDetail = function(store){

var detailStore = new Ext.data.Store({
    proxy:new Ext.data.HttpProxy({
        //url:TPMS.sys.Service + '/Analyses.aspx?method=GetRiskPointList'
		url: '/service/TPMS_proc.php?method=getRiskPointList'
    }),
    baseParams:{
        DomainSeq: 1//TPMS.login.DomainSeq
    },
    reader:new Ext.data.JsonReader({
        root:'data',
        fields:['Seq','DisplayPoint','ActualPoint']
    }),
    autoLoad: true,
    listeners:{
        scope:this,
        loadexception:function(){
            Ext.Msg.alert(TPMS_lang_title, 'error');
        }
    }//listeners
});

var cols = [];
   for (var i = 0; i < store.data.length; i++) {
   	
        if(i==0){ 
            cols[i] = {header: '&nbsp;', dataIndex: store.data[i].ID, width:100, css:'background-color: #EBF0F3;',
            	summaryType: 'count',
                hideable: false,
                summaryRenderer: function(v, params, data){
                    return ((v === 0 || v > 1) ? 'Average(' + v +' Tasks)' : '(1 Task)');
                }
            };
        }else if(i==1){
            cols[i] = {header: '&nbsp;', dataIndex: store.data[i].ID, width:100, css:'background-color: #EBF0F3;', hidden:true};
        }else{
            cols[i] = { 
            	id:i, header: store.data[i].Name, dataIndex: store.data[i].ID, width:100, 
            	editor:new Ext.form.ComboBox({
	                id : Ext.id() +  'riskCombo-'+i,
	                typeAhead: false,
	                editable: false,
	                forceSelection: false,
	  
	                selectOnFocus : false,
	                listClass: 'x-combo-list-small',
	                mode: 'remote',
	                triggerAction: 'all',
	                width: 95,
	                autoScroll: false,
	                store: detailStore,
	                valueField: 'ActualPoint',
                	displayField: 'DisplayPoint'
	            }),
                sortable: true,
                summaryType: 'average',
                css:'border:0.5px solid #EBF0F3;background-color:'+ store.data[i].TypeName +';' 
            };
        }//col
   }
    Ext.grid.DynamicColumnModelDetail.superclass.constructor.call(this, cols);
};

Ext.extend(Ext.grid.DynamicColumnModelDetail, Ext.grid.ColumnModel, {});



//======== Ext.ux.renderer ================================================================================/

Ext.ns("Ext.ux.renderer");

Ext.ux.renderer.ComboRenderer = function(options) {
    var value = options.value;
    var combo = options.combo;

    var returnValue = value;
    var valueField = combo.valueField;
        
    var idx = combo.store.findBy(function(record) {
        if(record.get(valueField) == value) {
        	
            returnValue = record.get(combo.displayField);
            return true;
        }
    });
    
    // This is our application specific and might need to be removed for your apps
    if(idx < 0 && value == 0) {
        returnValue = '';
    }
    
    return parseInt(returnValue);
};


Ext.ux.renderer.Combo = function(combo) {
   
    return function(value, meta, record) {
        return Ext.ux.renderer.ComboRenderer({value: value, meta: meta, record: record, combo: combo});
    };
}


