	
	//////////////////////////////////////////////////////////
	//////												//////
	//////				Scrum Sprint Window				//////
	//////												//////
	//////////////////////////////////////////////////////////

	scrumSprintTreeWin = function(){
		UserInfo.scrumWindowType='Sprint';
		if(Ext.getCmp('scrumProductTreeWindow')){
			Ext.getCmp('scrumProductTreeWindow').close();
		}		

		if(Ext.getCmp('scrumSprintTreeWindow')){
			Ext.getCmp('scrumSprintTreeWindow').close();
		}		
	
		//var name = TPMS_lang_scrum_sprint+" "+TPMS_lang_window;
		var name = TPMS_lang_scrum_sprint_btn;

		//var addPanel1 = new Ext.Panel();
		//var addPanel2 = new Ext.Panel();
		//var addPanel3 = new Ext.Panel();

		//addPanel1.add(doingTreePanel);
		//addPanel2.add(qTreePanel);
		//addPanel3.add(doneTreePanel);

		//addPanel1.add(scrumSprintTreePanelArr[0]);
		//addPanel2.add(scrumSprintTreePanelArr[1]);
		//addPanel3.add(scrumSprintTreePanelArr[2]);
		

		var treeMainCenterPanel = {
			region: 'center',
			layout: 'border',
			border: false,
			height:200,
			items:[{
				region: 'center',
				id:'scrumWinDoingPanel',
				layout: 'fit',
				//xtype:'panel',
				border:false,
				minWidth:150,
				minHeight:150,
				//height:Config.Height,
				items:[makeTreePanel('doing')],//scrumSprintTreePanelArr[0]],
				listeners:{
					resize: {
						fn: function(el){

						}
					}   
				}
			},{
				region: 'east',
				id:'scrumWinEastPanel',
				layout: 'fit',
				minWidth:150,
				//xtype:'panel',
				split: true,
				border:false,
				height:200,
				width:(Config.Width)/2,
				items:[makeTreePanel('task')]//scrumSprintTreePanelArr[1]]
			}]
		}
		
		var treeMainSouthPanel = {
			region: 'south',
			id:'treeMainSouthPanel',
			layout: 'fit',
			//xtype:'panel',
			split: true,
			border:false,
			height: 200,
			items:[makeTreePanel('done')]//scrumSprintTreePanelArr[2]]
		}
	
		var scrumTreeWindow = new Ext.Window({
			title: name,
			id:'scrumSprintTreeWindow',
			closable:true,
			width:Config.Width,//document.body.clientWidth-43,
			height:Config.Height,//document.body.clientHeight-240,
			plain:true,
			layout: 'border',
			//resizable: false,
			closable: false,
			items: [treeMainCenterPanel,treeMainSouthPanel],
			listeners:{
				resize: {
					fn: function(el){
						Ext.getCmp('scrumWinEastPanel').setWidth((this.getWidth()-43)/2);
						Ext.getCmp('treeMainSouthPanel').setHeight((this.getHeight()-60)/2);
					}
				}   
			},
			tbar:[{ 
				xtype: 'tbbutton',
				hidden:true,
				text: 'R',
				handler: function(btn){
					Ext.getCmp('scrumSprintTreeWindow').setHeight(Config.Height);
					Ext.getCmp('scrumSprintTreeWindow').setWidth(Config.Width);
				}
			},buttonArray('scrumTree','scrumSprintTreeWindow'),'-',
				
			/*{ 
				xtype: 'tbbutton',
				text: 'Doing',
				hidden: false,
				handler: function(btn){

					if(!Ext.getCmp('doing-tree-panel').collapsed)
					{	
						Ext.getCmp('doing-tree-panel').expandAll();
						Ext.getCmp('doing-tree-panel').collapsed=true;
					}
					else
					{
						Ext.getCmp('doing-tree-panel').collapseAll();
						Ext.getCmp('doing-tree-panel').collapsed=false;
					}
				}
			},{ 
				xtype: 'tbbutton',
				text: 'Task',
				hidden:false,
				handler: function(btn){

					if(!Ext.getCmp('q-tree-panel').collapsed)
					{
						Ext.getCmp('q-tree-panel').expandAll();
						Ext.getCmp('q-tree-panel').collapsed=true;
					}
					else
					{
						Ext.getCmp('q-tree-panel').collapseAll();
						Ext.getCmp('q-tree-panel').collapsed=false;
					}
				}
			},{ 
				xtype: 'tbbutton',
				text: 'Done',
				hidden: false,
				handler: function(btn){
					if(!Ext.getCmp('done-tree-panel').collapsed)
					{
						Ext.getCmp('done-tree-panel').expandAll();
						Ext.getCmp('done-tree-panel').collapsed=true;
					}
					else
					{
						Ext.getCmp('done-tree-panel').collapseAll();
						Ext.getCmp('done-tree-panel').collapsed=false;
					}
				}
			}*/
			{ 
				xtype: 'tbbutton',
				text: 'Open Tree',
				hidden: false,
				handler: function(btn){


					if(Ext.getCmp('doing-tree-panel').collapsedTree){	
						Ext.getCmp('doing-tree-panel').expandAll();
						Ext.getCmp('doing-tree-panel').collapsedTree=false;
					}else{
						Ext.getCmp('doing-tree-panel').collapseAll();
						Ext.getCmp('doing-tree-panel').collapsedTree=true;
					}

					if(Ext.getCmp('q-tree-panel').collapsedTree){
						Ext.getCmp('q-tree-panel').expandAll();
						Ext.getCmp('q-tree-panel').collapsedTree=false;
					}else{
						Ext.getCmp('q-tree-panel').collapseAll();
						Ext.getCmp('q-tree-panel').collapsedTree=true;
					}

					if(Ext.getCmp('done-tree-panel').collapsedTree){
						Ext.getCmp('done-tree-panel').expandAll();
						Ext.getCmp('done-tree-panel').collapsedTree=false;
					}else{
						Ext.getCmp('done-tree-panel').collapseAll();
						Ext.getCmp('done-tree-panel').collapsedTree=true;
					}
				}
			}]
		});

		scrumTreeWindow.show(this);
		scrumTreeWindow.setPosition(5,50);
		Ext.getCmp('scrumSprintList').setValue(CurrentSprintInfo.currentSeq);
		Ext.getCmp('doing-tree-panel').collapsedTree=true;
		Ext.getCmp('done-tree-panel').collapsedTree=true;
		Ext.getCmp('q-tree-panel').collapsedTree=true;
	};