﻿var tipData = Array();
var dataCnt = 0;
var pageNum = -1;

var tmpWin = null;

tipPop = function(){

	var tipStore = new Ext.data.Store({
		proxy:new Ext.data.HttpProxy({
			url: '/service/toolTip_proc.php',
			method:'POST'
		}),
		reader:new Ext.data.JsonReader({
			root:'data',
			fields:['seq','name','description','file']
		}),
		listeners:{
			scope:this,
			load : function(store , record, option){
				//alert("ie");
				tipData = store.reader.jsonData.data;
				dataCnt = store.reader.jsonData.totalCount;

				if(pageNum == -1){
					pageNum = 0;
				}else{
					pageNum = parseInt((Math.random(dataCnt)*1000),10)%dataCnt;
				}
				tmpWin = showPage(pageNum);
			},
			loadexception:function(){
				//TPMS.util.errorAlert(TPMS.sys.name , TPMS.locale.commonMsg.errorInfrom);
			}
		}
	});

	tipStore.load();

};

showPage = function(num){
if(tmpWin)
{
	//tmpWin.
	Ext.getCmp('tipPage').setTitle(tipData[num].name);
	Ext.getCmp('tipPage').body.dom.innerHTML = tipData[num].description;

	tmpWin.doLayout(true,false);
	return;
}
	var tipPage = {
		id : 'tipPage',
		xtype:'panel',
		title: tipData[num].name,
		bodyStyle:'padding:5px;',
		width: 440,
		height: 330,
		html:tipData[num].description
	};

	var tipPageSlider = new Ext.Slider({
		id:'tipPageSlider',
		width: 200,
		minValue: 1,
		maxValue: dataCnt,
		plugins: new Ext.slider.Tip(),
		listeners:{
			changecomplete: function(s, v){ 
				var tipPageNum = this.getValue()-1;
				showPage(tipPageNum);				
			} 
		}
	});

	Ext.getCmp('tipPageSlider').setValue(num+1);

	var tipPanel = new Ext.Panel({
		region: 'center',
		bodyStyle:'padding:5px;',
		border:false,
		items:[tipPage,
		{
			xtype: 'checkbox',
			id:'tipView-checkBox',
			name:'tipView-checkBox',
			boxLabel: TPMS_lang_showTip//'Show Tips at Startup'
			//,checked: true
		}],
		tbar:['->',{
			xtype:'button',
			iconCls: 'icon-cancel',
			text: TPMS_lang_button_close,
			handler: function(btn){

				var quickGuide = Ext.getCmp('tipView-checkBox').getValue()?'yes':'no';
				//alert(Config.TipShow +" / "+ quickGuide);
				
				if( Config.TipShow != quickGuide){

					var configData = Array({seq : 0, configKey : 'TipShow',configValue : quickGuide });
					var configDataString = Ext.encode(configData);

					Ext.Ajax.request({
						url: '/service/commonConfig_proc.php?method=saveCommonConfig',
						method: 'POST',
						params: { 
							ConfigData : configDataString
						},
						success: function(result, request) {
						},
						failure: function(result, request) {
						}
					});

					Config.TipShow = quickGuide;
				}		
				tipWin.close();
				tmpWin = null;
				window.open('/view/setStyle.php?closeTip=1','hiddenframe');
			}
		}],
		bbar:[{xtype:'tbfill',text: '->'},{
			xtype:'button',			
			//text: TPMS_lang_button_previous,
			iconCls:'icon-prev',
			handler: function(btn){
				pageNum--;
				var preNum = pageNum; 
				if(preNum == -1){
					preNum = dataCnt-1;
					pageNum = dataCnt-1;
				}
				//alert("preNum :"+preNum+", num :"+pageNum);
				showPage(preNum);
				Ext.getCmp('tipPageSlider').setValue(preNum+1);

			}
		},tipPageSlider,{
			xtype:'button',
			iconCls:'icon-next',
			bodyStyle:'color:red;',
			//text: TPMS_lang_button_next,
			handler: function(btn){
				pageNum++;
				var nextNum = pageNum; 
				if(nextNum == dataCnt){
					nextNum = 0;
					pageNum = 0;
				}
				//alert("nextNum :"+nextNum+", num :"+pageNum);
				showPage(nextNum);
				Ext.getCmp('tipPageSlider').setValue(nextNum+1);

			}
		}]
	});

	var tipWin = new Ext.Window({
		title: TPMS_lang_tipTitle,//TPMS_lang_title+" Tip",
		closable:true,
		width:467,
		height:460,
		plain:true,
		layout: 'border',
		resizable: false, //Resize of the Window, if false - it cannot be resized
		closable: false,
		//closeaction: 'close',
		items: [ tipPanel ]
	});

	tipWin.show(this);

	if(UserInfo.TipShow == "yes") Ext.getCmp('tipView-checkBox').setValue(true);
	else Ext.getCmp('tipView-checkBox').setValue(false);
	
	return tipWin;
};