function invite(userNick,domainSeq)
{
	var userSeq = Ext.getCmp('domainUser-userSeq').getValue();
	var id = Ext.getCmp('domainUser-userid').getValue();
	var email =	Ext.getCmp('domainUser-email').getValue();

	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=inviteUser',
		method: 'POST',
		params :{
			UserNick : userNick,
			//DomainSeq : domainSeq,
			InviteEmail : email,
			InviteUserSeq : userSeq,
			InviteUserId : id,
			ServiceName : 'Domains',
			Seq : domainSeq
		},
		success: function ( result, request ) {
			//Ext.Msg.alert("생성");
			Ext.Msg.alert(TPMS_lang_title,result.responseText);
			//Ext.Msg.alert(TPMS_lang_title, TPMS_lang_user_Mag_inviteSuccess);
			updateUserGridPanel.getStore().reload();
		},
		failure: function ( result, request ) {
			Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_error); 
		}
	});

}
function userCreate(userSeq,domainSeq)
{
	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=create_domain_user',
		method: 'POST',
		params :{
			MemberSeq : userSeq,
			DomainSeq : domainSeq
		},
		success: function ( result, request ) {
				var r = Ext.decode(result.responseText);
					if(r.success==false) Ext.Msg.alert(r.msg_type,r.msg);
					else{
						//alert(result.responseText);
					}
				if(parseInt(r.msg,10) == 2){
					var userMaxMsg = TPMS_lang_Msg_maxUser.replace("{item}",TPMS_lang_user);//egkang??
					userMaxMsg = userMaxMsg.replace("{number}",Config.userMax);

					Ext.Msg.alert(TPMS_lang_title, userMaxMsg);					
				}else if(parseInt(r.msg,10) == 1){
					var userMaxMsg = TPMS_lang_Msg_maxUser.replace("{item}",TPMS_lang_user);//egkang??
					userMaxMsg = userMaxMsg.replace("{number}",10);

					Ext.Msg.alert(TPMS_lang_title, userMaxMsg);
					//var maxLength = TPMS_lang_Msg_maxItems.replace("{number}",10);
					//Ext.Msg.alert(TPMS_lang_title,maxLength);
				}else if(parseInt(r.msg,10) == 0){
					var userMaxMsg = TPMS_lang_Msg_maxUser.replace("{item}",TPMS_lang_user);//egkang??
					userMaxMsg = userMaxMsg.replace("{number}",3);

					Ext.Msg.alert(TPMS_lang_title, userMaxMsg);
					
					//var maxLength = TPMS_lang_Msg_maxItems.replace("{number}",3);
					//Ext.Msg.alert(TPMS_lang_title,maxLength);
				}else{

				}				
			updateUserGridPanel.getStore().reload();
		},
		failure: function ( result, request ) {
		}
	});

}

function domainUserChange(domainUserListSeq,userSeq,status)
{
	//alert(userSeq+" / "+domainSeq);
	alert("리스크분석 참여자 변경");
}
function userInfoUpdate(domainUserListSeq,userSeq,status,nick,group_name,email,id,passwd,etc)
{
	//alert(domainUserListSeq+'/'+userSeq+'/'+status+'/'+nick+'/'+group_sid+'/'+email+'/'+id+'/'+passwd);
	
	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=update_domain_user',
		method: 'POST',
		params :{
			DomainUserListSeq : domainUserListSeq,
			MemberSeq : userSeq,
			AnalysisStatus : status,
			Nick : nick,
			GroupName : group_name,
			Email : email,
			Id : id,
			Passwd : passwd,
			Etc : etc
		},
		success: function ( result, request ) {
				var r = Ext.decode(result.responseText);
					if(r.success==false) Ext.Msg.alert(r.msg_type,r.msg);
					else{
						//alert(result.responseText);
					}
			//Ext.Msg.alert("생성");
			updateUserGridPanel.getStore().reload();
		},
		failure: function ( result, request ) {
			//Ext.Msg.alert("생성 실패"); 
		}
	});
}
function userDelete(domainUserListSeq)
{
	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=delete_domain_user',
		method: 'POST',
		params :{
			DataList :domainUserListSeq
		},
		success: function ( result, request ) {
			var r = Ext.decode(result.responseText);
				if(r.success==false) Ext.Msg.alert(r.msg_type,r.msg);
				else{
					//alert(result.responseText);
				}
			updateUserGridPanel.getStore().reload();
		},
		failure: function ( result, request ) {
			//Ext.Msg.alert("삭제 실패"); 
		}
	});
}

//Pop
//============ 사용자 불러오기

callUserWin = function(domainSeq){

	var userStore = new Ext.data.Store({
		proxy: new Ext.data.HttpProxy({
			url: '/service/tpms_proc.php?method=getMemberList'
		}),
		reader: new Ext.data.JsonReader({
		root:'data',
		id:'seq'
		}, [
			'seq',
			'nick_name',
			'group_sid',
			'group_name',
			'ID',
			'email'
		])
	});
	userStore.load();
	
	var userGridsm = new Ext.grid.CheckboxSelectionModel({ singleSelect: true });
	
	var userGridPanel = new Ext.grid.GridPanel({
		//id:'userGridPanel',
		frame:true,
		store: userStore,
		//collapsible: true,
	    //animCollapse: false,
		width:'auto',
		height:350,		
		autoScroll: true,
		stripeRows: true,
		enableColumnHide  : false,
		enableColumnResize: true,
		enableColumnMove  : false,
		enableHdMenu: false,
		loadMask: { msg: TPMS_lang_Msg_load },
		view: new Ext.grid.GridView({
			forceFit:true
        }),
		cm : new Ext.grid.ColumnModel([
			userGridsm,
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_user, dataIndex: 'nick_name', sortable: true, width: 100},
			{header: TPMS_lang_user_department, dataIndex: 'group_name', sortable: true, width: 130},
			{header: TPMS_lang_user_id, dataIndex: 'ID', sortable: true, width: 100},
			{header: TPMS_lang_user_email, dataIndex: 'email', sortable: true, width: 100}
		]),
		sm: userGridsm,
		listeners: {
			rowclick:function(grid, rowIndex, e) {
				
				var selectItem = grid.selModel.getSelections();

				if(selectItem.length==0) return;
					var domainUserListSeq = selectItem[0].data['seq']; 
					Ext.getCmp('select-userSeq').setValue(domainUserListSeq);
			}
		}
	});

	var centerPanel = {
		region: 'center',
		xtype: 'panel',
        id: 'callUserList-center',		
        border: false,
		bodyStyle:'padding:5px;',
		items: [
			userGridPanel
			],
		tbar: [{xtype: 'hidden', id: 'select-userSeq'},'->',{
			xtype: 'button',
			iconCls: 'icon-save',
			text: TPMS_lang_button_apply,//TPMS_lang_button_save,
			handler: function() {

				var selectUserSeq = Ext.getCmp('select-userSeq').getValue(); 

				if(selectUserSeq){
					Ext.Msg.confirm(TPMS_lang_title, TPMS_lang_Msg_applyConfirm , function(btn,text){
						if(btn=="yes"){

							Ext.Ajax.request({
								url: '/service/tpms_proc.php?method=getMemberList',
								method: 'POST',
								params :{
									MemberListSeq : selectUserSeq
								},
								success : function(resp, opt){
								
									var renderData = Ext.decode(resp.responseText).data[0];

									Ext.getCmp('domainUser-userSeq').setValue(renderData.MemberSeq);
									Ext.getCmp('domainUser-name').setValue(renderData.nick_name);
									Ext.getCmp('domainUser-description').setValue(renderData.description.replace(/\\n/gi,'\n').replace(/\\"/gi,'"').replace(/\\'/gi,'\'').replace(/%%/gi,'%').replace(/\\\\/gi,'\\'));
									Ext.getCmp('domainUser-userid').setValue(renderData.writer);
									//Ext.getCmp('domainUser-passwd').setValue(renderData.passwd);
									Ext.getCmp('domainUser-email').setValue(renderData.email);
									//Ext.getCmp('domainUser-status').setValue(renderData.statusSeq);
									Ext.getCmp('domainUser-group').setValue(renderData.group_name);
									Ext.getCmp('domainUserInfoPanel-form').doLayout();

									Ext.getCmp('callUserList-button').enable();
									callUserWin.close();

									Ext.getCmp('domainUser-registed').disable();
								},
								failure: function ( result, request ) {
									//Ext.Msg.alert("","Failure"); 
								}
							});

						}else{
								
						}
					});  
				}else{
					Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_selectDataInfrom);
				}				
			}
        },'-',{
			xtype: 'button',
			iconCls: 'icon-cancel',
			text: TPMS_lang_button_close,
			handler: function() {
				Ext.getCmp('callUserList-button').enable();
				callUserWin.close();
			}
        }]
	};


	var callUserWin = new Ext.Window({
		title: TPMS_lang_memberCall, //등록된 사용자 조회
		id: 'callUserWin',
		closable:false,		
		width:400,
		height:420,
		border:false,
		plain:true,
		layout: 'border',
		items: [centerPanel]
	});

	callUserWin.show(this);
	callUserWin.setPosition(5,5);
};


//============ 사용자 정보 수정
domainUserUpdateWin = function(domainUserListSeq,domainSeq){

	//if(Ext.getCmp('riskAnalysisUserUpdate-win')) return;

	var memberGroupStore = new Ext.data.Store({
		proxy: new Ext.data.HttpProxy({
			url: '/service/tpms_proc.php?method=getMemberGroupList'
		}),
		reader: new Ext.data.JsonReader({fields : ['sid','name'],root:'data'})
		,autoLoad : true
		});

	var statusStore = new Ext.data.Store({
		proxy: new Ext.data.HttpProxy({
			url: '/service/tpms_proc.php?method=getAnalysisStates&DomainSeq='+domainSeq
		}),
		reader: new Ext.data.JsonReader({fields : ['ID','status'],root:'data'}),
		autoLoad : true
		});

function getDomainUserInfo(){

	Ext.Ajax.request({
		url: '/service/tpms_proc.php?method=getDomainUserInfo',
		method: 'POST',
		params :{
			DomainUserListSeq : domainUserListSeq
		},
		success : function(resp, opt){
			var renderData = Ext.decode(resp.responseText).data[0];

			Ext.getCmp('domainUser-userSeq').setValue(renderData.MemberSeq);
			Ext.getCmp('domainUser-name').setValue(renderData.nick_name);
			Ext.getCmp('domainUser-description').setValue(renderData.description.replace(/\\n/gi,'\n').replace(/\\"/gi,'"').replace(/\\'/gi,'\'').replace(/%%/gi,'%').replace(/\\\\/gi,'\\'));
			Ext.getCmp('domainUser-userid').setValue(renderData.writer);
			//Ext.getCmp('domainUser-passwd').setValue(renderData.passwd);
			Ext.getCmp('domainUser-email').setValue(renderData.email);
			Ext.getCmp('domainUser-status').setValue(renderData.statusSeq);
			Ext.getCmp('domainUser-group').setValue(renderData.group_name); 
			//Ext.getCmp('domainUser-group').setValue(renderData.group_sid);
			if(renderData.reg_date=='')
				{
					//if(parseInt(UserInfo.MaxMemberCount,10) <= parseInt(Config.registedMemberCount,10))
						Ext.getCmp('domainUser-registed').enable();
				}
			Ext.getCmp('domainUserInfoPanel-form').doLayout();

		},
		failure: function ( result, request ) {
			Ext.Msg.alert("","Failure"); 
		}
	});

//============ 글자 입력 제한시 side 경고 알림
	//Ext.QuickTips.init();

    // turn on validation errors beside the field globally
    Ext.form.Field.prototype.msgTarget = 'side';

//============

	var domainUserInfoPanel = {
		xtype: 'form',
		id: 'domainUserInfoPanel-form',
		//width: 100,
		height: 430,
        border: false,
		bodyStyle: 'padding: 5 5 5 5;',
		items:[{
			xtype:'fieldset',
            title: TPMS_lang_userInfo,
			items:[{xtype:'hidden',id:'domainUser-userSeq'},{
				xtype:'textfield',
				fieldLabel: TPMS_lang_user_name,
				id: 'domainUser-name',
				maxLength: Config.nameMaxLength,
				allowBlank : false,
				anchor:'95%'
				,listeners:{
					scope : this,
					blur : function(datefield){
						enableSelect(false);
						datefield.setValue(datefield.getValue().trim());
					},
					focus : function(){enableSelect(true);}
				}
			},{
				xtype:'compositefield',
				fieldLabel: TPMS_lang_user_department,
				items:[{
					xtype:'combo',
					fieldLabel: TPMS_lang_user_department,
					id: 'domainUser-group',
					maxLength: Config.maxLength20,
					//allowBlank : false,
					//mode : 'local',
					//editable: false,
					store : memberGroupStore,
					displayField : 'name',
					valueField: 'name',
					triggerAction: 'all',
					anchor:'95%',
					listeners:{
						//scope : this,
						//blur : function(datefield){
						//	datefield.setValue(datefield.getValue().trim());
						//}
					}
				},{
					xtype: 'displayfield', value: '<div id=\"msg_user_department\" class=\"tip-target\" onmouseover=\"showToolTipInfo(\'msg_user_department\',\'left\',200,\''+TPMS_lang_toolTip_msg_user_department+'\')\"><img src=\"../lib/ext/resources/images/icon-silk/information.gif\"></div>'
				}]
			},/*{
				xtype:'combo',
				fieldLabel: TPMS_lang_user_department,
				id: 'domainUser-group',
				maxLength: Config.maxLength20,
				allowBlank : false,
				//mode : 'local',
				store : memberGroupStore,
				displayField : 'name',
				valueField: 'name',
				triggerAction: 'all',
				anchor:'95%',
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				}
			},*/{
				xtype:'combo',
				fieldLabel:TPMS_lang_user_analyseStatus,
				id: 'domainUser-status',
				mode : 'local',
				editable: false,
				store : statusStore,
				displayField : 'status',
				valueField: 'ID',
				triggerAction: 'all',
				anchor:'95%'
			},{
				xtype: 'textarea',
				fieldLabel:TPMS_lang_user_memo,
				id: 'domainUser-description',
				maxLength: Config.maxLength1000,
				anchor:'95%',
				style: {
					width: '95%',
					height: 80,
					marginBottom: '10px'
				}
				,listeners:{
					scope : this,
					blur : function(datefield){
						enableSelect(false);
						datefield.setValue(datefield.getValue().trim());
					},
					focus : function(){enableSelect(true);}
				}
			},{
				xtype:'textfield',
				fieldLabel: TPMS_lang_createdDate,
				id: 'domainUser-regDate',
				onFocus: function(){this.blur();},
				readOnly : true,
				anchor:'95%'
			},{
				//xtype:'textfield',
				xtype:'hidden',
				fieldLabel: TPMS_lang_updateDate,
				id: 'domainUser-updateDate',
				onFocus: function(){this.blur();},
				readOnly : true,
				anchor:'95%'
			},{
				xtype:'compositefield',
				fieldLabel:TPMS_lang_user_register,
				anchor:'95%',
				items: [{
					xtype:'checkbox',
					fieldLabel:TPMS_lang_user_register,
					boxLabel:TPMS_lang_user_register_new,
					disabled : true,
					id: 'domainUser-registed',
					handler : function(){
						if(this.checked){
						Ext.getCmp('domainUser-userid').enable();
						Ext.getCmp('domainUser-passwd').enable();
						}
						else
						{
						Ext.getCmp('domainUser-userid').disable();
						Ext.getCmp('domainUser-passwd').disable();
						}
					},
					anchor:'95%'
				},{
					xtype: 'displayfield', value: '<div id=\"msg_user_register_new\" class=\"tip-target\" onmouseover=\"showToolTipInfo(\'msg_user_register_new\',\'left\',200,\''+TPMS_lang_toolTip_msg_user_register_new+'\')\"><img src=\"../lib/ext/resources/images/icon-silk/information.gif\"></div>'
				}]
			}/*{
				xtype:'checkbox',
				fieldLabel:TPMS_lang_user_register,
				boxLabel:TPMS_lang_user_register_new,
				disabled : true,
				id: 'domainUser-registed',
				handler : function(){
					if(this.checked){
					Ext.getCmp('domainUser-userid').enable();
					Ext.getCmp('domainUser-passwd').enable();
					}
					else
					{
					Ext.getCmp('domainUser-userid').disable();
					Ext.getCmp('domainUser-passwd').disable();
					}
				},
				anchor:'95%'
			}*/
		]},{
			xtype:'fieldset',
            title: TPMS_lang_userOnlineInviteInfo,
			items:[{
				xtype:'textfield',
				fieldLabel:TPMS_lang_user_id,
				id: 'domainUser-userid',
				disabled : true,
				anchor:'95%'
				,listeners:{
					scope : this,
					blur : function(datefield){
						enableSelect(false);
						datefield.setValue(datefield.getValue().trim());
					},
					focus : function(){enableSelect(true);}
				}
			},{
				xtype:'textfield',
				fieldLabel: TPMS_lang_user_passwd,
				id: 'domainUser-passwd',
				disabled : true,
				anchor:'95%',
				enableKeyEvents : true,
				listeners:{
					scope : this,
					keypress : function(tf, e){
						//var key = e.getKey();
						//if((key >= 48 && key <= 57) || key == 8 ){}else{	e.stopEvent();	}
					},
					keyup: function(tf, e){
						var tmpValue = Ext.getCmp('domainUser-passwd').getValue();
						if(tmpValue.length < 6){// || 
							//Ext.getCmp('domainUser-passwd').style("color:red;");
							//alert(tmpValue);
						}
					},
					blur : function(datefield){
						enableSelect(false);
						datefield.setValue(datefield.getValue().trim());
					},
					focus : function(){enableSelect(true);}
				}
			/*
				xtype:'textfield',
				//fieldLabel: TPMS_lang_user_passwd,
				id: 'domainUser-passwd',
				disabled : true,
				anchor:'95%',
				fieldLabel: 'Password',
				name: 'pass',
				id: 'pass'
			},{
				xtype:'textfield',
				//fieldLabel: TPMS_lang_user_passwd,
				id: 'domainUser-passwd2',
				disabled : true,
				anchor:'95%',
				fieldLabel: 'Confirm Password',
				name: 'pass-cfrm',
				vtype: 'password',
				initialPassField: 'pass' // id of the initial password field
			*/
			},{
				layout: 'column',
				fieldLabel:TPMS_lang_user_email,
				border: false,
				//bodyStyle: 'padding: 5 5 5 5;',
				items : [
				{
					xtype:'textfield',
					fieldLabel:TPMS_lang_user_email,
					id: 'domainUser-email',
					columnWidth: .9
					//width : 180//,
					,listeners:{
						scope : this,
						blur : function(datefield){
							enableSelect(false);
							datefield.setValue(datefield.getValue().trim());
						},
						focus : function(){enableSelect(true);}
					}
				},{
					border:false,
					width:10
				},{
					xtype:'button',
					width:50,
					text: TPMS_lang_user_invite,
					tooltip:TPMS_lang_toolTip_msg_sendCall,
					disabled : (UserInfo.License<=0)?true:false,
					handler : function(btn){
						invite(UserInfo.NickName,domainSeq);
					}
				}]
			}]
		}]
	};

	var centerPanel = {
		region: 'center',
		xtype: 'panel',
        id: 'domainUserUpdate-center',		
        border: false,
		bodyStyle:'padding:5px;',
		items: [
			domainUserInfoPanel
			],
		tbar: ['->', {
			xtype: 'button',
			id: 'insert',
			iconCls: 'icon-save',
			text: TPMS_lang_button_save,
			handler: function() {
				//Ext.Msg.alert("","저장");
				var userSeq = Ext.getCmp('domainUser-userSeq').getValue();
				var nick = Ext.getCmp('domainUser-name').getValue();
				var etc = Ext.getCmp('domainUser-description').getValue();
				var passwd = Ext.getCmp('domainUser-passwd').getValue();
				var id = Ext.getCmp('domainUser-userid').getValue();
				var email =	Ext.getCmp('domainUser-email').getValue();
				var status = Ext.getCmp('domainUser-status').getValue();
				var group_name = Ext.getCmp('domainUser-group').getValue();



				//이름 입력 길이 확인
				if(nick.length > Config.nameMaxLength){
					var maxLength = TPMS_lang_Msg_maxLength.replace("{number}","20");
					Ext.Msg.alert(TPMS_lang_title, TPMS_lang_user_name +" : <br>"+ maxLength);
					return;
				}else if(nick.length == 0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_user_name + TPMS_lang_Msg_validationMsg);
					return;
				}

				//업무그룹 입력 길이 확인
				if(group_name.length > Config.maxLength20){
					var maxLength = TPMS_lang_Msg_maxLength.replace("{number}","20");
					Ext.Msg.alert(TPMS_lang_title, TPMS_lang_user_department +" : <br>"+ maxLength);
					return;
				}else if(group_name.length == 0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_user_department + TPMS_lang_Msg_validationMsg);
					return;
				}

				//메모 입력 길이 확인
				if(etc.length > Config.maxLength1000){
					var maxLength = TPMS_lang_Msg_maxLength.replace("{number}","1000");
					Ext.Msg.alert(TPMS_lang_title, TPMS_lang_user_memo +" : <br>"+ maxLength);
					return;
				}

				userInfoUpdate(domainUserListSeq,userSeq,status,nick,group_name,email,id,passwd,etc);

				if(Ext.getCmp('callUserWin')){
					Ext.getCmp('callUserWin').close();
				}
				Ext.getCmp('updateUser-button').enable();
				seletWin.close();
			}
		},'-',{
			xtype: 'button',
			iconCls: 'icon-cancel',
			text: TPMS_lang_button_cancel,
			handler: function() {
				if(Ext.getCmp('callUserWin')){
					Ext.getCmp('callUserWin').close();
				}
				if(Ext.getCmp('domainUserUpdate-center')){
					Ext.getCmp('updateUser-button').enable();
					seletWin.close();
				}
			}
        }],
		bbar : [{xtype:'tbfill',text:'->'},{
			xtype:'button',
			id: 'callUserList-button',
			iconCls: 'icon-find',
			text:TPMS_lang_memberCall,
			tooltip:TPMS_lang_toolTip_msg_userCall,
			handler: function(){
				callUserWin(domainSeq);
				Ext.getCmp('callUserList-button').disable(true);

				
			}			
		}]

	};


	var seletWin = new Ext.Window({
		title: TPMS_lang_user_updateInfo,
		id:'riskAnalysisUserUpdate-win',
		closable:true,
		width:400,
		height:520,
		border:false,
		plain:true,
		layout: 'border',
		resizable: false, //Resize of the Window, if false - it cannot be resized
		closable: false,
		items: [centerPanel]
	});

	seletWin.show(this);
};


	statusStore.on('load', function(){
		getDomainUserInfo();
	});

	//memberGroupStore.on('load', function(){
	//	getDomainUserInfo();
	//});

	//seletWin.show(this);
};