﻿licenseRequestPop = function(){
	if(Ext.getCmp('licenseWin'))
		Ext.getCmp('licenseWin').close();

	if(Ext.getCmp('licenseRequestWin'))
	{
		Ext.getCmp('licenseRequestWin').show(true);
		return;
	}

	var licenseRequestMain = new Ext.Panel({
		border: false,
		bodyStyle: 'padding:5px;',
		height: 200,
		items: [{
			xtype:'panel',
			bodyStyle: 'padding:5px;',
			html: License.licenseRequest
		},{
			xtype:'form',
			border:false,
			bodyStyle: 'padding:5px;',
			labelWidth: 90,
			items:[{
				xtype: 'combo',
				fieldLabel: License.type,
				id: 'licenseRequestType',
				name: 'licenseRequestType',
				anchor:'95%',
				store: licenseTypeStore,                    
				valueField:'type',
				displayField:'name',
				value : 1,
				typeAhead     : false,
				editable      : false,
				forceSelection: false,
				selectOnFocus : false,
				triggerAction : 'all',
				listeners: {
					scope: this,
					select: function(combo, record, index){
						if(combo.getValue() == "a"){
							Ext.Msg.alert(TPMS_lang_title, "license A");
						}else if(combo.getValue() == "b"){
							Ext.Msg.alert(TPMS_lang_title, "license b");
						}
					}
				},
				emptyText: TPMS_lang_button_select
			},{
				xtype:'textfield',
				fieldLabel: License.userName,
				id: 'UserName',
				maxLength: Config.subjectTypeMaxLength,
				allowBlank : false,
				value : Config.UserName,
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				},
				anchor:'95%'
			},
			{
				xtype:'textfield',
				fieldLabel: License.userEmail,
				id: 'UserEmail',
				maxLength: Config.subjectTypeMaxLength,
				allowBlank : false,
				value : Config.UserEmail,
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				},
				anchor:'95%'
			},
			{
				xtype:'textfield',
				fieldLabel: License.telephone,
				id: 'TelePhone',
				maxLength: Config.subjectTypeMaxLength,
				allowBlank : false,
				value : Config.TelePhone,
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				},
				anchor:'95%'
			},
			{
				xtype:'textfield',
				fieldLabel: License.company,
				id: 'CompanyName',
				maxLength: Config.subjectTypeMaxLength,
				allowBlank : false,
				value : Config.Company,
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				},
				anchor:'95%'
			}]
		}]
	});

	var licenseRequestWin = new Ext.Window({
		title: License.title +' '+License.request,
		id: 'licenseRequestWin',
		width: 450,
		height: 250,
		plain: true,
		border: false,
		animate: false,
		resizable: false, 
		closable: false,
		items: [licenseRequestMain],
		bbar:['->',{
			xtype:'button',
			text : License.request,//'Regist Now',
			handler : function (btn){

				var LicenseType = Ext.getCmp('licenseRequestType').getValue();
				var UserName = Ext.getCmp('UserName').getValue();
				var UserEmail = Ext.getCmp('UserEmail').getValue();
				var TelePhone = Ext.getCmp('TelePhone').getValue();
				var Company = Ext.getCmp('CompanyName').getValue();

				Config.LicenseType=LicenseType;
				Config.UserName = Ext.getCmp('UserName').getValue();
				Config.UserEmail = Ext.getCmp('UserEmail').getValue();
				Config.TelePhone = Ext.getCmp('TelePhone').getValue();
				Config.Company = Ext.getCmp('CompanyName').getValue();
				

				if(!(UserName.length>0 && UserName.length <= Config.subjectTypeMaxLength)
					|| !(UserEmail.length>0 && UserEmail.length <= Config.subjectTypeMaxLength)
					|| !(TelePhone.length>0 && TelePhone.length <= Config.subjectTypeMaxLength) 
					|| !(Company.length>0 && Company.length <= Config.subjectTypeMaxLength) ){
					Ext.Msg.alert('Error',TPMS_lang_Msg_License_RequestInfoError);
					return;
				}


				Ext.Ajax.request({
					url: '/service/commonConfig_proc.php?method=requestLicenseCode',
					method: 'POST',
					params: { 
						LicenseType : LicenseType,
						UserName : UserName,
						UserEmail : UserEmail,
						TelePhone : TelePhone,
						Company : Company
					},
					success: function(result, request) {
						//alert(result.responseText);
						//return;
						if(UserEmail==result.responseText)
						Ext.Msg.alert(TPMS_lang_Msg_ReguestLicenseTitle,TPMS_lang_Msg_RequestLicenseCode+result.responseText);
						//var message = License.sendEmail.replace("{email}",UserEmail);
						//Ext.Msg.alert(TPMS_lang_title,message);
						licenseRequestWin.close();

					},
					failure: function(result, request) {
						alert('fail');
						return;
					}
				});
			}
		},'-',{
			xtype : 'button',
			text : License.cancel,
			handler: function (btn){
				licenseRequestWin.close();
			}
		}]
	});

	this.licenseRequestWin = licenseRequestWin;
	this.licenseRequestWin.show();

		new Ext.ToolTip({
			title: 'Information',
			target: 'leftCallout',
			anchor: 'left',
			html: TPMS_lang_riskAnalysisDiscussionAverageRule_last,
			width: 200,
			autoHide: false,
			closable: true
		});

	Ext.QuickTips.init();

    // turn on validation errors beside the field globally
    Ext.form.Field.prototype.msgTarget = 'side';

	return this;
};

licensePop = function(){

	if(Ext.getCmp('licenseRequestWin'))
		Ext.getCmp('licenseRequestWin').close();

	if(Ext.getCmp('licenseWin'))
	{
		Ext.getCmp('licenseWin').show(true);
		return;
	}




	var licenseMain = new Ext.Panel({
		border: false,
		bodyStyle: 'padding:5px;',
		height: 220,
		items: [{
			xtype:'panel',
			bodyStyle: 'padding:5px;',
			html: License.licenseRegist
		},{
			xtype:'form',
			border:false,
			bodyStyle: 'padding:5px;',
			labelWidth: 90,
			items:[{
				xtype:'textfield',
				fieldLabel: License.code,
				id: 'LicenseCode',
				value : Config.LicenseCode,
				maxLength: 100,
				allowBlank : false,
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				},
				anchor:'95%'
			},{
				xtype:'textfield',
				fieldLabel: License.userName,
				id: 'UserName',
				value : Config.UserName,
				maxLength: Config.subjectTypeMaxLength,
				allowBlank : false,
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				},
				anchor:'95%'
			},
			{
				xtype:'textfield',
				fieldLabel: License.userEmail,
				id: 'UserEmail',
				value : Config.UserEmail,
				maxLength: Config.subjectTypeMaxLength,
				allowBlank : false,
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				},
				anchor:'95%'
			},
			{
				xtype:'textfield',
				fieldLabel: License.telephone,
				id: 'TelePhone',
				value : Config.TelePhone,
				maxLength: Config.subjectTypeMaxLength,
				allowBlank : false,
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				},
				anchor:'95%'
			},
			{
				xtype:'textfield',
				fieldLabel: License.company,
				id: 'CompanyName',
				value : Config.Company,
				maxLength: Config.subjectTypeMaxLength,
				allowBlank : false,
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				},
				anchor:'95%'
			}]
		}]
	});

	var licenseWin = new Ext.Window({
		title: License.title+' '+License.regist,
		id: 'licenseWin',
		width: 450,
		height: 260,
		plain: true,
		border: false,
		animate: false,
		resizable: false, 
		closable: false,
		//closeAction: 'hide',
		items: [licenseMain],
		bbar:['->',{
			xtype:'button',
			text : License.regist,//'Regist Now',
			handler : function (btn){
				Config.LicenseCode = Ext.getCmp('LicenseCode').getValue();
				Config.UserName = Ext.getCmp('UserName').getValue();
				Config.UserEmail = Ext.getCmp('UserEmail').getValue();
				Config.TelePhone = Ext.getCmp('TelePhone').getValue();
				Config.Company = Ext.getCmp('CompanyName').getValue();

				var LicenseCode=Config.LicenseCode;
				var UserName=Config.UserName;
				var UserEmail=Config.UserEmail;
				var TelePhone =Config.TelePhone;
				var Company =Config.Company;


				if( !(LicenseCode.length>0 && LicenseCode.length <= 100)
					|| !(UserName.length>0 && UserName.length <= Config.subjectTypeMaxLength)
					|| !(UserEmail.length>0 && UserEmail.length <= Config.subjectTypeMaxLength)
					|| !(TelePhone.length>0 && TelePhone.length <= Config.subjectTypeMaxLength) 
					|| !(Company.length>0 && Company.length <= Config.subjectTypeMaxLength) ){
					Ext.Msg.alert('Error',TPMS_lang_Msg_License_RequestInfoError);
					return;
				}

	
				Ext.Ajax.request({
					url: '/service/commonConfig_proc.php?method=registLicenseCode',
					method: 'POST',
					params: { 
						LicenseType : Config.LicenseType,
						LicenseCode : Config.LicenseCode,
						UserName : Config.UserName,
						UserEmail : Config.UserEmail,
						TelePhone : Config.TelePhone,
						Company : Config.Company
					},
					success: function(result, request) {
						//var renderData = Ext.decode(result.responseText).data[0];
						//renderData.MemberSeq

						//Ext.Msg.alert('Message',result.responseText);
						if(result.responseText=='OK'){
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_License_Congratulation);
							if(window.opener)
								opener.location.reload();
						}
						else if(result.responseText=='Already')
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_License_Already);
						else
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_License_Error);

					},
					failure: function(result, request) {
					}
				});

				//Ext.getCmp('license-button').enable(true);
				licenseWin.close();
			}
		},'-',{
			xtype : 'button',
			text : License.cancel,
			handler: function (btn){
				//Ext.getCmp('license-button').enable(true);
				licenseWin.close();
			}
		}]
	});

	this.licenseWin = licenseWin;
	this.licenseWin.show();

	Ext.QuickTips.init();

    // turn on validation errors beside the field globally
    Ext.form.Field.prototype.msgTarget = 'side';
	return this;
};

FeedBackPop= function (){
	if(Ext.getCmp('feedBack')){
		//Ext.getCmp('feedBack').hide();
		return;
	}
	if(document.getElementById('feedBack')){
	}

	var feedBackMain = new Ext.Panel({
		border: false,
		height: 300,
		items: [{
			xtype:'form',
			border:false,
			bodyStyle: 'padding:5px;',
			labelWidth: 90,
			items:[{
				xtype:'textfield',
				fieldLabel: feedback.userName,
				id : 'writer',
				value : Config.UserName,
				maxLength: Config.subjectTypeMaxLength,
				allowBlank : false,
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				},
				emptyText: TPMS_lang_Msg_feedback_writerEmpty,
				anchor:'95%'
			},{
				xtype:'textfield',
				fieldLabel: feedback.subject,
				id : 'subject',
				emptyText: TPMS_lang_Msg_feedback_subjectEmpty,
				maxLength: Config.subjectTypeMaxLength,
				allowBlank : false,
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				},
				anchor:'95%'
			},{
				xtype:'textarea',
				width:300,
				height:200,
				fieldLabel: feedback.description,
				id : 'description',
				emptyText: TPMS_lang_Msg_feedback_contentEmpty,
				maxLength: Config.descriptionTypeMaxLength,
				allowBlank : false,
				listeners:{
					scope : this,
					blur : function(datefield){
						datefield.setValue(datefield.getValue().trim());
					}
				},
				anchor:'95%'
			}]
		}]
	});

	var feedBackWin = new Ext.Window({
		title: feedback.title,
		id: 'feedBack',
		width: 420,
		height: 360,
		plain: true,
		border: false,
		animate: false,
		resizable: false, 
		closable: false,
		//closeAction: 'hide',
		items: [feedBackMain],
		bbar:['->',{
			xtype:'button',
			text : feedback.save,//'Regist Now',
			handler : function (btn){

				btn.disable(true);
				var Writer=Ext.getCmp('writer').getValue();
				var Subject=Ext.getCmp('subject').getValue();
				var Content=Ext.getCmp('description').getValue();


				if( !(Writer.length>0 && Writer.length <= Config.subjectTypeMaxLength)
					|| !(Subject.length>0 && Subject.length <= Config.subjectTypeMaxLength)
					|| !(Content.length>0 && Content.length <= Config.descriptionTypeMaxLength)){
					Ext.Msg.alert('Error',TPMS_lang_Msg_License_RequestInfoError);
					btn.enable(true);
					return;
				}

				Ext.Ajax.request({
					url: '/service/feedback_proc.php',
					method: 'POST',
					params: { 
						UserName : Writer,
						Subject : Subject,
						Description : Content,
						Version : Config.DB_Version
					},
					success: function(result, request) {
						feedBackWin.close();
						Ext.Msg.alert(TPMS_lang_Msg_feedbackTitle,result.responseText);
					},
					failure: function(result, request) {
					}
				});				
			}
		},'-',{
			xtype : 'button',
			text : License.cancel,
			handler: function (btn){
				feedBackWin.close();
			}
		}]
	});

	this.feedBackWin = feedBackWin;
	this.feedBackWin.show();
	Ext.QuickTips.init();

    // turn on validation errors beside the field globally
    Ext.form.Field.prototype.msgTarget = 'side';
	return this;
}