
var CopyWindow=null;
var autoRowsSelect = true;
Ext.QuickTips.init();

	displayDomainInfo=function(rowIndex){
		if(autoRowsSelect==false)return;
		domainGridPanel.getSelectionModel().selectRow(rowIndex);
		var grid=Ext.getCmp('domainGridPanel');
		var selectItem = grid.selModel.getSelections();
		if(selectItem.length){
		var seq = selectItem[0].data['seq']; //ũм
		var name = my_unescape(selectItem[0].data['name']); //ũм
		var description = my_unescape(selectItem[0].data['description'].replace(/\\n/gi,'\n').replace(/\\"/gi,'"').replace(/\\'/gi,'\'').replace(/\\\\/gi,'\\')); //
		
		if(!seq){
			seq = Ext.getCmp('hiddenDomainSeq').getValue();
		}
		Ext.getCmp('dataExport-button').enable(true); // ý data export ư Ȱȭ
		Ext.getCmp('hiddenDomainSeq').setValue(seq);
		Ext.getCmp('domain-name').setValue(name);
		Ext.getCmp('domain-description').setValue(description);
		//õ row no 
		//alert(rowIndex);
		Ext.getCmp('hiddenDomainGridRowIndex').setValue(rowIndex);

		riskItemGridPanel.getStore().reload({
			params : {
				DomainSeq : seq
			}
		});

		riskFactorGridPanel.getStore().reload({
			params : {
				DomainSeq : seq
			}
		});

		userGridPanel.getStore().reload({
			params : {
				DomainSeq : seq
			}
		});
		}
	}
	
	 var domainStore = new Ext.data.Store({
		proxy: new Ext.data.HttpProxy({
			url: '/service/tpms_proc.php?method=getDomainList'
		}),
		reader: new Ext.data.JsonReader({
		root:'data',
		id:'seq'
		}, [
			'seq',
			'name',
			'description',
			'leader',
			'domainStatus',
			'itemCnt',
			'factorCnt',
			'category'
		]),
		listeners :
		 {
			scope : this,
			load : function (store , record, option){
				//alert(UserInfo.DomainSeq);
				//alert(record.length);
				if(record.length >= Config.domainMax){
					if(Ext.getCmp('domainCopy-button'))
					Ext.getCmp('domainCopy-button').disable(true);
					if(Ext.getCmp('domainAdd-button'))
					Ext.getCmp('domainAdd-button').disable(true);
					if(Ext.getCmp('dataImport-button'))
					Ext.getCmp('dataImport-button').disable(true);

					//var riskItemMaxMsg = TPMS_lang_Msg_maxItems.replace("{item}",TPMS_lang_domain);
					//riskItemMaxMsg = riskItemMaxMsg.replace("{number}",Config.domainMax);

					//Ext.Msg.alert(TPMS_lang_title, riskItemMaxMsg);
				}else{
					if(Ext.getCmp('domainCopy-button'))
					Ext.getCmp('domainCopy-button').enable(true);
					if(Ext.getCmp('domainAdd-button'))
					Ext.getCmp('domainAdd-button').enable(true);
					if(Ext.getCmp('dataImport-button') && UserInfo.License>0)
					Ext.getCmp('dataImport-button').enable(true);
				}
				
				if(UserInfo.DomainSeq ){	
					var rowIndex;
						//alert(record.length);
					for(var i=0;i<record.length;i++)
					{
						if(store.getAt(i)){
							if(UserInfo.DomainSeq==store.getAt(i).get('seq'))
							{
								//alert('find it '+i);
								rowIndex=i;
								if(true){
								//domainGridPanel.getSelectionModel().selectRow(i);
								setTimeout("displayDomainInfo("+i+")",1000);
								}
								break;
							}
						}
					}
				}
			}
			//,loaded:function (store , record, option){
			//	alert("a");
			//}
		 }
	});
	domainStore.load();
	
	var riskItemStore = new Ext.data.Store({
		proxy: new Ext.data.HttpProxy({
			url: '/service/tpms_proc.php?method=getRiskItemList'
		}),
		reader: new Ext.data.JsonReader({
		root:'data',
		id:'seq'
		}, [
			'seq',
			'name',
			'register',
			'category'
		])
	});

	var riskFactorStore = new Ext.data.Store({
		proxy: new Ext.data.HttpProxy({
			url: '/service/tpms_proc.php?method=getRiskFactorList'
		}),
		reader: new Ext.data.JsonReader({
		root:'data',
		id:'seq'
		}, [
			'seq',
			'name',
			'weight',
			'riskFactorTypeSeq',
			'register'
		])
	});

	var userStore = new Ext.data.Store({
		proxy: new Ext.data.HttpProxy({
			url: '/service/tpms_proc.php?method=getDomainUserList'
		}),
		reader: new Ext.data.JsonReader({
		root:'data',
		id:'seq'
		}, [
			'seq',
			'user',
			'group_name'
		])
	});

	var domainGridPanel = new Ext.grid.GridPanel({
		id:'domainGridPanel',
		frame:true,
		store: domainStore,
		height:550,		
		autoScroll: true,
		stripeRows: true,
		enableColumnHide  : false,
		enableColumnResize: true,
		enableColumnMove  : false,
		enableHdMenu: false,
		loadMask: { msg: TPMS_lang_Msg_load },
		view: new Ext.grid.GridView({
			forceFit:true
        }),
		columns: [
			{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_domain, dataIndex: 'name', sortable: true, width: 200,renderer:my_unescape},
			{header: TPMS_lang_common_type, dataIndex: 'category', sortable: true,renderer:my_unescape},
			{header: TPMS_lang_domain_description, dataIndex: 'description', sortable: true, width: 200, hidden: true},
			{header: TPMS_lang_now+' '+TPMS_lang_domain_status, dataIndex: 'domainStatus', sortable: true, width: 100},
			{header: TPMS_lang_creater, dataIndex: 'leader', sortable: true, width: 100,renderer:my_unescape},
			{header: TPMS_lang_item, dataIndex: 'itemCnt', sortable: true, width: 100},
			{header: TPMS_lang_factor, dataIndex: 'factorCnt', sortable: true, width: 100}
		],
		listeners: {
			rowclick:function(grid, rowIndex, e) {
				autoRowsSelect = false;				
								
				Ext.getCmp('dataExport-button').enable(true); // ý data export ư Ȱȭ

				var selectItem = grid.selModel.getSelections();
				if(selectItem.length==0) return;
				var seq = selectItem[0].data['seq']; //ũм
				var name = selectItem[0].data['name']; //ũм
				var description = selectItem[0].data['description'].replace(/\\n/gi,'\n').replace(/\\"/gi,'"').replace(/\\'/gi,'\'').replace(/\\\\/gi,'\\'); //
				window.open('/view/setStyle.php?DomainSeq='+seq,'hiddenframe');
				UserInfo.DomainSeq = seq;
				//alert(UserInfo.DomainSeq);

				if(!seq){
					seq = Ext.getCmp('hiddenDomainSeq').getValue();
				}
				Ext.getCmp('hiddenDomainSeq').setValue(seq);
				Ext.getCmp('domain-name').setValue(my_unescape(name));
				Ext.getCmp('domain-description').setValue(my_unescape(description));
				
				//õ row no 
				//alert(rowIndex);
				Ext.getCmp('hiddenDomainGridRowIndex').setValue(rowIndex);

				riskItemGridPanel.getStore().reload({
					params : {
						DomainSeq : seq
					}
				});

				riskFactorGridPanel.getStore().reload({
					params : {
						DomainSeq : seq
					}
				});

				userGridPanel.getStore().reload({
					params : {
						DomainSeq : seq
					}
				});
			},
			rowdblclick: function(grid){
				autoRowsSelect = false;
				var sel = grid.getSelectionModel().getSelected();
				var domainSeq=sel.data.seq;
				if(sel.data.domainStatus==TPMS_lang_Msg_Status0) {
						Ext.Msg.confirm('Information',TPMS_lang_Msg_domainStatus,function(btn){
							if(btn == "yes")  
							window.open('/view/domainUpdate.php?domainSeq='+domainSeq,'DomainSetup_'+domainSeq,'location=no,width='+(1000)+',height='+(700)+',left=0,top=0,resizable=yes');
						});
					return;
				}
				//alert(seldata.seq);

				// ̵
				//window.open('./view/domainUpdate.php?domainSeq='+domainSeq,'','location=no,width='+(screen.width * 0.75)+',height='+(screen.height*0.75)+',left=0,top=0,resizable=yes');
				
				//ũм ̵
				window.open('/view/riskAnalysis.php?DomainSeq='+((UserInfo.DomainSeq > 0)? UserInfo.DomainSeq:0),
						'RiskAnalysis_'+UserInfo.DomainSeq,
						'location=no,width='+(1000)+',height='+(700)+',left=0,top=0,resizable=yes');
			}
		}
	});

	var riskItemGridPanel = new Ext.grid.GridPanel({
		id:'riskItemGridPanel',
		title: TPMS_lang_riskItem,
		frame:true,
		store: riskItemStore,
		//height:455,		
		autoScroll: true,
		stripeRows: true,
		enableColumnHide  : false,
		enableColumnResize: true,
		enableColumnMove  : false,
		enableHdMenu: false,
		loadMask: { msg: TPMS_lang_Msg_load },
		view: new Ext.grid.GridView({
			forceFit:true
        }),
		cm : new Ext.grid.ColumnModel([
			{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_riskItem, dataIndex: 'name', align:'left', sortable: true, width: 150,renderer:my_unescape},
			{header: TPMS_lang_common_type, dataIndex: 'category', sortable: true},
			{header: TPMS_lang_riskItem_creater, dataIndex: 'register', align:'center', sortable: true, width: 100}
		])//,
	});

	var riskFactorGridPanel = new Ext.grid.GridPanel({
		id:'riskFactorGridPanel',
		title: TPMS_lang_riskFactor,
		frame:true,
		store: riskFactorStore,
		//height:455,		
		autoScroll: true,
		stripeRows: true,
		enableColumnHide  : false,
		enableColumnResize: true,
		enableColumnMove  : false,
		enableHdMenu: false,
		loadMask: { msg: TPMS_lang_Msg_load },
		view: new Ext.grid.GridView({
			forceFit:true
        }),
		cm : new Ext.grid.ColumnModel([
			{header: 'seq', dataIndex: 'seq', align:'left', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_riskFactor, dataIndex: 'name', align:'left', sortable: true, width: 150,renderer:my_unescape},
			{header: TPMS_lang_riskFactor_type, dataIndex: 'riskFactorTypeSeq', align:'center', sortable: true, width: 100},
			{header: TPMS_lang_riskFactor_weight, dataIndex: 'weight', align:'center', sortable: true, width: 100},
			{header: TPMS_lang_riskFactor_creater, dataIndex: 'register', align:'center', sortable: true, width: 100}
		])
	});

	var userGridPanel = new Ext.grid.GridPanel({
		id:'userGridPanel',
		title: TPMS_lang_user,
		frame:true,
		store: userStore,
		//collapsible: true,
	    //animCollapse: false,
		//height:455,		
		autoScroll: true,
		stripeRows: true,
		enableColumnHide  : false,
		enableColumnResize: true,
		enableColumnMove  : false,
		enableHdMenu: false,
		loadMask: { msg: TPMS_lang_Msg_load },
		view: new Ext.grid.GridView({
			forceFit:true
        }),
		cm : new Ext.grid.ColumnModel([
			{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_user, dataIndex: 'user', align:'left', sortable: true, width: 100,renderer:my_unescape},
			{header: TPMS_lang_user_department, dataIndex: 'group_name', align:'center', sortable: true, width: 130}
		])
	});

	var infoPanel = new Ext.Panel({
		id: 'infoPanel',		
		//layout: 'fit',
		border: false,
		width: 320,
		items:[{
			xtype : 'textfield',
			id:'hiddenDomainGridRowIndex',
			hidden: true,
			name :'hiddenDomainGridRowIndex'
		},{
			xtype : 'textfield',
			id:'hiddenDomainSeq',
			hidden: true,
			name :'hiddenDomainSeq'
		},{
			xtype: 'form',
			height: 130,
			//border: false,
			bodyStyle: 'padding: 5 0 5 5;',
			items:[{
				xtype:'textfield',
				fieldLabel: TPMS_lang_domain,
				labelStyle: 'width:120px',
				//labelSeparator:'',
				id: 'domain-name',
				style:'color:#6E6E6E;',
				//disabled: true, //??
				//onFocus: function(){this.blur();},
				readOnly : true,
				anchor:'90%'
			},{
				xtype:'textarea',
				fieldLabel: TPMS_lang_domain_description,
				labelStyle: 'width:120px',
				id: 'domain-description',
				style:'color:#6E6E6E;',
				//disabled: true, //??
				height: 90,
				//onFocus: function(){this.blur();},
				readOnly : true,
				anchor:'90%'
			}]
		},{
			border: false,
			height:5

		},{
			layout:'hbox',
			height: 25,
			border: false,
			//bodyStyle:'padding:5px;',
			items:[{
				border: false,
				width: 80
			},{
				xtype:'button',
				id:'dataExport-button',
				text: TPMS_lang_export,
				tooltip:TPMS_lang_toolTip_msg_item_export,
				disabled: true,
				width: 70,
				handler: function(btn){
					Ext.Ajax.request({
						url : '/service/exportXML.php?Mode=check',
						method: 'POST',
						success: function ( result, request ) {
								var r=Ext.decode(result.responseText);
								if(r.success==false){
									Ext.Msg.alert(r.msg_type,r.msg);
								}
								else{
									var Records = Ext.getCmp('domainGridPanel').selModel.getSelections();
									if(Records.length==0){
										Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_select);
										return;
									}else if(Records.length > 1){
										Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_selectError);
										return;
									}else{
										var selectDomain = Ext.getCmp('hiddenDomainSeq').getValue();
										if(selectDomain){
											selectExportItemsPop(selectDomain);
										}else{
											Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_select);
										}
									}
								}
						},
						failure: function ( result, request ) {
							Ext.Msg.alert(TPMS_lang_MsgFailure); 
						}
					});
				}
			},{
				border: false,
				width: 20
			},{
				xtype:'button',
				id:'dataImport-button',
				text: TPMS_lang_import,
				tooltip:TPMS_lang_toolTip_msg_item_import,
				disabled : (UserInfo.License<=0)?true:false,
				width: 70,
				handler: function(btn){

					Ext.Ajax.request({
						url : '/service/importXML.php?Mode=check',
						method: 'POST',
						success: function ( result, request ) {
								var r=Ext.decode(result.responseText);
								if(r.success==false){
									Ext.Msg.alert(r.msg_type,r.msg);
								}
								else{
									if(domainStore.getCount() >= Config.domainMax){
										var riskItemMaxMsg = TPMS_lang_Msg_maxItems.replace("{item}",TPMS_lang_domain);
										riskItemMaxMsg = riskItemMaxMsg.replace("{number}",Config.domainMax);
										Ext.Msg.alert(TPMS_lang_title, riskItemMaxMsg);
									}else{
										importDataPop();
									}	
								}
						},
						failure: function ( result, request ) {
							Ext.Msg.alert(TPMS_lang_MsgFailure); 
						}
					});

				}
			}]

		},{
			border: false,
			height:5

		},{
			id: 'infoTab',
			xtype: 'tabpanel',
			//height:(document.body.clientHeight- 400),//380,	
			border: false,
			activeTab: 0, // ó  tab 
			items:[
				riskItemGridPanel
				,riskFactorGridPanel
				,userGridPanel
			]
		}]
	});
	
	var centerPanel = {
		region: 'center',
		id: 'main-centerPanel',
		xtype: 'panel',
		layout: 'fit',
		split: true,
		autoScroll: true,
		bodyStyle:'padding:5px;',
		items:[domainGridPanel],
		tbar:[{
			xtype: 'label',
			text: TPMS_lang_domain + ' '+TPMS_lang_common_list
		},{
			xtype:'tbfill',
			text : '->'
		},{ 
			xtype: 'tbbutton',
			id: 'domainAdd-button',
			iconCls: 'icon-plus',
			text: TPMS_lang_button_add,
			handler: function(btn){
				//alert(domainStore.getCount() +", "+ Config.domainMax);
				if(domainStore.getCount() >= Config.domainMax){
					
					//Ext.getCmp('domainCopy-button').disable(true);
					//Ext.getCmp('domainAdd-button').disable(true);
					//Ext.getCmp('dataImport-button').disable(true);

					var riskItemMaxMsg = TPMS_lang_Msg_maxItems.replace("{item}",TPMS_lang_domain);
					riskItemMaxMsg = riskItemMaxMsg.replace("{number}",Config.domainMax);

					Ext.Msg.alert(TPMS_lang_title, riskItemMaxMsg);
					//Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain
					//	+" "+TPMS_lang_common_count+" : "+domainStore.getCount()
					//	+" ("+TPMS_lang_common_max+" : "+Config.domainMax+")");
				}else{
					domainCreate(UserInfo.seq);
				}				
			}
		},'-',
		{
			xtype: 'button',
			id: 'domainCopy-button', 
			border: true,
			iconCls: 'icon-page-copy',
			text: TPMS_lang_button_copy,
			tooltip:TPMS_lang_toolTip_msg_item_copy,
			handler: function(btn){
				
				if(domainStore.getCount() >= Config.domainMax){

					//Ext.getCmp('domainCopy-button').disable(true);
					//Ext.getCmp('domainAdd-button').disable(true);
					//Ext.getCmp('dataImport-button').disable(true);

					var riskItemMaxMsg = TPMS_lang_Msg_maxItems.replace("{item}",TPMS_lang_domain);
					riskItemMaxMsg = riskItemMaxMsg.replace("{number}",Config.domainMax);

					Ext.Msg.alert(TPMS_lang_title, riskItemMaxMsg);
					//Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain
					//	+" "+TPMS_lang_common_count+" : "+domainStore.getCount()
					//	+" ("+TPMS_lang_common_max+" : "+Config.domainMax+")");
				}else{

				var riskItemRecords = Ext.getCmp('domainGridPanel').selModel.getSelections();

					if(riskItemRecords.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_selectGetItem);
						return;
					}else{
						if(riskItemRecords.length == 1){
							var sourceSeq = riskItemRecords[0].data['seq'];

							if(!sourceSeq){
								Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectError);
							}else{
								Ext.Ajax.request({
									url : '/service/tpms_proc.php?method=copy_domain',
									method: 'POST',
									params :{ 
										SourceDomainSeq : sourceSeq,
										Register : UserInfo.seq,
										Leader : UserInfo.seq
									},
									success: function ( result, request ) {
										domainGridPanel.getStore().reload();
									},
									failure: function ( result, request ) {
									}
								});
							}
						}else{
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectError);
						}
					} 
				}// 
			}
		},'-',{ 
			xtype: 'tbbutton',
			//iconCls: 'icon-table-row-delete',
			iconCls: 'icon-minus',
			text: TPMS_lang_button_remove,
			handler: function(btn){
				var Records = Ext.getCmp('domainGridPanel').selModel.getSelections();
				
				if(Records.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_selectDeleteItem);
					return;
				}else{
					var domainDataList = "";
					for(var i=0; i<Records.length; i++){
						domainDataList += Records[i].data['seq']+",";
					}
					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							domainDelete(domainDataList);
							Ext.getCmp('dataExport-button').disable(true); 
							Ext.getCmp('domain-name').setValue();
							Ext.getCmp('domain-description').setValue();
						}else{
							return;
						}
					}); 	
				}
						
			}
		}]
	};

	var eastPanel = {
		region: 'east',
		id:'main-eastPanel',
		title: TPMS_lang_select+' '+TPMS_lang_info,
		xtype: 'panel',
		collapsible: true,
		autoScroll:true,
		bodyStyle:'padding:5px;',
		width: 350,
		minSize: 200,
		items: [
			infoPanel
		],
		tbar:[{
			xtype: 'button',
			border: true,
			iconCls: 'icon-find',
			text: TPMS_lang_riskAnalysis,
			//style: 'background-color:green;',
			//cls: 'test_btn_submit' ,
			//ctCls: 'test_btn_submit', 
			//overCls: 'test_btn_hover', 
			handler: function(btn){
				var Records = Ext.getCmp('domainGridPanel').selModel.getSelections();
				
				if(Records.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_select);
					return;
				}else if(Records.length > 1){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_selectError);
					return;
				}else{
					if(Records[0].data.domainStatus==TPMS_lang_Msg_Status0) {
							Ext.Msg.alert('Information',TPMS_lang_Msg_domainStatus);
						return;
					}
					//egkang ??
					//alert(UserInfo.DomainSeq+'/ffffff');
					
					//IE 6.0  : UserInfo.DomainSeq  value Ѿ 
					//   Ǿ ҽ
					window.open('/view/riskAnalysis.php?DomainSeq='+((UserInfo.DomainSeq > 0)? UserInfo.DomainSeq:0),
						'RiskAnalysis_'+UserInfo.DomainSeq,
						'location=no,width='+(1000)+',height='+(700)+',left=0,top=0,resizable=yes');
				
					//  ҽ : 
					//var selectDomainSeq = Ext.getCmp('hiddenDomainSeq').getValue();
					//window.open('/view/riskAnalysis.php?DomainSeq='+((selectDomainSeq > 0)? selectDomainSeq:0),
					//	'RiskAnalysis_'+selectDomainSeq,
					//	'location=no,width='+(screen.width * 0.75)+',height='+(screen.height*0.75)+',left=0,top=0,resizable=yes');						
				}
			}
		},'-',{ 
			xtype: 'tbbutton',
			iconCls: 'icon-table-edit',
			text: TPMS_lang_button_setup,
			handler: function(btn){
				var Records = Ext.getCmp('domainGridPanel').selModel.getSelections();
				
				if(Records.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_select);
					return;
				}else if(Records.length > 1){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_selectError);
					return;
				}else{
					var selectDomain = Ext.getCmp('hiddenDomainSeq').getValue();

					if(selectDomain){
						window.open('/view/domainUpdate.php?domainSeq='+selectDomain,'DomainSetup_'+selectDomain,'location=no,width='+(1000)+',height='+(700)+',left=0,top=0,resizable=yes');
					}else{
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_select);
					}

				}
				//btn.disable();
			}
		},{
			xtype:'tbfill',
			text : '->'
		},{
			xtype: 'button',
			iconCls: 'icon-toolbar',
			//id: 'toolbatBtn',
			text:'ToolBar',
			handler: function(){
				if(Ext.getCmp('miniToolbarWin')){
					Ext.getCmp('miniToolbarWin').close();
					//Ext.getCmp('toolbatBtn').setCls("icon-signin"); 
					//Ext.getCmp('toolbatBtn').setIcon("icons/silk/bullet_disk.png");
				}else{
					//showMiniToolBar();
					toolBarPop();
					//Ext.getCmp('toolbatBtn').setCls("icon-signout"); 
				}
			}
		},{
			xtype: 'button',
			iconCls: 'icon-refresh',
			text:'Refresh',
			handler: function(){
				//alert("Refresh");
				location.reload();
			}
		}]
	};

	var northEastPanel = {
		region: 'east',
		layout: 'hbox',
		//width:260,
		width:360+80,
		//height: 60,
		border: false,
		bodyStyle:'padding:15 0 0 0;',
		items:[{
				xtype:'button',
				hidden: true,
				text: TPMS_lang_scrum,
				width: 78,
				handler: function(btn){
					window.open('/view/scrum.php?DomainSeq=1',
						'RiskAnalysis_'+UserInfo.DomainSeq,
						'location=no,width='+(1000)+',height='+(700)+',left=0,top=0,resizable=yes');
				}
			},{
				xtype:'button',
				//hidden: true,
				text: TPMS_lang_scrum,
				width: 78,
				handler: function(btn){
					window.open('/view/scrum2.php?DomainSeq=1&GroupId='+UserInfo.Groupid,
						'',
						'location=no,width='+(1000)+',height='+(700)+',left=0,top=0,resizable=yes');
				}
			},{
				border: false,
				hidden: true,
				width: 7
			},{
				xtype:'button',
				hidden: true,
				text: 'License',
				id: 'license-button',
				width: 78,
				handler: function(btn){
					window.open('/license/info.php','LicenseInfo',
						'location=no,width=700,height=500,left=0,top=0,resizable=yes');
					//licensePop();
					//Ext.getCmp('license-button').disable(true);
				}
			},{
				border: false,
				width: 7
			},{
				xtype:'button',
				text: TPMS_lang_strategy, //
				width: 78,				
				handler: function(btn){
					window.open('/view/strategy.php','StrategyMain',
						'location=no,width='+(1000)+',height='+(700)+',left=0,top=0,resizable=yes');
				}
			},{
				border: false,
				width: 7
			},{
				xtype:'button',
				hidden: true,
				text: TPMS_lang_issueManager,
				width: 78,
				handler: function(btn){
					window.open('/view/issueManager.php?','','location=no,width='+(1000)+',height='+(700)+',left=0,top=0,resizable=yes');
				}
			},{
				border: false,
				hidden: true,
				width: 7
			},{
				xtype:'button',
				id:'setup-button',
				text: TPMS_lang_button_setting,
				width: 78,
				handler: function(btn){
					setupWin();
					Ext.getCmp('setup-button').disable(true);
				}
			},{
				border: false,
				width: 7
			},{
				xtype:'button',
				hidden:true,
				id:'tip-button',
				text: TPMS_lang_quick+' '+TPMS_lang_guide,
				width: 78,
				handler: function(btn){
						tipPop();
				}
			},{
				xtype:'button',
				id:'tip-button2',
				text: TPMS_lang_quick+' '+TPMS_lang_guide,
				width: 78,
				handler: function(btn){
						window.status='TipShow';
						window.open('/view/tip.php','RADAR_HELP','location=no,width=400,height=400,left=0,top=0,resizable=no');
				}
			}]
	};

	var northPanel = {
		region: 'north',
		layout: 'border',
		id: 'mainTop',
		//xtype: 'panel',
		hidden:true,
		height: 55,
		border: false,
		items: [northEastPanel,{
			//layout:'hbox',
			region: 'center',
			xtype: 'panel',
			//height: 55,
			border: false,
			bodyStyle:'padding:5px;',
			items:[{
				//flex:1,
				border: false,
				width:300,
				//height:50,
				html: '<a onclick="blur()" href="/license/info.php" target="LicenseInfo"  ><img src="/image/miniTPMSLogo.gif" ></a>'
			}]
		}]
	};

	var southEastPanel = {
		region: 'east',
		layout: 'hbox',
		width:350,		
		border: false,
		html:"<div class='x-toolbar' style='float:right;width:350px;text-align:center;'><div style='margin-top:10px;text-align:center;font-size:12px;'>"+Config.RemainDate+"</div>"+TPMS_lang_main_southPanel+"</div>"
	};

    var southPanel = {
		region: 'south',
		layout: 'border',
		//xtype: 'panel',
		height: 60,
		border: false,
		items: [southEastPanel,{			
			region: 'center',
			xtype: 'panel',
			height: 55,
			border: false,
			items:[{
				border: false,				
				html:Config.banner//"<div class='x-toolbar' style='width:100%;float:left;text-align:center'><a href='http://www.sten.or.kr' target='_blank'><img src='/image/radar_bn.gif' border='0' /></a></div>"
			}]
		}]
	};

About_RADAR_Win=function()	
{
	self.open('/license/info.php','LicenseInfo',
						'location=no,width=900,height=700,left=0,top=0,resizable=yes');
}

	Ext.onReady(function(){
		var viewport = new Ext.Viewport({
			layout: 'border',
			id: 'index',
			renderTo: Ext.getBody(),
			items: [
				centerPanel
				,eastPanel
				,northPanel				
				,southPanel
			]
		});

		//Config.Height=document.body.clientHeight - 240;
		//Config.Width=document.body.clientWidth - 310;
		//alert(document.body.clientHeight);
		Ext.getCmp("infoTab").setHeight(document.body.clientHeight-345);

		//if(Config.TipShow == "yes" && UserInfo.closeTip!='1'){
			//tipPop();
			//window.open('/view/tip.php','RADAR_HELP','location=no,width=400,height=400,left=0,top=0,resizable=no');
		//}
		//if(UserInfo.License <=0 && Config.LicenseView != Config.Today){
			//setTimeout("About_RADAR_Win()",5000);
		//}
		if(UserInfo.versionCheck!='1'){ //egkang : 2010-08-30
			updateVersionInfoPop();
		}		
		window.document.title = TPMS_lang_domain_list;

		banner_roll_right("banner_3", 580,5000, 1, 0);
	});

//resize
addEvent(window, "resize", function() { 
	Ext.getCmp("infoTab").setHeight(document.body.clientHeight-345);
}); 

//========= Date Export

selectExportItemsPop = function(domainSeq,UserSeq){

		var selectExportTypePanel = new Ext.Panel({
			width:355,
			bodyStyle:'padding:5px;',
			border:false,
			items:[{
				xtype: 'panel',
				bodyStyle:'pading:5px;',
				border:true,
				frame:true,
				html: TPMS_lang_Msg_export_first+Ext.getCmp('domain-name').getValue()+TPMS_lang_Msg_export_second				
			},{
				height: 20,
				border:false
			},{
				xtype: 'radiogroup',
				items: [{
					id:'export_all',
					name:'export',
					boxLabel: TPMS_lang_export_all,					
					checked: true
				},{
					id:'export_form',
					name:'export',
					boxLabel: TPMS_lang_export_form
				}]
			}]
        });

		var selectExportItemsWin = new Ext.Window({
            title: TPMS_lang_export,
			id: 'selectExportItems-Win',
            width:370,
            height:200,
            plain:true,			
            //layout: 'border',
			closable: false,
			layout: 'fit',
			border: true,
			animate: false,
			modal: true,
			resizable: false, 
			//closeAction: 'hide',
			buttonAlign: 'right',
            items: [ selectExportTypePanel ],
			buttons: [{
				text: TPMS_lang_button_submit,
				scope:this, 
				handler: function(){
					Ext.Ajax.request({
						url : '/service/exportXML.php?Mode=check',
						method: 'POST',
						success: function ( result, request ) {
								var r=Ext.decode(result.responseText);
								if(r.success==false){
									Ext.Msg.alert(r.msg_type,r.msg);
								}
								else{
									if(Ext.getCmp('export_all').checked == true){
										location.href="/service/exportXML.php?DomainSeq="+domainSeq+"&Mode=allDataExport";
										setTimeout('closeHiddenFrame()',1000);
										selectExportItemsWin.close(true);
									}else if(Ext.getCmp('export_form').checked == true){
										location.href="/service/exportXML.php?DomainSeq="+domainSeq+"&Mode=templateExport";
										setTimeout('closeHiddenFrame()',1000);
										selectExportItemsWin.close(true);
									}
								}
						},
						failure: function ( result, request ) {
							Ext.Msg.alert(TPMS_lang_MsgFailure); 
						}
					});

				}},
				{text: TPMS_lang_button_cancel, handler: function(){ selectExportItemsWin.close(true); 	}}
			]
        });
		selectExportItemsWin.show(this);
};

importDataPop = function(){
	Ext.getCmp('index').el.mask();
	
	var uploadPanel = new Ext.FormPanel({
		fileUpload: true,
		width: 355,
		height: 140,
		//frame: true,
		//title: 'File Upload Form',
		//autoHeight: true,
		border:false,
		bodyStyle: 'padding: 5px;',
		labelWidth: 1,
		defaults: {
			//anchor: '95%',
			allowBlank: false//,
			//msgTarget: 'side'
		},
		items: [{
			xtype: 'panel',
			bodyStyle:'pading:5px;',
			border:true,
			frame:true,
			html: TPMS_lang_Msg_import_domains
		},{
			height: 10,
			border:false		
		},{
			xtype: 'fileuploadfield',
			id: 'form-file',
			width:290,
			emptyText: 'Select an file',
			//fieldLabel: 'File',
			name: 'bf_file',
			buttonText: TPMS_lang_button_fileSearch            
		}],
		buttons: [{
			text: TPMS_lang_button_submit,
			handler: function(){
				if(uploadPanel.getForm().isValid()){
					uploadPanel.getForm().submit({
						url: '/service/importXML.php?FileType=Domain',
						success: function(rsp, o){
							if(o.result.flag)
							{
								//Ext.Msg.alert(TPMS_lang_title,o.result.data);
								Ext.getCmp('dataImport-button').enable(true);
								fileLoadwin.close(); 
								Ext.getCmp('domainGridPanel').getStore().reload();
								Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_xml_importSuccess);
								Ext.getCmp('index').el.unmask();
							}
							else
							{
								Ext.Msg.alert(TPMS_lang_title,o.result.data);
							}

						}
					});
				}
			}
		},{
			text: TPMS_lang_button_cancel, 
			handler: function(){ 
				Ext.getCmp('dataImport-button').enable(true);
				fileLoadwin.close(); 
				Ext.getCmp('index').el.unmask();
			}
		},{
			text: 'Reset',
			hidden:true,
			handler: function(){
				uploadPanel.getForm().reset();
			}
		}]
	});

	var fileLoadwin = new Ext.Window({
		title: TPMS_lang_import,
		id: 'fileLoad-win',
		width: 370,
		height: 170,		
		plain: true,
		border: true,
		animate: false,
		closable: false,
		resizable: false, 
		closeAction: 'hide',
		items: [uploadPanel]
	});

	this.fileLoadwin = fileLoadwin;
	this.fileLoadwin.show();
	return this;
};

