var CopyWindow=null;

	//////////////////////////////////////////////////////////
	//////												//////
	//////		Page Item(Panel/Tree/etc) Set Size		//////
	//////												//////
	//////////////////////////////////////////////////////////

	var Config={};
		
	Config.doLayout=function(adjWidth,adjHeight)
	{	
		Config.Width=adjWidth;
		Config.Height=adjHeight;
		//alert(adjWidth+","+adjHeight);

		if(Ext.getCmp('updateDomainInfoPanel')){
			//Ext.getCmp('updateDomainInfoPanel').setHeight(adjHeight);
			Ext.getCmp('updateDomainInfoPanel').setWidth(adjWidth-10);
		}

		//updateColumnPanel
		if(Ext.getCmp('updateColumnPanel')){
			Ext.getCmp('updateColumnPanel').setHeight(adjHeight - 165);
			Ext.getCmp('updateColumnPanel').setWidth(adjWidth-10);
		}

		if(Ext.getCmp('updateRiskItemGridPanel-column')){
			Ext.getCmp('updateRiskItemGridPanel-column').setHeight(adjHeight - 165);
			Ext.getCmp('updateRiskItemGridPanel-column').setWidth(adjWidth/3-120);
		}
		if(Ext.getCmp('updateRiskItemGridPanel')){
			Ext.getCmp('updateRiskItemGridPanel').setHeight(adjHeight - 165);
			Ext.getCmp('updateRiskItemGridPanel').setWidth(adjWidth/3-120);
		}


		if(Ext.getCmp('updateRiskFactorPanel-column')){
			Ext.getCmp('updateRiskItemGridPanel').setHeight(adjHeight - 165);
			Ext.getCmp('updateRiskFactorPanel-column').setWidth(adjWidth/3-120);
		}
		if(Ext.getCmp('updateRiskFactorLikelihoodGridPanel')){
			Ext.getCmp('updateRiskFactorLikelihoodGridPanel').setHeight((adjHeight - 165)/2);
			Ext.getCmp('updateRiskFactorLikelihoodGridPanel').setWidth(adjWidth/3-120);
		}

		if(Ext.getCmp('updateRiskFactorImpactGridPanel')){
			Ext.getCmp('updateRiskFactorImpactGridPanel').setHeight((adjHeight - 165)/2-5);
			Ext.getCmp('updateRiskFactorImpactGridPanel').setWidth(adjWidth/3-120);
		}

	
		if(Ext.getCmp('updateUserGridPanel-column')){
			Ext.getCmp('updateUserGridPanel-column').setHeight(adjHeight - 165);
			Ext.getCmp('updateUserGridPanel-column').setWidth(adjWidth/3-120);
		}
		if(Ext.getCmp('updateUserGridPanel')){
			Ext.getCmp('updateUserGridPanel').setHeight(adjHeight - 165);
			Ext.getCmp('updateUserGridPanel').setWidth(adjWidth/3-120);
		}
	}


	//////////////////////////////////////////////////////////
	//////												//////
	//////												//////
	//////												//////
	//////////////////////////////////////////////////////////

	Config.updateFlag = 0;
	RiskAnalyzerObj = function(Seq,Name,Description,PI,ST,FI,RL,CategorySeq,Category)
	{
		this.seq=Seq;
		this.name=Name;
		this.description=Description;
		this.PI=PI;
		this.ST=ST;
		this.FI=FI;
		this.RL=RL;
		this.categorySeq=CategorySeq;
		this.category=Category;
		this.obj2string=function(obj)
			{
				var val='';
				for(var i=0;i<obj.length;i++){
					var r = obj[i];
					if(r['ActualPoint']=='' || r['DisplayPoint']==''){
						Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain_riskAnalyseValue+TPMS_lang_Msg_validationMsg);
						return;
					}
					val += r['DisplayPoint'].trim() + '('+ r['ActualPoint'] +')';
					if(i != obj.length - 1){
						val += ', ';
					}
				}
				return val;
			}
	}

	cutText = function(name,length)
	{
		if(name.length > length){
			name = 	name.substring(0,length);
			name = name+"...";
		}
		return name;
	}

	var RiskAnalysisObject = null;

	var riskItemStore = new Ext.data.Store({
		proxy: new Ext.data.HttpProxy({
			url: '/service/tpms_proc.php?method=getRiskItemList'
		}),
		method : 'POST',
		reader: new Ext.data.JsonReader({
		root:'data',
		id:'seq'
		}, [
			'seq',
			'name',
			'register',
			'category',
			'position'
		])
	});
	riskItemStore.load({ params : {DomainSeq : domainSeq}});

	//Impact, Likelihood //DomainSeq,RiskFactorTypeSeq

	var riskFactorImpactStore = new Ext.data.Store({
		proxy: new Ext.data.HttpProxy({
			url: '/service/tpms_proc.php?method=getRiskFactorList'
		}),
		method : 'POST',
		reader: new Ext.data.JsonReader({
		root:'data',
		id:'seq'
		}, [
			'seq',
			'name',
			'weight',
			'register'
		])
	});
	riskFactorImpactStore.load({ params : {DomainSeq : domainSeq, RiskFactorTypeSeq: 1}});

	var riskFactorLikelihoodStore = new Ext.data.Store({
		proxy: new Ext.data.HttpProxy({
			url: '/service/tpms_proc.php?method=getRiskFactorList'
		}),
		method : 'POST',
		reader: new Ext.data.JsonReader({
		root:'data',
		id:'seq'
		}, [
			'seq',
			'name',
			'weight',
			'register'
		])
	});
	riskFactorLikelihoodStore.load({ params : {DomainSeq : domainSeq, RiskFactorTypeSeq: 2}});

	var userStore = new Ext.data.Store({
		proxy: new Ext.data.HttpProxy({
			url: '/service/tpms_proc.php?method=getDomainUserList'
		}),
		reader: new Ext.data.JsonReader({
		root:'data',
		id:'seq'
		}, [
			'seq',
			'user',
			'group_name'
		])
	});
	userStore.load({ params : {DomainSeq : domainSeq}});

	updateRiskItemPosition=function (ItemList){
			//alert(ItemList);
			Ext.Ajax.request({
				url : '/service/tpms_proc.php?method=updateRiskItemPosition',
				method: 'POST',
				params :{ 
					DomainSeq : domainSeq,
					Data: ItemList
				},
				success: function ( result, request ) {
					//var renderData = Ext.decode(result.responseText).data[0];
					//alert("ok");
				},
				failure: function ( result, request ) {

				}
			});
	}

	 var updateRiskItemGridsm = new Ext.grid.CheckboxSelectionModel({ singleSelect: false });//, tooltip :"선택"});
	 var updateRiskFactorImpactGridsm = new Ext.grid.CheckboxSelectionModel({ singleSelect: false });//, tooltip :"선택"});
	 var updateRiskFactorLikelihoodGridsm = new Ext.grid.CheckboxSelectionModel({ singleSelect: false });//, tooltip :"선택"});
	 var updateUserGridsm = new Ext.grid.CheckboxSelectionModel({ singleSelect: false });//, tooltip :"선택"});

	//리스크아이템 그리드
	var updateRiskItemGridPanel = new Ext.grid.GridPanel({
		id:'updateRiskItemGridPanel',
		frame:true,
		store: riskItemStore,
		//collapsible: true,
	    //animCollapse: false,
		//width:'auto',
		ddGroup:'riskItemListGridDD',    
		enableDragDrop: true,
		height:565,		
		autoScroll: true,
		stripeRows: true,
		enableColumnHide  : false,
		enableColumnResize: true,
		enableColumnMove  : false,
		enableHdMenu: false,
		loadMask: { msg: TPMS_lang_Msg_load },
		view: new Ext.grid.GridView({
			forceFit:true
        }),
		cm : new Ext.grid.ColumnModel([
			updateRiskItemGridsm,
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq'},
			{header: TPMS_lang_riskItem, dataIndex: 'name', sortable: true, width: 150,renderer : my_unescape},
			{header: TPMS_lang_riskItem_category, dataIndex: 'category', sortable: true, width: 150},
			{header: TPMS_lang_riskItem_creater, dataIndex: 'register', sortable: true, width: 100}
		]),
		sm: updateRiskItemGridsm,
		tbar: [{
			xtype: 'label',
			text: TPMS_lang_riskItem
		},'->',{
			xtype: 'button',
			iconCls: 'icon-plus',
			text: TPMS_lang_button_add,
			handler: function() {
				if(Ext.getCmp('updateCenterPanel')){
					if(riskItemStore.getCount() >= Config.riskItemMax){
						var riskItemMaxMsg = TPMS_lang_Msg_maxItems.replace("{item}",TPMS_lang_riskItem);
						riskItemMaxMsg = riskItemMaxMsg.replace("{number}",Config.riskItemMax);

						Ext.Msg.alert(TPMS_lang_title, riskItemMaxMsg);
						//Ext.Msg.alert(TPMS_lang_title, TPMS_lang_riskItem
						//+" "+TPMS_lang_common_count+" : "+riskItemStore.getCount()
						//+" ("+TPMS_lang_common_max+" : "+Config.riskItemMax+")");
					}else{
						riskItemCreate(UserInfo.seq, domainSeq);
					}
				}
			}
		},'-',{
			xtype: 'button',
			id: 'updateRiskItem-button',
			iconCls: 'icon-edit',
			text: TPMS_lang_button_update,
			handler: function() {
				if(Ext.getCmp('updateCenterPanel')){
					var list = new Array();
					var riskItemRecords = Ext.getCmp('updateRiskItemGridPanel').selModel.getSelections();

					//리스크아이템 수정
					if(riskItemRecords.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
						return;
					}else{
						if(riskItemRecords.length > 1){
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectError);
						}else{
							//alert(riskItemRecords[0].data['seq']);
							Ext.getCmp('updateRiskItem-button').disable(true);
							riskItemUpdateWin(domainSeq, riskItemRecords[0].data['seq']);
						}
					} 
				}
			}
		},'-',{
			xtype: 'button',
			iconCls: 'icon-minus',
			text: TPMS_lang_button_remove,
			handler: function() {
				if(Ext.getCmp('updateCenterPanel')){
					var list = new Array();
					var riskItemRecords = Ext.getCmp('updateRiskItemGridPanel').selModel.getSelections();

					//리스크아이템 삭제
					if(riskItemRecords.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
						return;
					}else{
						var riskItemSeq ="";
						for(var i=0; i<riskItemRecords.length; i++){
							 riskItemSeq += riskItemRecords[i].data['seq']+",";

						}

						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
							if(btn == "yes") { 
								riskItemDelete(riskItemSeq);
							}else{
								return;
							}
						}); 
					} 
				}
			}
		}],
		bbar:['->',{xtype:'label',text:TPMS_lang_riskItem+' :'},{
			xtype: 'button',
			text: TPMS_lang_export,
			tooltip:TPMS_lang_toolTip_msg_itemCSV_export,
			handler: function() {
				Ext.MessageBox.confirm(TPMS_lang_title,TPMS_lang_Msg_export_riskItems,function(btn,text){
				   if(btn=="yes"){
						location.href="/service/export_proc.php?method=exportRiskItemsCSV&DomainSeq="+domainSeq;
						setTimeout('closeHiddenFrame()',1000);
				   }else{
					   return;
				   }
				});
			}
		},'-',{
			xtype: 'button',
			text: TPMS_lang_import,
			tooltip:TPMS_lang_toolTip_msg_itemCSV_import,
			disabled : (UserInfo.License<=0)?true:false,
			handler: function() {
				fileLoadPop(UserInfo.seq, domainSeq);
			}
		}]
		,listeners:{
			scope : this,
			// Drop zone 
			render: function(grid){
				var store = Ext.getCmp('updateRiskItemGridPanel').getStore();

				var ddrow = new Ext.dd.DropTarget(grid.getView().mainBody, {   
				    ddGroup : 'riskItemListGridDD',   
				    notifyDrop : function(dd, e, data){   
				        var sm = grid.getSelectionModel();   
				        var rows = sm.getSelections();   
				        var cindex = dd.getDragData(e).rowIndex;   

				        if (sm.hasSelection()) {   
				            for (i = 0; i < rows.length; i++) {   
				                store.remove(store.getById(rows[i].id));   
				                store.insert(cindex,rows[i]);   
								//alert(rows[i].id+"/"+cindex+"/");
								//updateMemberTaskList(rows[i].id,'',cindex)
				            }   
				            sm.selectRecords(rows);   
							
							var storeData = store.data; 
							var itemList = "";
							 for (i = 0; i < storeData.items.length; i++) {   
								//var riskItemSeq= store1.data.items[0].data.RiskItemSeq;
								var seq = store.data.items[i].data.seq;
								var preorityId = store.data.items[i].data.position;
								var odr = i+1;
								//alert("Sid: "+sid+", Preority: "+preorityId+", Odr: "+odr);
								//var  preorityId = combo.getValue();
								//var odr = "";
								
								itemList += seq+","+preorityId+","+odr+"/";

								//updateMemberTaskList(sid,preorityId,odr);
							 }
							 updateRiskItemPosition(itemList);
							 //alert(itemList);
				        }     

				    }   
				});  
			},
			rowdblclick: function(grid){
				//if(!Ext.getCmp('riskItemUpdate-center')){
				
				if(Ext.getCmp('riskItemUpdate-win')){
					Ext.getCmp('riskItemUpdate-win').close();
				}

				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
					Ext.getCmp('updateRiskItem-button').disable(true);
					riskItemUpdateWin(domainSeq, seldata.seq);
				}
			}
		}
	});

	//리스트펙터 Impact 그리드
	var updateRiskFactorImpactGridPanel = new Ext.grid.GridPanel({
		id:'updateRiskFactorImpactGridPanel',
		frame:true,
		store: riskFactorImpactStore,
		//collapsible: true,
	    //animCollapse: false,
		//width:'auto',
		height:280,//235,		
		autoScroll: true,
		stripeRows: true,
		enableColumnHide  : false,
		enableColumnResize: true,
		enableColumnMove  : false,
		enableHdMenu: false,
		loadMask: { msg: TPMS_lang_Msg_load },
		view: new Ext.grid.GridView({
			forceFit:true
        }),
		cm : new Ext.grid.ColumnModel([
			updateRiskFactorImpactGridsm,
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_riskFactor, dataIndex: 'name', sortable: true, width: 150,renderer : my_unescape},
			{header: TPMS_lang_riskFactor_weight, dataIndex: 'weight', sortable: true, width: 100},
			{header: TPMS_lang_riskFactor_creater, dataIndex: 'register', sortable: true, width: 100}
		]),
		sm: updateRiskFactorImpactGridsm,
		tbar: [{//리스크 팩터 변경 하는 기능 egkang
			xtype: 'hidden',
			id: 'impactTitle-hidden'//,
		//	text: TPMS_lang_riskFactor//_impact
		},{
			xtype:'textfield',
			id: 'impactTitle-edit',
			hidden: true,
			width:105
		},{
			xtype: 'button',
			id: 'impactTitle-change',
			hidden: true,
			text: TPMS_lang_button_change,
			handler: function() {
				var name = Ext.getCmp('impactTitle-edit').getValue();
					name = name.trim();

				Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_saveConfirm, function (btn) { 
					if(btn == "yes") { 
						if(name.length>10){
							var maxLength = TPMS_lang_Msg_maxLength.replace("{number}",10);
							Ext.Msg.alert(TPMS_lang_title, maxLength);
							return;
						}

						Ext.getCmp('impactTitle-edit').hide();
						Ext.getCmp('impactTitle-change').hide();
						Ext.getCmp('impactTitle').show();
						//Ext.getCmp('impactTitle-name').show();

						 //egkang //UpdateRiskFactorType($DomainSeq,$Type,$Name);
						Ext.Ajax.request({
							url : '/service/tpms_proc.php?method=updateRiskFactorType',
							method: 'POST',
							params :{ 
								DomainSeq : domainSeq,
								Type: 1,
								Name: name
							},
							success: function ( result, request ) {
								var r=Ext.decode(result.responseText);
								if(r.success==false)Ext.Msg.alert(r.msg_type,r.msg);
								else{
										RiskAnalysisObject.FI[1].name = r.name;
										var name2 = cutText(r.name,7);
										var changeName = TPMS_lang_factor+"("+name2+")";
										Ext.getCmp('impactTitle').setText(changeName);
								}
							},
							failure: function ( result, request ) {

							}
						});
					}else{
						Ext.getCmp('impactTitle-edit').hide();
						Ext.getCmp('impactTitle-change').hide();
						Ext.getCmp('impactTitle').show();
					}
				}); 				
			}
		},{
			xtype: 'button',
			id: 'impactTitle',
			iconCls: 'icon-edit',
			tooltip:TPMS_lang_toolTip_msg_riskFactor_change,
			//text: TPMS_lang_factor+'(impact)',//TPMS_lang_riskFactor+'(impact)',
			handler: function() {
				
				Ext.getCmp('impactTitle').hide();
				//Ext.getCmp('impactTitle-name').hide();
				Ext.getCmp('impactTitle-edit').show();
				Ext.getCmp('impactTitle-change').show();
				if(!Ext.getCmp('impactTitle-edit').getValue()){
					//Ext.getCmp('impactTitle-edit').setValue(Ext.getCmp('impactTitle-hidden').getValue());
				}
				Ext.getCmp('impactTitle-edit').setValue(RiskAnalysisObject.FI[1].name);

			}
		},'->',{
			xtype: 'button',
			iconCls: 'icon-plus',
			text: TPMS_lang_button_add,
			handler: function() {
				if(Ext.getCmp('updateCenterPanel')){									
					if(riskFactorImpactStore.getCount() >= Config.riskFactorMax){
						var riskFactorImpactMaxMsg = TPMS_lang_Msg_maxItems.replace("{item}",RiskAnalysisObject.FI[1].name);
						riskFactorImpactMaxMsg = riskFactorImpactMaxMsg.replace("{number}",Config.riskFactorMax);

						Ext.Msg.alert(TPMS_lang_title, riskFactorImpactMaxMsg);

						//Ext.Msg.alert(TPMS_lang_title, riskFactorImpactStore.getCount());
						//Ext.Msg.alert(TPMS_lang_title, TPMS_lang_riskFactor_impact
						//+" "+TPMS_lang_common_count+" : "+riskFactorImpactStore.getCount()
						//+" ("+TPMS_lang_common_max+" : "+Config.riskFactorMax+")");
					}else{
						riskFactorCreate(UserInfo.seq, domainSeq, 1);
					}					
				}
			}
		},'-',{
			xtype: 'button',
			id: 'updateRiskFactorImpact-button',
			iconCls: 'icon-edit',
			text: TPMS_lang_button_update,
			handler: function() {
				if(Ext.getCmp('updateCenterPanel')){
					var list = new Array();
					var riskFactorImpactRecords = Ext.getCmp('updateRiskFactorImpactGridPanel').selModel.getSelections();

					//리스크펙터 수정
					if(riskFactorImpactRecords.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
						return;
					}else if(riskFactorImpactRecords.length > 1){
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectError);
					}else{
							//alert(riskFactorImpactRecords[0].data['seq']);

							//Ext.getCmp('updateRiskFactorImpact-button').disable(true);
							riskFactorUpdateWin2(domainSeq, riskFactorImpactRecords[0].data['seq']);
					}
				}
			}
		},'-',{
			xtype: 'button',
			iconCls: 'icon-minus',
			text: TPMS_lang_button_remove,
			handler: function() {
				if(Ext.getCmp('updateCenterPanel')){
					var list = new Array();
					var riskFactorImpactRecords = Ext.getCmp('updateRiskFactorImpactGridPanel').selModel.getSelections();

					//리스크팩터 Impact Type 삭제
					if(riskFactorImpactRecords.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
						return;
					}else{
						var riskItemSeq ="";
						for(var i=0; i<riskFactorImpactRecords.length; i++){
							 riskItemSeq += riskFactorImpactRecords[i].data['seq']+",";
						}

						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
							if(btn == "yes") { 
								riskFactorDelete(riskItemSeq, 1);
							}else{
								return;
							}
						}); 
					} 
				}
			}
		}]
		,listeners:{
			scope : this,
			rowdblclick: function(grid){
				//if(!Ext.getCmp('riskFactorUpdate2-center')){
				if(Ext.getCmp('riskFactorImpactUpdate-win')){
					Ext.getCmp('riskFactorImpactUpdate-win').close();
				}

				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
					Ext.getCmp('updateRiskFactorImpact-button').disable(true);
					riskFactorUpdateWin2(domainSeq, seldata.seq);
				}
			}
		}
	});

	var updateRiskFactorLikelihoodGridPanel = new Ext.grid.GridPanel({
		id:'updateRiskFactorLikelihoodGridPanel',
		frame:true,
		store: riskFactorLikelihoodStore,
		//collapsible: true,
	    //animCollapse: false,
		//width:'auto',
		height:280,//235,		
		autoScroll: true,		
		stripeRows: true,
		enableColumnHide  : false,
		enableColumnResize: true,
		enableColumnMove  : false,
		enableHdMenu: false,
		loadMask: { msg: TPMS_lang_Msg_load },
		view: new Ext.grid.GridView({
			forceFit:true
        }),
		cm : new Ext.grid.ColumnModel([
			updateRiskFactorLikelihoodGridsm,
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_riskFactor, dataIndex: 'name', sortable: true, width: 150,renderer : my_unescape},
			{header: TPMS_lang_riskFactor_weight, dataIndex: 'weight', sortable: true, width: 100},
			{header: TPMS_lang_riskFactor_creater, dataIndex: 'register', sortable: true, width: 100}
		]),
		sm: updateRiskFactorLikelihoodGridsm,
		tbar: [{//리스크 팩터 변경 하는 기능 egkang
			xtype: 'hidden',
			id:'likelihoodTitle-hidden'//,
			//text: TPMS_lang_riskFactor//_likelihood
		},{
			xtype:'textfield',
			id: 'likelihoodTitle-edit',
			hidden: true,
			width:105
		},{
			xtype: 'button',
			id: 'likelihoodTitle-change',
			hidden: true,
			text: TPMS_lang_button_change,
			style:'color:red;',
			handler: function() {
				var name = Ext.getCmp('likelihoodTitle-edit').getValue();

				Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_saveConfirm, function (btn) { 
					if(btn == "yes") { 
						if(name.length>10){
							var maxLength = TPMS_lang_Msg_maxLength.replace("{number}",10);
							Ext.Msg.alert(TPMS_lang_title, maxLength);
							return;
						}


						Ext.getCmp('likelihoodTitle-edit').hide();
						Ext.getCmp('likelihoodTitle-change').hide();
						Ext.getCmp('likelihoodTitle').show();
						//Ext.getCmp('likelihoodTitle-name').show();
						
						
						 //egkang //UpdateRiskFactorType($DomainSeq,$Type,$Name);
						Ext.Ajax.request({
							url : '/service/tpms_proc.php?method=updateRiskFactorType',
							method: 'POST',
							params :{ 
								DomainSeq : domainSeq,
								Type: 2,
								Name: name
							},
							success: function ( result, request ) {
								var r=Ext.decode(result.responseText);
								if(r.success==false)Ext.Msg.alert(r.msg_type,r.msg);
								else{
									RiskAnalysisObject.FI[0].name = r.name;
									var name2 = cutText(r.name,7);
									var changeName = TPMS_lang_factor+"("+name2+")";
									Ext.getCmp('likelihoodTitle').setText(changeName);
								}
							},
							failure: function ( result, request ) {

							}
						});
					}else{
						Ext.getCmp('likelihoodTitle-edit').hide();
						Ext.getCmp('likelihoodTitle-change').hide();
						Ext.getCmp('likelihoodTitle').show();
					}
				}); 
			}
		},{
			xtype: 'button',
			id: 'likelihoodTitle',
			iconCls: 'icon-edit',
			//text: TPMS_lang_factor+'(likelihood)',
			tooltip:TPMS_lang_toolTip_msg_riskFactor_change,
			handler: function() {
				Ext.getCmp('likelihoodTitle').hide();				
				//Ext.getCmp('likelihoodTitle-name').hide();
				Ext.getCmp('likelihoodTitle-edit').show();
				Ext.getCmp('likelihoodTitle-change').show();

				if(!Ext.getCmp('likelihoodTitle-edit').getValue()){
					//Ext.getCmp('likelihoodTitle-edit').setValue(Ext.getCmp('likelihoodTitle-hidden').getValue());
				}
				Ext.getCmp('likelihoodTitle-edit').setValue(RiskAnalysisObject.FI[0].name);
			}
		},'->',{
			xtype: 'button',
			iconCls: 'icon-plus',
			text: TPMS_lang_button_add,
			handler: function() {
				if(Ext.getCmp('updateCenterPanel')){
					if(riskFactorLikelihoodStore.getCount() >= Config.riskFactorMax){
						var riskFactorLikelihoodMaxMsg = TPMS_lang_Msg_maxItems.replace("{item}",RiskAnalysisObject.FI[0].name);
						riskFactorLikelihoodMaxMsg = riskFactorLikelihoodMaxMsg.replace("{number}",Config.riskFactorMax);

						Ext.Msg.alert(TPMS_lang_title, riskFactorLikelihoodMaxMsg);

						//Ext.Msg.alert(TPMS_lang_title, TPMS_lang_riskFactor_likelihood
						//+" "+TPMS_lang_common_count+" : "+riskFactorLikelihoodStore.getCount()
						//+" ("+TPMS_lang_common_max+" : "+Config.riskFactorMax+")");
					}else{
						riskFactorCreate(UserInfo.seq, domainSeq, 2);
					}						
				}
			}
		},'-',{
			xtype: 'button',
			id: 'updateRiskFactorLikelihood-button',
			iconCls: 'icon-edit',
			text: TPMS_lang_button_update,
			handler: function() {
				if(Ext.getCmp('updateCenterPanel')){
					var list = new Array();
					var riskFactorLikelihoodRecords = Ext.getCmp('updateRiskFactorLikelihoodGridPanel').selModel.getSelections();

					//리스크펙터 수정
					if(riskFactorLikelihoodRecords.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
						return;
					}else if(riskFactorLikelihoodRecords.length > 1){
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectError);
					}else{
							//alert(riskFactorLikelihoodRecords[0].data['seq']);
							Ext.getCmp('updateRiskFactorLikelihood-button').disable(true);
							riskFactorUpdateWin(domainSeq, riskFactorLikelihoodRecords[0].data['seq']);
					}
				}
			}
		},'-',{
			xtype: 'button',
			iconCls: 'icon-minus',
			text: TPMS_lang_button_remove,
			handler: function() {
				if(Ext.getCmp('updateCenterPanel')){
					var list = new Array();
					var riskFactorLikelihoodRecords = Ext.getCmp('updateRiskFactorLikelihoodGridPanel').selModel.getSelections();

					//리스크팩터 Likelihood Type 삭제
					if(riskFactorLikelihoodRecords.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
						return;
					}else{
						var riskItemSeq ="";
						for(var i=0; i<riskFactorLikelihoodRecords.length; i++){
							 riskItemSeq += riskFactorLikelihoodRecords[i].data['seq']+",";
						}

						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
							if(btn == "yes") { 
								riskFactorDelete(riskItemSeq, 2);
							}else{
								return;
							}
						}); 
					} 
				}
			}
		}]
		,listeners:{
			scope : this,
			rowdblclick: function(grid){
				if(Ext.getCmp('riskFactorLikelihoodUpdate-win')){
					Ext.getCmp('riskFactorLikelihoodUpdate-win').close();

				}
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
					Ext.getCmp('updateRiskFactorLikelihood-button').disable(true);
					riskFactorUpdateWin(domainSeq, seldata.seq);
				}
			}
		}
	});

	var updateUserGridPanel = new Ext.grid.GridPanel({
		id:'updateUserGridPanel',
		frame:true,
		store: userStore,
		//collapsible: true,
	    //animCollapse: false,
		//width:'auto',
		height:565,		
		autoScroll: true,
		stripeRows: true,
		enableColumnHide  : false,
		enableColumnResize: true,
		enableColumnMove  : false,
		enableHdMenu: false,
		loadMask: { msg: TPMS_lang_Msg_load },
		view: new Ext.grid.GridView({
			forceFit:true
        }),
		cm : new Ext.grid.ColumnModel([
			updateUserGridsm,
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_user, dataIndex: 'user', sortable: true, width: 100,renderer : my_unescape},
			{header: TPMS_lang_user_department, dataIndex: 'group_name', sortable: true, width: 130,renderer : my_unescape}
		]),
		sm: updateUserGridsm,
		tbar: [{
			xtype: 'label',
			text: TPMS_lang_user			
		},'->',{
			xtype: 'button',
			iconCls: 'icon-plus',
			text: TPMS_lang_button_add,
			handler: function() {
				if(Ext.getCmp('updateCenterPanel')){
					if(userStore.getCount() >= Config.userMax){
						
						var userMaxMsg = TPMS_lang_Msg_maxUser.replace("{item}",TPMS_lang_user);
						userMaxMsg = userMaxMsg.replace("{number}",Config.userMax);

						Ext.Msg.alert(TPMS_lang_title, userMaxMsg);

						//Ext.Msg.alert(TPMS_lang_title, TPMS_lang_user
						//+" "+TPMS_lang_common_count+" : "+userStore.getCount()
						//+" ("+TPMS_lang_common_max+" : "+Config.userMax+")");
					}else{
						userCreate('',domainSeq);
					}					
				}
			}
		},'-',{
			xtype: 'button',
			id: 'updateUser-button',
			iconCls: 'icon-edit',
			text: TPMS_lang_button_update,
			handler: function() {
				if(Ext.getCmp('updateCenterPanel')){
					var list = new Array();
					var userRecords = Ext.getCmp('updateUserGridPanel').selModel.getSelections();

					if(userRecords.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
						return;
					}else if(userRecords.length > 1){
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectError);
					}else{
						//alert(userRecords[0].data['seq']);
						Ext.getCmp('updateUser-button').disable(true);
						domainUserUpdateWin(userRecords[0].data['seq'],domainSeq);
					}
				}
			}
		},'-',{
			xtype: 'button',
			iconCls: 'icon-minus',
			text: TPMS_lang_button_remove,
			handler: function() {
				if(Ext.getCmp('updateCenterPanel')){
					var list = new Array();
					var userRecords = Ext.getCmp('updateUserGridPanel').selModel.getSelections();

					//참여자 삭제
					if(userRecords.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
						return;
					}else{
						var domainUserListSeq ="";
						for(var i=0; i<userRecords.length; i++){
							 domainUserListSeq += userRecords[i].data['seq']+",";
						}

						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
							if(btn == "yes") { 
								userDelete(domainUserListSeq);
							}else{
								return;
							}
						}); 
					} 
				}
			}
		}]
		,listeners:{
			scope : this,
			rowdblclick: function(grid){

				//if(!Ext.getCmp('domainUserUpdate-center')){
				if(Ext.getCmp('riskAnalysisUserUpdate-win')){
					Ext.getCmp('riskAnalysisUserUpdate-win').close();
				}

				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
					Ext.getCmp('updateUser-button').disable(true);
					domainUserUpdateWin(seldata.seq,domainSeq);
				}
			}
		}
	});

	var updateColumnPanel = {
			layout:'column',
			id:'updateColumnPanel',
			border: false,
			//height: 580,
			//collapsible: true,
			items: [{
				//title: TPMS_lang_riskItem,
				columnWidth: .35,
				layout:'fit',
				border: false,
				id:'updateRiskItemGridPanel-column',
				items:[updateRiskItemGridPanel]
			},{
				border:false,
				//bodyStyle:'padding:5px;'
				height:5,
				width:5
			},{
				xtype:'panel',
				border: false,
				id:'updateRiskFactorPanel-column',
				columnWidth: .35,
				items:[{
					//title: TPMS_lang_riskFactor_likelihood,
					border: false,
					items:[{
						layout:'fit',
						border:false,
						items:[updateRiskFactorLikelihoodGridPanel]
					}]
				},{
					border:false,
					//bodyStyle:'padding:5px;'
					height:5,
					width:5
				},{
					//title: TPMS_lang_riskFactor_impact,
					border: false,
					items:[{
						layout:'fit',
						border:false,
						items:[updateRiskFactorImpactGridPanel]
					}]
				}]
			},{
				border:false,
				//bodyStyle:'padding:5px;'
				height:5,
				width:5
			},{
				//title: TPMS_lang_user,
				columnWidth: .30,
				border: false,
				id:'updateUserGridPanel-column',
				items:[{
					layout:'fit',
					border:false,
					items:[updateUserGridPanel]
				}]
			}]
        };

//============ 글자 입력 제한시 side 경고 알림

	Ext.QuickTips.init();

    // turn on validation errors beside the field globally
    Ext.form.Field.prototype.msgTarget = 'side';

//============

	var DomainStatusStore= new Array();

	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=getDomainInfo',
		method: 'POST',
		params :{ DomainSeq : domainSeq},
		success: function ( result, request ) {

			var renderData = Ext.decode(result.responseText).data[0];
			RiskAnalysisObject=new RiskAnalyzerObj(
							renderData.seq,renderData.name,
							renderData.description.replace(/\\n/gi,'\n\r').replace(/\\"/gi,'\"').replace(/\\'/gi,'\'').replace(/\\\\/gi,'\\'),
							Ext.decode(result.responseText).PI,
							Ext.decode(result.responseText).ST,	
							Ext.decode(result.responseText).FI,
							renderData.RL,
							renderData.categorySeq,
							renderData.category,
							renderData.riskAnalysisRule);
			//alert(RiskAnalysisObject.FI[0].name);

			Ext.getCmp('likelihoodTitle').setText(TPMS_lang_factor+"("+cutText(RiskAnalysisObject.FI[0].name,7)+")");
			Ext.getCmp('likelihoodTitle-hidden').setValue(RiskAnalysisObject.FI[0].name);
			
			Ext.getCmp('impactTitle').setText(TPMS_lang_factor+"("+cutText(RiskAnalysisObject.FI[1].name,7)+")");
			Ext.getCmp('impactTitle-hidden').setValue(RiskAnalysisObject.FI[1].name);
			

			for(var i=0;i<RiskAnalysisObject.ST.length;i++)
			DomainStatusStore.push([RiskAnalysisObject.ST[i].domainStatus,RiskAnalysisObject.ST[i].name]);
			
			setDomainInfoPanel();

			var H=document.body.clientHeight;
			var W=document.body.clientWidth;
			Config.doLayout(W,H);

			Ext.getCmp('domain-name').setValue(my_unescape(renderData.name));
			Ext.getCmp('domain-description').setValue(my_unescape(renderData.description).replace(/\\n/gi,'\n').replace(/\\"/gi,'"').replace(/\\'/gi,'\'').replace(/\\\\/gi,'\\'));
			//alert(renderData.description.replace(/\\n/gi,'\n'));
			Ext.getCmp('domain-category').setValue(my_unescape(renderData.category));
			Ext.getCmp('riskPointInfo').setValue(RiskAnalysisObject.obj2string(RiskAnalysisObject.PI));
			Ext.getCmp('riskLevel').setValue(renderData.RL);
			Ext.getCmp('riskAnalysisRule').setValue(renderData.riskAnalysisRule);
			var title = TPMS_lang_domain +' '+ TPMS_lang_button_setup + ' - ' + my_unescape(renderData.name);
			Ext.getCmp('domain-title').setText(title);
			window.document.title = title;
			Ext.getCmp('riskAnalysisStatus').setValue(renderData.domainStatus);

		},
		failure: function ( result, request ) {
			//Ext.Msg.alert("생성 실패"); 
			self.close();
		}
	});

var rowIndex = '';



function setDomainInfoPanel(){

	var updateDomainInfoPanel = new Ext.Panel({
		id: 'updateDomainInfoPanel',
		//border: false,
		//height: '100%',
		//collapsible: true,
		height: 120,
		items:[
		{			
			layout: 'column',
			height: '100%',
			border: false,
			items:[{
				columnWidth: .5,
				border: false,
				bodyStyle: 'padding: 5px;',
				items:[
				{
					xtype: 'form',
					height: '100%',
					width: '100%',
					border: false,
					//bodyStyle: 'padding: 5px;',
					items:[
					{
						xtype:'textfield',
						fieldLabel: TPMS_lang_domain,
						id: 'domain-name',
						border:true,
						maxLength: Config.subjectTypeMaxLength,
						allowBlank : false,
						anchor:'95%',
						height : 22//,
						//vtype: 'length',
						//enableKeyEvents: true
						,listeners:{
							scope : this,
								/*
							keypress : function(tf, e){
								if(Ext.getCmp('domain-name').getValue().length > 40){
									e.stopEvent();
									//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_maxLength40);
								}
							},
							keyup : function(tf, e){
								if(Ext.getCmp('domain-name').getValue().length > 40){
									e.stopEvent();
									//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_maxLength40);
								}
							}*/
							blur : function(datefield){
								enableSelect(false);
								datefield.setValue(datefield.getValue().trim());
								//Ext.getCmp('domain-name').setValue(Ext.getCmp('domain-name').getValue().trim());
							},
							focus : function(){enableSelect(true);}
						}
					},{
						xtype:'textarea',
						fieldLabel: TPMS_lang_domain_description,
						id: 'domain-description',
						maxLength: Config.descriptionTypeMaxLength,
						anchor:'95%',
						height : 55//,
						,listeners:{
							scope : this,
							blur : function(datefield){
								enableSelect(false);
								datefield.setValue(datefield.getValue().trim());
							},
							focus : function(){enableSelect(true);}
						}
						//enableKeyEvents: true
						/*,listeners:{
							scope : this,
							keypress : function(tf, e){
								if(Ext.getCmp('domain-description').getValue().length > 1000){
									e.stopEvent();
									//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_maxLength40);
								}
							},
							keyup : function(tf, e){
								if(Ext.getCmp('domain-description').getValue().length > 1000){
									e.stopEvent();
									//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_maxLength1000);
								}
							}
						}*/
					},{
						xtype:'compositefield',
						fieldLabel: TPMS_lang_domain_category,
						anchor:'95%',
						items: [
							{xtype: 'textfield',fieldLabel: TPMS_lang_domain_category, id: 'domain-category', maxLength: Config.categoryMaxLength, allowBlank : false, anchor:'100%'},
							{xtype: 'displayfield', value: '<div id=\"toolTip_msg_domain_category\" class=\"tip-target\" onmouseover=\"showToolTipInfo(\'toolTip_msg_domain_category\',\'left\',200,\''+TPMS_lang_toolTip_msg_domain_category+'\')\"><img src=\"../lib/ext/resources/images/icon-silk/information.gif\"></div>'}
						]
					}/*{
						xtype:'textfield',
						fieldLabel: TPMS_lang_domain_category,						
						id: 'domain-category',
						maxLength: Config.categoryMaxLength,
						allowBlank : false,
						anchor:'95%',
						//width:.48,
						boxLabel: 'Dog',
						height : 22
						,listeners:{
							scope : this,
							blur : function(datefield){
								datefield.setValue(datefield.getValue().trim());
							}
						}
					}*/]
				}]
			},{
				columnWidth: .5,
				border: false,
				bodyStyle: 'padding: 5px;',
				items:[
				{
					xtype: 'form',
					height: '100%',
					width: '100%',
					border: false,
					//bodyStyle: 'padding: 5px;',
					items:[{
						layout: 'column',
						border: false,
						//height:22,
						items:[{
							columnWidth:0.95,
							border: false,
							layout: 'form',
							items:[{
								xtype:'textfield',
								fieldLabel: TPMS_lang_riskItem_area,
								id: 'riskLevel',
								anchor:'95%',
								readOnly : true,
								height : 22						
							}]
						},{
							width: 50,
							border: false,
							items:[{
								xtype: 'button',
								text: TPMS_lang_button_change, //리스크영역 이름 변경
								tooltip:TPMS_lang_toolTip_msg_domain_change1,
								handler: function(btn){
									Config.updateFlag = 1;
										//alert(TPMS_lang_riskItem_area);		
									var seq = new Array();
                               		var riskItemArea = new Array();
                               		                               		
									var tmp_items = new Array();
									riskItemArea = Ext.getCmp('riskLevel').getValue().split(',');

									//for(var i=0; i<riskItemArea.length; i++){alert(riskItemArea[i]);}           		
                                    riskItemAreaUpdateWin(seq, riskItemArea);
								}
							}]
						}]
					},{
						layout: 'column',
						border: false,
						//height:22,
						items:[{
							columnWidth:0.95,
							border: false,
							layout: 'form',
							items:[{
								xtype:'textfield',
								fieldLabel: TPMS_lang_risk+' '+TPMS_lang_evaluationUnit,//TPMS_lang_common_point,
								id: 'riskPointInfo',
								anchor:'95%',
								readOnly : true,
								height : 22						
							}]
						},{
							width: 50,
							border: false,
							items:[{
								xtype: 'button',
								text: TPMS_lang_button_change, //분석수치 변경 버튼
								tooltip:TPMS_lang_toolTip_msg_domain_change2,
								handler: function(){
									Config.updateFlag = 1;
									/*
                                    var seq = new Array();
                               		var actualPoint = new Array();
                               		var displayPoint = new Array();
                               		
									var tmp_items = new Array();
									tmp_items = Ext.getCmp('riskPointInfo').getValue().split(',');
									
									for(var i=0; i<tmp_items.length; i++){

										actualPoint[i] = tmp_items[i].split('(')[1].split(')')[0];
										displayPoint[i] = tmp_items[i].split('(')[0];
									}
                                    riskAnalyseValueUpdateWin(seq, actualPoint, displayPoint);*/
									riskAnalyseValueUpdateWin(RiskAnalysisObject.PI);
								}
							}]
						}]
					},{
						layout: 'column',
						border: false,
						//height:22,
						items:[{
							xtype:'label',
							//columnWidth:0.25,
							width:110,
							html: '<div style=\'height:25; padding:5 0 0 0; font-size:12;\'>'+TPMS_lang_riskAnalysisDiscussionAverageRule_first+'</div>'
						},{
							//columnWidth:0.5,
							width:50,
							border: false,
							//layout: 'form',
							items:[{
								xtype:'combo',
								//fieldLabel: false,//TPMS_lang_domain_riskAnalysisDiscussionAverageRule,
								id : 'riskAnalysisRule',
								store:[['2', '2'],['3', '3'],['4', '4'],['5', '5']],             
								valueField:'Key',
								displayField:'Name',
								//mode          : 'local',
								typeAhead     : false,
								editable      : false,
								forceSelection: false,
								selectOnFocus : false,
								triggerAction : 'all',
								//value:'2',
								width : 45
							}]
						},{
							/*xtype: 'button',							
							iconCls: 'icon-info',
							handler: function(){
								Ext.getCmp('riskAnalysisRule_comment').show()
							}*/
							xtype:'label',
							//showToolTipInfo divId,position,content
							//html: '<div id=\"leftCallout\" class=\"tip-target\"><img src=\"../lib/ext/resources/images/icon-silk/information.gif\"></div>'
							html: '<div id=\"leftCallout\" class=\"tip-target\" onmouseover=\"showToolTipInfo(\'leftCallout\',\'left\',200,\''+TPMS_lang_riskAnalysisDiscussionAverageRule_last+'\')\"><img src=\"../lib/ext/resources/images/icon-silk/information.gif\"></div>'
						},{
							columnWidth:0.2,
							xtype: 'button',
							text: 'Data Export',
							hidden: true,
							handler: function() {
								//selectExportItemsPop(domainSeq,UserInfo.seq);
								/*
								var domainName = Ext.getCmp('domain-name').getValue();
								Ext.MessageBox.confirm(TPMS_lang_title, TPMS_lang_Msg_export_first+domainName+TPMS_lang_Msg_export_second ,function(btn,text){
								   if(btn=="yes"){
									   Ext.Msg.alert(TPMS_lang_title,'Data Excel Export');
								   }else{
									   return;
								   }
								});
								*/

							}
						}]
					},{
						layout: 'column',
						border: false,
						//height:22,
						items:[{
							xtype:'label',
							width:110,
							html: '<div id=\"domain_status\" style=\'height:25; padding:5 0 0 0; font-size:12;\'>'+TPMS_lang_domain_status+' </div>'
						},{
							//columnWidth:0.5,
							border: false,
							width : 85,
							//layout: 'form',
							items:[{
								xtype:'combo',
								id : 'riskAnalysisStatus',
								store: DomainStatusStore,             
								valueField:'domainStatus',
								displayField:'name',
								typeAhead     : false,
								editable      : false,
								forceSelection: false,
								selectOnFocus : false,
								triggerAction : 'all',
								width : 80
							}]
						},{							
							xtype:'label',							
							html: ' <div> &nbsp;<img id=\"toolTip_msg_domain_status\" src=\"../lib/ext/resources/images/icon-silk/information.gif\" class=\"tip-target\" onmouseover=\"showToolTipInfo(\'toolTip_msg_domain_status\',\'left\',200,\''+TPMS_lang_toolTip_msg_domain_status+'\')\"></div>'				
						}]
					}]
				}]
			}]
		}]
	});
	saveDomainInfo=function (domainSeq,domainName,domainDescription,domainStatus,domainCategory,riskLevels,RP,RAR){
		Config.updateFlag=0;
		domainName = domainName.trim();

		if(domainName.length > Config.subjectTypeMaxLength){
			Ext.Msg.alert(TPMS_lang_title, TPMS_lang_common_title +" : <br>"+ TPMS_lang_Msg_maxLength40);
			return;
		}else if(domainName.length == 0){
			Ext.Msg.alert(TPMS_lang_title,TPMS_lang_common_title + TPMS_lang_Msg_validationMsg);
			return;
		}

		//설명 입력 길이 제한
		if(domainDescription.length > Config.descriptionTypeMaxLength){
			Ext.Msg.alert(TPMS_lang_title, TPMS_lang_description +" : <br>"+ TPMS_lang_Msg_maxLength1000);
			return;
		}

		//분류 입력 길이 제한
		if(domainCategory.length > Config.categoryMaxLength){
			var maxLength = TPMS_lang_Msg_maxLength.replace("{number}","30");
			Ext.Msg.alert(TPMS_lang_title, TPMS_lang_category +" : <br>"+ maxLength);
			return;
		}else if(domainCategory.length == 0){
			Ext.Msg.alert(TPMS_lang_title,TPMS_lang_category + TPMS_lang_Msg_validationMsg);
			return;
		}

		// 전체 저장
		Ext.Ajax.request({
			url : '/service/tpms_proc.php?method=update_domain',
			method: 'POST',
			params :{ 
				DomainSeq : domainSeq,
				Name : domainName,
				Description : domainDescription,
				DomainStatus : domainStatus,
				CaName : domainCategory,
				RiskLevels : riskLevels,
				RiskPoints : RP ,
				RiskAnalysisRule: RAR
			},
			success: function ( result, request ) {
				var r=Ext.decode(result.responseText);
				if(r.success==false){
						Ext.Msg.alert(r.msg_type,r.msg);
				}
				else{
					if(window.opener){
						if(opener.h_form){
							if(opener.h_form.bo_table.value==''){
								setTimeout("opener.SendReloadMsg(TPMS_lang_Msg_UpdateInfo)",100);
							}
						}else{
							setTimeout("opener.location.reload()",100);
						}
					}

					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_saveInfrom);
				}				
			},
			failure: function ( result, request ) {
				//Ext.Msg.alert("생성 실패"); 
			}
		});

	}
	
	var updateCenterPanel = {
		region: 'center',
		xtype: 'panel',
        id: 'updateCenterPanel',
		height: 600,
		autoScroll:true,
        border: false,
		bodyStyle:'padding:5px;',
		items: [
			updateDomainInfoPanel
		,{
			border: false,
			//bodyStyle : 'padding:5px;'
			width:5,
			height:5
		},{
			xtype: 'panel',
			//layout: 'fit',
			border:false,
			items:[updateColumnPanel]
		}],
		tbar: [//{text: '리스크아이템 & 리스크팩터'},
		{
			xtype: 'label',
			id: 'domain-title',
			name: 'domain-title'
			//,text: RiskAnalysisObject.name//Ext.getCmp('domain-name').getValue() //egkang
		},{
			xtype: 'hidden',
			id: 'riskItemSeq-hidden',
			name: 'riskItemSeq-hidden'
		}, {
			xtype: 'hidden',
			id: 'riskFactorSeq-hidden',
			name: 'riskFactorSeq-hidden'
		}, {
			xtype: 'hidden',
			id: 'userSeq-hidden',
			name: 'userSeq-hidden'
		},'->',
			{
			id : 'domainCopy-button',
			xtype: 'button',
			iconCls: 'icon-copy',//'icon-refresh',
			text:TPMS_lang_button_call,//'Resource',
			tooltip:TPMS_lang_toolTip_msg_domain_resource,
			handler: function(){
				//alert("Refresh");
				CopyWindow=selectWin();
				Ext.getCmp('domainCopy-button').disable(true);
				}
			},'-',
			{
			xtype: 'button',
			iconCls: 'icon-refresh',
			text:'Refresh',
			handler: function(){
				//alert("Refresh");
				location.reload();
			}
		},'-',{
			xtype: 'button',
			iconCls: 'icon-save',
			text: TPMS_lang_button_save,
			handler: function() {
				
				if(Ext.getCmp('updateCenterPanel')){

					var domainName = Ext.getCmp('domain-name').getValue();
					var domainDescription = Ext.getCmp('domain-description').getValue();
					var domainCategory = Ext.getCmp('domain-category').getValue();
					var domainStatus = Ext.getCmp('riskAnalysisStatus').getValue();
					var riskLevels=Ext.getCmp('riskLevel').getValue();
					var RP=Ext.encode(RiskAnalysisObject.PI);
					var RAR=Ext.getCmp('riskAnalysisRule').getValue();//kang
					if(domainStatus!=0){
						if(riskFactorImpactStore.data.length==0 || riskFactorLikelihoodStore.data.length==0)
						{
						Ext.Msg.confirm('Information',TPMS_lang_Msg_Status0_Init,function(flag){ 

							if(flag=='yes'){
								Ext.getCmp('riskAnalysisStatus').setValue(0);
								domainStatus=0;
								saveDomainInfo(domainSeq,domainName,domainDescription,domainStatus,domainCategory,riskLevels,RP,RAR);
							}
							});
						return;
						}
						else{
						saveDomainInfo(domainSeq,domainName,domainDescription,domainStatus,domainCategory,riskLevels,RP,RAR);
						return;
						}
					}
					saveDomainInfo(domainSeq,domainName,domainDescription,domainStatus,domainCategory,riskLevels,RP,RAR);

				}
			}
		},'-',{
			xtype: 'button',
			iconCls: 'icon-cancel',
			text: TPMS_lang_button_close,
			handler: function() {
				//if(Ext.getCmp('insert-center')){

					if(Config.updateFlag == 1){
						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_saveConfirm, function (btn) { 
							if(btn == "yes") { 
								if(Ext.getCmp('updateCenterPanel')){

									var domainName = Ext.getCmp('domain-name').getValue();
									var domainDescription = Ext.getCmp('domain-description').getValue();
									var domainCategory = Ext.getCmp('domain-category').getValue();
									var domainStatus = Ext.getCmp('riskAnalysisStatus').getValue();
									var riskLevels=Ext.getCmp('riskLevel').getValue();
									var RP=Ext.encode(RiskAnalysisObject.PI);
									var RAR=Ext.getCmp('riskAnalysisRule').getValue();//kang
									if(domainStatus!=0){
										if(riskFactorImpactStore.data.length==0 || riskFactorLikelihoodStore.data.length==0){
											Ext.Msg.confirm('Information',TPMS_lang_Msg_Status0_Init,function(flag){ 

												if(flag=='yes'){
													Ext.getCmp('riskAnalysisStatus').setValue(0);
													domainStatus=0;
													saveDomainInfo(domainSeq,domainName,domainDescription,domainStatus,domainCategory,riskLevels,RP,RAR);
													setTimeout("window.close()",1000);
												}else{
													window.close();
												}
											});
										}else{
											saveDomainInfo(domainSeq,domainName,domainDescription,domainStatus,domainCategory,riskLevels,RP,RAR);
											setTimeout("window.close()",1000);	//return;
										}
									}else{
										saveDomainInfo(domainSeq,domainName,domainDescription,domainStatus,domainCategory,riskLevels,RP,RAR);
										setTimeout("window.close()",1000);
									}

								}
							}else{
								window.close();					
							}
						}); 
					}else{
						window.close();					
					}
				//}
			}
        }]
	};

	Ext.onReady(function(){
		var viewport = new Ext.Viewport({
			layout: 'border',
			renderTo: Ext.getBody(),
			items: [
				updateCenterPanel//,
				//eastPanel
			]
		});		
	});

	addEvent(window, "resize", function() { 
		var H=document.body.clientHeight;
		var W=document.body.clientWidth;
		Config.doLayout(W,H);
	}); 
}

//////////////////////////////////////////////////////////////////////
////////////////////  리스크분석 평가 등급 변경  //////////////////////////
//////////////////////////////////////////////////////////////////////

riskAnalyseValueUpdateWin = function(Obj){//seq, actualPoint, displayPoint){
	this.delSeq = new Array();
	this.Obj=Obj;
	/*
	this.seq = seq;
	this.actualPoint = actualPoint;
	this.displayPoint = displayPoint;
	*/
	if (!this.anlyseWin) {
		
		var csm = new Ext.grid.CheckboxSelectionModel({	singleSelect: false	});
		var nsm = new Ext.grid.RowSelectionModel({
			singleSelect: false,
			listeners: {
				scope: this,
				rowselect: function(selModel, rowIndex){
					var record = selModel.getSelected();
				}
			}
		});
		
		 var northStore = new Ext.data.SimpleStore({
		 	id: 'north-store',
			fields: ['seq', 'ActualPoint', 'DisplayPoint'],
			listeners:{
				scope: this,
				load: function(store, record, operation) {
					addRecord(store);
				}
			}
		});
		
	    var northGrid = new Ext.grid.EditorGridPanel({
			id: 'domainAnalyse-ngrid',
			region: 'north',
			height: 200,
			clicksToEdit: 1,
			autoScroll: true,
			border: false,
			store: northStore,
			viewConfig: { autoFill:true, forceFit: true},
			stripeRows: true,
			enableColumnHide  : false,
			enableColumnResize: true,
			enableColumnMove  : false,
			enableHdMenu: false,
			loadMask: { msg: 'processing' },
	        sm: nsm,
	        columns: [
	            {header: 'seq', dataIndex: 'seq', sortable: true, hidden: true},
				//TPMS_lang_domain_riskAnalyseValue
	            
				{header: TPMS_lang_evaluationUnit+' '+TPMS_lang_value,	dataIndex: 'ActualPoint',  	sortable: false,	editor:new Ext.form.TextField({
                   	 allowBlank: false,
                     enableKeyEvents : true,					
                     style : 'ime-mode:disabled',
                     listeners:{
                		scope : this,
                		keypress : function(tf, e){
                		
                        	var key = e.getKey();
							//alert(key);
                        	if((key >= 48 && key <= 57) || key == 8 ){ //|| key == 46 요건 점(.)
                        		//alert(tf.getValue());
                        	}else{
                        		e.stopEvent();
                        	}
                        },
						keyup: function(tf, e){							
						}
                	}                     
                })				
				// row 추가시 알려주기?
				,renderer: function(value){
					if(value!=0)
						value = parseInt(value);
					//value = parseInt(value);
					return (value == "")?TPMS_lang_Msg_inputData:value;
				}
				},//TPMS_lang_domain_riskAnalyseDescription
	            {header: TPMS_lang_evaluationUnit+' '+TPMS_lang_description,	dataIndex: 'DisplayPoint',  sortable: false,	editor:new Ext.form.TextField({
                     allowBlank: false,
					 maxLength:8,
                     enableKeyEvents : true,
                     listeners:{
                		scope : this,
                		keypress : function(tf, e){
                        	var key = e.getKey();
                        }
						,blur : function(datefield){
							datefield.setValue(datefield.getValue().trim());
						}
                	}                     
                })
				// row 추가시 알려주기?
				,renderer: function(value){ return (value == "")?TPMS_lang_Msg_inputData:value;}
				}
	        ],
	        tbar: ['->',{
	        		iconCls: 'icon-plus',
	        		id: 'plus-button',
	        		text: TPMS_lang_button_add,
	        		scope: this,
	        		handler: function(){
						if(northStore.getCount() >= Config.evaluationUnitMax){
							var evaluationUnitMaxMsg = TPMS_lang_Msg_maxItems.replace("{item}",TPMS_lang_risk+' '+TPMS_lang_evaluationUnit);//egkang??
							evaluationUnitMaxMsg = evaluationUnitMaxMsg.replace("{number}",Config.evaluationUnitMax);
	
							Ext.Msg.alert(TPMS_lang_title, evaluationUnitMaxMsg);

							//Ext.Msg.alert(TPMS_lang_title, TPMS_lang_risk+' '+TPMS_lang_evaluationUnit
							//	+" "+TPMS_lang_common_count+" : "+northStore.getCount()
							//	+" ("+TPMS_lang_common_max+" : "+Config.evaluationUnitMax+")");
						}else{
							var r = new (northStore.recordType)({ActualPoint:'', DisplayPoint:''}); 
							northStore.add(r); 
							northGrid.startEditing(northStore.indexOf(r), 0); 
							if(northStore.getCount() > 2){								
								Ext.getCmp('minus-button').enable(true);
							}else{
								Ext.getCmp('minus-button').enable(true);
								Ext.getCmp('minus-button').disable(true);
							}
						}
	        		}
	        	},'-',{
	        		iconCls: 'icon-minus',
	        		id: 'minus-button',
	        		text: TPMS_lang_button_remove,
					enabled:true,
	        		handler: function(){
	        			var r = northGrid.getSelectionModel().getSelected();
						if(!r){
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectDeleteItem);
							return;
						}else{
							Ext.MessageBox.confirm(TPMS_lang_title, TPMS_lang_domain_Msg_riskAnalyseValueRemove ,function(btn,text){
						       if(btn=="yes"){
									northStore.remove(r);
									if(northStore.getCount() <= 2){	
										Ext.getCmp('minus-button').enable(true);
										Ext.getCmp('minus-button').disable(true);
									}else{
										Ext.getCmp('minus-button').enable(true);
									}
								}else{
						           return;
						       }
						    }); 
						}
	        		}
	        	}
	        ],
	        listeners: {
				scope:this,
				afterEdit : function(e){
				//validateedit : function(e){
					var field = e.field == 'ActualPoint' ? TPMS_lang_domain_riskAnalyseValue : TPMS_lang_domain_riskAnalyseDescription;
 					
					var number_value = parseInt(e.value.trim());					

					for(var i=0;i<northStore.getCount();i++){
						if(i!=e.row){							
							if(northStore.getAt(i).data[e.field] == number_value){//07등..앞에 0이 들어가는것을 막기위함.
							    Ext.Msg.alert(TPMS_lang_title, TPMS_lang_riskAreaInputError+'<br> '+field + ' : '+ e.value);
								e.record.set(e.field, '');
								return;
							}	
						}
					}

					if(number_value > 10){
						Ext.Msg.alert(TPMS_lang_title, TPMS_lang_riskAreaInputError2+'<br> '+field + ' : '+ e.value);
						e.record.set(e.field, '');
						return;
					}
				}
			}
	    });	
	   
	    var panel = new Ext.Panel({
	        id: 'domain-panel',
	        items :[ northGrid]
	    }); 
	    
		var win = new Ext.Window({
			title: TPMS_lang_risk+' '+TPMS_lang_evaluationUnit,//TPMS_lang_domain_riskAnalyseTitle,
			id: 'domainAnalyse-win',
			width: 400,
			height: 270,
			layout: 'fit',
			plain: true,
			border: true,
			animate: false,
			modal: true,
			//maximizable: true,
			resizable: false, 
			closable: false,
			closeAction: 'hide',
			buttonAlign: 'right',
			items: panel,
			//buttons: [{
			tbar:[TPMS_lang_domain_riskAnalyseValue_appliedbyInform,'->',{
				text: TPMS_lang_button_apply,//TPMS_lang_button_save, //저장->적용으로 변경
				iconCls:'icon-save',
				scope:this, 
				handler: function(){

					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_applyConfirm, function (btn) { 
						if(btn == "yes") { 
					
							var checkNull = 0;
							var val = '';
							var newObj=new Array();
							for(var i=0;i<northStore.getCount();i++){
								var r = northStore.getAt(i);

								if(r.data['ActualPoint'] == ''){
									checkNull = 1;
									//alert(checkNull);
									Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain_riskAnalyseValue+TPMS_lang_Msg_validationMsg);
									return;
								}

								if(r.data['DisplayPoint'] == ''){
									checkNull = 1;
									//alert(checkNull+'/d');
									Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain_riskAnalyseDescription+TPMS_lang_Msg_validationMsg);
									return;
								}
					
								newObj.push({seq:r.data['seq'],ActualPoint:r.data['ActualPoint'],DisplayPoint:r.data['DisplayPoint']});

							}

							//alert(actualVal+'/'+displayVal);
							val=RiskAnalysisObject.obj2string(newObj);
							//if(val!='' || val != null || val != "undefined"){
							if(val!='' || checkNull == 0){
								//alert(val); //egkang
								Ext.getCmp('riskPointInfo').setValue(val);
								RiskAnalysisObject.PI=newObj;
								Ext.getCmp('domainAnalyse-win').hide();
							}
							
							//Ext.getCmp('seq').setValue(seq);
							//Ext.getCmp('actualVal').setValue(actualVal);
							//Ext.getCmp('displayVal').setValue(displayVal);
							//Ext.getCmp('domainAnalyseValue').setValue(val);
							//Ext.getCmp('domainAnalyse-win').hide();
						}else{
							return;
						}
					});
				}},'-',
				{
					text: TPMS_lang_button_cancel,iconCls:'icon-cancel', handler: function(){ 
					win.hide();
				}}
			],
			listeners: {
				scope:this,
				beforeshow: function() {					
					addRecord(northStore);
					Ext.getCmp('plus-button').setText(TPMS_lang_button_add);
					Ext.getCmp('minus-button').setText(TPMS_lang_button_remove);
				},
				show: function() {					
					if(northStore.getCount() <= 2){
						Ext.getCmp('minus-button').enable(true);
						Ext.getCmp('minus-button').disable(true);
					}else{	
						Ext.getCmp('minus-button').enable(true);
					}
				}
			}
		});
		this.anlyseWin = win;
	}
	this.anlyseWin.show();
	
	function addRecord(store){
		store.removeAll();
		
		var tmpRecord = Ext.data.Record.create([
		    {name: 'seq', 	mapping: 'seq'},
		    {name: 'ActualPoint', 	mapping: 'ActualPoint'},
		    {name: 'DisplayPoint', 	mapping: 'DisplayPoint'}
		]);
		
		for(var i=0;i<this.Obj.length;i++){
			var myNewRecord = new tmpRecord(this.Obj[i]);
			store.add(myNewRecord);
		}
	};
	
}


//////////////////////////////////////////////////////////////////////
////////////////////  리스크영역 이름 변경  //////////////////////////
//////////////////////////////////////////////////////////////////////

riskItemAreaUpdateWin = function(seq, riskItemArea){
	this.defaultRiskItemArea = new Array();
	
	this.seq = seq;
	this.riskItemArea = riskItemArea;
	this.defaultRiskItemArea[0] = 'STA';
	this.defaultRiskItemArea[1] = 'STTA';
	this.defaultRiskItemArea[2] = 'ITA';
	this.defaultRiskItemArea[3] = 'FTA';

	var checkTime = 0;
	
	if (!this.anlyseAreaWin) {
		
		var csm = new Ext.grid.CheckboxSelectionModel({	singleSelect: false	});
		var nsm = new Ext.grid.RowSelectionModel({
			singleSelect: false,
			listeners: {
				scope: this,
				rowselect: function(selModel, rowIndex){
					var record = selModel.getSelected();
				}
			}
		});
		
		 var riskItemAreaStore = new Ext.data.SimpleStore({
		 	id: 'riskItemArea-store',
			fields: ['seq', 'defaultRiskItemArea','riskItemArea'],
			listeners:{
				scope: this,
				load: function(store, record, operation) {
					addRecord(store);
				}
			}
		});
		
	    var riskItemAreaGrid = new Ext.grid.EditorGridPanel({
			id: 'riskItemArea-grid',
			region: 'north',
			height: 120,
			autoScroll: false,
			border: false,
			store: riskItemAreaStore,
			viewConfig: { scrollOffset: 0, autoFill:true, forceFit: true},
			stripeRows: true,
			enableColumnHide  : false,
			enableColumnResize: true,
			enableColumnMove  : false,
			enableHdMenu: false,
			loadMask: { msg: 'processing' },
	        sm: nsm,
	        columns: [
	            {header: 'seq', 		dataIndex: 'seq',  	sortable: true, 	hidden: true},
				{header: TPMS_lang_domain_riskArea,	dataIndex: 'defaultRiskItemArea',  sortable: false
				/*,	editor:new Ext.form.TextField({
                     allowBlank: false,
                     enableKeyEvents : true,
					 //style : 'ime-mode:disabled',
                     listeners:{
                		scope : this,
                		keypress : function(tf, e){
                        	var key = e.getKey();
                        }
                	}
                     
                }) */},
				{header: TPMS_lang_riskAreaUserTextUpdate,	dataIndex: 'riskItemArea',  sortable: false,	editor:new Ext.form.TextField({
                     allowBlank: false,
					 maxLength:8,
                     enableKeyEvents : true,
					 //style : 'ime-mode:disabled',
                     listeners:{
                		scope : this,
                		keypress : function(tf, e){
                        	var key = e.getKey();	
                        }
						,blur : function(datefield){
							datefield.setValue(datefield.getValue().trim());
						}
                	}
                     
                }) }
	        ],
	        listeners: {
				scope:this,
				rowclick : function(riskItemAreaGrid,index,e) {	
					riskItemAreaGrid.startEditing(index, 2);
					//Ext.getCmp('riskAreaSave-button').disable(true);
				},
				afterEdit : function(e){
 					for(var i=0;i<riskItemAreaStore.getCount();i++){
						if(i!=e.row){					
							if(riskItemAreaStore.getAt(i).data[e.field] == e.value.trim()){
							    //'이 중복됩니다. 다시 입력하세요.'
								var field = e.field == 'riskItemArea' ? TPMS_lang_riskAreaUserTextUpdate : TPMS_lang_riskAreaUserTextUpdate;
								Ext.Msg.alert(TPMS_lang_title, TPMS_lang_riskAreaInputError+'<br> '+field + ' : '+ e.value);
								e.record.set(e.field, '');
								return;
							}	

							
						}
						//checkTime = checkTime+1;
						
					}					
					//if(checkTime == 4){
					//	checkTime = 1;
					//}
					//Ext.getCmp('riskAreaSave-button').enable(true);
				}
			}
	    });
	   
	    var riskItemAreaPanel = new Ext.Panel({
	        id: 'riskItemArea-panel',
			height:200,
	        items :[ riskItemAreaGrid,{xtype:'label',height:30,html:TPMS_lang_Msg_info}]
	    }); 
	    
		var riskItemAreaWin = new Ext.Window({
			title: TPMS_lang_domain_riskArea,
			id: 'riskItemArea-win',
			width: 400,
			height: 200,
			layout: 'fit',
			plain: true,
			border: true,
			animate: false,
			modal: true,
			//maximizable: true,
			resizable: false, 
			closable: false,
			//closeAction: 'hide',
			buttonAlign: 'right',
			items: [riskItemAreaPanel],
			//buttons: [{
			tbar: [//{xtype:'label',text:TPMS_lang_domain_riskArea},
				'->',{
				text: TPMS_lang_button_apply,//TPMS_lang_button_save, //저장->적용으로 변경
				id: 'riskAreaSave-button',
				iconCls:'icon-save',				
				scope:this, 
				handler: function(){

					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_applyConfirm, function (btn) { 
						if(btn == "yes") { 
					
							var val = '';
							//var seq = '';
							//var actualVal = '';
							//var displayVal = '';
							
							for(var i=0;i<riskItemAreaStore.getCount();i++){
								var r = riskItemAreaStore.getAt(i);
								//alert(r.data['riskItemArea']);
								//if(r.data['riskItemArea']==undefined ){
								if(r.data['riskItemArea']==' ' || r.data['riskItemArea']==""){
									Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain_riskAnalyseValue+TPMS_lang_Msg_validationMsg);
									return;
								}else{
															
									val += r.data['riskItemArea'];//.trim();
									//seq += r.data['seq'] == 'undefined' || r.data['seq'] == null ? '' : r.data['seq'];

									if(i != riskItemAreaStore.getCount() - 1){
										val += ',';
									//	seq += ',';
									}
								}
							}

							//alert('riskItemArea : '+val);
						
							Ext.getCmp('riskLevel').setValue(val);
							Ext.getCmp('riskItemArea-win').hide();
						}else{
							return;
						}
					}); 
						
					

				}},'-',
				/*
				handler: function(){
					var val = '';
					var seq = '';
					var actualVal = '';
					var displayVal = '';
					
					for(var i=0;i<riskItemAreaStore.getCount();i++){
						var r = riskItemAreaStore.getAt(i);
						if(r.data['riskItemArea']=='' ){
							Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain_riskAnalyseValue+TPMS_lang_Msg_validationMsg);
							return;
						}
						//val += r.data['actualPoint'] + '('+ r.data['displayPoint'].trim() +')';
						val += r.data['riskItemArea'].trim();
						seq += r.data['seq'] == 'undefined' || r.data['seq'] == null ? '' : r.data['seq'];

						if(i != riskItemAreaStore.getCount() - 1){
							val += ', ';
							seq += ', ';
						}
					}

					//alert('riskItemArea : '+val);
					
					Ext.getCmp('riskLevel').setValue(val);
					Ext.getCmp('riskItemArea-win').hide();
					
				}},*/
				{text: TPMS_lang_button_cancel,iconCls:'icon-cancel', handler: function(){ riskItemAreaWin.hide(); }}
			],
			listeners: {
				scope:this,
				beforeshow: function() {
					addRecord(riskItemAreaStore);
					//Ext.getCmp('plus-button').setText(TPMS_lang_button_add);
					//Ext.getCmp('minus-button').setText(TPMS_lang_button_remove);
				}
			}
		});
		this.anlyseAreaWin = riskItemAreaWin;
	}
	this.anlyseAreaWin.show();
	
	function addRecord(store){
		store.removeAll();
		
		var tmpRecord = Ext.data.Record.create([
		    {name: 'seq', 	mapping: 'seq'},
			{name: 'defaultRiskItemArea', 	mapping: 'defaultRiskItemArea'},
			{name: 'riskItemArea', 	mapping: 'riskItemArea'}
		]);
		
		for(var i=0;i<this.riskItemArea.length;i++){
			var myNewRecord = new tmpRecord({
			    seq: this.seq[i],
				defaultRiskItemArea: this.defaultRiskItemArea[i],
			    riskItemArea: this.riskItemArea[i]
			});
			
			store.add(myNewRecord);
		}
	};
	
}


selectExportItemsPop = function(domainSeq,UserSeq){

		var selectExportTypePanel = new Ext.Panel({
			bodyStyle:'padding:5px;',
			border:false,
			items:[{
				xtype: 'panel',
				bodyStyle:'pading:5px;',
				border:true,
				frame:true,
				html: TPMS_lang_Msg_export_first+Ext.getCmp('domain-name').getValue()+TPMS_lang_Msg_export_second				
			},{
				height: 20,
				border:false
			},{
				xtype: 'radiogroup',
				items: [{
					id:'export_all',
					name:'export',
					boxLabel: TPMS_lang_export_all,
					checked: true
				},{
					id:'export_form',
					name:'export',
					boxLabel: TPMS_lang_export_form
				}]
			}]
        });

		var selectExportItemsWin = new Ext.Window({
            title: TPMS_lang_export,
			id: 'selectExportItems-Win',
            width:315,
            height:200,
            plain:true,
            //layout: 'border',
			closable: false,
			layout: 'fit',
			border: true,
			animate: false,
			modal: true,
			resizable: false, 
			//closeAction: 'hide',
			buttonAlign: 'right',
            items: [ selectExportTypePanel ],
			buttons: [{
				text: TPMS_lang_button_submit, //TPMS_lang_button_next, 
				scope:this, 
				handler: function(){
					
					if(Ext.getCmp('export_all').checked == true){
						location.href="/service/exportXML.php?DomainSeq="+domainSeq+"&Mode=allDataExport";
						selectExportItemsWin.close(true);
						//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_export_all);
					}else if(Ext.getCmp('export_form').checked == true){
						location.href="/service/exportXML.php?DomainSeq="+domainSeq+"&Mode=templateExport";
						selectExportItemsWin.close(true);
						//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_export_form);
					}
					//selectExportItemsPop2(domainSeq,UserSeq);
					//selectExportItemsWin.close(true);

				}},'-',
				{text: TPMS_lang_button_close, handler: function(){ selectExportItemsWin.close(true); }}
			]
        });
		selectExportItemsWin.show(this);
};

selectExportItemsPop2 = function(domainSeq,UserSeq){

		var selectExportTypePanel2 = new Ext.Panel({
			bodyStyle:'padding:5px;',
			border:false,
			//layout: 'form',
			items:[{
				xtype: 'panel',
				bodyStyle:'pading:5px;',
				border:true,
				frame:true,
				html: 'ttt'				
			},{
				height: 20,
				border:false
			},{
				//xtype: 'fieldgroup',
				//columns: 2,
				items:[{
					//id:'t1',
					xtype: 'radio',
					name: 'a',
					boxLabel: 'Domain Info'
				},{
					//id:'t2',
					xtype: 'radio',
					name: 'b',
					boxLabel: 'Risk Items'
				},{
					//id:'t2',
					xtype: 'radio',
					name: 'c',
					boxLabel: 'Risk Factor'
				},{
					//id:'t2',
					xtype: 'radio',
					name: 'd',
					boxLabel: 'User'
				},{
					//id:'t2',
					xtype: 'radio',
					name: 'e',
					boxLabel: 'Point Info'
				},{
					//id:'t2',
					xtype: 'radio',
					name: 'f',
					boxLabel: 'Risk Area'
				},{
					//id:'t2',
					xtype: 'radio',
					name: 'g',
					boxLabel: 'State'
				}]
			}]
        });

		var selectExportItemsWin2 = new Ext.Window({
            title: 'select2',
			id: 'selectExportItems-Win2',
            width:315,
            height:400,
            plain:true,
			closable: false,
			layout: 'fit',
			border: true,
			animate: false,
			modal: true,
			resizable: false, 
			buttonAlign: 'right',
            items: [ selectExportTypePanel2 ],
			buttons: [{
				text: TPMS_lang_button_next, 
				scope:this, 
				handler: function(){
					selectExportItemsWin2.close(true);
				}},'-',
				{text: TPMS_lang_button_close, handler: function(){ selectExportItemsWin2.close(true); }}
			]
        });
		selectExportItemsWin2.show(this);
};