function Browser() {
 
  var ua, s, i;
 
  this.isIE    = false;
  this.isNS    = false;
  this.version = null;
 
  ua = navigator.userAgent;
 
  s = "MSIE";
  if ((i = ua.indexOf(s)) >= 0) {
    this.isIE = true;
    this.version = parseFloat(ua.substr(i + s.length));
    return;
  }
 
  s = "Netscape6/";
  if ((i = ua.indexOf(s)) >= 0) {
    this.isNS = true;
    this.version = parseFloat(ua.substr(i + s.length));
    return;
  }
 
  // Treat any other "Gecko" browser as NS 6.1.
 
  s = "Gecko";
  if ((i = ua.indexOf(s)) >= 0) {
    this.isNS = true;
    this.version = 6.1;
    return;
  }
}
 
var browser = new Browser();
 
// Global object to hold drag information.
 
var dragObj = new Object();
dragObj.zIndex = 0;
 
function dragStart(event, id) {
 
  var el;
  var x, y;
 
  // If an element id was given, find it. Otherwise use the element being
  // clicked on.
 
  if (id)
    dragObj.elNode = document.getElementById(id);
  else {
    if (browser.isIE)
      dragObj.elNode = window.event.srcElement;
    if (browser.isNS)
      dragObj.elNode = event.target;
 
    // If this is a text node, use its parent element.
 
    if (dragObj.elNode.nodeType == 3)
      dragObj.elNode = dragObj.elNode.parentNode;
  }
 
  // Get cursor position with respect to the page.
 
  if (browser.isIE) {
    x = window.event.clientX + document.documentElement.scrollLeft
      + document.body.scrollLeft;
    y = window.event.clientY + document.documentElement.scrollTop
      + document.body.scrollTop;
  }
  if (browser.isNS) {
    x = event.clientX + window.scrollX;
    y = event.clientY + window.scrollY;
  }
 
  // Save starting positions of cursor and element.
 
  dragObj.cursorStartX = x;
  dragObj.cursorStartY = y;
  dragObj.elStartLeft  = parseInt(dragObj.elNode.style.left, 10);
  dragObj.elStartTop   = parseInt(dragObj.elNode.style.top,  10);
 
  if (isNaN(dragObj.elStartLeft)) dragObj.elStartLeft = 0;
  if (isNaN(dragObj.elStartTop))  dragObj.elStartTop  = 0;
 
  // Update element's z-index.
 
  dragObj.elNode.style.zIndex = ++dragObj.zIndex;
 
  // Capture mousemove and mouseup events on the page.
 
  if (browser.isIE) {
    document.attachEvent("onmousemove", dragGo);
    document.attachEvent("onmouseup",   dragStop);
    window.event.cancelBubble = true;
    window.event.returnValue = false;
  }
  if (browser.isNS) {
    document.addEventListener("mousemove", dragGo,   true);
    document.addEventListener("mouseup",   dragStop, true);
    event.preventDefault();
  }
}

function dragGo(event) {
 
  var x, y;
 
  // Get cursor position with respect to the page.
 
  if (browser.isIE) {
    x = window.event.clientX + document.documentElement.scrollLeft
      + document.body.scrollLeft;
    y = window.event.clientY + document.documentElement.scrollTop
      + document.body.scrollTop;
  }
  if (browser.isNS) {
    x = event.clientX + window.scrollX;
    y = event.clientY + window.scrollY;
  }
 
  // Move drag element by the same amount the cursor has moved.
 
  dragObj.elNode.style.left = (dragObj.elStartLeft + x - dragObj.cursorStartX) + "px";
  dragObj.elNode.style.top  = (dragObj.elStartTop  + y - dragObj.cursorStartY) + "px";
 
  //out line (22 / 372) // Out Line을 벗어나면 알려주기 : 2010-07-12 egkang

  //좌표의 범위에서 벗어났을경우 해당 라인에 위치 시키기======================================
/*	
  var chkAlert = 0;
  if((dragObj.elStartLeft + x - dragObj.cursorStartX) < 20){
	chkAlert = 1;

	dragObj.elNode.style.left = 22; //라인에 위치
	//dragStop(event);
	
	//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_lineOver); //범위를 벗어났습니다.
	//alert("Line over");	
  }else if((dragObj.elStartLeft + x - dragObj.cursorStartX) > 374){
	chkAlert = 1;
	
	dragObj.elNode.style.left = 372; //라인에 위치
	//dragStop(event);
	
	//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_lineOver); //범위를 벗어났습니다.
	//alert("Line over");	
  }

  if((dragObj.elStartTop  + y - dragObj.cursorStartY) < 20){

	dragObj.elNode.style.top = 22; //라인에 위치
	//dragStop(event);

	if(chkAlert != 1){
		//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_lineOver); //범위를 벗어났습니다.
		//alert("Line over");
	}
  }else if((dragObj.elStartTop  + y - dragObj.cursorStartY) > 374){

	dragObj.elNode.style.top = 372; //라인에 위치
	//dragStop(event);
	if(chkAlert != 1){
		//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_lineOver); //범위를 벗어났습니다.
		//alert("Line over");
	}
  }
*/  


  //좌표의 범위에서 벗어났을경우 원 위치 시키기 ======================================
    var chkAlert = 0;
  if((dragObj.elStartLeft + x - dragObj.cursorStartX) < 15){//20){
	chkAlert = 1;

	dragStop(event);
	Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_lineOver); //범위를 벗어났습니다.

	dragObj.elNode.style.left = dragObj.elStartLeft; //원위치
	dragObj.elNode.style.top = dragObj.elStartTop; //원위치	
  }else if((dragObj.elStartLeft + x - dragObj.cursorStartX) > 379){//374){
	chkAlert = 1;
	
	dragStop(event);
	Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_lineOver); //범위를 벗어났습니다.

	dragObj.elNode.style.left = dragObj.elStartLeft; //원위치
	dragObj.elNode.style.top = dragObj.elStartTop; //원위치
  }

  if((dragObj.elStartTop  + y - dragObj.cursorStartY) < 15){//20){

	dragStop(event);
	if(chkAlert != 1){ 
		Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_lineOver); //범위를 벗어났습니다. 
	}	

	dragObj.elNode.style.left = dragObj.elStartLeft; //원위치
	dragObj.elNode.style.top = dragObj.elStartTop; //원위치
  }else if((dragObj.elStartTop  + y - dragObj.cursorStartY) > 379){//374){

	dragStop(event);
	if(chkAlert != 1){ 
		Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_lineOver); //범위를 벗어났습니다. 
	}

	dragObj.elNode.style.left = dragObj.elStartLeft; //원위치
	dragObj.elNode.style.top = dragObj.elStartTop; //원위치	
  }


  if (browser.isIE) {
    window.event.cancelBubble = true;
    window.event.returnValue = false;
  }
  if (browser.isNS)
    event.preventDefault();
}
 
function dragStop(event) {
  // Stop capturing mousemove and mouseup events.
 
  if (browser.isIE) {
    document.detachEvent("onmousemove", dragGo);
    document.detachEvent("onmouseup",   dragStop);
  }
  if (browser.isNS) {
    document.removeEventListener("mousemove", dragGo,   true);
    document.removeEventListener("mouseup",   dragStop, true);
  }

}

//================= 마우스 위치 확인 ========

// Set Netscape up to run the "captureMousePosition" function whenever
// the mouse is moved. For Internet Explorer and Netscape 6, you can capture
// the movement a little easier.
if (document.layers) { // Netscape
    //document.captureEvents(Event.MOUSEMOVE);
    //document.onmousemove = captureMousePosition;
} else if (document.all) { // Internet Explorer
    //document.onmousemove = captureMousePosition;
} else if (document.getElementById) { // Netcsape 6
    //document.onmousemove = captureMousePosition;
}
// Global variables
xMousePos = 0; // Horizontal position of the mouse on the screen
yMousePos = 0; // Vertical position of the mouse on the screen
xMousePosMax = 0; // Width of the page
yMousePosMax = 0; // Height of the page

function captureMousePosition(e,id) {
    if (document.layers) {
        // When the page scrolls in Netscape, the event's mouse position
        // reflects the absolute position on the screen. innerHight/Width
        // is the position from the top/left of the screen that the user is
        // looking at. pageX/YOffset is the amount that the user has 
        // scrolled into the page. So the values will be in relation to
        // each other as the total offsets into the page, no matter if
        // the user has scrolled or not.
        xMousePos = e.pageX;
        yMousePos = e.pageY;
        xMousePosMax = window.innerWidth+window.pageXOffset;
        yMousePosMax = window.innerHeight+window.pageYOffset;

		return window.pageXOffset;
		//alert("X : "+xMousePos+", Y: "+yMousePos);
		//movePoint(xMousePos,yMousePos);

		//alert(yMousePos);
		//Ext.getCmp('chart-center').el.mask(); //2010-06-10
		//abcWin();

    } else if (document.all) {
        // When the page scrolls in IE, the event's mouse position 
        // reflects the position from the top/left of the screen the 
        // user is looking at. scrollLeft/Top is the amount the user
        // has scrolled into the page. clientWidth/Height is the height/
        // width of the current page the user is looking at. So, to be
        // consistent with Netscape (above), add the scroll offsets to
        // both so we end up with an absolute value on the page, no 
        // matter if the user has scrolled or not.
        xMousePos = window.event.x+document.body.scrollLeft;
        yMousePos = window.event.y+document.body.scrollTop;
        xMousePosMax = document.body.clientWidth+document.body.scrollLeft;
        yMousePosMax = document.body.clientHeight+document.body.scrollTop;

		//return xMousePos;
		//alert("X : "+xMousePos+", Y: "+yMousePos);
		//movePoint(xMousePos,yMousePos);
		//alert(xMousePos);
		//alert(yMousePos);
		//Ext.getCmp('chart-center').el.mask(); //2010-06-10
		//abcWin();

    } else if (document.getElementById) {
        // Netscape 6 behaves the same as Netscape 4 in this regard 
        xMousePos = e.pageX;
        yMousePos = e.pageY;
        xMousePosMax = window.innerWidth+window.pageXOffset;
        yMousePosMax = window.innerHeight+window.pageYOffset;

		return xMousePos;
		//alert("X : "+xMousePos+", Y: "+yMousePos);
		//movePoint(xMousePos,yMousePos);
		//alert(xMousePos);
		//alert(yMousePos);
		//Ext.getCmp('chart-center').el.mask(); //2010-06-10
		//abcWin();
    }
}
