﻿fileLoadPop = function(userSeq, domainSeq){

	var uploadPanel = new Ext.FormPanel({
		fileUpload: true,
		width: 315,
		height: 140,
		//frame: true,
		//title: 'File Upload Form',
		//autoHeight: true,
		border:false,
		bodyStyle: 'padding: 5px;',
		labelWidth: 1,
		defaults: {
			//anchor: '95%',
			allowBlank: false//,
			//msgTarget: 'side'
		},
		items: [{
			xtype: 'panel',
			bodyStyle:'pading:5px;',
			border:true,
			frame:true,
			html: TPMS_lang_Msg_import_riskItems
		},{
			height: 10,
			border:false		
		},{
			xtype: 'fileuploadfield',
			id: 'form-file',
			width:290,
			emptyText: 'Select an file',
			//fieldLabel: 'File',
			name: 'bf_file',
			buttonText: TPMS_lang_button_fileSearch            
		}],
		buttons: [{
			text: TPMS_lang_button_submit,//TPMS_lang_button_save,
			handler: function(){
				
				if(uploadPanel.getForm().isValid()){
					uploadPanel.getForm().submit({
						url: '/service/import_proc.php?method=importRiskItemsCSV&DomainSeq='+domainSeq+'&UserSeq='+userSeq,
						success: function(rsp, o){
							updateRiskItemGridPanel.getStore().reload({
								params : {
									DomainSeq : domainSeq
								}
							});
							//uploadPanel.getForm().reset();
							fileLoadwin.close(); 
							Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_importSuccess);
							//Ext.Msg.alert(TPMS_lang_title, 'Success!!! <br> data update');
						},
						failure: function(rsp, o){

							if(o.result.data == "titleCell"){
								Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_importError);
							}else if(o.result.data == "maxCnt"){
								//Ext.Msg.alert(TPMS_lang_title, "RiskItem Max : 100 <br>");
								Ext.Msg.alert(TPMS_lang_title, TPMS_lang_riskItem
																+" "+TPMS_lang_common_count+" "+TPMS_lang_common_max+" : "+Config.riskItemMax);
							}else if(o.result.data == "sucjectMaxLength"){
								var maxLength = TPMS_lang_Msg_maxLength.replace("{number}",Config.subjectTypeMaxLength);
								Ext.Msg.alert(TPMS_lang_title, TPMS_lang_common_title+" : "+ maxLength);
							}else if(o.result.data == "descriptionMaxLength"){
								var maxLength = TPMS_lang_Msg_maxLength.replace("{number}",Config.descriptionTypeMaxLength);
								Ext.Msg.alert(TPMS_lang_title, TPMS_lang_common_description+" : "+ maxLength);
							}else if(o.result.data == "categoryMaxLength"){
								var maxLength = TPMS_lang_Msg_maxLength.replace("{number}",Config.categoryMaxLength);
								Ext.Msg.alert(TPMS_lang_title, TPMS_lang_common_type+" : "+ maxLength);
							}else{
								//Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_importFormError);								
								Ext.Msg.alert(TPMS_lang_title, o.result.data);
							}

							updateRiskItemGridPanel.getStore().reload({
								params : {
									DomainSeq : domainSeq
								}
							});
						}
					});
				}
			}
		},{
			text: TPMS_lang_button_cancel,//TPMS_lang_button_close, 
			handler: function(){ 
				//uploadPanel.getForm().reset();
				fileLoadwin.close(); 
			}
		},{
			text: 'Reset',
			hidden:true,
			handler: function(){
				uploadPanel.getForm().reset();
			}
		}]
	});

	var fileLoadwin = new Ext.Window({
		title: TPMS_lang_import,
		id: 'fileLoad-win',
		width: 330,
		height: 170,
		plain: true,
		border: true,
		animate: false,
		resizable: false, 
		closeAction: 'close',
		items: [uploadPanel]
	});

	this.fileLoadwin = fileLoadwin;
	this.fileLoadwin.show();

	/*
	var panel = new Ext.FormPanel({
		region: 'center',
		xtype: 'form',
		fileUpload: true,
		bodyStyle:'padding:5px;',
		border:false,
		items: [{
			xtype: 'panel',
			bodyStyle:'pading:5px;',
			border:true,
			frame:true,
			html: TPMS_lang_Msg_import_riskItems
		},{
			height: 20,
			border:false		
		},{
			xtype: 'fileuploadfield',
			id: 'riskItem-file',
			emptyText: 'Select an file',
			readOnly : true,
			fieldLabel: TPMS_lang_scrum_file,
			width:310,
			//anchor:'95%',
			name: 'file-path',
			buttonText: TPMS_lang_button_fileSearch//,
			//buttonCfg: {  iconCls: 'upload-icon' }
		},{
			xtype: 'button',
			hidden: true,
			text: 'view url',
			handler:function(){
				 var msg = function(title, msg){
					Ext.Msg.show({
						title: title,
						msg: msg,
						minWidth: 200,
						modal: true,
						icon: Ext.Msg.INFO,
						buttons: Ext.Msg.OK
					});
				};
				var v = Ext.getCmp('riskItem-file').getValue();
				msg('Selected File', v && v != '' ? v : 'None');
			}
		},{
			html: "<form action='/service/import_proc.php?method=importRiskItemsCSV' method='post' enctype='multipart/form-data'><label for='file'>Filename:</label> <input type='file' name='file' id='file' /><br /><input type='submit' name='submit' value='Submit' /></form>"
		}]
	}); 

	var fileLoadwin = new Ext.Window({
		title: TPMS_lang_import,
		id: 'fileLoad-win',
		width: 340,
		height: 300,//170,
		//layout: 'border',
		plain: true,
		border: true,
		animate: false,
		//modal: true,
		resizable: false, 
		closeAction: 'hide',
		//buttonAlign: 'right',
		items: [panel],
		buttons: [{
			text: TPMS_lang_button_save, 
			//id:'post-submit',
			scope:this, 
			handler: function(){
				if(panel.getForm()){
					alert("form");
				}
				var fileName = Ext.getCmp('riskItem-file').getValue();
				//alert(fileName);
				//location.href="/service/import_proc.php?method=importRiskItemsCSV&DomainSeq="+domainSeq+"&FileName="+fileName;
			}},
			{text: TPMS_lang_button_cancel, handler: function(){ fileLoadwin.close(); }}
		],
		listeners: {
			scope:this,
			beforeshow: function() {
			
			}
		}
	});

	this.fileLoadwin = fileLoadwin;
	this.fileLoadwin.show();
	*/
}
