	RiskAnalyzerObj = function(Seq,Name,Description,ProjectCode,ScrumGroupSid,StrategySeq,Status,Author,RegDate,CommonFlag,SvI,StI,PI,PS)
	{
		this.seq = Seq;
		this.subject = Name;
		this.description = Description;
		this.project_code = ProjectCode;
		this.scrum_group_sid = ScrumGroupSid;
		this.strategySeq = StrategySeq;
		this.status = Status;
		this.author = Author;
		this.regDate = RegDate;
		this.commonFlag = CommonFlag;
		this.SvI = SvI;
		this.StI = StI;	
		this.PI = PI;
		this.PS = PS;
	};

	var projectSeverityStore = new Array();
	var projectIssueStatusStore =new Array();
	var projectPriorityStore = new Array();
	var projectStatusStore = new Array();

	Ext.Ajax.request({
		url : '/service/issueManager_proc.php?method=getIssueProjectInfo',
		method: 'POST',
		params :{ ProjectSeq : projectSeq},
		success: function ( result, request ) {
			var renderData = Ext.decode(result.responseText).data[0];
			RiskAnalysisObject=new RiskAnalyzerObj(
							renderData.seq,
							renderData.subject,
							renderData.description.replace(/\\n/gi,'\n\r').replace(/\\"/gi,'\"').replace(/\\'/gi,'\'').replace(/\\\\/gi,'\\'),
							renderData.project_code,
							renderData.scrum_group_sid,
							renderData.strategySeq,
							renderData.status,
							renderData.author,
							renderData.regDate,
							renderData.commonFlag,
							Ext.decode(result.responseText).SvI,
							Ext.decode(result.responseText).StI,	
							Ext.decode(result.responseText).PI,
							Ext.decode(result.responseText).PS
			);

			for(var i=0;i<RiskAnalysisObject.SvI.length;i++)
				projectSeverityStore.push([RiskAnalysisObject.SvI[i].issueSeverity,RiskAnalysisObject.SvI[i].name]);

			for(var i=0;i<RiskAnalysisObject.StI.length;i++)
				projectIssueStatusStore.push([RiskAnalysisObject.StI[i].issueStatus,RiskAnalysisObject.StI[i].name]);

			for(var i=0;i<RiskAnalysisObject.PI.length;i++)
				projectPriorityStore.push([RiskAnalysisObject.PI[i].issuePriority,RiskAnalysisObject.PI[i].name]);
		},
		failure: function ( result, request ) {
			self.close();
		}
	});
	

	//* 화면 Layout
	var Config={};
	Config.Height=document.body.clientHeight;
	Config.Width=document.body.clientWidth;

	Config.doLayout=function(adjWidth,adjHeight)
	{
		//var collapsed=Ext.getCmp('discuss_west').collapsed;
		//Ext.getCmp('').setWidth(adjWidth);
		//Ext.getCmp('').setHeight(adjHeight);
		//Ext.getCmp('').setPosition(0,document.body.clientHeight-238);

		Ext.getCmp('issueMain-acc').setHeight(adjHeight-355);
		Ext.getCmp('issueMapping').setHeight(adjHeight-335);		
		Ext.getCmp('fileTab-acc').setHeight(adjHeight-285);
		
		//Ext.getCmp('dashBoardForm').setWidth(adjWidth-100);
		//Ext.getCmp('myAssignIssue').setWidth(adjWidth-30);
		//Ext.getCmp('myAssignIssue').setHeight(adjHeight-355);
			
	}

	addEvent(window, "resize", function() { 
		var W=document.body.clientWidth;
		var H=document.body.clientHeight;		
		Config.doLayout(W,H);
	}); 



	//////////////////////////////////////////////////////////
	//////												//////
	//////				Make Info Panel					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function MakeInfoPanel(Title,Id,Items,TBar,BBar){
		
		var eastPanel = {
			region: 'east',
			xtype: 'panel',	//xtype: 'form',
			layout: 'fit',
			collapsible: true,
			title: 'Some Info',
			autoScroll:true,
			bodyStyle:'padding:5px;',
			width: 450,//'40%',
			items: [Items],
			tbar: TBar
		};
		
		return eastPanel;
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				Set Store Load					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function GetIssueListStore(){
		var issueListStore = MakeStore('/service/issueManager_proc.php?method=getIssueList','',[
			'seq',
			'subject',
			'category',
			'status',
			'priority',
			'severity',
			'updateDate',
			'regDate',
			'issueTextCnt'
		],{ProjectSeq:projectSeq,start:0, limit:100});

		return issueListStore;
	}
	var issueListStore = GetIssueListStore();

	var riskItemTabCenterGridStore = MakeStore('/service/issueManager_proc.php?method=getRiskItemList','',[
		'seq',
		'domainName',
		'itemCaName',
		'name',
		'writer',
		'issueCnt'
	],'');

	var riskItemMapStore = MakeStore('/service/issueManager_proc.php?method=getListIssueRiskItems','',[
		'seq',
		'name',
		'caName',
		'domainName'
	],'');


	var issueListMapStore = MakeStore('/service/issueManager_proc.php?method=getListIssueRiskItems','',[
		'seq',
		'subject',
		'status',
		'caName'
	],'');

	var issueListFileStore = MakeStore('/service/issueManager_proc.php?method=getListIssueFiles','',[
		'seq',
		'source',
		'version',
		'regDate',
		'filesize'
	],'');

	var issueListUserStore = MakeStore('/service/issueManager_proc.php?method=getListIssueUsers','',[
		'seq',
		'MemberSeq',
		'userSeq',
		'name',
		'r1',
		'r2',
		'r3',
		'group',
		'role',
		'email'
	],'');	



	//////////////////////////////////////////////////////////
	//////												//////
	//////				Set Grid Panel					//////
	//////												//////
	//////////////////////////////////////////////////////////

	var issueUserGridCm = new Ext.grid.ColumnModel([
			{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 50, hidden: true},
			{header: 'memeSeq', dataIndex: 'MemberSeq', align:'center', sortable: true, width: 50, hidden: true},
			{header: 'userSeq', dataIndex: 'userSeq', sortable: true, width: 50,hidden: true},
			{header: 'name', dataIndex: 'name',align:'center', sortable: true, width: 100},
			{header: 'group', dataIndex: 'group', align:'center',sortable: true, width: 100},
			{header: 'role', dataIndex: 'role', align:'center', sortable: true, width: 100}
			,{header: 'to', dataIndex: 'email', align:'center', sortable: true, width: 50, tooltip: 'email', renderer:
					function(value, meta, record){
						//var id = record.data.userSeq; 
						//var deleteBtn = '<input type=button onclick="deleteItem('+id+');" id="'+id+'_delete" value="삭제">'; 
						//var deleteBtn = messageTo(id,value,'memo'); 
						//return deleteBtn;

						var issueId = Ext.getCmp('issueItemSeq-hidden').getValue();
						var userSeq = record.data.MemberSeq; 
						var userName = record.data.name+"; ";
						
						return '<span onClick=\'AssignWin('+issueId+','+userSeq+',"'+userName+'")\' style="color:blue; cursor:pointer;">memo</span>';
					}
				}
		]);

	//messageTo=function(memberSeq,email,str){
	messageTo=function(issueId,assignToList){
		var email='';
		var str='aaa';
		return '<a href=# onClick=\'alert(\"'+email+'\")\'>'+str+'</a>';
		//return '<a href=# onClick=\'AssignWin('+issueId+','+assignToList+')\'>memo</a>';
	}

	var issueFileGridCm = new Ext.grid.ColumnModel([
			{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 10, hidden: true, tooltip: 'seq' },
			{header: 'FileName', dataIndex: 'source', sortable: true},
			{header: 'ver.', dataIndex: 'version',align:'center', sortable: true, width: 30},
			{header: 'Size', dataIndex: 'filesize', align:'right',sortable: true, width: 50,renderer : function(value, meta, record){return filesize(value);}},
			{header: 'Date', dataIndex: 'regDate', align:'center', sortable: true, width: 60}
			,{header: 'Down', dataIndex: '', align:'center', sortable: true, width: 50, renderer:
					function(value, meta, record){
						var id = record.data.seq; 
						//var deleteBtn = '<input type=button onclick="deleteItem('+id+');" id="'+id+'_delete" value="삭제">'; 
						var deleteBtn = filelink(id,'down'); 
						return deleteBtn;
					}
				}
		]);
	var issueMappingGridCm = new Ext.grid.ColumnModel([
			{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_common_title, dataIndex: 'subject', sortable: true, width: 150},
			{header: TPMS_lang_common_type, dataIndex: 'caName', sortable: true, width: 100},
			{header: TPMS_lang_common_status, dataIndex: 'status', align:'center', sortable: true, width: 80}
			//Grid button
			//,{header: TPMS_lang_button_remove, dataIndex: '', align:'center', sortable: true, width: 100, renderer:
			//		function(value, meta, record){
			//			var id = record.data.seq; 
						//var deleteBtn = '<input type=button onclick="deleteItem('+id+');" id="'+id+'_delete" value="삭제">'; 
			//			var deleteBtn = '<input type=button onclick="DeleteIssueItem('+id+');" value='+TPMS_lang_button_remove+'>'; 
			//			return deleteBtn;
			//		}
			//	}
		]);

	var issueMappingGridListeners = {
			scope : this,
			rowdblclick: function(grid){
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
				}
			},
			rowclick:function(grid, rowIndex, e) {
				var selectItem = grid.selModel.getSelections();
				var seq = selectItem[0].data['seq']; 
			}
		};

	var issueMappingGridBBar = ['->',MakeButton('delete',TPMS_lang_button_remove,'','','','','',
			function(btn){

				var Records = Ext.getCmp('issueMappingGridPanel').selModel.getSelections();
				if(Records.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
					return;
				}else{
					var DataList = "";
					for(var i=0; i<Records.length; i++){
							DataList += Records[i].data['seq'];
						if(i+1 != Records.length){
							DataList += ",";
						}
					}
					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							var Type = 'issueOfRiskItem';
							//DeleteItem(Type,DataList);
							//alert(DataList);
						}else{
							return;
						}
					}); 	
				}
			}
		)];

	var issueMappingGridPanel = MakeGridPanel('','issueMappingGridPanel',issueListMapStore,'',300,issueMappingGridCm,'',issueMappingGridListeners,'',issueMappingGridBBar);



	//////////////////////////////////////////////////////////
	//////				Domain Grid Panel				//////
	//////////////////////////////////////////////////////////

	var Sm2 = new Ext.grid.CheckboxSelectionModel({ 
		singleSelect: false,
		listeners: {
			scope : this,
			rowselect: function(smObj, rowIndex, record) {
			}
		}
	});

	var Cm2 = new Ext.grid.ColumnModel([
			//Sm2,
			{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_domain, dataIndex: 'domainName', sortable: true, width: 100},
			{header: TPMS_lang_domain_category, dataIndex: 'itemCaName', sortable: true, width: 50, hidden: true},
			{header: TPMS_lang_riskItem_title, dataIndex: 'name', sortable: true, width: 100},
			{header: TPMS_lang_riskItem_creater, dataIndex: 'writer', sortable: true, width: 80},
			{header: TPMS_lang_issueCnt, dataIndex: 'issueCnt', sortable: true, width: 50}
		]);

	var riskItemTabCenterGridListeners = {
			scope : this,
			rowdblclick: function(grid){
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
				}
			},
			rowclick:function(grid, rowIndex, e) {
				var selectItem = grid.selModel.getSelections();
				var seq = selectItem[0].data['seq']; 

				var domainName = selectItem[0].data['domainName']; 
				var category = selectItem[0].data['category'];
				var name = selectItem[0].data['name'];
				var writer = selectItem[0].data['writer'];
				var issueCnt = selectItem[0].data['issueCnt'];
				var itemCaName = selectItem[0].data['itemCaName'];

				Ext.getCmp('riskItemSeq-hidden').setValue(seq);
				Ext.getCmp('domain-name').setValue(domainName);
				Ext.getCmp('domain-type').setValue(itemCaName);
				Ext.getCmp('domain-riskItem').setValue(name);
				Ext.getCmp('domain-creater').setValue(writer);
				Ext.getCmp('domain-description').setValue(issueCnt);
				Ext.getCmp('issueMappingGridPanel').getStore().load({params:{RiskItemsSeq:seq}});
			}
		};

	var riskItemTabCenterGridPanel = MakeGridPanel('','riskItemTabCenterGridPanel',riskItemTabCenterGridStore,'',550,Cm2,'',riskItemTabCenterGridListeners,'');



	//////////////////////////////////////////////////////////
	//////												//////
	//////			Set IssueTab Center/East Panel		//////
	//////												//////
	//////////////////////////////////////////////////////////

	//////////////////////////////////////////////////////////
	//////			IssueTab Center Panel				//////
	//////////////////////////////////////////////////////////
	function GetIssueGridPanel(type){
		var BBar = '';
		if(!type){
			var Sm = new Ext.grid.CheckboxSelectionModel({ 
				singleSelect: false,
				listeners: {
					scope : this,
					rowselect: function(smObj, rowIndex, record) {
						//selRecordStore = record;
					}
				}
			});//, tooltip :"select"});

			var Cm = new Ext.grid.ColumnModel([
					//Sm1,
					//{header: 'No', dataIndex: 'seq', sortable: true, width: 50, hidden: false, tooltip: 'seq' },
					{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
					{header: 'Seq', dataIndex: 'seq', sortable: true, width: 15, hidden: false, tooltip: 'seq' },
					{header: TPMS_lang_common_type, dataIndex: 'category', sortable: true, width: 40},
					{header: TPMS_lang_common_title, dataIndex: 'subject', sortable: true, width: 100},
					{header: TPMS_lang_common_status, dataIndex: 'status', sortable: true, width: 40},
					{header: TPMS_lang_scrum_priority, dataIndex: 'priority', sortable: true, width: 40, hidden:false },
					{header: TPMS_lang_scrum_severity, dataIndex: 'severity', sortable: true, width: 40, hidden:false },
					//{header: 'Max RiskValue', dataIndex: 'maxRiskValue', sortable: true, width: 40, hidden:false },
					{header: TPMS_lang_common_count, dataIndex: 'issueTextCnt', sortable: true, width: 40},
					{header: TPMS_lang_updateDate, dataIndex: 'updateDate', sortable: true, width: 80, hidden:false },
					{header: TPMS_lang_common_createdDate, dataIndex: 'regDate', sortable: true, width: 80}
				]);

			var issueGridListeners = {
				scope : this,
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					if(selectItem.length==0) return;
					var seq = selectItem[0].data['seq'];
					var subject = selectItem[0].data['subject'];
					var description = selectItem[0].data['description'];

					var status = selectItem[0].data['status'];
					var priority = selectItem[0].data['priority'];
					var severity = selectItem[0].data['severity'];

					var regDate = selectItem[0].data['regDate'];
					var updateDate=selectItem[0].data['updateDate'];

					Ext.getCmp('issueItemSeq-hidden').setValue(seq);
					Ext.getCmp('issue-name').setValue(subject.replace(/\\\"/g,"\""));
					//Ext.getCmp('issue-description').setValue(description);
					Ext.getCmp('issue-status').setValue(status);
					Ext.getCmp('issue-priority').setValue(priority);
					Ext.getCmp('issue-severity').setValue(severity);
					Ext.getCmp('issue-regDate').setValue(regDate);
					Ext.getCmp('issue-updateDate').setValue(updateDate);
					Load_IssueDetailInfo(seq);
					//LoadingMsg('IssueDetailInfoPanel');
					Ext.getCmp('riskItemGridPanel').getStore().load({params:{ProjectSeq:projectSeq,IssueListSeq:seq}});
					Ext.getCmp('issueFilesGridPanel').getStore().load({params:{ProjectSeq:projectSeq,IssueListSeq:seq}});
					Ext.getCmp('issueUsersGridPanel').getStore().load({params:{ProjectSeq:projectSeq,IssueListSeq:seq}});
				}
				,rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					var Type = 'isseuItem';
					if(sel){
						var seq = sel.data.seq;
						ViewItemInfo(Type,seq,issueListStore);
					}
				}
			};

			BBar = ['->',new Ext.PagingToolbar({
				pageSize: 100,
				store: issueListStore,
				displayInfo: true,
				//plugins: [new Ext.ux.PageSizePlugin()],
	            displayMsg: 'Total: {0} - {1} of {2}',
				//   displayMsg: 'Total: {2} 中 {0} - {1}',
				emptyMsg: "No Data",
				doLoad: function(start) {
					var o = this.store.lastOptions.params;
					var pn = this.getParams();
					o[pn.start] = start;
					o[pn.limit] = this.pageSize;
					if (this.fireEvent('beforechange', this, o) !== false) {
						this.store.load({
							params: o
						});
					}
				}
			})];

			//issueListStore.load({params:{ProjectSeq:projectSeq,startNumber:0, rowCount:10}});

			var Id = 'issueGridPanel';

		}else if(type == 'mini'){
			var Sm = new Ext.grid.CheckboxSelectionModel({ 
				singleSelect: false,
				listeners: {
					scope : this,
					rowselect: function(smObj, rowIndex, record) {
						//selRecordStore = record;
					}
				}
			});//, tooltip :"select"});

			var Cm = new Ext.grid.ColumnModel([
					//Sm1,
					//{header: 'No', dataIndex: 'seq', sortable: true, width: 50, hidden: false, tooltip: 'seq' },
					{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
					{header: TPMS_lang_common_title, dataIndex: 'subject', sortable: true, width: 100},
					{header: TPMS_lang_common_type, dataIndex: 'category', sortable: true, width: 40},
					{header: TPMS_lang_common_status, dataIndex: 'status', sortable: true, width: 40},
					{header: TPMS_lang_scrum_priority, dataIndex: 'priority', sortable: true, width: 55, hidden:false },
					{header: TPMS_lang_scrum_severity, dataIndex: 'severity', sortable: true, width: 45, hidden:false },
					{header: TPMS_lang_updateDate, dataIndex: 'updateDate', sortable: true, width: 70, hidden:false }
				]);

			var issueGridListeners = {
				scope : this,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						var seldata=sel.data;
						//alert(seldata.seq);
					}
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					var seq = selectItem[0].data['seq'];

					//alert(seq);//go_go
					Load_IssueEdit(seq);
					Ext.getCmp('issueAdd_seq').setValue(seq);

					Ext.getCmp('issueBtn_add').show(true);
					Ext.getCmp('issueBtn_update').show(true);
					Ext.getCmp('issueBtn_copy').show(true);

					Ext.getCmp('issueBtn_save').hide(true);
					var fileid='isl_'+seq;
					Load_FilesList(fileid);
					UserInfo.tempFileId=fileid;
				}
			};

			var Id = 'issueGridPanel_mini';
		}

		var issueGridPanel = MakeGridPanel('',Id,issueListStore,'100%','200',Cm,'',issueGridListeners,'',BBar);

		return issueGridPanel;
	}

	function GetIssueCenterPanel(){

		var issueGridPanel = GetIssueGridPanel();

		var tabItemTBar = ['->',
				MakeItem('','combo','','issueCombo',[
						['All', TPMS_lang_Search_all],
						['title', TPMS_lang_Search_title],
						['category', TPMS_lang_Search_category],
						['status', TPMS_lang_Search_status]
					],'',80,'','All','')
				,'-'
				,MakeItem('','textfield','','issueAutoSearch','','',200,
					{
						scope : this,
						'specialkey' : function(f,o){
						   if(o.getKey()==13){
								//alert("enter : search");							   
								var combo = Ext.getCmp('issueCombo').getValue();
								var text = Ext.getCmp('issueAutoSearch').getValue();
								var print = "combo : "+combo+", text : "+text;
								//alert(print);
								issueListStore.load({params:{ProjectSeq:projectSeq,SearchText:text,start:0, limit:100}});
							}
						},
						search : function(){
						   //alert("search");
						}
					},'',''
				)
				,'-'
				,MakeButton('',TPMS_lang_Search,'','','','','',function(btn){
						var combo = Ext.getCmp('issueCombo').getValue();
						var text = Ext.getCmp('issueAutoSearch').getValue();
						var print = "combo : "+combo+", text : "+text;
						//alert(print);
						issueListStore.load({params:{ProjectSeq:projectSeq,SearchText:text,start:0, limit:100}});
					})
			];

		var tabItem_1 = [
				MakePanel('center','fit','','','','','',issueGridPanel,'','','')
				//,MakePanel('south','border','','','',200,'',ChatPanel(),{collapse : function (){},expand : function (){}},'','')
			];
		
		return MakePanel('center','border','','','issueCenterPanel','','',tabItem_1,'',tabItemTBar,'');
	};


	//////////////////////////////////////////////////////////
	//////				IssueTab East Panel				//////
	//////////////////////////////////////////////////////////

	function GetIssueEastPanel(){

		function DeleteRiskItem(id){ alert('Delete Mapping RiskItem : '+id); };

		var riskItemGridCm = new Ext.grid.ColumnModel([
				{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
				{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 10, hidden: true, tooltip: 'seq' },
				{header: TPMS_lang_issueManager_item, dataIndex: 'name', sortable: true},
				{header: TPMS_lang_issueManager_type, dataIndex: 'caName', sortable: true, width: 80},
				{header: TPMS_lang_issueManager_domain, dataIndex: 'domainName', align:'center', sortable: true, width: 100}
				//Grid button
				//,{header: TPMS_lang_button_remove, dataIndex: '', align:'center', sortable: true, width: 100, renderer:
				//		function(value, meta, record){
				//			var id = record.data.seq; 
							//var deleteBtn = '<input type=button onclick="deleteItem('+id+');" id="'+id+'_delete" value="삭제">'; 
				//			var deleteBtn = '<input type=button onclick="DeleteIssueItem('+id+');" value='+TPMS_lang_button_remove+'>'; 
				//			return deleteBtn;
				//		}
				//	}
			]);

		var riskItemGridListeners = {
				scope : this,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						var seldata=sel.data;
						//alert(seldata.seq);
						RiskItemViewPop(seldata.seq);
					}
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					var seq = selectItem[0].data['seq']; 
				}
			};
	
		var riskItemGridBBar = ['->',MakeButton('delete',TPMS_lang_button_remove,'','','','','',
			function(btn){

				var Records = Ext.getCmp('riskItemGridPanel').selModel.getSelections();
				if(Records.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
					return;
				}else{
					var DataList = "";
					for(var i=0; i<Records.length; i++){
							DataList += Records[i].data['seq'];
						if(i+1 != Records.length){
							DataList += ",";
						}
					}
					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							var Type = 'riskItemOfIssue';
							//DeleteItem(Type,DataList);
							alert(DataList);
						}else{
							return;
						}
					}); 	
				}
			}
		)];
		var filesGridBBar = ['->'
			,MakeButton('add',TPMS_lang_button_add,'','','','','',
				function(btn){
					var issueSeq = Ext.getCmp('issueItemSeq-hidden').getValue();
					if(issueSeq){
						//alert(TPMS_lang_issue+' No : '+issueSeq); //egkang 파일 추가
						FileAddPop(issueSeq);
					}else{
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issue+TPMS_lang_Msg_validationMsg2);
					}
				}
			),'-'
			,MakeButton('File Link','File Link','','','','','',
				function(btn){

					var Records = Ext.getCmp('issueFilesGridPanel').selModel.getSelections();
					if(Records.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_file+TPMS_lang_Msg_validationMsg2);
						return;
					}else{
						FileViewPop(Records);
							/*
						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
							if(btn == "yes") { 
								var Type = 'riskItemOfIssue';
								//DeleteItem(Type,DataList);
								alert(DataList);
							}else{
								return;
							}
						}); */	
					}
				}
			),'-'
			,MakeButton('delete',TPMS_lang_button_remove,'','','','','',
				function(btn){

					var Records = Ext.getCmp('issueFilesGridPanel').selModel.getSelections();
					if(Records.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
						return;
					}else{
						var DataList = "";
						for(var i=0; i<Records.length; i++){
								DataList += Records[i].data['seq'];
							if(i+1 != Records.length){
								DataList += ",";
							}
						}
						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
							if(btn == "yes") { 
								var Type = 'riskItemOfIssue';
								//DeleteItem(Type,DataList);
								//alert(DataList);
								//unlinkfile('isl_'+,this.value);
									Ext.Ajax.request({ 
										scope : this,
										url:'/service/fileManager_proc.php?method=delete',
										params : {ProjectSeq : projectSeq,DataList:DataList,MemberSeq:UserInfo.seq} , 
										method : 'POST',
										success : function(rsp, opt) {
											//alert(rsp.responseText);
											//Ext.getCmp('issueGridPanel').load({params:{ProjectSeq:projectSeq}});
											issueListFileStore.reload();

										}
									});

								
							}else{
								return;
							}
						}); 	
					}
				}
		)];

		var issueFileGridListeners = {
				scope : this,
				rowdblclick: function(grid){
					//var sel = grid.getSelectionModel().getSelected();
					//if(sel){
					//	var seldata=sel.data;
					//	//alert(seldata.seq);
					//}
					FileViewPop(grid.selModel.getSelections());
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					var seq = selectItem[0].data['seq']; 
					//alert("Main File");
				}
			};

		var usersGridBBar = ['->',MakeButton('delete',TPMS_lang_button_remove,'','','','','',
			function(btn){

				var Records = Ext.getCmp('issueUsersGridPanel').selModel.getSelections();
				if(Records.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
					return;
				}else{
					var DataList = "";
					for(var i=0; i<Records.length; i++){
							DataList += Records[i].data['seq'];
						if(i+1 != Records.length){
							DataList += ",";
						}
					}
					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							var Type = 'riskItemOfIssue';
							//DeleteItem(Type,DataList);
							//alert(DataList);
									Ext.Ajax.request({ 
										scope : this,
										url:'/service/issueManager_proc.php?method=cancelAssign',
										params : {ProjectSeq : projectSeq,DataList:DataList,MemberSeq:UserInfo.seq} , 
										method : 'POST',
										success : function(rsp, opt) {
											//alert(rsp.responseText);
											//Ext.getCmp('issueGridPanel').load({params:{ProjectSeq:projectSeq}});
											issueListUserStore.reload();

										}
									});
						}else{
							return;
						}
					}); 	
				}
			}
		)];

		var issueUserGridListeners = {
				scope : this,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						var seldata=sel.data;
						//alert(seldata.seq);
						UserViewPop(seldata.seq);
					}
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					var seq = selectItem[0].data['seq']; 
				}
			};

		var issueUserGridPanel =  MakeGridPanel('','issueUsersGridPanel',issueListUserStore,'100%',300,issueUserGridCm,'',issueUserGridListeners,'',usersGridBBar);
		var issueFileGridPanel =  MakeGridPanel('','issueFilesGridPanel',issueListFileStore,'100%',300,issueFileGridCm,'',issueFileGridListeners,'',filesGridBBar);
		var riskItemGridPanel = MakeGridPanel('','riskItemGridPanel',riskItemMapStore,'100%',300,riskItemGridCm,'',riskItemGridListeners,'',riskItemGridBBar);

		var accordionItem0 = {xtype:'panel',title:'Issue Text', id:'IssueDetailInfoPanel',autoScroll:true
							,tbar:[MakeButton('','<font style="color:blue;font-weight:bold;">- Reply -</font>','','','','','',
									function(btn){
										var issueSeq = Ext.getCmp('issueItemSeq-hidden').getValue();
										if(issueSeq){issueRelyWriteWin(issueSeq);}else{Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issue+TPMS_lang_Msg_validationMsg2);}
								})]};//MakePanel('center','fit','','','IssueDetailInfoPanel','','',{},'','','');
		var accordionItem1 = MakePanel('','fit','panel','RiskItems','','','100%',riskItemGridPanel,'','','');
		var accordionItem2 = MakePanel('','fit','panel','Files','','','100%',issueFileGridPanel,'','','');
		var accordionItem3 = MakePanel('','fit','panel','Users','','','100%',issueUserGridPanel,'','','');
		var accordionItem=[accordionItem0,accordionItem1,accordionItem2,accordionItem3];
		
		var infoPanelForm = {
			id: 'issueMain-acc',
			layout:'accordion',
			layoutConfig:{
				collapseFirst:false,     
				animate:false,      
				titleCollapse: true,     
				activeOnTop: false,     
				fill:true      
			},
			//collapsible: true,
			//collapsed:true,//true,
			autoScroll:false,
			border: true,
			//bodyStyle:'padding:5px;',
			width: 302,
			height : 300,
			//minSize: 300,
			//activeItem: 1,
			items: [accordionItem],
			listeners : {
				collapse : function (){
					var x=document.body.clientWidth-43;
					var y=document.body.clientHeight-68;
			
					//Config.doLayout(x,y);
				},
				expand : function (){
					var x=document.body.clientWidth-310;
					var y=document.body.clientHeight-68;

					//Config.doLayout(x,y);
				}
			}
		};

		var subject = MakeItem('','textarea',TPMS_lang_common_title,'issue-name','','70','95%','','','');
		//,MakeItem('','textarea',TPMS_lang_domain_description,'issue-description','',75,'95%','','');
		var status = MakeItem('','textfield',TPMS_lang_issueManager_issueStatus,'issue-status','','','95%','','','');
		var priority = MakeItem('','textfield',TPMS_lang_issueManager_issuePriority,'issue-priority','','','95%','','','');
		var severity = MakeItem('','textfield',TPMS_lang_issueManager_issueSeverity,'issue-severity','','','95%','','','');
		var regDate = MakeItem('','textfield',TPMS_lang_common_createdDate,'issue-regDate','','','95%','','','');
		var updateDate = MakeItem('','textfield',TPMS_lang_updateDate,'issue-updateDate','','','95%','','','');

		subject.readOnly = true;
		//subject.onFocus = function(){this.blur();};
		status.readOnly = true;
		//status.onFocus = function(){this.blur();};
		priority.readOnly = true;
		//priority.onFocus = function(){this.blur();};
		severity.readOnly = true;
		//severity.onFocus = function(){this.blur();};
		regDate.readOnly = true;
		//regDate.onFocus = function(){this.blur();};
		updateDate.readOnly = true;
		//updateDate.onFocus = function(){this.blur();};

		var infoPanel = new Ext.Panel({
				id: 'issueInfoPanel',
				border: false,
				items:[{
					xtype: 'form',
					height: 220,
					bodyStyle: 'padding: 5 0 5 5;',
					items:[
						MakeItem('','hidden','','issueItemSeq-hidden','','','','','','')
						,subject,status,priority,severity,regDate,updateDate
					]
				},{
					border: false,
					height: 10
				},{
					layout: 'fit',
					border: false,
					items:[infoPanelForm]
				}]
			});
		
		var infoPanelTBar = [
				MakeButton('add',TPMS_lang_button_add,'issueAdd_Btn','','','','',
					function(btn){
						IssueWriteWindow();						
					}
				)
				,'-',
				MakeButton('update',TPMS_lang_button_update,'issueUpdate_Btn','','','','',function(btn){
					
					var issueSeq = Ext.getCmp('issueItemSeq-hidden').getValue();
					if(issueSeq){
						IssueEditWindow(issueSeq);
						//GetIssueReportForm("edit",issueSeq)};//IssueEditWin(issueSeq);
					}else{
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issue+TPMS_lang_Msg_validationMsg2);
					}
				})
				,'-',
				MakeButton('delete',TPMS_lang_button_remove,'issueRemove_Btn','','','','',function(btn){
					
					var Records = Ext.getCmp('issueGridPanel').selModel.getSelections();
					if(Records.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
						return;
					}else{
						var DataList = "";
						for(var i=0; i<Records.length; i++){
								DataList += Records[i].data['seq'];
							if(i+1 != Records.length){
								DataList += ",";
							}
						}
						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
							if(btn == "yes") { 
								var Type = 'issueGridItem';
								//DeleteItem(Type,DataList);
								//alert(DataList);
									Ext.Ajax.request({ 
										scope : this,
										url:'/service/issueManager_proc.php?method=deleteIssueReport',
										params : {ProjectSeq : projectSeq,DataList:DataList,MemberSeq:UserInfo.seq} , 
										method : 'POST',
										success : function(rsp, opt) {
											//alert(rsp.responseText);
											//Ext.getCmp('issueGridPanel').load({params:{ProjectSeq:projectSeq}});
											issueListStore.reload();

										}
									});

							}else{
								return;
							}
						}); 	
					}
				})
				,'-',
				MakeButton('sendMail','Assign','','icon-email','','','',function(btn){
					
					var Records = Ext.getCmp('issueGridPanel').selModel.getSelections();
					if(Records.length == 0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issue+TPMS_lang_Msg_validationMsg2);
						return;
					}else if(Records.length > 0){
						var SeqList = "";
						for(var i=0;i<Records.length;i++)
						{
							if(i==0)
								SeqList+=Records[i].data['seq'];
							else
								SeqList+=","+Records[i].data['seq'];
						}
						AssignWin(SeqList);
					}
					//else{
					//	Ext.Msg.alert(TPMS_lang_title,'Select One');
					//	return;
						/*
						var DataList = "";
						for(var i=0; i<Records.length; i++){
								DataList += Records[i].data['seq'];
							if(i+1 != Records.length){
								DataList += ",";
							}
						}
						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
							if(btn == "yes") { 
								var Type = 'riskItemGrid';
								//DeleteItem(Type,DataList);
								alert(DataList);
							}else{
								return;
							}
						});
						*/
					//}
				})
				,'-'
				,MakeButton('copy','Mapping','','','','','',function(btn){SelectIssueRiskItem(projectSeq);})
				//,'->'
				//,MakeButton('','<font style="color:blue;font-weight:bold;">- Reply -</font>','','','','','',
				//	function(btn){
				//		var issueSeq = Ext.getCmp('issueItemSeq-hidden').getValue();
				//		if(issueSeq){issueRelyWriteWin(issueSeq);}
				//})
			];

		return MakeInfoPanel('Some Info','',infoPanel,infoPanelTBar,'');
	};

	var riskItemTabInfoPanel = new Ext.Panel({
			id: 'riskItemInfoPanel',
			//layout: 'fit',
			border: false,
			//height: 300,
			//width: 320,
			items:[{
				xtype: 'form',
				height: 200,
				bodyStyle: 'padding: 5 0 5 5;',
				items:[{
					xtype: 'hidden',
					id: 'riskItemSeq-hidden'
				},{
					xtype:'textfield',
					fieldLabel: TPMS_lang_domain,
					id: 'domain-name',
					readOnly : true,
					anchor:'95%'
				},{
					xtype:'textfield',
					fieldLabel: TPMS_lang_common_type,
					id: 'domain-type',
					readOnly : true,
					anchor:'95%'
				},{
					xtype:'textfield',
					fieldLabel: TPMS_lang_riskItem,
					id: 'domain-riskItem',
					readOnly : true,
					anchor:'95%'
				},{
					xtype:'textfield',
					fieldLabel: TPMS_lang_riskItem_creater,
					id: 'domain-creater',
					readOnly : true,
					anchor:'95%'
				},{
					xtype:'textarea',
					fieldLabel: TPMS_lang_domain_description,
					id: 'domain-description',
					readOnly : true,
					anchor:'95%',
					height : 75
				}]
			},{
				border: false,
				height: 10
			},{
				layout: 'fit',
				id: 'issueMapping',
				border: false,
				items:[issueMappingGridPanel]
			}]
		});



	//////////////////////////////////////////////////////////
	//////												//////
	//////				Set Scrum Chat Panel			//////
	//////												//////
	//////////////////////////////////////////////////////////

	function ChatPanel(){
		var chatCenterPanel = {
			region: 'center',
			id: 'mid-center',
			layout: 'fit',
			autoScroll: true,
			items:[chatPanel]
		};

		var chatEastPanel = {
			region: 'east',
			width:150,
			items:[{
				border:false,
				html:'<div id=\'div_member_list\' class="right_member_list"></div>'
			}]
		};

		return [chatCenterPanel,chatEastPanel];
	};



	//////////////////////////////////////////////////////////
	//////												//////
	//////				Set Tab Panel					//////
	//////												//////
	//////////////////////////////////////////////////////////

	//////////////////////////////////////////////////////////
	//////				Issue Tab Panel					//////
	//////////////////////////////////////////////////////////	

	function GetIssueMainTab(){
		var Items1 = [GetIssueCenterPanel(),GetIssueEastPanel()];
		var tab1 = MakePanel('','border','','', 'tab1','','',Items1,'','','','');
		return tab1;
	}

	var issueMainPanel = [MakePanel('center','fit','panel',TPMS_lang_issue,'issueMainPanel','','',GetIssueMainTab(),'','','')];
	

	//////////////////////////////////////////////////////////
	//////				RiskItem Tab Panel				//////
	//////////////////////////////////////////////////////////

	var riskItemTabCenterTBar = [
		MakeItem('','label',TPMS_lang_domain,'','','','','','')
		,MakeItem('','textfield',TPMS_lang_domain,'riskItemAutoSearch','','',150,{
                    scope : this,
                    'specialkey' : function(f,o){
                       if(o.getKey()==13){
						   //alert("enter : search riskitem");
							//f.submit();
						}
                    },
                    search : function(){
                       alert("search");
                    }
                },'',''
		),'-'
		,MakeItem('','label',TPMS_lang_riskItem,'','','','','','','')			
		,MakeItem('','textfield','','domainAutoSearch','','',150,'','','')
		,'->'
		,MakeButton('',TPMS_lang_Search,'','','','','',function(btn){
					var domain = Ext.getCmp('riskItemAutoSearch').getValue();
					var riskItem = Ext.getCmp('domainAutoSearch').getValue();
					var print = "domain : "+domain+", riskItem : "+riskItem;
					alert(print);
				})
		];
	
	var riskItemTabInfoTBar = [
			MakeButton('delete',TPMS_lang_button_remove,'','','','','',
				function(btn){

					var Records = Ext.getCmp('riskItemTabCenterGridPanel').selModel.getSelections();
					if(Records.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
						return;
					}else{
						var DataList = "";
						for(var i=0; i<Records.length; i++){
								DataList += Records[i].data['seq'];
							if(i+1 != Records.length){
								DataList += ",";
							}
						}
						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
							if(btn == "yes") { 
								var Type = 'riskItemGrid';
								//DeleteItem(Type,DataList);
								alert(DataList);
							}else{
								return;
							}
						}); 	
					}
				}
			),'-'
			,MakeButton('copy','Mapping','','','','','',function(btn){SelectIssueRiskItem(projectSeq);})
		];

	var Items2 = [MakePanel('center','fit','','','','','60%',riskItemTabCenterGridPanel,'',riskItemTabCenterTBar,'')
				,MakeInfoPanel('Some Info','',riskItemTabInfoPanel,riskItemTabInfoTBar,'')];
	var riskItemTab = MakePanel('','border','',TPMS_lang_riskItem, 'riskItemTab','','',Items2,'','','','');


	//go_tab
	// DashBoard Tab	: dashBoardTab => issueManager_dashBoardTab.js
	// File Tab			: fileItemTab => issueManager_fileItemTab.js
	var tabpanel = {
		id: 'infoTab',
		xtype: 'tabpanel',
		activeTab: 0, 
		items:[
			dashBoardTab
			,issueMainPanel//tab1
			,riskItemTab
			,fileItemTab
			//,calendarTab
			,calendarItemTab			
		]
	};

	


	//////////////////////////////////////////////////////////
	//////												//////
	//////				Set Center Panel				//////
	//////												//////
	//////////////////////////////////////////////////////////

	var centerPanel = MakePanel('center','fit','panel','','main-centerPanel','','',tabpanel,'','','');

	var southPanel = MakePanel('south','border','panel','','issueMain-ChatPanel',150,'',ChatPanel(),'','','');

	

	//////////////////////////////////////////////////////////
	//////												//////
	//////					Ext Ready					//////
	//////												//////
	//////////////////////////////////////////////////////////

	Ext.onReady(function(){		
		var viewport = new Ext.Viewport({
			layout: 'border',
			renderTo: Ext.getBody(),
			items: [centerPanel,southPanel]
		});
		UserInfo.IsSaved=true;
		Load_DashBoard();

		Config.doLayout(Config.Width,Config.Height);

		//alert(Ext.getCmp('issueMain-ChatPanel').collapsed);
		//Ext.getCmp('issueMain-ChatPanel').collapsed = true;

		chatting_bo_table='scrum';
		chatting_room_no=UserInfo.Groupid;
		document.getElementById('bo_table').value='scrum';
		document.getElementById('room_no').value=chatting_room_no;
		document.getElementById('user').value=chatting_user;
		document.getElementById('nick').value=chatting_nick;
		document.getElementById('mb_id').value=chatting_mb_id;


		//채팅에참여
		join_chatting_room(h_form.bo_table.value,h_form.room_no.value,h_form.user.value,h_form.nick.value,h_form.mb_id.value);
		get_member_list();
		Load_UserIssueForm();
		getTempData();

		var active_combo=function (Combo){
			if(!Combo.comboValue)
			{
				ComboArray[Combo.id].comboValue = true;
				new Ext.form.ComboBox({
					store: eval(Combo.comboStore),
					displayField:'keyString',
					//typeAhead: true,
					triggerAction: 'all',
					emptyText:'Input text...',
					minChars : 1,
					autocomplete : "off",
					selectOnFocus:true,
					applyTo : Combo.comboId,
					loadingText: 'Search...',
					onSelect: function(record){ 
						Ext.getCmp(Combo.comboId).setValue(record.data.keyString)
						updateHitText(record.data.seq);
						this.collapse();
					}
				});	
			}
		}

		Ext.getCmp('dashBoardTab').on('activate', function(){
				UserInfo['tab_id']='0';
				//Load_DashBoard();
				//active_combo(ComboArray[1]);
				//active_combo(ComboArray[2]);
		});
		Ext.getCmp('issueMainPanel').on('activate', function(){
				//active_combo(ComboArray[0]);
			UserInfo['tab_id']='1';

			if((UserInfo.UserRole & 1)==1){
			}else{
				if(UserInfo.UserId !='admin'){

				Ext.getCmp('issueAdd_Btn').disable(true);
				Ext.getCmp('issueUpdate_Btn').disable(true);
				Ext.getCmp('issueRemove_Btn').disable(true);

				//Ext.Msg.alert(TPMS_lang_title,"권한없음");
				//return;
				}
			}
		});
		Ext.getCmp('riskItemTab').on('activate', function(){
				UserInfo['tab_id']='2';
				//active_combo(ComboArray[1]);
				//active_combo(ComboArray[2]);
			//Ext.getCmp('riskItemTabCenterGridPanel').getStore().reload({params:{ProjectSeq:projectSeq}});
			riskItemTabCenterGridStore.load({params:{ProjectSeq:projectSeq}});
		});
		Ext.getCmp('fileItemTab').on('activate', function(){
				UserInfo['tab_id']='3';
				//Load_DashBoard();
				//active_combo(ComboArray[1]);
				//active_combo(ComboArray[2]);
			Ext.getCmp('fileListGridPanel').getStore().load({params:{ProjectSeq:projectSeq}});
		});
		Ext.getCmp('calendarItemTab').on('activate', function(){			
			UserInfo['tab_id']='4';
		});
		Ext.getCmp('defectItemTab').on('activate', function(){			
			UserInfo['tab_id']='5';
		});
		Ext.getCmp('tcItemTab').on('activate', function(){			
			UserInfo['tab_id']='6';
		});
		Ext.getCmp('reqItemTab').on('activate', function(){			
			UserInfo['tab_id']='7';
		});
		Ext.getCmp('memoItemTab').on('activate', function(){			
			UserInfo['tab_id']='8';
		});
		Ext.getCmp('searchItemTab').on('activate', function(){			
			UserInfo['tab_id']='9';			
		});



		if(tabpanel.activeTab == 0){
				//active_combo(ComboArray[0]);
		}
		
		if(UserInfo.ShowIssueSeq){
			//Load_IssueEdit(UserInfo.ShowIssueSeq);
			Load_IssueDetailInfo(UserInfo.ShowIssueSeq);
			setTimeout("ViewItemInfo('isseuItem',UserInfo.ShowIssueSeq,issueListStore)",3000);
		}

	});



	//////////////////////////////////////////////////////////
	//////												//////
	//////				File Upload Item				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function fileUploadItem()
	{
		var fileStore = {success:true};

		var fileCm = new Ext.grid.ColumnModel([
			//{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: TPMS_lang_common_title, dataIndex: 'filename', sortable: true, width: 100},
			{header: 'bytes', dataIndex: 'bytesTotal', sortable: true, width: 80}
		]);

		var fileListeners = {
				scope : this,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						var seldata=sel.data;
						//alert(seldata.seq);
					}
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					//var seq = selectItem[0].data['seq']; 
				}
			};

		var filelistGridPanel = MakeGridPanel('','filelist',fileStore,300,150,fileCm,'',fileListeners,'');

		
		var uploadField = [{
			layout:'column',
			fieldLabel: TPMS_lang_scrum_file,
			border:false,
			bodyStyle:'padding:0 0 0 0;',
			anchor:'96%',
			items:[
				//{columnWidth:1,id : 'tempTextarea'}
				{width:'300',html:'<div id=log class=right_member_list></div>'}
				,{width:'65',xtype: 'label',id: 'tempDiv'}]
		}];//,filelistGridPanel];

		return uploadField;
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////			Issue Item Add/Update Window		//////
	//////												//////
	//////////////////////////////////////////////////////////
	/*
	function GetIssueReportForm(Type,issueSeq){
		UserInfo.disp_id=Type;
		Ext.Ajax.request({
			url : '/service/issueManager_proc.php?method=getIssueFormSuite',
			method: 'POST',
			params :{ 
				ProjectSeq : projectSeq,
				MemberSeq : UserInfo.seq
			},
			success: function ( result, request ) {
				
				var Obj = XmlToObj.xml2obj(result.responseText);
				UserInfo.IssueForm=Obj;
				if(Type == "edit")
				{
					//IssueEditWindow(issueSeq,Obj);
					IssueEditWindow(issueSeq);

				}else if(Type == "issueWrite")
				{
					IssueWriteWindow(issueSeq);//,Obj);
				}
			},
			failure: function ( result, request ) {
				//Ext.Msg.alert("생성 실패"); 
			}
		});
	}*/



	//////////////////////////////////////////////////////////
	//////												//////
	//////			Issue Write Window(추가창)			//////
	//////												//////
	//////////////////////////////////////////////////////////

	function IssueWriteWindow()//,Obj)
	{
		if(Ext.getCmp('issueWriteWindow')){
			Ext.getCmp('issueWriteWindow').close();
		}
		//Load_UserIssueForm();
		var Obj=UserInfo.IssueForm;
		UserInfo.disp_id="issueWrite";

		if(!Obj){
			Ext.Ajax.request({
				url : '/service/issueManager_proc.php?method=getIssueFormSuite',
				method: 'POST',
				params :{ 
					ProjectSeq : projectSeq,
					MemberSeq : UserInfo.seq
				},
				success: function ( result, request ) {
					var Obj = XmlToObj.xml2obj(result.responseText);
					UserInfo.IssueForm=Obj;
					IssueWriteWindow();
				},
				failure: function ( result, request ) {
				}
			});
			return;
		};

		var fileid=UserInfo.fileid;
		var modifyFromBtn = MakeButton('window','사용자 정의','','','','','',function(btn){
					IssueFormModifyWindow();
					//LoadingMsg('issueWritePanel');
					//Ext.getCmp('issueWritePanel').mask(TPMS_lang_title,true);
			});
		var newIssueBtn = MakeButton('add','New Issue123','issueBtn_add','','','','',function(btn){
				
				Ext.getCmp('issueBtn_add').hide(true);
				Ext.getCmp('issueBtn_update').hide(true);
				Ext.getCmp('issueBtn_copy').hide(true);
				Ext.getCmp('issueBtn_save').show(true);

				Ext.getCmp('issueAdd_seq').setValue();							
				Ext.getCmp('issueAdd_category').setValue();
				Ext.getCmp('issueAdd_subject').setValue();
				Ext.getCmp('issueAdd_content').setValue();
				Ext.getCmp('issueAdd_status').setValue();
				Ext.getCmp('issueAdd_severity').setValue();
				Ext.getCmp('issueAdd_priority').setValue();
				Load_FilesList(UserInfo.fileid);
				UserInfo.tempFileId=UserInfo.fileid;

				var Obj = UserInfo.IssueForm;
				var itemCnt = 0;	
				if(Obj.report_data.report_item)
					itemCnt=Obj.report_data.report_item.length;
				else
					itemCnt=0;
				
				if(typeof itemCnt == 'undefined'){
					var itemId = Obj.report_data.report_item.item_id;
					Ext.getCmp(itemId).setValue();							
				}

				for(var i=0; i<itemCnt; i++){
					var itemId = Obj.report_data.report_item[i].item_id;

					if(Obj.report_data.report_item[i].item_type == 3 ){
						Ext.getCmp(itemId).setValue();
					}else if(Obj.report_data.report_item[i].item_type == 4 ){
						//Ext.getCmp(itemId).items.get(0).getGroupValue();
					}else{
						Ext.getCmp(itemId).setValue();
					}
				}
				
			});
		var updateBtn = MakeButton('update',TPMS_lang_button_update,'issueBtn_update','','','','',function(btn){
				var issueSeq = Ext.getCmp('issueAdd_seq').getValue();
				SaveIssueItem(issueSeq);
			});
		var copyBtn = MakeButton('copy',TPMS_lang_button_copy,'issueBtn_copy','','','','',function(btn){
				var issueSeq = Ext.getCmp('issueAdd_seq').getValue();
				SaveIssueItem();
			});
		var saveBtn = MakeButton('save',TPMS_lang_button_save,'issueBtn_save','','','','',function(btn){
				var issueSeq = Ext.getCmp('issueAdd_seq').getValue();
				SaveIssueItem(issueSeq);
			});
		var closeBtn = MakeButton('close',TPMS_lang_button_close,'','','','','',function(btn){
				tempSaveInit('');
				Ext.getCmp('issueWriteWindow').close();
			});
	
		var issueWriteTabTBar = new Array();
		//issueWriteTabTBar[0] = [modifyFromBtn,'->',saveBtn,{xtype:'tbfill',text:'-'},closeBtn];
		issueWriteTabTBar[0] = [modifyFromBtn,'->',newIssueBtn,'-',updateBtn,'-',copyBtn,'-',saveBtn,'-',closeBtn];

		var Listeners = {
						scope : this,
						focus : function(){UserInfo.IsSaved=false;enableSelect(true);},
						blur : function(obj){
						UpdateTempDataObj(UserInfo.disp_id,obj.id,Ext.getCmp(obj.id).getValue());
						//'aa2';
						enableSelect(false);}
					};

		var userItemFormList = new Array();

		var itemCnt = 0;
		if(Obj.report_data.report_item)
			itemCnt=Obj.report_data.report_item.length;				
		else
			itemCnt=0;

		if(typeof itemCnt == 'undefined'){
			
			var itemId = Obj.report_data.report_item.item_id;
			var itemName = Obj.report_data.report_item.item_name;
			var itemType = Obj.report_data.report_item.item_type;
			var itemData = Obj.report_data.report_item.item_data;

			if(itemType == 2 || itemType == 3 || itemType == 4){
				if(itemData == ""){
					return;
				}
			}

			var itemTypeStore = new Array();
			var itemTypeStore = itemData.split(',');

			var typeName = ItemType(itemType,'');

			//alert(itemId+","+ itemName+","+itemType +","+typeName+","+ itemData);
			userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%',Listeners,'',''));
		}

		for(var i=0; i<itemCnt; i++){
			var itemId = Obj.report_data.report_item[i].item_id;
			var itemName = Obj.report_data.report_item[i].item_name;
			var itemType = Obj.report_data.report_item[i].item_type;
			var itemData = Obj.report_data.report_item[i].item_data;

			var itemTypeStore = new Array();
			var itemTypeStore = itemData.split(',');
			var typeName = ItemType(itemType,'');
			//alert(itemId+","+ itemName+","+itemType +","+typeName+","+ itemData);

			if(itemType == 2 || itemType == 3 || itemType == 4){
				if(itemData != ""){
					userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%',Listeners,'',''));
				}
			}else{
				userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%',Listeners,itemData,''));
			}
		}
	

		var panel = {
			xtype:'panel',
			//title: TPMS_lang_button_add,
			id:'issueWritePanel',
			layout: 'border',
			items: [{ //한글
				region: 'center',
				xtype: 'form',
				fileUpload: true,
				bodyStyle:'padding: 5 5 5 5;',
				border:false,
				labelWidth:120,
				autoScroll:true,
	
				items: [{
					xtype: 'hidden',
					id: 'issueAdd_seq'
				}
				,{
					xtype: 'fieldset',
					title: '기본 내용',
					id : 'defaultForm',
					anchor:'95%',
					items:[
						MakeItem('','textfield',TPMS_lang_category,'issueAdd_category','','','95%',Listeners,'','')
						,MakeItem('','textfield',TPMS_lang_common_title+'<font color=red>*</font>','issueAdd_subject','','','95%',Listeners,'','')
						,MakeItem('','textarea',TPMS_lang_common_description,'issueAdd_content','','150','95%',Listeners,'','')
						,MakeItem('','combo',TPMS_lang_issueManager_issueStatus,'issueAdd_status',projectIssueStatusStore,'','95%',Listeners,'',[['issueStatus'],['name']])
						,MakeItem('','combo',TPMS_lang_issueManager_issueSeverity,'issueAdd_severity',projectSeverityStore,'','95%',Listeners,'',[['issueSeverity'],['name']])
						,MakeItem('','combo',TPMS_lang_issueManager_issuePriority+'<font color=red>*</font>','issueAdd_priority',projectPriorityStore,'','95%',Listeners,'',[['issuePriority'],['name']])
					]
				},{
					xtype: 'fieldset',
					title: '사용자 내용',
					id : 'userForm',
					anchor:'95%',
					items: userItemFormList
				}
				,fileUploadItem()
				]
			}]
		};
		
		/////////////////////////////////////////////////////////////////////////////////////

		var eastDivPanel = {height:document.body.clientHeight-420,html:"<div height=100>aaa</div>"};

		//작성한 이슈 그리드
		var assignIssueStore = MakeStore('/service/issueManager_proc.php?method=getAssignIssueList','',[
				'seq',
				'subject',
				'category',
				'status',
				'priority',
				'severity',
				'updateDate',
				'regDate',
				'issueTextCnt'
			],{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq,RoleType:'0',start:0, limit:10});

		var Sm = new Ext.grid.CheckboxSelectionModel({ 
			singleSelect: false,
			listeners: {
				scope : this,
				rowselect: function(smObj, rowIndex, record) {
					//selRecordStore = record;
				}
			}
		});//, tooltip :"select"});

		var Cm = new Ext.grid.ColumnModel([
				//Sm1,
				{header: 'seq', dataIndex: 'seq', sortable: true, width: 10, hidden: true, tooltip: 'seq' },
				{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
				{header: TPMS_lang_common_title, dataIndex: 'subject', sortable: true, width: 100},
				{header: TPMS_lang_common_type, dataIndex: 'category', sortable: true, width: 40},
				{header: TPMS_lang_common_status, dataIndex: 'status', sortable: true, width: 40},
				{header: TPMS_lang_scrum_priority, dataIndex: 'priority', sortable: true, width: 55, hidden:false },
				{header: TPMS_lang_scrum_severity, dataIndex: 'severity', sortable: true, width: 45, hidden:false },
				{header: TPMS_lang_updateDate, dataIndex: 'updateDate', sortable: true, width: 70, hidden:false }
			]);

		var issueGridListeners = {
			scope : this,
			rowdblclick: function(grid){
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
				}
			},
			rowclick:function(grid, rowIndex, e) {
				var selectItem = grid.selModel.getSelections();
				var seq = selectItem[0].data['seq'];

				//alert(seq);//go_go
				Load_IssueEdit(seq);
				Ext.getCmp('issueAdd_seq').setValue(seq);

				Ext.getCmp('issueBtn_add').show(true);
				Ext.getCmp('issueBtn_update').show(true);
				Ext.getCmp('issueBtn_copy').show(true);

				Ext.getCmp('issueBtn_save').hide(true);
				var fileid='isl_'+seq;
				Load_FilesList(fileid);
				UserInfo.tempFileId=fileid;
			}
		};

		var BBar = ['->',new Ext.PagingToolbar({
			pageSize: 10,
			store: assignIssueStore,
			displayInfo: true,
			//plugins: [new Ext.ux.PageSizePlugin()],
			displayMsg: 'Total: {0} - {1} of {2}',
			//   displayMsg: 'Total: {2} 中 {0} - {1}',
			emptyMsg: "No Data",
			doLoad: function(start) {
				var o = this.store.lastOptions.params;
				var pn = this.getParams();
				o[pn.start] = start;
				o[pn.limit] = this.pageSize;
				if (this.fireEvent('beforechange', this, o) !== false) {
					this.store.load({
						params: o
					});
				}
			}
		})];

		var Id = 'issueWriteGridPanel_mini';

		var eastIssueListGrid = MakeGridPanel('작성한 이슈',Id,assignIssueStore,'100%','300',Cm,Sm,issueGridListeners,'',BBar);
		//var eastIssueListGrid = GetIssueGridPanel('mini');

		//작성한 이슈 그리드 끝

		var Items1 = [MakePanel('center','fit','panel','','','','',panel,'','','')
			,MakePanel('east','','panel','','',400,400,[eastDivPanel,eastIssueListGrid],'','','')];
			//,MakeInfoPanel('east','Id',[],'','')];

		var issueWriteFrom = MakePanel('center','border','','', '','','',Items1,'',issueWriteTabTBar[0],'','');

		var issueWriteWindow = new Ext.Window({
			title: 'Issue Add/update Window',
			id:'issueWriteWindow',
			closable:true,
			width:document.body.clientWidth,
			height:document.body.clientHeight,//-25,
			plain:true,
			layout: 'border',
			resizable: false,
			draggable   : false,
			closable: false,
			//modal: true,
			items: issueWriteFrom
		});
		issueWriteWindow.show(this);
		issueWriteWindow.setPosition(0,0);//25);

		Ext.getCmp('issueBtn_add').hide(true);
		Ext.getCmp('issueBtn_update').hide(true);
		Ext.getCmp('issueBtn_copy').hide(true);

		tempDiv.innerHTML="<div width=100 height=100 id=\'divUploader\'></div>";
		//tempTextarea.innerHTML="<div id=\'log\' name=\'log\' value=\'\' cols=\'30\' rows=\'3\' wrap=\'off\' ></div>";
		createFileUploader( "/resources/fileUpload/fileuploader.swf", "divUploader", fileuploaderSWF, "61", "24", flashPlayerVersion, "/resources/fileUpload/playerProductInstall.swf", flashvars(fileid,UserInfo.seq));
		Load_FilesList(fileid);
		UserInfo.tempFileId=fileid;
		tempLoadIssueReport(UserInfo.disp_id,fileid);
	};



	//////////////////////////////////////////////////////////
	//////												//////
	//////			Issue Edit mini Window(수정창)		//////
	//////												//////
	//////////////////////////////////////////////////////////

	function IssueEditWindow(issueSeq)//,Obj)
	{
		if(Ext.getCmp('issueWindow')){
			Ext.getCmp('issueWindow').close();
		}

		//Load_UserIssueForm();
		Obj=UserInfo.IssueForm;
		UserInfo.disp_id="edit";

		var fileid='isl_'+issueSeq;
		var TBar = ['->'
			,MakeButton('save',TPMS_lang_button_save,'','','','','',function(btn){
				var saveIssueData={};
				saveIssueData.category = my_escape(Ext.getCmp('issueAdd_category').getValue());
				saveIssueData.subject = my_escape(Ext.getCmp('issueAdd_subject').getValue());
				saveIssueData.content = (Ext.getCmp('issueAdd_content').getEscValue());
				saveIssueData.status = Ext.getCmp('issueAdd_status').getValue();
				saveIssueData.severity = Ext.getCmp('issueAdd_severity').getValue();
				saveIssueData.priority = Ext.getCmp('issueAdd_priority').getValue();
				saveIssueData.fileid = fileid;
				//alert(Ext.getCmp('issueAdd_content').getValue()+" || "+Ext.encode(Ext.getCmp('issueAdd_content').getValue()));
				if(!(saveIssueData.subject.length>0))
				{
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_common_title+'를 입력하세요');
					return;
				}
				if(!(saveIssueData.priority>0))
				{
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issueManager_issuePriority+'를 입력하세요');
					return;
				}
				
				saveIssueData['userItem']=new Array();

				var itemCnt = 0;	
				if(Obj.report_data.report_item)
					itemCnt=Obj.report_data.report_item.length;
				else
					itemCnt=0;
				
				if(typeof itemCnt == 'undefined'){
					var itemId = Obj.report_data.report_item.item_id;
					saveIssueData['userItem'].push({_id: Obj.report_data.report_item.item_id ,_name:Obj.report_data.report_item.item_name,_type:Obj.report_data.report_item.item_type,_value: Ext.getCmp(itemId).getValue()});							
				}

				for(var i=0; i<itemCnt; i++){
					var itemId = Obj.report_data.report_item[i].item_id;

					if(Obj.report_data.report_item[i].item_type == 3 ){
						saveIssueData['userItem'].push({_id: Obj.report_data.report_item[i].item_id,_name:Obj.report_data.report_item[i].item_name,_type:Obj.report_data.report_item[i].item_type,_value: Ext.getCmp(itemId).getValue()});
					}else if(Obj.report_data.report_item[i].item_type == 4 ){
						//Ext.getCmp(itemId).items.get(0).getGroupValue()
						saveIssueData['userItem'].push({_id: Obj.report_data.report_item[i].item_id ,_name:Obj.report_data.report_item[i].item_name,_type:Obj.report_data.report_item[i].item_type,_value: Ext.getCmp(itemId).items.get(0).getGroupValue()});
					}else{
						saveIssueData['userItem'].push({_id: Obj.report_data.report_item[i].item_id ,_name:Obj.report_data.report_item[i].item_name,_type:Obj.report_data.report_item[i].item_type,_value: Ext.getCmp(itemId).getValue()});
					}
				}

				//alert(saveIssueData+" || "+Ext.encode(saveIssueData));

				Ext.Ajax.request({
					url : '/service/issueManager_proc.php?method=updateIssueReport',
					method: 'POST',
					params :{ProjectSeq : projectSeq,
							 Seq		: issueSeq,
							 MemberSeq	: UserInfo.seq,
							 Data		: Ext.encode(saveIssueData)},
					success: function ( result, request ) {
						//alert(result.responseText);
						issueListStore.reload();
						Load_viewUpdateInfo(issueSeq)
						Ext.getCmp('issueWindow').close(this);
						tempSaveInit('');
					},
					failure: function ( result, request ) {
						//Ext.getCmp('issueFormModifyWin').close(this);
					}
				});

			}),'-'
			,MakeButton('close',TPMS_lang_button_close,'','','','','',function(btn){
					tempSaveInit('');
					Ext.getCmp('issueWindow').close();
			})];
	

		//alert(Obj.report_id.length);//report_data.report_item[1].item_id);
		//alert(Obj.report_data.report_item.length);//report_data.report_item[1].item_id);
		var userItemFormList = new Array();
		var Listeners = {
						scope : this,
						focus : function(){UserInfo.IsSaved=false;enableSelect(true);},
						blur : function(obj){
						//UserInfo.TempDataObj.saveTemp
						//alert('aa3');
						UpdateTempDataObj(UserInfo.disp_id,obj.id,Ext.getCmp(obj.id).getValue());
						enableSelect(false);}
					};

		var itemCnt = 0;
		//alert(Ext.encode(Obj));
			if(Obj.report_data.report_item)
				itemCnt=Obj.report_data.report_item.length;				
			else
				itemCnt=0;

		if(typeof itemCnt == 'undefined'){
			
			var itemId = Obj.report_data.report_item.item_id;
			var itemName = Obj.report_data.report_item.item_name;
			var itemType = Obj.report_data.report_item.item_type;
			var itemData = Obj.report_data.report_item.item_data;

			if(itemType == 2 || itemType == 3 || itemType == 4){
				if(itemData == ""){
					return;
				}
			}

			var itemTypeStore = new Array();
			var itemTypeStore = itemData.split(',');

			var typeName = ItemType(itemType,'');

			//alert(itemId+","+ itemName+","+itemType +","+typeName+","+ itemData);
			userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%',Listeners,'',''));
		}

		for(var i=0; i<itemCnt; i++){
			var itemId = Obj.report_data.report_item[i].item_id;
			var itemName = Obj.report_data.report_item[i].item_name;
			var itemType = Obj.report_data.report_item[i].item_type;
			var itemData = Obj.report_data.report_item[i].item_data;

			var itemTypeStore = new Array();
			var itemTypeStore = itemData.split(',');
			var typeName = ItemType(itemType,'');
			//alert(itemId+","+ itemName+","+itemType +","+typeName+","+ itemData);

			if(itemType == 2 || itemType == 3 || itemType == 4){
				if(itemData != ""){
					userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%',Listeners,'',''));
				}
			}else{
				userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%',Listeners,'',''));
			}
		}

		var addWin = new Ext.Window({
			title: TPMS_lang_button_update,
			id:'issueWindow',
			closable:true,
			width:550,
			height:525,
			plain:true,
			layout: 'border',
			resizable: false,
			closable: false,
			modal: true,
			items: [{ //한글
				region: 'center',
				xtype: 'form',
				fileUpload: true,
				bodyStyle:'padding: 5 5 5 5;',
				border:false,
				labelWidth:120,
				autoScroll:true,
				listeners: {
					afterRender : function(){ 
						Load_IssueEdit(issueSeq);
						//setTimeout("Load_IssueEdit("+issueSeq+")",1000);
					}
				},
				items: [{
					xtype: 'hidden',
					id: 'issueAdd_seq'
				}
				,{
					xtype: 'fieldset',
					title: '기본 내용',
					anchor:'95%',
					items:[
						MakeItem('','textfield',TPMS_lang_category,'issueAdd_category','','','95%',Listeners,'','')
						,MakeItem('','textfield',TPMS_lang_common_title+'<font color=red>*</font>','issueAdd_subject','','','95%',Listeners,'','')
						,MakeItem('','textarea',TPMS_lang_common_description,'issueAdd_content','','150','95%',Listeners,'','')
						,MakeItem('','combo',TPMS_lang_issueManager_issueStatus,'issueAdd_status',projectIssueStatusStore,'','95%',Listeners,'',[['issueStatus'],['name']])
						,MakeItem('','combo',TPMS_lang_issueManager_issueSeverity,'issueAdd_severity',projectSeverityStore,'','95%',Listeners,'',[['issueSeverity'],['name']])
						,MakeItem('','combo',TPMS_lang_issueManager_issuePriority+'<font color=red>*</font>','issueAdd_priority',projectPriorityStore,'','95%',Listeners,'',[['issuePriority'],['name']])
					]
				},{
					xtype: 'fieldset',
					title: '사용자 내용',
					anchor:'95%',
					items: userItemFormList
				}
				,fileUploadItem()
				],
				tbar:TBar
			}]
		});
		addWin.show(this);
		
		tempDiv.innerHTML="<div width=100 height=100 id=\'divUploader\'></div>";
		//tempTextarea.innerHTML="<div id=\'log\' name=\'log\' value=\'\' cols=\'30\' rows=\'3\' wrap=\'off\' ></div>";
		createFileUploader( "/resources/fileUpload/fileuploader.swf", "divUploader", fileuploaderSWF, "61", "24", flashPlayerVersion, "/resources/fileUpload/playerProductInstall.swf", flashvars(fileid,UserInfo.seq));
		Load_FilesList(fileid);
		//tempLoadIssueReport(UserInfo.disp_id,fileid);
	};



	//////////////////////////////////////////////////////////
	//////												//////
	//////			SaveIssueItem(issueSeq)				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function SaveIssueItem(issueSeq)
	{
		var Obj = UserInfo.IssueForm;
		var saveIssueData={};
		saveIssueData.category = my_escape(Ext.getCmp('issueAdd_category').getValue());
		saveIssueData.subject = my_escape(Ext.getCmp('issueAdd_subject').getValue());
		saveIssueData.content = my_escape(Ext.getCmp('issueAdd_content').getValue());
		saveIssueData.status = Ext.getCmp('issueAdd_status').getValue();
		saveIssueData.severity = Ext.getCmp('issueAdd_severity').getValue();
		saveIssueData.priority = Ext.getCmp('issueAdd_priority').getValue();
		saveIssueData.fileid = UserInfo.fileid;

		if(!(saveIssueData.subject.length>0))
		{
			Ext.Msg.alert(TPMS_lang_title,TPMS_lang_common_title+'를 입력하세요');
			return;
		}
		if(!(saveIssueData.priority>0))
		{
			Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issueManager_issuePriority+'를 입력하세요');
			return;
		}
		
		saveIssueData['userItem']=new Array();

		var itemCnt = 0;	
		if(Obj.report_data.report_item)
			itemCnt=Obj.report_data.report_item.length;
		else
			itemCnt=0;
		
		if(typeof itemCnt == 'undefined'){
			var itemId = Obj.report_data.report_item.item_id;
			alert(itemId);
			saveIssueData['userItem'].push({_id: Obj.report_data.report_item.item_id ,_name:Obj.report_data.report_item.item_name,_type:Obj.report_data.report_item.item_type,_value: Ext.getCmp(itemId).getValue()});							
		}

		for(var i=0; i<itemCnt; i++){
			var itemId = Obj.report_data.report_item[i].item_id;

			if(Obj.report_data.report_item[i].item_type == 3 ){
				saveIssueData['userItem'].push({_id: Obj.report_data.report_item[i].item_id,_name:Obj.report_data.report_item[i].item_name,_type:Obj.report_data.report_item[i].item_type,_value: Ext.getCmp(itemId).getValue()});
			}else if(Obj.report_data.report_item[i].item_type == 4 ){
				//Ext.getCmp(itemId).items.get(0).getGroupValue()
				saveIssueData['userItem'].push({_id: Obj.report_data.report_item[i].item_id ,_name:Obj.report_data.report_item[i].item_name,_type:Obj.report_data.report_item[i].item_type,_value: Ext.getCmp(itemId).items.get(0).getGroupValue()});
			}else{
				saveIssueData['userItem'].push({_id: Obj.report_data.report_item[i].item_id ,_name:Obj.report_data.report_item[i].item_name,_type:Obj.report_data.report_item[i].item_type,_value: Ext.getCmp(itemId).getValue()});
			}
		}

		
		if(issueSeq){
			var URL = '/service/issueManager_proc.php?method=updateIssueReport';
			var Params = {
					ProjectSeq	: projectSeq,
					Seq			: issueSeq,
					MemberSeq	: UserInfo.seq,
					Data		: Ext.encode(saveIssueData)
				};
		}else{
			var URL = '/service/issueManager_proc.php?method=createIssueReport';
			var Params = {
					ProjectSeq	: projectSeq,
					MemberSeq	: UserInfo.seq,
					Data		: Ext.encode(saveIssueData)
				};
		}

		Ext.Ajax.request({
			url : URL,
			method: 'POST',
			params : Params,
			success: function ( result, request ) {
				issueListStore.reload();
				Ext.getCmp('issueWriteGridPanel_mini').getStore().reload();//{params:{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq,RoleType:'0',start:0, limit:10}}
				tempSaveInit(UserInfo.disp_id);
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_success);
			},
			failure: function ( result, request ) {
				Ext.getCmp('issueFormModifyWin').close(this);
			}
		});
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////			Load_FilesList(fileid)				//////
	//////												//////
	//////////////////////////////////////////////////////////

	//fileManager
	function Load_FilesList(fileid)
	{
		//alert(fileid);
		filelink=function(seq,filename)
		{
			var url='/view/fileDownload.php?seq='+seq;
			return '<a href='+url+' target=hiddenframe onclick=setTimeout(\'hiddenframe.location.href=""\',1000)>'+filename+'</a>';
		}
		filesize=function(filesize){
			var size=parseInt(filesize,10);
			//alert(size);
			if(size<1024*10) return filesize;
			else if(size<1024*1024*10) return Math.floor(size/1024)+' kb';
			else if(size<1024*1024*1024*10) return Math.floor(size/1024/1024)+' mb';
			else if(size<1024*1024*1024*1024) return Math.floor(size/1024/1024/1024)+' gb';
		};
		Ext.Ajax.request({
			url : '/service/fileManager_proc.php?method=getFilesById',
			method: 'POST',
			params : { FileId : fileid },
			success: function ( result, request ) {
				//alert(result.responseText);
				var filelist=Ext.decode(result.responseText).data;
				var sHTML="";
				
				sHTML+='<table style="background-color:#ffffff" class=table0 >';
				for(var i=0;i<filelist.length;i++)
					sHTML+='<tr id=tmpfileid_'+filelist[i].seq+'><td><input type=checkbox value='+filelist[i].seq+' onClick="unlinkfile(UserInfo.tempFileId,this.value);this.checked=false;"></td><td>'+filelink(filelist[i].seq,filelist[i].source)+'</td><td>'+filesize(filelist[i].filesize)+'</tr></tr>';
				sHTML+='</table>';

				document.getElementById('log').innerHTML=(sHTML);
			},
			failure: function ( result, request ) {
				
			}
		});		
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////			Load_UserIssueForm()				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function Load_UserIssueForm()
	{
		Ext.Ajax.request({
			url : '/service/issueManager_proc.php?method=getIssueFormSuite',
			method: 'POST',
			params :{ 
				ProjectSeq : projectSeq,
				MemberSeq : UserInfo.seq
			},
			success: function ( result, request ) {
				var Obj = XmlToObj.xml2obj(result.responseText);
				UserInfo.IssueForm=Obj;
			},
			failure: function ( result, request ) {
			}
		});
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////			Load_IssueEdit(issueSeq)			//////
	//////												//////
	//////////////////////////////////////////////////////////

	function Load_IssueEdit(issueSeq){
		Ext.Ajax.request({
			url : '/service/issueManager_proc.php?method=getIssueDetailInfo',
			method: 'POST',
			params :{ProjectSeq : projectSeq,
					 Seq		: issueSeq},
			success: function ( result, request ) {
				//alert(result.responseText);
				var DataObj=Ext.decode(result.responseText);
				UserInfo.IssueObject=Ext.decode(result.responseText).data;
				UserInfo.IssueDataObject=DataObj;

				var textCnt=DataObj.data.length-1;
				Ext.getCmp('issueAdd_subject').setValue(DataObj.IssueInfo[0].subject);
				Ext.getCmp('issueAdd_category').setValue(DataObj.IssueInfo[0].caName);
				if(DataObj.data[0])
				Ext.getCmp('issueAdd_content').setEscValue(DataObj.data[0].description);
				Ext.getCmp('issueAdd_status').setValue(DataObj.IssueInfo[0].status);
				Ext.getCmp('issueAdd_severity').setValue(DataObj.IssueInfo[0].severity);
				Ext.getCmp('issueAdd_priority').setValue(DataObj.IssueInfo[0].priority);
				//alert(Ext.encode(DataObj.data[0].url));
				//alert(DataObj.data[0].url);
				if(DataObj.data[0])
				if(DataObj.data[0].url){
					var Obj=Ext.decode(DataObj.data[0].url).userItem;
					for(var i=0;i<Obj.length;i++){

						var item_id=Obj[i]._id;
						if(Ext.getCmp(item_id)){
							if(Obj[i]._value)
							{
								//switch(Obj[i]._type){
								//case '3':
								//case '4':
								//	var val=(Obj[i]._value=='on')?true:Obj[i]._value;
								//	Ext.getCmp(item_id).checked = val;
								//	break;
								//default :
									Ext.getCmp(item_id).setValue(Obj[i]._value);
								//}
							}
							else
								Ext.getCmp(item_id).setValue('');
						}
					}
				}
				//Ext.getCmp('issueFormModifyWin').close(this);
				var fileid='isl_'+issueSeq;
				tempLoadIssueReport(UserInfo.disp_id,fileid);
			},
			failure: function ( result, request ) {
				Ext.getCmp('issueFormModifyWin').close(this);
			}
		});
	}


	//////////////////////////////////////////////////////////
	//////												//////
	//////			이슈 처리상태 버튼/콤보				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function IssueTextItems(vType,Obj)
	{
		
	}

	//////////////////////////////////////////////////////////
	//////												//////
	//////			Load_IssueDetailInfo(Seq)			//////
	//////												//////
	//////////////////////////////////////////////////////////

	function Load_IssueDetailInfo(Seq)
	{
		Ext.Ajax.request({
			url : '/service/issueManager_proc.php?method=getIssueDetailInfo',
			method: 'POST',
			params :{ProjectSeq : projectSeq,
					 Seq		: Seq
					},
			success: function ( result, request ) {
				//alert(result.responseText);

				var Obj=Ext.decode(result.responseText).data;
				UserInfo.IssueObject=Obj;
				UserInfo.IssueDataObject=Ext.decode(result.responseText);
		
				if(Ext.getCmp('IssueDetailInfoPanel'))
					Ext.getCmp('IssueDetailInfoPanel').removeAll();
				if(Ext.getCmp('IssueDetailInfoPanel2'))
					Ext.getCmp('IssueDetailInfoPanel2').removeAll();


				var sHTML='';

				var ObjectList=new Array();
				for(var i=0;i<Obj.length;i++){
					sHTML='';
					sHTML+='<div  style=\'height:15pt; background-color:#9fcff0;\' align=right>';
					sHTML+='<span style=\'cursor:hand; width:40pt; height:15pt; color:#fff; background-color:#4f4f4f;\' class=button onClick=\'IssueTextEdit('+Obj[i].seq+','+i+')\'>edit</span>';

					sHTML+='&nbsp;';
					sHTML+='<span style=\'cursor:hand; width:40pt; height:15pt; color:#fff; background-color:#4f4f4f;\' class=button onClick=\'IssueTextDel('+Obj[i].seq+')\'>del</span>';
					sHTML+='&nbsp;';
					sHTML+='&nbsp;';
					sHTML+='</div>';
					sHTML+='<div class=right_member_list >'+ReplaceTag(Obj[i].description.replace(/\\n/g,'<br>'),Obj[i]);

					var url=(Obj[i].url.length>0)?Ext.decode(Obj[i].url):'';
					if(typeof url=='object'){
						var userItem=url.userItem;
						var userForm=UserInfo.IssueForm.report_data.report_item;
							sHTML+='<ul class=ul_blue >';
							for(var ii=0;ii<userItem.length;ii++)
							{
								if(userItem[ii]._type>=100)
								{
									var vType=userItem[ii]._type - 100;
									var vItem='';
									var userForm=UserInfo.IssueForm.report_data.report_item;
									//alert(vType);
									//alert(userItem[ii]._id);
									//alert(userForm[1].item_id);
									//alert(userForm[1].item_name);
									//alert(userForm[1].item_type);
									//alert(userForm[1].item_data);

									var itemName = userItem[ii]._name;
									var itemValue = userItem[ii]._value;

									//alert(userItem[ii]._type+", "+vType+", "+itemName+", "+itemValue);

									//for(var j=0; j<userForm.length; j++){
									//	if(userForm[j].item_name == itemName && userForm[j].item_type == vType)
									//		itemValue = userForm[j].item_data;
									//}									

									switch(vType)
									{
										case 0 : 
												vItem='<li>'+itemName+' : <input type=text value=\''+itemValue+'\'/></li>';
												//return vItem;
											break;
										case 1 : 
												vItem='<li>'+itemName+' : <textarea rows=2 cols=40 >'+itemValue+'</textarea></li>';
												//return vItem;
											break;
										case 2 : vItem='<li>'+itemName+' : <select>';
												var peices=itemValue.split(',');
												for(var iii=0;iii<peices.length;iii++){
													vItem+='<option '+((peices[iii]==itemValue)?'selected':'')+'>'+peices[iii]+'</option>';
												}
												vItem+='</select></li>';
												//return vItem;
											break;
										case 3 : //checkbox
												vItem='<li>'+itemName+' : ';
												var peices=itemValue.split(',');
												for(var j=0; j<peices.length; j++){
													vItem +='<input type=checkbox>'+peices[j]+' ';
												}
												vItem +='</li>';	
												//return vItem;
											break;
										case 4 : //radio
												vItem='<li>'+itemName+' : ';
												var peices=itemValue.split(',');
												for(var j=0; j<peices.length; j++){
													vItem +='<input type=radio>'+peices[j]+' ';
												}
												vItem +='</li>';												
												//return vItem;
											break;
										case 5 : //datefield
												vItem='<li>'+itemName+' : <input type=datefield value=\''+itemValue+'\'/></li>';												
												//return vItem;
											break;
										case 6 : //hidden
												//vItem='<li>'+itemName+' : <input type=hidden value=\''+itemValue+'\'/></li>';
												//return vItem;
											break;
										case 7 : //button / 처리완료
												vItem='<li><input type=button value=\''+itemName+'\' onclick=\'IssueComplete('+itemValue+','+i+')\' ></li>'; 
												//return vItem;
											break;
									}
									sHTML+=vItem;
								}
								else{
									sHTML+='<li>'+itemName+':'+itemValue+'</li>';
								}
							}
							sHTML+='</ul>';
						}
					sHTML+='</div>';
					var c= {
					html: sHTML
					};

					ObjectList.push(c);
				}

				if(Ext.getCmp('IssueDetailInfoPanel')){
					Ext.getCmp('IssueDetailInfoPanel').add(ObjectList);
					Ext.getCmp('IssueDetailInfoPanel').doLayout(true,true);
					//LoadingMsg('IssueDetailInfoPanel').hide();
				}

				if(Ext.getCmp('IssueDetailInfoPanel2')){
					Ext.getCmp('IssueDetailInfoPanel2').add(ObjectList);
					Ext.getCmp('IssueDetailInfoPanel2').doLayout(true,true);
					//LoadingMsg('IssueDetailInfoPanel2').hide();
				}
			},
			failure: function ( result, request ) {
				
			}
		});
	}
		


	//////////////////////////////////////////////////////////
	//////												//////
	//////			Issue Form Modify Window			//////
	//////												//////
	//////////////////////////////////////////////////////////

	function IssueFormModifyWindow(Title,Id,Listeners,TBar,BBar,Obj){

		var Title = '사용자 정의';
		var Id = 'issueFormModifyWin';
		var Obj = UserInfo.IssueForm;

		if(Ext.getCmp('issueFormModifyWin')){
			Ext.getCmp('issueFormModifyWin').close();
		}
		//if(Ext.getCmp('issueWindow')){
		//	Ext.getCmp('issueWindow').close();
		//}			
		var tempItemNum = 0;
		if(!Listeners) Listeners = {};
		if(!TBar) TBar = "";
		if(!BBar) BBar = "";
		
		var Listeners = {
						scope : this,
						focus : function(){enableSelect(true);},
						blur : function(){
						//UserInfo.TempDataObj.saveTemp
						//alert('aa4');
						enableSelect(false);}
					};


	//////////////////////////////////////////////////////////
	//////			Set User Form Modify Title			//////
	//////////////////////////////////////////////////////////

		var ItemArray = new Array();
		ItemArray.push(MakeItem('','label','사용권한','','','','95%',Listeners,'',''));
		ItemArray.push(MakeItem('','label','필드명','','','','95%',Listeners,'',''));
		ItemArray.push(MakeItem('','label','필드타입','','','','95%',Listeners,'',''));
		ItemArray.push(MakeItem('','label','데이터','','','','95%',Listeners,'',''));

		var topOption = new Array();
		var OptionItem2 = new Array();
		OptionItem2.push('R');
		OptionItem2.push('item');
		OptionItem2.push('');
		OptionItem2.push('label');
		OptionItem2.push(TPMS_lang_button_remove);
		OptionItem2.push('');
		OptionItem2.push('');
		OptionItem2.push('');
		OptionItem2.push('25');
		OptionItem2.push('');

		topOption.push(OptionItem2);
		var userFormTop = MakeColumnLayout('',ItemArray,'','',topOption);


	//////////////////////////////////////////////////////////
	//////			Set User Form Modify				//////
	//////////////////////////////////////////////////////////

		function OptionBtn(type,Id){

			if(type == 'user'){
				var userOption = new Array();
				var userOptionItem = new Array();

				userOptionItem.push('R');
				userOptionItem.push('button');
				userOptionItem.push('delete');
				userOptionItem.push('');
				userOptionItem.push(Id);
				userOptionItem.push('');
				userOptionItem.push('');
				userOptionItem.push('10');
				userOptionItem.push('10');
				userOptionItem.push(function(btn){
					//alert(btn.id);
					var userNum = btn.id.substr(11, 2);
					var userFieldId = "userForm_"+userNum;
					Ext.getCmp(userFieldId).hide();
					Ext.getCmp(userFieldId).removeAll();
				});

				userOption.push(userOptionItem);
				return userOption;
			}else if(type == 'temp'){
				var Option = new Array();
				var OptionItem = new Array();
				var OptionItem_Id = "tempDelBtn_"+Id;
				
				OptionItem.push('R');
				OptionItem.push('button');
				OptionItem.push('delete');
				OptionItem.push('');
				OptionItem.push(OptionItem_Id);
				OptionItem.push('');
				OptionItem.push('');
				OptionItem.push('10');
				OptionItem.push('10');
				OptionItem.push(function(btn){
					var Num = btn.id.substr(11, 2);
					var FieldId = "tempForm_"+Num;
					Ext.getCmp(FieldId).hide();
					Ext.getCmp(FieldId).removeAll();
				});

				Option.push(OptionItem);
				return Option;
			}else if(type == 'issueStatus'){
				var Option = new Array();
				var OptionItem = new Array();
				var OptionItem_Id = "issueStatusCheckBox";
				//MakeItem(Option[i][2],Option[i][3],Option[i][4],Option[i][5],Option[i][6],Option[i][7],Option[i][8],Option[i][9],Option[i][10],Option[i][11]);
				//MakeItem(Layout,Xtype,Title,Id,Store,Height,Width,Listeners,Value,Option)

				OptionItem.push('R');
				OptionItem.push('item');
				OptionItem.push('');
				OptionItem.push('checkbox');
				OptionItem.push('');
				OptionItem.push(OptionItem_Id);				
				OptionItem.push('');
				OptionItem.push('');
				OptionItem.push('');
				OptionItem.push('');
				//function(btn){
				//	var Num = btn.id.substr(11, 2);
				//	var FieldId = "tempForm_"+Num;
				//	Ext.getCmp(FieldId).hide();
				//	Ext.getCmp(FieldId).removeAll();
				//});
				OptionItem.push('');
				OptionItem.push('');

				Option.push(OptionItem);
				return Option;
			}

		}

		var userFormItemArray = new Array();

		var itemCnt = 0;
		if(Obj.report_data.report_item)
			itemCnt=Obj.report_data.report_item.length;
		else
			itemCnt=0;

		////////////////////////////////////////////////////////////////////////////////////
		//		처리상태
		////////////////////////////////////////////////////////////////////////////////////
		/*
		var checkIssueStatusItem = 0;
		var itemType = '';
		var itemData = '';
		var itemAssign = 0;

		if(typeof itemCnt == 'undefined'){			
			var itemId = Obj.report_data.report_item.item_id;
			//alert("itemId(undefined) : "+itemId);
			if(itemId == "issueStatusItem"){
				checkIssueStatusItem = 1;
				
				itemType = (Obj.report_data.report_item.item_type);
				itemData = (Obj.report_data.report_item.item_data);
				itemAssign = (Obj.report_data.report_item.item_assign);
			}
		}

		for(var i=0; i<itemCnt; i++){
			var itemId = Obj.report_data.report_item[i].item_id;
			//alert("itemId : "+itemId);
			if(itemId == "issueStatusItem"){
				checkIssueStatusItem = 1;
				
				itemType = (Obj.report_data.report_item[i].item_type);
				itemData = (Obj.report_data.report_item[i].item_data);
				itemAssign = (Obj.report_data.report_item[i].item_assign);
			}
		}

		

			var issueStatusItemArray = new Array();
			var itemName = '처리상태';
			var itemId = "issueStatusItem";

			var issueStatusItem_assign = "issueStatusItemAssign";
			var issueStatusItem_name = "issueStatusItemName";
			var issueStatusItem_type = "issueStatusItemType";
			var issueStatusItem_data = "issueStatusItemData";

			var assignCombo = {
				layout:'form',
				labelWidth:1,
				width:'95%',
				border:false,
				items:MakeItem('','combo','',issueStatusItem_assign,issueAssignItemStore,'','95%','',itemAssign,'')
			}

			var form = {
				layout:'form',
				labelWidth:1,
				width:'95%',
				border:false,
				items:MakeItem('','combo','',issueStatusItem_type,itemTypeStore,'','95%','',itemType,'')
			}

			issueStatusItemArray.push(assignCombo);
			issueStatusItemArray.push(MakeItem('','label',itemName,issueStatusItem_name,'','','100px',Listeners,itemName,''));
			issueStatusItemArray.push(form);
			issueStatusItemArray.push(MakeItem('','textfield','',issueStatusItem_data,'','','95%',Listeners,itemData,''));

			var issueStatusOptionItem_Id = "issueStatus_"+itemId;
			var issueStatusOption = OptionBtn('issueStatus',issueStatusOptionItem_Id);

			//userFormItemArray.push(MakeColumnLayout('userForm_'+itemId,issueStatusItemArray,'','',issueStatusOption));
		*/
		///////////////////////////////////////////////////////////////////////////////////////////

		if(typeof itemCnt == 'undefined'){			
			var userItemArray = new Array();
			var itemId = Obj.report_data.report_item.item_id;
			var itemName = Obj.report_data.report_item.item_name;
			var itemType = Obj.report_data.report_item.item_type;
			var itemData = Obj.report_data.report_item.item_data;
			var itemAssign = Obj.report_data.report_item.item_assign;
			
			if(itemId != "issueStatusItem"){

				var userItemId_name = "userName_"+itemId;
				var userItemId_type = "userType_"+itemId;
				var userItemId_data = "userData_"+itemId;
				var userItemId_assign = "userAssign_"+itemId;

				var assignCombo = {
					layout:'form',
					labelWidth:1,
					width:'95%',
					border:false,
					items:MakeItem('','combo','',userItemId_assign,issueAssignItemStore,'','95%','',userItemId_assign,'')
				}

				var form = {
					layout:'form',
					labelWidth:1,
					width:'95%',
					border:false,
					items:MakeItem('','combo','',userItemId_type,itemTypeStore,'','95%','',itemType,'')
				}

				//alert(userItemNum+"<br>"+userItemId_name+", "+userItemId_type+", "+userItemId_data);
				//var userItemArray = new Array();
				userItemArray.push(assignCombo);
				userItemArray.push(MakeItem('','textfield','',userItemId_name,'','','95%',Listeners,itemName,''));
				userItemArray.push(form);
				userItemArray.push(MakeItem('','textfield','',userItemId_data,'','','95%',Listeners,itemData,''));

				var userOptionItem_Id = "userDelBtn_"+itemId;
				var userOption = OptionBtn('user',userOptionItem_Id);

				userFormItemArray.push(MakeColumnLayout('userForm_'+itemId,userItemArray,'','',userOption));
			}
		}

		for(var i=0; i<itemCnt; i++){
			var userItemArray = new Array();
			var itemId = Obj.report_data.report_item[i].item_id;
			var itemName = Obj.report_data.report_item[i].item_name;
			var itemType = Obj.report_data.report_item[i].item_type;
			var itemData = Obj.report_data.report_item[i].item_data;
			var itemAssign = Obj.report_data.report_item[i].item_assign;
			
			if(itemId != "issueStatusItem"){
			
				//alert(itemId+","+ itemName+","+itemType +","+typeName+","+ itemData);
				//userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%','',''));
				//itemId = itemId.substr(11, 2);

				//itemId = itemId.substr(9, 2);
				var userItemId_name = "userName_"+itemId;
				var userItemId_type = "userType_"+itemId;
				var userItemId_data = "userData_"+itemId;
				var userItemId_assign = "userAssign_"+itemId;

				var assignCombo = {
					layout:'form',
					labelWidth:1,
					width:'95%',
					border:false,
					items:MakeItem('','combo','',userItemId_assign,issueAssignItemStore,'','95%','',itemAssign,'')
				}

				var form = {
					layout:'form',
					labelWidth:1,
					width:'95%',
					border:false,
					items:MakeItem('','combo','',userItemId_type,itemTypeStore,'','95%','',itemType,'')
				}

				//alert(userItemNum+"<br>"+userItemId_name+", "+userItemId_type+", "+userItemId_data);
				//var userItemArray = new Array();
				userItemArray.push(assignCombo);
				userItemArray.push(MakeItem('','textfield','',userItemId_name,'','','95%',Listeners,itemName,''));
				userItemArray.push(form);
				userItemArray.push(MakeItem('','textarea','',userItemId_data,'','','95%',Listeners,itemData,''));

				var userOptionItem_Id = "userDelBtn_"+itemId;
				var userOption = OptionBtn('user',userOptionItem_Id);

				userFormItemArray.push(MakeColumnLayout('userForm_'+itemId,userItemArray,'','',userOption));
			}
		}


	//////////////////////////////////////////////////////////
	//////				Set Temp Field					//////
	//////////////////////////////////////////////////////////
	
		function MakeTempFieldArray(tempItemNum){
			var tempItemId_name = "tempName_"+tempItemNum;
			var tempItemId_type = "tempType_"+tempItemNum;
			var tempItemId_data = "tempData_"+tempItemNum;
			var tempItemId_assign = "tempAssign_"+tempItemNum;

			var assignCombo = {
				layout:'form',
				labelWidth:1,
				width:'95%',
				border:false,
				items:MakeItem('','combo','',tempItemId_assign,issueAssignItemStore,'','95%','','','')
			}

			var form = {
				layout:'form',
				labelWidth:1,
				width:'95%',
				border:false,
				items:MakeItem('','combo','',tempItemId_type,itemTypeStore,'','95%','','','')
			}

			//alert(tempItemNum+"<br>"+tempItemId_name+", "+tempItemId_type+", "+tempItemId_data);
			var tempItemArray = new Array();
			tempItemArray.push(assignCombo);
			tempItemArray.push(MakeItem('','textfield','',tempItemId_name,'','','95%',Listeners,'',''));
			tempItemArray.push(form);
			tempItemArray.push(MakeItem('','textarea','',tempItemId_data,'','','95%',Listeners,'',''));

			return tempItemArray;
		}

		TBar = [
			MakeButton('add',TPMS_lang_button_add,'issueFormAddBtn','','','','',function(btn){
				var Id = "tempForm_"+tempItemNum;
				Ext.getCmp('issueFromField').add(MakeColumnLayout(Id,MakeTempFieldArray(tempItemNum),'','',OptionBtn('temp',tempItemNum)));
				Ext.getCmp('issueFromField').doLayout();
				tempItemNum++;
			})
			,'->'
			,MakeButton('save',TPMS_lang_button_save,'issueFormSaveBtn','','','','',function(btn){
				//alert("save");
				//alert(tempItemNum);
				var tempItemListArray = new Array();
				
				var userItemCnt = 0;
				if(Obj.report_data.report_item)
					userItemCnt=Obj.report_data.report_item.length;
				else
					userItemCnt=0;

				/*
				if(Ext.getCmp('issueStatusCheckBox')){
					if(Ext.getCmp('issueStatusCheckBox').getValue() == true){

						//var issueStatusItem_assign = "issueStatusItemAssign";
						//var issueStatusItem_name = "issueStatusItemName";
						//var issueStatusItem_type = "issueStatusItemType";
						//var issueStatusItem_data = "issueStatusItemData";

						if(Ext.getCmp('issueStatusItemData').getValue()){
							var items = new Array();
							items[0] = 'issueStatusItem';
							items[1] = '처리상태';
							items[2] = Ext.getCmp('issueStatusItemType').getValue();
							items[3] = Ext.getCmp('issueStatusItemData').getValue();
							items[4] = Ext.getCmp('issueStatusItemAssign').getValue()?Ext.getCmp('issueStatusItemAssign').getValue():0;
							//alert(i+","+items[0]+","+items[1]+","+items[2]+","+items[3]+","+items[4]);

							tempItemListArray.push(items);

						}else{
							Ext.Msg.alert(TPMS_lang_title,"Empty Data Field");
							return;
						}

					}
					//return;					
				}*/

				if(typeof userItemCnt == 'undefined'){
					
					var userItemId = Obj.report_data.report_item.item_id;
					if(Ext.getCmp('userName_'+userItemId)){
						if(Ext.getCmp('userName_'+userItemId).getValue()){
							var items = new Array();
							items[0] = userItemId;
							items[1] = Ext.getCmp('userName_'+userItemId).getValue();
							items[2] = Ext.getCmp('userType_'+userItemId).getValue();
							items[3] = Ext.getCmp('userData_'+userItemId).getValue();
							items[4] = Ext.getCmp('userAssign_'+userItemId).getValue()?Ext.getCmp('userAssign_'+userItemId).getValue():0;
							//alert(i+","+items[0]+","+items[1]+","+items[2]);
							tempItemListArray.push(items);
							//alert("Insert Array");
						}else{
							Ext.Msg.alert(TPMS_lang_title,"Empty Name Field");
							return;
						}
					}
				}

				for(var i=0; i<userItemCnt; i++){

					var userItemId = Obj.report_data.report_item[i].item_id;
					
					if(Ext.getCmp('userName_'+userItemId)){

						if(Ext.getCmp('userName_'+userItemId).getValue()){
							
							var items = new Array();
							items[0] = userItemId;
							items[1] = Ext.getCmp('userName_'+userItemId).getValue();
							items[2] = Ext.getCmp('userType_'+userItemId).getValue();
							items[3] = Ext.getCmp('userData_'+userItemId).getValue();
							items[4] = Ext.getCmp('userAssign_'+userItemId).getValue()?Ext.getCmp('userAssign_'+userItemId).getValue():0;
							//alert(i+","+items[0]+","+items[1]+","+items[2]);

							if(items[2] == 2 || items[2] == 3 || items[2] == 4){
								if(items[3] != ""){
									tempItemListArray.push(items);									
									//alert("Insert Array");
								}else{
									Ext.Msg.alert(TPMS_lang_title,"Combo,Radio,CheckBox는 데이터 입력 필수!!");
									return;
								}
							}else{
								tempItemListArray.push(items);
								//alert("Insert Array");
							}
							
						}else{
							Ext.Msg.alert(TPMS_lang_title,"Empty Name Field");
							return;
						}
					}
				}

				for(var i=0; i<tempItemNum; i++){
					if(Ext.getCmp('tempName_'+i)){
						if(Ext.getCmp('tempName_'+i).getValue()){

							var items = new Array();
							items[0] = 'tempItem_'+i;
							items[1] = Ext.getCmp('tempName_'+i).getValue();
							items[2] = Ext.getCmp('tempType_'+i).getValue();
							items[3] = Ext.getCmp('tempData_'+i).getValue();
							items[4] = Ext.getCmp('tempAssign_'+i).getValue()?Ext.getCmp('tempAssign_'+i).getValue():0;
							//alert(i+","+items[0]+","+items[1]+","+items[2]);

							if(items[2] == 2 || items[2] == 3 || items[2] == 4){
								if(items[3] != ""){
									tempItemListArray.push(items);									
									//alert("Insert Array");
								}else{
									Ext.Msg.alert(TPMS_lang_title,"Combo,Radio,CheckBox는 데이터 입력 필수!!");
									return;
								}
							}else{
								tempItemListArray.push(items);
								//alert("Insert Array");
							}
							
						}else{
							Ext.Msg.alert(TPMS_lang_title,"Empty Name Field");
							return;
						}
					}
				}

				//ArrayToXml(tempItemListArray); //저장하면 서버에 XML로 전송한다
				//Ext.getCmp('issueFormModifyWin').close(this); //서버 전송이 성공적으로 완료되면 창을 닫는다
				//alert(ArrayToXml(tempItemListArray));				
					Ext.Ajax.request({
						url : '/service/issueManager_proc.php?method=saveIssueFormSuite',
						method: 'POST',
						params :{ProjectSeq : projectSeq,
								 Seq		: '',
								 Data		: ArrayToXml(tempItemListArray)},
						success: function ( result, request ) {
							//alert(result.responseText);
							Ext.getCmp('issueFormModifyWin').close(this);

							Ext.Ajax.request({
								url : '/service/issueManager_proc.php?method=getIssueFormSuite',
								method: 'POST',
								params :{ 
									ProjectSeq : projectSeq,
									MemberSeq : UserInfo.seq
								},
								success: function ( result, request ) {

									Ext.getCmp('userForm').removeAll();
									
									var Obj = XmlToObj.xml2obj(result.responseText);
									UserInfo.IssueForm=Obj;								

									var userItemFormList = new Array();
									var itemCnt = 0;
										if(Obj.report_data.report_item)
											itemCnt=Obj.report_data.report_item.length;				
										else
											itemCnt=0;

									if(typeof itemCnt == 'undefined'){
										
										var itemId = Obj.report_data.report_item.item_id;
										var itemName = Obj.report_data.report_item.item_name;
										var itemType = Obj.report_data.report_item.item_type;
										var itemData = Obj.report_data.report_item.item_data;

										if(itemType == 2 || itemType == 3 || itemType == 4){
											if(itemData == ""){
												return;
											}
										}

										var itemTypeStore = new Array();
										var itemTypeStore = itemData.split(',');

										var typeName = ItemType(itemType,'');

										//alert(itemId+","+ itemName+","+itemType +","+typeName+","+ itemData);
										userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%','','',''));
									}

									for(var i=0; i<itemCnt; i++){
										var itemId = Obj.report_data.report_item[i].item_id;
										var itemName = Obj.report_data.report_item[i].item_name;
										var itemType = Obj.report_data.report_item[i].item_type;
										var itemData = Obj.report_data.report_item[i].item_data;

										var itemTypeStore = new Array();
										var itemTypeStore = itemData.split(',');
										var typeName = ItemType(itemType,'');
										//alert(itemId+","+ itemName+","+itemType +","+typeName+","+ itemData);

										if(itemType == 2 || itemType == 3 || itemType == 4){
											if(itemData != ""){
												userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%','','',''));
											}
										}else{
											userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%','','',''));
										}
									}

									Ext.getCmp('userForm').add(userItemFormList);
									Ext.getCmp('userForm').doLayout();
								}
							});
						},
						failure: function ( result, request ) {
							//Ext.getCmp('issueFormModifyWin').close(this);
						}
					});


			}),'-'
			,MakeButton('cancel',TPMS_lang_button_cancel,'issueFormCancelBtn','','','','',function(btn){
				Ext.getCmp('issueFormModifyWin').close(this);
			})
		];

		var issueFormModifyWin = new Ext.Window({
			title: Title,
			id:'issueFormModifyWin',
			closable:true,
			width:600,
			height:525,
			plain:true,
			layout: 'border',
			resizable: false,
			modal: true,
			closable: false,
			items: [{
				region: 'north',
				xtype: 'form',
				height: 30,
				bodyStyle:'padding:5 20 0 10;',
				border:false,
				items: userFormTop
			},{ 
				region: 'center',
				xtype: 'panel',
				border:false,
				autoScroll:true,
				items:[{
					xtype:'panel',
					bodyStyle:'padding: 0 0 5 5;',
					border:false,
					width: 560,
					items: [{
						xtype: 'form',
						border:false,
						anchor:500,
						id: 'issueFromField',
						items: userFormItemArray
					}]				
				}]
			}]
			,tbar:TBar
		});
		issueFormModifyWin.show(this);

		//alert(checkIssueStatusItem);
		/*
		if(checkIssueStatusItem == 1){
			//alert(Ext.getCmp('issueStatusCheckBox').getValue());
			Ext.getCmp('issueStatusCheckBox').setValue(true);
		}*/

		if(Ext.getCmp('issueWindow')){
			Ext.getCmp('issueWindow').close();
		}
	};



	//////////////////////////////////////////////////////////
	//////												//////
	//////			ViewItemInfo(Type,seq)				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function ViewItemInfo(Type,seq,issueListStore)
	{
		//if(issueView_content)alert('a');
		//alert("Type : "+Type+", Seq : "+seq);
		var beforeSeq;
		if(Ext.getCmp('ViewItemInfoWin')){
			//alert(Ext.getCmp('issueItemViewSeq-hidden').getValue()+", "+seq);

			beforeSeq = Ext.getCmp('issueItemViewSeq-hidden').getValue();
			Ext.getCmp('ViewItemInfoWin').close();
		}



		///////////////////////////////////////////////////////////////////////////////
		// 이슈 east panel
		//////////////////////////////////////////////////////////////////////////////

		var riskItemGridCm = new Ext.grid.ColumnModel([
				{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
				{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 10, hidden: true, tooltip: 'seq' },
				{header: TPMS_lang_issueManager_item, dataIndex: 'name', sortable: true},
				{header: TPMS_lang_issueManager_type, dataIndex: 'caName', sortable: true, width: 80},
				{header: TPMS_lang_issueManager_domain, dataIndex: 'domainName', align:'center', sortable: true, width: 100}
			]);

		var riskItemGridListeners = {
				scope : this,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						var seldata=sel.data;
						//alert(seldata.seq);
						RiskItemViewPop(seldata.seq);
					}
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					var seq = selectItem[0].data['seq']; 
				}
			};
	
		var riskItemGridBBar = ['->',MakeButton('delete',TPMS_lang_button_remove,'','','','','',
			function(btn){

				var Records = Ext.getCmp('riskItemGridPanel').selModel.getSelections();
				if(Records.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
					return;
				}else{
					var DataList = "";
					for(var i=0; i<Records.length; i++){
							DataList += Records[i].data['seq'];
						if(i+1 != Records.length){
							DataList += ",";
						}
					}
					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							var Type = 'riskItemOfIssue';
							//DeleteItem(Type,DataList);
							alert(DataList);
						}else{
							return;
						}
					}); 	
				}
			}
		)];

		var issueUserGridListeners = {
				scope : this,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						var seldata=sel.data;
						//alert(seldata.seq);
						UserViewPop(seldata.seq);
					}
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					var seq = selectItem[0].data['seq']; 
				}
			};

		var issueFileGridListeners = {
				scope : this,
				rowdblclick: function(grid){
					//var sel = grid.getSelectionModel().getSelected();
					//if(sel){
					//	var seldata=sel.data;
						//alert(seldata.seq);
					//}
					FileViewPop(grid.selModel.getSelections());
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					var seq = selectItem[0].data['seq']; 
					//alert("View File");
				}
			};

		//작성한 이슈 그리드
		var assignIssueStore = issueListStore;
		/*alert(Type);
		if(Type == 'issueItem'){
			assignIssueStore = issueListStore;
		}else if(Type == ''){
			//getIssueList
		}else{
			assignIssueStore = MakeStore('/service/issueManager_proc.php?method=getAssignIssueList','',[
				'seq',
				'subject',
				'category',
				'status',
				'priority',
				'severity',
				'updateDate',
				'regDate',
				'issueTextCnt'
			],{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq,RoleType:'0',start:0, limit:10});
		}*/
		
		var Sm = new Ext.grid.CheckboxSelectionModel({ 
			singleSelect: false,
			listeners: {
				scope : this,
				rowselect: function(smObj, rowIndex, record) {
					//selRecordStore = record;
				}
			}
		});//, tooltip :"select"});

		var Cm = new Ext.grid.ColumnModel([
				//Sm1,
				{header: 'seq', dataIndex: 'seq', sortable: true, width: 10, hidden: true, tooltip: 'seq' },
				{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
				{header: TPMS_lang_common_title, dataIndex: 'subject', sortable: true, width: 100},
				{header: TPMS_lang_common_type, dataIndex: 'category', sortable: true, width: 40},
				{header: TPMS_lang_common_status, dataIndex: 'status', sortable: true, width: 40},
				{header: TPMS_lang_scrum_priority, dataIndex: 'priority', sortable: true, width: 55, hidden:false },
				{header: TPMS_lang_scrum_severity, dataIndex: 'severity', sortable: true, width: 45, hidden:false },
				{header: TPMS_lang_updateDate, dataIndex: 'updateDate', sortable: true, width: 70, hidden:false }
			]);

		var issueGridListeners = {
			scope : this,
			rowdblclick: function(grid){
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
				}
			},
			rowclick:function(grid, rowIndex, e) {
				var selectItem = grid.selModel.getSelections();
				var seq = selectItem[0].data['seq'];
				Load_viewUpdateInfo(seq);
				//Load_IssueDetailInfo(seq);
				//alert(seq);//go_go
				//Load_IssueEdit(seq);
				//Ext.getCmp('issueAdd_seq').setValue(seq);

				//var fileid='isl_'+seq;
				//Load_FilesList(fileid);
				//UserInfo.tempFileId=fileid;
			}
		};

		var BBar = ['->',new Ext.PagingToolbar({
			pageSize: 10,
			store: assignIssueStore,
			displayInfo: true,
			//plugins: [new Ext.ux.PageSizePlugin()],
			displayMsg: 'Total: {0} - {1} of {2}',
			//   displayMsg: 'Total: {2} 中 {0} - {1}',
			emptyMsg: "No Data",
			doLoad: function(start) {
				var o = this.store.lastOptions.params;
				var pn = this.getParams();
				o[pn.start] = start;
				o[pn.limit] = this.pageSize;
				if (this.fireEvent('beforechange', this, o) !== false) {
					this.store.load({
						params: o
					});
				}
			}
		})];

		var Id = '';

		var eastIssueListGrid = MakeGridPanel('',Id,assignIssueStore,'100%',300,Cm,Sm,issueGridListeners,'',BBar);
		var eastissueListGridTitle = '이슈 목록';
		if(Type == 'dashboard_issue0'){
			eastissueListGridTitle = '작성한 이슈';
		}else if(Type == 'dashboard_issue1'){
			eastissueListGridTitle = '처리해야할 이슈';
		}else if(Type == 'dashboard_issue2'){
			eastissueListGridTitle = '관심 이슈';
		}else if(Type == ''){
			//eastissueListGridTitle = '';
		}
		
		var issueUserGridPanel =  MakeGridPanel('','issueUsersGridPanel2',issueListUserStore,'100%',300,issueUserGridCm,'',issueUserGridListeners,'');
		var issueFileGridPanel =  MakeGridPanel('','issueFilesGridPanel2',issueListFileStore,'100%',300,issueFileGridCm,'',issueFileGridListeners,'','');		
		var riskItemGridPanel = MakeGridPanel('','riskItemGridPanel2',riskItemMapStore,'100%',300,riskItemGridCm,'',riskItemGridListeners,'',riskItemGridBBar);

		var accordionItem0 = {xtype:'panel', title:'Issue Text', id:'IssueDetailInfoPanel2',autoScroll:true};//MakePanel('center','fit','','','IssueDetailInfoPanel','','',{},'','','');
		var accordionItem1 = MakePanel('','fit','panel','RiskItems','','','100%',riskItemGridPanel,'','','');
		var accordionItem2 = MakePanel('','fit','panel','Files','','','100%',issueFileGridPanel,'','','');
		var accordionItem3 = MakePanel('','fit','panel','Users','','','100%',issueUserGridPanel,'','','');
		var accordionItem4 = MakePanel('','fit','panel',eastissueListGridTitle,'','','100%',eastIssueListGrid,'','','');
		var accordionItem=[accordionItem0,accordionItem1,accordionItem2,accordionItem3,accordionItem4];
		
		var infoPanelForm = {
			layout:'accordion',
			layoutConfig:{
				collapseFirst:false,     
				animate:false,      
				titleCollapse: true,     
				activeOnTop: false,     
				fill:true      
			},
			//collapsible: true,
			//collapsed:true,//true,
			autoScroll:false,
			border: true,
			//bodyStyle:'padding:5px;',
			width: '100%',
			height : 300,
			//minSize: 300,
			//activeItem: 1,
			items: [accordionItem],
			listeners : {
				collapse : function (){
					var x=document.body.clientWidth-43;
					var y=document.body.clientHeight-68;
			
					//Config.doLayout(x,y);
				},
				expand : function (){
					var x=document.body.clientWidth-310;
					var y=document.body.clientHeight-68;

					//Config.doLayout(x,y);
				}
			}
		};


		var infoPanel = new Ext.Panel({
				id: 'issueInfoPanel2',
				border: false,
				items:[{height:250,html:"<div>DIV field</div>"},infoPanelForm]
			});
		
		
		//////////////////////////////////////////////////////////////////////////////
		// 이슈 등록 정보 center panel
		///////////////////////////////////////////////////////////////////////////////

		var Obj = UserInfo.IssueForm;
		//alert(Obj);
		var userItemFormList = new Array();

		var itemCnt = 0;
			if(Obj.report_data.report_item)
				itemCnt=Obj.report_data.report_item.length;				
			else
				itemCnt=0;

		if(typeof itemCnt == 'undefined'){
			
			var itemId = "itemView_"+Obj.report_data.report_item.item_id;
			var itemName = Obj.report_data.report_item.item_name;
			var itemType = Obj.report_data.report_item.item_type;
			var itemData = Obj.report_data.report_item.item_data;

			if(itemType == 2 || itemType == 3 || itemType == 4){
				if(itemData == ""){
					return;
				}
			}

			var itemTypeStore = new Array();
			var itemTypeStore = itemData.split(',');

			var typeName = ItemType(itemType,'');

			//alert(itemId+","+ itemName+","+itemType +","+typeName+","+ itemData);
			//userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%','',''));
			userItemFormList.push({
				xtype: 'fieldset',
				title: itemName,
				anchor:'95%',
				items:[{xtype : 'label',id : itemId, anchor:'95%'}]
			});
		}

		for(var i=0; i<itemCnt; i++){
			var itemId = "itemView_"+Obj.report_data.report_item[i].item_id;
			var itemName = Obj.report_data.report_item[i].item_name;
			var itemType = Obj.report_data.report_item[i].item_type;
			var itemData = Obj.report_data.report_item[i].item_data;

			var itemTypeStore = new Array();
			var itemTypeStore = itemData.split(',');
			var typeName = ItemType(itemType,'');
			//alert(itemId+","+ itemName+","+itemType +","+typeName+","+ itemData);

			if(itemType == 2 || itemType == 3 || itemType == 4){
				if(itemData != ""){
					//userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%','',''));
					userItemFormList.push({
						xtype: 'fieldset',
						title: itemName,
						anchor:'95%',
						items:[{xtype : 'label',id : itemId, anchor:'95%'}]
					});
				}
			}else{
				//userItemFormList.push(MakeItem('',typeName,itemName,itemId,itemTypeStore,'','95%','',''));
				userItemFormList.push({
					xtype: 'fieldset',
					title: itemName,
					anchor:'95%',
					items:[{xtype : 'label',id : itemId, anchor:'95%'}]
				});
			}
		}
		
		var Listeners = {
						scope : this,
						focus : function(){enableSelect(true);},
						blur : function(){
						//UserInfo.TempDataObj.saveTemp
						//alert('aa5');
						enableSelect(false);}
					};

		//var statusCombo = MakeItem('','combo','','issueView_status',projectIssueStatusStore,'','95%','','','');
		//var severityCombo = MakeItem('','combo','','issueView_severity',projectSeverityStore,'','95%','','','');
		//var priorityCombo = MakeItem('','combo','','issueView_priority',projectPriorityStore,'','95%','','','');

		var statusCombo = {xtype : 'label',id : 'issueView_status',anchor:'95%'};
		var severityCombo = {xtype : 'label',id : 'issueView_severity',anchor:'95%'};
		var priorityCombo = {xtype : 'label',id : 'issueView_priority',anchor:'95%'};

		var issueViewComboArray = new Array();
		issueViewComboArray.push(//statusCombo);
			{
					xtype: 'fieldset',
					layout: 'fit',
					title: TPMS_lang_issueManager_issueStatus,
					anchor:'95%',
					labelStyle: 'width:1px',
					items:[statusCombo]						
				});
		issueViewComboArray.push({
					xtype: 'fieldset',
					layout: 'fit',
					title: TPMS_lang_issueManager_issueSeverity,
					anchor:'95%',
					items:[severityCombo]						
				});
		issueViewComboArray.push({
					xtype: 'fieldset',
					layout: 'fit',
					title: TPMS_lang_issueManager_issuePriority+'<font color=red>*</font>',
					anchor:'95%',
					items:[priorityCombo]						
				});
		
		var centerPanel = { //한글
			region: 'center',
			xtype: 'form',
			fileUpload: true,
			bodyStyle:'padding: 5 5 5 5;',
			border:false,
			labelWidth:120,
			autoScroll:true,
			//listeners: Listeners1,
			items: [{
				xtype: 'fieldset',
				title: TPMS_lang_category,
				anchor:'95%',
				items:[{xtype : 'label',id : 'issueView_category',anchor:'95%'},{xtype : 'hidden',id : 'issueView_category2',anchor:'95%'}]
			},{
				xtype: 'fieldset',
				title: TPMS_lang_common_title+'<font color=red>*</font>',
				anchor:'95%',
				items:[{xtype : 'label',id : 'issueView_subject',anchor:'95%'},{xtype : 'hidden',id : 'issueView_subject2',anchor:'95%'}]
			},{
				xtype: 'fieldset',
				title: TPMS_lang_common_description,
				anchor:'95%',
				//items:[{xtype : 'label',id : 'issueView_content',anchor:'95%'}]
				items:[{id : 'issueView_content',anchor:'95%',html:''},{xtype:'hidden',id : 'issueView_content2',anchor:'95%'}]
			}
			,MakeColumnLayout('issueViewCombo',issueViewComboArray,'95%','','')
			,userItemFormList
			]			
		};
		var eastPanel = MakeInfoPanel('Some Info','',infoPanel,'','');

		var ViewItemInfoWin = new Ext.Window({
			title: 'ViewItemInfoWin : '+Type,
			id:'ViewItemInfoWin',
			closable:true,
			width: document.body.clientWidth,
			height:document.body.clientHeight,//-25,
			plain:true,
			layout: 'border',
			resizable: false,
			draggable   : false,
			//modal: true,
			closable: false,
			items: [centerPanel,eastPanel]
			,tbar:[
				/*MakeButton('update',TPMS_lang_button_apply,'','','','','',function(btn){
					//IssueWriteWindow();
					var status = Ext.getCmp('issueView_status').getValue();
					var severity = Ext.getCmp('issueView_severity').getValue();
					var priority = Ext.getCmp('issueView_priority').getValue();
					
					alert(status+', '+severity+', '+priority);
					
					var saveIssueData={};
					saveIssueData.category = my_escape(Ext.getCmp('issueView_category2').getValue());
					saveIssueData.subject = my_escape(Ext.getCmp('issueView_subject2').getValue());
					saveIssueData.content = my_escape(Ext.getCmp('issueView_content2').getValue());
					saveIssueData.status = Ext.getCmp('issueView_status').getValue();
					saveIssueData.severity = Ext.getCmp('issueView_severity').getValue();
					saveIssueData.priority = Ext.getCmp('issueView_priority').getValue();
					//saveIssueData.fileid = UserInfo.fileid;
					
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_success); //egkang
					/ *
					Ext.Ajax.request({
						url : '/service/issueManager_proc.php?method=updateIssueReport',
						method: 'POST',
						params :{ProjectSeq : projectSeq,
								 Seq		: seq,
								 MemberSeq	: UserInfo.seq,
								 Data		: Ext.encode(saveIssueData)},
						success: function ( result, request ) {
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_success);
						},
						failure: function ( result, request ) {
						}
					});
					* /

				})
				,*/
				MakeButton('update',TPMS_lang_button_previous,'','icon-prev','','','',function(btn){
					if(beforeSeq){
						ViewItemInfo(Type,beforeSeq,issueListStore);
					}else{
						Ext.Msg.alert(TPMS_lang_title,'첫 페이지임');
					}
				})
				,'->'
				,MakeItem('','hidden','','issueItemViewSeq-hidden','','','','','','')
				,MakeButton('add',TPMS_lang_button_add,'issueViewAdd_Btn','','','','',function(btn){
						IssueWriteWindow();					
				})//GetIssueReportForm("issueWrite");})
				,'-',
				MakeButton('update',TPMS_lang_button_update,'issueViewUpdate_Btn','','','','',function(btn){
					
					var issueSeq = Ext.getCmp('issueItemViewSeq-hidden').getValue();
					if(issueSeq){ //egkang : 2010-12-20
						IssueEditWindow(issueSeq);
						//GetIssueReportForm("edit",issueSeq)
					}else{
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issue+TPMS_lang_Msg_validationMsg2);
					};//IssueEditWin(issueSeq);}
				})
				,'-',
				MakeButton('delete',TPMS_lang_button_remove,'issueViewRemove_Btn','','','','',function(btn){
					
					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							var issueSeq = Ext.getCmp('issueItemViewSeq-hidden').getValue();
							var Type = 'issueGridItem';
							Ext.Ajax.request({ 
								scope : this,
								url:'/service/issueManager_proc.php?method=deleteIssueReport',
								params : {ProjectSeq : projectSeq,DataList:issueSeq,MemberSeq:UserInfo.seq} , 
								method : 'POST',
								success : function(rsp, opt) {
									//alert(rsp.responseText);
									//Ext.getCmp('issueGridPanel').load({params:{ProjectSeq:projectSeq}});
									issueListStore.reload();
									Ext.getCmp('ViewItemInfoWin').close();
								}
							});

						}else{
							return;
						}
					}); 
				})
				,'-',
				MakeButton('sendMail','Assign','','icon-email','','','',function(btn){
					
					//var Records = Ext.getCmp('issueGridPanel').selModel.getSelections();
					//if(Records.length == 0){
					//	Ext.Msg.alert(TPMS_lang_title,'Select Item');
					//	return;
					//}else if(Records.length>0){
						//alert(Records.length);
					//	var IssueSeqList='';
						//for(var i=0;i<Records.length;i++){
						//	if(i==0)
					//			IssueSeqList=Records[0].data['seq'];
						//	else
						//		IssueSeqList+=','+Records[i].data['seq'];
						//}
						var issueSeq = Ext.getCmp('issueItemViewSeq-hidden').getValue();
						AssignWin(issueSeq);
					//}
					
				}),'-'
				,MakeButton('close',TPMS_lang_button_close,'','','','','',function(btn){
					Ext.getCmp('ViewItemInfoWin').close();
				})
			]
		});
		ViewItemInfoWin.show(this);
		ViewItemInfoWin.setPosition(0,0);//25);
		
		//Load_IssueDetailInfo(seq);
		Load_viewUpdateInfo(seq);

		if((UserInfo.UserRole & 1)==1){
		}else{
			if(UserInfo.UserId !='admin'){

			Ext.getCmp('issueViewAdd_Btn').disable(true);
			Ext.getCmp('issueViewUpdate_Btn').disable(true);
			Ext.getCmp('issueViewRemove_Btn').disable(true);

			//Ext.Msg.alert(TPMS_lang_title,"권한없음");
			//return;
			}
		}
		
	};

	function Load_viewUpdateInfo(seq){
		Ext.Ajax.request({
			url : '/service/issueManager_proc.php?method=getIssueDetailInfo',
			method: 'POST',
			params :{ProjectSeq : projectSeq,
					 Seq		: seq},
			success: function ( result, request ) {
				//alert(result.responseText);
				var DataObj=Ext.decode(result.responseText);
				Ext.getCmp('issueItemViewSeq-hidden').setValue(seq);

				if(DataObj.IssueInfo == ''){
					//alert(DataObj.IssueInfo);
					Ext.Msg.alert(TPMS_lang_title,'데이터 오류!');
					return;
				}
				
				Ext.getCmp('issueView_subject2').setValue(DataObj.IssueInfo[0].subject);
				Ext.getCmp('issueView_category2').setValue(DataObj.IssueInfo[0].caName);
				Ext.getCmp('issueView_content2').setValue(ReplaceTag(DataObj.data[0].description.replace(/\\n/g,'\n')));

				Ext.getCmp('issueView_subject').setText(DataObj.IssueInfo[0].subject);
				Ext.getCmp('issueView_category').setText(DataObj.IssueInfo[0].caName);
				//Ext.getCmp('issueView_content').setValue(ReplaceTag(DataObj.data[0].description.replace(/\\n/g,'\n')));
				document.getElementById('issueView_content').innerHTML = ReplaceTag(DataObj.data[0].description).replace(/\\n/g,'<br>');

				for(var i=0;i<projectIssueStatusStore.length;i++){
					if(projectIssueStatusStore[i][0] == DataObj.IssueInfo[0].status){
						var status = projectIssueStatusStore[i][1];
					}
				}
				for(var i=0;i<projectSeverityStore.length;i++){
					if(projectSeverityStore[i][0] == DataObj.IssueInfo[0].severity){
						var severity = projectSeverityStore[i][1];
					}
				}
				for(var i=0;i<projectPriorityStore.length;i++){
					if(projectPriorityStore[i][0] == DataObj.IssueInfo[0].priority){
						var priority = projectPriorityStore[i][1];
					}
				}
				
				Ext.getCmp('issueView_status').setText(status);
				Ext.getCmp('issueView_severity').setText(severity);
				Ext.getCmp('issueView_priority').setText(priority);

				//Ext.getCmp('issueView_status').setValue(DataObj.IssueInfo[0].status);
				//Ext.getCmp('issueView_severity').setValue(DataObj.IssueInfo[0].severity);
				//Ext.getCmp('issueView_priority').setValue(DataObj.IssueInfo[0].priority);

				if(DataObj.data[0].url){
					var Obj=Ext.decode(DataObj.data[0].url).userItem;
					for(var i=0;i<Obj.length;i++){
						var item_id="itemView_"+Obj[i]._id;
						var item_value=Obj[i]._value;
						if(Ext.getCmp(item_id)){
							//Ext.getCmp(item_id).setValue(item_id);
							Ext.getCmp(item_id).setText(item_value);
						}
					}
				}

				///////////////////////////////
				var Obj=Ext.decode(result.responseText).data;
				UserInfo.IssueObject=Obj;
				UserInfo.IssueDataObject=Ext.decode(result.responseText);
		
				if(Ext.getCmp('IssueDetailInfoPanel')){
					//Ext.getCmp('IssueDetailInfoPanel').removeAll();
				}
				if(Ext.getCmp('IssueDetailInfoPanel2'))
					Ext.getCmp('IssueDetailInfoPanel2').removeAll();


				var sHTML='';
				var ObjectList=new Array();
				for(var i=0;i<Obj.length;i++){
					sHTML='';
					sHTML+='<div style=\'height:15pt; background-color:#9fcff0;\' align=right>';
					sHTML+='<span style=\'cursor:hand; width:40pt; height:15pt; color:#fff; background-color:#4f4f4f;\' class=button onClick=\'IssueTextEdit('+Obj[i].seq+','+i+')\'>edit</span>';

					sHTML+='&nbsp;';
					sHTML+='<span style=\'cursor:hand; width:40pt; height:15pt; color:#fff; background-color:#4f4f4f;\' class=button onClick=\'IssueTextDel('+Obj[i].seq+')\'>del</span>';
					sHTML+='&nbsp;';
					sHTML+='&nbsp;';
					sHTML+='</div>';
					sHTML+='<div class=right_member_list >'+ReplaceTag(Obj[i].description.replace(/\\n/g,'<br>'));

					var url=(Obj[i].url.length>0)?Ext.decode(Obj[i].url):'';
					if(typeof url=='object'){
						var userItem=url.userItem;
						var userForm=UserInfo.IssueForm.report_data.report_item;
						sHTML+='<ul class=ul_blue >';
						for(var ii=0;ii<userItem.length;ii++)
						sHTML+='<li>'+userItem[ii]._name+':'+userItem[ii]._value+'</li>';
						sHTML+='</ul>';
						}
					sHTML+='</div>';
					
					var c= {
					html: sHTML
					};

					ObjectList.push(c);
				}

				if(Ext.getCmp('IssueDetailInfoPanel')){
					//Ext.getCmp('IssueDetailInfoPanel').add(ObjectList);
					//Ext.getCmp('IssueDetailInfoPanel').doLayout(true,true);
					//LoadingMsg('IssueDetailInfoPanel').hide();
				}

				if(Ext.getCmp('IssueDetailInfoPanel2')){
					Ext.getCmp('IssueDetailInfoPanel2').add(ObjectList);
					Ext.getCmp('IssueDetailInfoPanel2').doLayout(true,true);
					//LoadingMsg('IssueDetailInfoPanel2').hide();
				}

				//////////
			},
			failure: function ( result, request ) {
				
			}
		});
	};


	//////////////////////////////////////////////////////////
	//////												//////
	//////		AssignWin(SeqList,UserSeq,UserName)		//////
	//////												//////
	//////////////////////////////////////////////////////////

	function AssignWin(SeqList,UserSeq,UserName)//assignToList)
	{
		if(Ext.getCmp('assignWin')){
			Ext.getCmp('assignWin').close();
		}
		//alert(Seq);
		var ToField = MakeItem('','textfield','To','assignTo','','','95%','','','');
		var CCField = MakeItem('','textfield','cc','assignCC','','','95%','','','');

		ToField.readOnly = true;
		//ToField.onFocus = function(){this.blur();};
		CCField.readOnly = true;
		//CCField.onFocus = function(){this.blur();};

		var emailCheckbox = MakeItem('form','checkbox','E-mail','assignMail','','','','','','');
		emailCheckbox.boxLabel = 'E-mail';

		var assignWin = new Ext.Window({
			title: 'AssignWin',
			id:'assignWin',
			closable:true,
			width : 500,
			height :260,
			plain:true,
			layout: 'border',
			resizable: false,
			modal: true,
			closable: false,
			items: [{ 
				region: 'center',
				xtype: 'form',
				fileUpload: true,
				bodyStyle:'padding: 5 5 5 5;',
				border:false,
				labelWidth:50,
				autoScroll:true,
				//listeners: Listeners1,
				items: [{xtype:'hidden',id:'assignTo_seqList'}
					,{xtype:'hidden',id:'assignCC_seqList'}
					,{ 
						layout: 'column',border: false,
						items:[{
							columnWidth:1,border: false,layout:'form',
							items:[ToField]
						},{
							width: 50,border: false,
							items:[{
								xtype: 'button',
								text: TPMS_lang_button_add, 
								handler: function(btn){
									UserListWin('assignTo');
								}
							}]
						}]
					}
					,{ 
						layout: 'column',border: false,
						items:[{
							columnWidth:1,border: false,layout: 'form',
							items:[CCField]
						},{
							width: 50,border: false,
							items:[{
								xtype: 'button',
								text: TPMS_lang_button_add, 
								handler: function(btn){
									UserListWin('assignCC');
								}
							}]
						}]
					}
					,MakeItem('','textfield',TPMS_lang_common_title,'assignSubject','','','95%','','','')
					,MakeItem('','textarea',TPMS_lang_common_message,'assignMsg','','100','95%','','','')
				]
				,tbar:['->'
					,emailCheckbox,'-'
					,MakeButton('sendMsg','Send','sendMsg','icon-email-go','','','',function(btn){
						
						//alert("ItemSeqList : "+SeqList+", Send To :"+Ext.getCmp('assignTo').getValue()+"("+Ext.getCmp('assignTo_seqList').getValue()+"), cc:"+Ext.getCmp('assignCC').getValue()+"("+Ext.getCmp('assignCC_seqList').getValue()+"), Message : "+Ext.getCmp('assignMsg').getValue());
						//alert(Ext.getCmp('assignTo_seqList').getValue() +" / "+ Ext.getCmp('assignCC_seqList').getValue());
						//return;
						if(Ext.getCmp('assignTo_seqList').getValue() == "" && Ext.getCmp('assignCC_seqList').getValue() == ""){
							Ext.Msg.alert(TPMS_lang_title,'Assign 대상을 추가해 주세요');
							
						}else{
							var Url = '/service/issueManager_proc.php?method=saveAssignMessage';
							var Params = {
									ProjectSeq : projectSeq,
									IssueList : SeqList,
									AssignToList : Ext.getCmp('assignTo_seqList').getValue(),
									AssignCCList : Ext.getCmp('assignCC_seqList').getValue(),									
									Title : Ext.getCmp('assignSubject').getValue(),
									AssignMsg : Ext.getCmp('assignMsg').getValue(),
									MemberSeq : UserInfo.seq,
									SendMailFlag : Ext.getCmp('assignMail').getValue()
								};

							if(UserSeq){
								Params = {
									ProjectSeq : projectSeq,
									AssignToList : Ext.getCmp('assignTo_seqList').getValue(),
									AssignCCList : Ext.getCmp('assignCC_seqList').getValue(),									
									Title : Ext.getCmp('assignSubject').getValue(),
									AssignMsg : Ext.getCmp('assignMsg').getValue(),
									MemberSeq : UserInfo.seq,
									SendMailFlag : Ext.getCmp('assignMail').getValue()
								};
							}
							//alert(Ext.encode(Params));
							Ext.Ajax.request({
								url: Url,
								method: 'POST',
								params :Params,
								success : function(resp, opt){
									//var renderData = Ext.decode(resp.responseText).data[0];
									alert(resp.responseText);

									//if(Ext.getCmp('issueUsersGridPanel')){
									//	Ext.getCmp('issueUsersGridPanel').getStore().load({params:{ProjectSeq:projectSeq,IssueListSeq:SeqList}});
									//}

									if(Ext.getCmp('issueUsersGridPanel2')){
										Ext.getCmp('issueUsersGridPanel2').getStore().load({params:{ProjectSeq:projectSeq,IssueListSeq:SeqList}});
									}

									//alert(Ext.getCmp('assignMail').getValue());
									/*
									if(Ext.getCmp('assignMail').getValue() == true){
										SendMail(Params);
									}*/

									Ext.getCmp('assignWin').close();
									issueListStore.reload();
								},
								failure: function ( result, request ) {
									//Ext.Msg.alert("","Failure"); 
								}
							});	
						}
					}),'-'
					,MakeButton('close',TPMS_lang_button_close,'','','','','',function(btn){
						Ext.getCmp('assignWin').close();
					})
				]
			}]
		});
		assignWin.show(this);

		if(UserSeq){
			Ext.getCmp('assignTo_seqList').setValue(UserSeq);
			Ext.getCmp('assignTo').setValue(UserName);
		}
		//assignWin.setPosition(0,25);
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				UserListWin(Type)				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function UserListWin(Type)
	{
		if(Ext.getCmp('userListWin')){
			Ext.getCmp('userListWin').close();
		}
		
		var issueProjectUserStore = MakeStore('/service/issueManager_proc.php?method=getIssueProjectMemberList_1','',[
			'seq',
			'userNick',
			'userSeq',
			'reg_date',
			'writer',
			'email',
			'group_sid',
			'groupName',
			'nick_name',
			'memberSeq',
			'etc'
			//,'userRole'			
		],{ProjectSeq : projectSeq});

		var Sm = new Ext.grid.CheckboxSelectionModel({ 
			singleSelect: false,
			listeners: {
				scope : this,
				rowselect: function(smObj, rowIndex, record) {
					//selRecordStore = record;
				}
			}
		});

		var Cm = new Ext.grid.ColumnModel([
				Sm,
				{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
				{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
				{header: 'memberSeq', dataIndex: 'memberSeq', sortable: true, width: 50, hidden: true},
				{header: TPMS_lang_user, dataIndex: 'userNick', sortable: true, width: 100},
				{header: TPMS_lang_user_department, dataIndex: 'groupName', sortable: true, width: 100}
			]);

		var issueProjectUserListeners = {
				scope : this,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						var seldata=sel.data;
						//alert(seldata.seq);
					}
				}
			};

		var issueProjectUserGridWidth =  300;//Config.Width/3-22;
		var issueProjectUserGridHeight =  400;//(Config.Height-235)/2;//430;
		var issueProjectUserGrid = MakeGridPanel('','issueProjectUserGrid',issueProjectUserStore,issueProjectUserGridWidth,issueProjectUserGridHeight,Cm,Sm,issueProjectUserListeners);
		
		var Window = new Ext.Window({
			title: TPMS_lang_user+"목록",
			id:'userListWin',
			closable:true,
			width: 300,//document.body.clientWidth,
			height: 500,//document.body.clientHeight-25,
			plain:true,
			region:'center',
			layout: 'fit',
			resizable: false,
			//draggable   : false,
			closable: false,
			//modal: true,
			items: [issueProjectUserGrid],
			tbar:['->'
				,MakeButton('save',TPMS_lang_button_apply,'','','','','',function(btn){

					var SeqList = "";
					var NameList = "";

					if(Type=='assignTo' && Ext.getCmp('assignTo_seqList')){
						if(Ext.getCmp('assignTo_seqList').getValue()){
							SeqList+=Ext.getCmp('assignTo_seqList').getValue();
							SeqList+=",";
							NameList+=Ext.getCmp('assignTo').getValue();
						}
					}
					if(Type=='assignCC' && Ext.getCmp('assignCC_seqList')){
						if(Ext.getCmp('assignCC_seqList').getValue()){
							SeqList+=Ext.getCmp('assignCC_seqList').getValue();
							SeqList+=",";
							NameList+=Ext.getCmp('assignCC').getValue();
						}
					}

					var seqArray = new Array();
					//alert(SeqList);
					if(SeqList != ""){
						seqArray = SeqList.split(',');
						//var nameArray = NameList.split(';');
						//alert(seqArray.length);
						//for(var i=0;i<seqArray.length;i++){
						//	alert(seqArray[i]);
						//}
					}
					
					
					var Records = Ext.getCmp('issueProjectUserGrid').selModel.getSelections();
					if(Records.length == 0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_user+TPMS_lang_Msg_validationMsg2);
						return;
					}else if(Records.length > 0){
						for(var i=0;i<Records.length;i++)
						{
							if(seqArray.length > 0 ){
								var CheckUser = 0;
								for(var j=0; j<seqArray.length; j++){
									if(seqArray[j] == Records[i].data['seq']){
										//alert(seqArray[j]+" , "+Records[i].data['seq']);
										CheckUser = 1;
									}
									//alert(seqArray[j]+" , "+Records[i].data['seq']);
								}

								if(CheckUser == 0){
									NameList+=Records[i].data['userNick'];
									SeqList+=Records[i].data['seq'];

									NameList+="; ";
									if(i+1 != Records.length){
										SeqList+=",";
									}
								}
							}else{
								NameList+=Records[i].data['userNick'];
								SeqList+=Records[i].data['seq'];

								NameList+="; ";
								if(i+1 != Records.length){
									SeqList+=",";
								}
							}
						}
					}
					
					var hiddenField = Type+"_seqList";
					Ext.getCmp(Type).setValue(NameList);
					Ext.getCmp(hiddenField).setValue(SeqList);
					//alert(Ext.getCmp(hiddenField).getValue());
					Ext.getCmp('userListWin').close();

				}),'-'
				,MakeButton('close',TPMS_lang_button_close,'','','','','',function(btn){
					Ext.getCmp('userListWin').close();
				})
			]
		});

		 Window.show(this);
		 //Window.setPosition(0,25);
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				UserViewPop(Seq)				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function UserViewPop(Seq)
	{
		if(Ext.getCmp('userView')){
			Ext.getCmp('userView').close();
		}
		var ItemPanle = [{html:'사용자 상세 정보'}];

		var TBar = ['->',
			//MakeButton('save',TPMS_lang_button_save,'','','','','',function(btn){
				//Ext.getCmp('userView').close();
			//}),'-',
			MakeButton('close',TPMS_lang_button_close,'','','','','',function(btn){
				Ext.getCmp('userView').close();
			})];

		var userView = new Ext.Window({
			title: 'userView',
			id:'userView',
			closable:true,
			width:500,
			height:500,
			plain:true,
			region:'center',
			layout: 'fit',
			resizable: false,
			closable: false,
			modal: true,
			items: ItemPanle,
			tbar:TBar
		});

		userView.show(this);
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				FileViewPop(DataArray)			//////
	//////												//////
	//////////////////////////////////////////////////////////

	function FileViewPop(DataArray)
	{
		if(Ext.getCmp('fileView')){
			Ext.getCmp('fileView').close();
		}
		var DataList = "";
		var viewDataList = "";

		for(var i=0; i<DataArray.length; i++){
			var fileName = DataArray[i].data['source'];
			var fileSize = DataArray[i].data['filesize'];

			var nameLength = fileName.length;
			var startLength = fileName.length-3;

			var fileType = fileName.slice(startLength, nameLength);

			if(fileType == "jpg" || fileType == "JPG" || fileType ==  "gif" || fileType ==  "GIF" || fileType == "png" || fileType == "PNG"){
				DataList += GetFileTag('media',DataArray[i].data['seq'])+'\n' + fileName+"("+fileSize+")";
				viewDataList += GetFileTag('media',DataArray[i].data['seq'])+'<br>' + fileName+"("+fileSize+")";
			}else{
				DataList += fileName+"("+fileSize+")" + GetFileTag('file',DataArray[i].data['seq']);
				viewDataList += fileName+"("+fileSize+")" + GetFileTag('file',DataArray[i].data['seq']);
			}
			DataList += "\n\n";
			viewDataList += "<br><hr><br>";
		}

		var Listeners = {
						scope : this,
						focus : function(){enableSelect(true);},
						blur : function(){
						//UserInfo.TempDataObj.saveTemp
						//alert('aa5');
						enableSelect(false);}
					};

		var fileLinkText = MakeItem('form','textarea','fileTagText','fileTagText','','150','100%',Listeners,DataList);
		var ItemPanle = [
			{id:'fileLinkText',html:"<div style='height:260px; overflow-y:auto;'>"+ReplaceTag(viewDataList)+"</div>"}
			,MakePanel('','fit','panel','File Link Tag','','100','100%',fileLinkText,'','','')
		];
		
		var TBar = ['->',
			//MakeButton('save',TPMS_lang_button_save,'','','','','',function(btn){
				//copyText('fileLinkText');
				//Ext.getCmp('txtbox').setValue(Seq)

				//copyText('txtbox');
				//Ext.getCmp('fileView').close();
			//}),'-'
			//,
			MakeButton('close',TPMS_lang_button_close,'','','','','',function(btn){
				Ext.getCmp('fileView').close();
			})];

		var fileView = new Ext.Window({
			title: 'File Tag View',
			id:'fileView',
			closable:true,
			width:500,
			height:500,
			plain:true,
			region:'center',
			//layout: 'panel',
			resizable: false,
			closable: false,
			autoScroll:true,
			//modal: true,
			items: ItemPanle,
			tbar:TBar
		});

		fileView.show(this);
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				FileAddPop(DataArray)			//////
	//////												//////
	//////////////////////////////////////////////////////////

	function FileAddPop(issueSeq)
	{
		//alert(TPMS_lang_issue+' No : '+issueSeq); //egkang 파일 추가

		if(Ext.getCmp('fileAddPop')){
			Ext.getCmp('fileAddPop').close();
		}
		var ItemPanle = [
				{region:'center',width:'300px',height:'200px', id: 'tempLog', autoScroll:true, html:'<div id=log name=log ></div>'}
				,{region:'east',width:'65',xtype: 'label',id: 'tempDiv2'}];

		var TBar = ['->',
			MakeButton('save',TPMS_lang_button_save,'','','','','',function(btn){
				
				Ext.Msg.alert('File save',TPMS_lang_issue+' No : '+issueSeq);
				//Ext.getCmp('fileAddPop').close();

			}),'-'
			,MakeButton('close',TPMS_lang_button_close,'','','','','',function(btn){
				//Ext.getCmp('tempLog').removeAll();
				Ext.getCmp('fileAddPop').close();
			})];

		var fileAddPop = new Ext.Window({
			title: 'FileAddPop',
			id:'fileAddPop',
			closable:true,
			width:500,
			height:300,
			plain:true,
			region:'center',
			layout: 'border',
			resizable: false,
			closable: false,
			modal: true,
			items: ItemPanle,
			tbar:TBar
		});

		fileAddPop.show(this);

		var fileid = 'fileAddpop';
		tempDiv2.innerHTML="<div width=100 height=100 id=\'divUploader\'></div>";
		createFileUploader( "/resources/fileUpload/fileuploader.swf", "divUploader", fileuploaderSWF, "61", "24", flashPlayerVersion, "/resources/fileUpload/playerProductInstall.swf", flashvars(fileid,UserInfo.seq));
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				AssignMsgViewPop(Seq)			//////
	//////												//////
	//////////////////////////////////////////////////////////

	function AssignMsgViewPop(Seq)
	{
		if(Ext.getCmp('assignMsgView')){
			Ext.getCmp('assignMsgView').close();
		}
		var ItemPanle = [{html:'메세지 상세 보기'}];

		var TBar = ['->',
			MakeButton('save',TPMS_lang_button_save,'','','','','',function(btn){
				//Ext.getCmp('assignMsgView').close();
			}),'-'
			,MakeButton('close',TPMS_lang_button_close,'','','','','',function(btn){
				Ext.getCmp('assignMsgView').close();
			})];

		var assignMsgView = new Ext.Window({
			title: 'AssignMsgViewPop',
			id:'assignMsgView',
			closable:true,
			width:500,
			height:500,
			plain:true,
			region:'center',
			layout: 'fit',
			resizable: false,
			closable: false,
			modal: true,
			items: ItemPanle,
			tbar:TBar
		});

		assignMsgView.show(this);
	}
	


	//////////////////////////////////////////////////////////
	//////												//////
	//////				RiskItemViewPop(Seq)			//////
	//////												//////
	//////////////////////////////////////////////////////////

	function RiskItemViewPop(Seq)
	{
		if(Ext.getCmp('riskItemView')){
			Ext.getCmp('riskItemView').close();
		}

		var ItemPanle = [{html:'리스크아이템 상세 정보'}];

		var TBar = ['->',
			//MakeButton('save',TPMS_lang_button_save,'','','','','',function(btn){
				//Ext.getCmp('riskItemView').close();
			//}),'-',
			MakeButton('close',TPMS_lang_button_close,'','','','','',function(btn){
				Ext.getCmp('riskItemView').close();
			})];

		var riskItemView = new Ext.Window({
			title: 'RiskItemViewPop',
			id:'riskItemView',
			closable:true,
			width:500,
			height:500,
			plain:true,
			region:'center',
			layout: 'fit',
			resizable: false,
			closable: false,
			modal: true,
			items: ItemPanle,
			tbar:TBar
		});

		riskItemView.show(this);
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				saveTempData()					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function saveTempData(){
		leave_chatting_room1();

		//tempSaveIssueReport();
		//alert(Ext.encode(UserInfo.TempDataObj));
		UserInfo.TempDataObj['tab_id']=UserInfo.tab_id;
		var ParamObj={
				FileId:UserInfo.fileid,
				Passwd:UserInfo.seq,
				ProjectSeq:projectSeq,
				Data:Ext.encode(UserInfo.TempDataObj)
				};

				Ext.Ajax.request({
					url : '/service/fileManager_proc.php?method=saveTempFilesData',
					method: 'POST',
					params : ParamObj,
					success: function ( result, request ) {
						//alert(result.responseText);
					},
					failure: function ( result, request ) {
						
					}
				});		
		if(UserInfo.IsSaved) return;
		confirm('tempSave?');
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				getTempData()					//////
	//////												//////
	//////////////////////////////////////////////////////////
	
	function getTempData(){

		Ext.Ajax.request({
			url : '/service/fileManager_proc.php?method=getTempFilesData',
			method: 'POST',
			params : {FileId:UserInfo.fileid,Passwd:UserInfo.seq},
			success: function ( result, request ) {
				//alert(result.responseText);
				var rsp=Ext.decode(result.responseText);
				if(rsp.data.length>0)
				if(rsp.data[0].memo!=null){
				var memo=rsp.data[0].memo;
				//alert(memo);
				UserInfo.TempDataObj=Ext.decode(memo);

				if(typeof UserInfo.TempDataObj.tempSave!='undefined'){
					var temp=UserInfo.TempDataObj.tempSave;
					restoreDisplay(UserInfo.TempDataObj.tab_id,temp.disp_id,temp.fileid); //egkang
					}
				}
				//alert(UserInfo.TempDataObj);
				//alert(UserInfo.TempDataObj.tempSave.issueAdd_subject);
			},
			failure: function ( result, request ) {
				
			}
		});		
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				tempSaveIssueReport()			//////
	//////												//////
	//////////////////////////////////////////////////////////

	function tempSaveIssueReport()
	{
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////		tempLoadIssueReport(disp_id,fileid)		//////
	//////												//////
	//////////////////////////////////////////////////////////

	function tempLoadIssueReport(disp_id,fileid)
	{

		var temp=UserInfo.TempDataObj.tempSave;
	//	alert('file:'+fileid+'/'+temp.fileid);
	//	alert('disp:'+disp_id+'/'+temp.disp_id);
		if(typeof temp=='undefined') return;
		if(disp_id==temp.disp_id && fileid==temp.fileid)
		{
			if(confirm('restore tempSave?')){
				for(var i in temp){
					if(Ext.getCmp(i)!=null){
					Ext.getCmp(i).setValue(temp[i]);
					}
				}
			}
			else
			{
				UserInfo.tempFileId=fileid;
				tempSaveInit(disp_id);
			}
		}
		else{
			UserInfo.tempFileId=fileid;
			tempSaveInit(disp_id);
		}
		UserInfo.TempDataObj.tempSave['fileid']=fileid;
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////		UpdateTempDataObj(disp_id,id,value)		//////
	//////												//////
	//////////////////////////////////////////////////////////

	function UpdateTempDataObj(disp_id,id,value)
	{

		if(typeof UserInfo.TempDataObj.tempSave=='undefined'){
			tempSaveInit(disp_id);
		}else if(UserInfo.TempDataObj.tempSave.disp_id!=disp_id) {
			tempSaveInit(disp_id);
		}
		(UserInfo.TempDataObj['tempSave'])[id]=value;
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////			tempSaveInit(disp_id)				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function tempSaveInit(disp_id){
		UserInfo.TempDataObj.tempSave={};

		UserInfo.TempDataObj.tempSave.disp_id=disp_id;

		if(UserInfo.tempFileId!='')
			UserInfo.TempDataObj.tempSave.fileid=UserInfo.tempFileId;
		else
			UserInfo.TempDataObj.tempSave.fileid=UserInfo.fileid;
		UserInfo.IsSaved=true;
		saveTempData();
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////		restoreDisplay(tab_id,disp_id,fileid)	//////
	//////												//////
	//////////////////////////////////////////////////////////

	function restoreDisplay(tab_id,disp_id,fileid)
	{
		//alert(tab_id);
		switch(tab_id)
		{
			case "0":
				Ext.getCmp('infoTab').setActiveTab('dashBoardTab');
				break;
			case "1":
				Ext.getCmp('infoTab').setActiveTab('issueMainPanel');
				break;
			case "2":
				Ext.getCmp('infoTab').setActiveTab('riskItemTab');
				break;
			case "3":
				Ext.getCmp('infoTab').setActiveTab('fileItemTab');
				break;
			case "4":
				Ext.getCmp('infoTab').setActiveTab('calendarItemTab');
				break;
			case "5":
				Ext.getCmp('infoTab').setActiveTab('defectItemTab');
				break;
			case "6":
				Ext.getCmp('infoTab').setActiveTab('tcItemTab');
				break;
			case "7":
				Ext.getCmp('infoTab').setActiveTab('reqItemTab');
				break;
			case "7":
				Ext.getCmp('infoTab').setActiveTab('memoItemTab');
				break;
			default:
				break;
		}

		switch(disp_id)
		{
			case "issueWrite":
				if(fileid==UserInfo.fileid){
					IssueWriteWindow();
					//GetIssueReportForm("issueWrite");
				}else{
					var temp=fileid.split("_");
					var seq=temp[1];
					IssueWriteWindow();
					//GetIssueReportForm("issueWrite");
					Load_IssueEdit(seq);
					/*
						Ext.getCmp('issueAdd_seq').setValue(seq);
						Ext.getCmp('issueBtn_add').show(true);
						Ext.getCmp('issueBtn_update').show(true);
						Ext.getCmp('issueBtn_copy').show(true);
						Ext.getCmp('issueBtn_save').hide(true);
						*/
						Load_FilesList(fileid);
						UserInfo.tempFileId=fileid;
				}
			break;
			case "edit":
			{
				var temp=fileid.split("_");
				var issueSeq=temp[1];
				//alert(issueSeq);
				IssueEditWindow(issueSeq);
				//GetIssueReportForm("edit",issueSeq);
			}
			break;
			default:
				break;
		}
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				Assign Send Mail				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function SendMail(params){
		var text = 
			"(ProjectSeq : "+params.ProjectSeq+"), "+
			"(AssignToList : "+params.AssignToList+"), "+
			"(AssignCCList : "+params.AssignCCList+"), "+
			"(Title : "+params.Title+"), "+
			"(AssignMsg : "+params.AssignMsg+"), "+
			"(MemberSeq : "+params.MemberSeq+")";
		alert(text);
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				IssueComplete					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function IssueComplete(seq,issueTextId)
	{
		//Ext.Msg.alert(TPMS_lang_title,seq); //egkang
		//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_success); //egkang
		//alert(id);

		//var msg = UserInfo.IssueObject[id].description.replace(/\\n/g,'\n')
		//alert(msg);

		//IssueTextEdit(seq,id);
		//alert(this.id);
		/*
		Ext.Ajax.request({
			url : '/service/issueManager_proc.php?method=updateIssueComplete',
			method: 'POST',
			params :{ProjectSeq : projectSeq,
					 Seq		: seq,
					 MemberSeq	: UserInfo.seq
			},
			success: function ( result, request ) {
				//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_success);
			},
			failure: function ( result, request ) {
			}
		});
		*/
		var Obj = UserInfo.IssueObject;
		var sHTML='';
		var url=(Obj[issueTextId].url.length>0)?Ext.decode(Obj[issueTextId].url):'';
		sHTML+='<div>';
		sHTML+='<ul class=ul_red >';
		sHTML+='<li>'+UserInfo.NickName+'님 께서 처리완료!!</li>';
		sHTML+='</ul>';
		sHTML+='<ul class=ul_blue >';
		sHTML+='<li>처리 내용</li>';
		sHTML+='</ul>';
		if(typeof url=='object'){
			var userItem=url.userItem;
			sHTML+='<ul >';
			for(var ii=0;ii<userItem.length;ii++)
			{
				if(userItem[ii]._type>=100)
				{
					var vType=userItem[ii]._type - 100;
					var vItem='';

					var itemName = userItem[ii]._name;
					var itemValue = userItem[ii]._value;

					switch(vType)
					{
						case 6 : break;
						case 7 : break;
						default: vItem='<li> - '+itemName+' : '+itemValue+'</li>';	break;
					}
					sHTML+=vItem;
				}
				else{
					sHTML+='<li> - '+itemName+' : '+itemValue+'</li>';
				}
			}
			sHTML+='</ul>';
		}
		sHTML+='</div>';


		var Data={};
		//Data.description = my_escape(UserInfo.NickName+"님 께서 처리완료!!\n - 처리내용 -\n");
		Data.description = my_escape(sHTML);

		Ext.Ajax.request({
			url : '/service/issueManager_proc.php?method=addIssueText',
			method: 'POST',
			params :{
				ProjectSeq : projectSeq,
				Seq : seq,
				Data : Ext.encode(Data),
				MemberSeq : UserInfo.seq
			},
			success: function ( result, request ) {
					//alert(result.responseText);
					//Load_IssueDetailInfo(seq);
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_success);
			},
			failure: function ( result, request ) {
			}
		});
		
	}



//=============================================================================================================
//=======																								=======
//=============================================================================================================

	//////////////////////////////////////////////////////////
	//////												//////
	//////				ButtonAction(id,e)				//////
	//////												//////
	//////////////////////////////////////////////////////////
	/*
	function ButtonAction(id,e){
		if(e=="mousedown" || e=="click"){
			document.getElementById(id).className = 'x-btn  x-btn-noicon x-box-item x-btn-click';
		}else if(e=="mouseup"){
			document.getElementById(id).className = 'x-btn  x-btn-noicon x-box-item';
		}else if(e=="mouseover"){
			document.getElementById(id).className = 'x-btn  x-btn-noicon x-box-item x-btn-over';
		}else if(e=="mouseout"){
			document.getElementById(id).className = 'x-btn  x-btn-noicon x-box-item';
		}
	}*/


	//=============================
	/*
		var search = new Ext.Panel({
			//id: 'search',
			border: false,
			height: 140,
			//collapsible: true,
			items:[
			{
				title: 'Search',
				xtype: 'form',
				//id: 'name',
				//height: 130,
				bodyStyle: 'padding: 5 0 5 5;',
				items:[
				{
					xtype:'textfield',
					fieldLabel: TPMS_lang_domain,
					allowBlank : false,
					anchor:'45%'//,
					//height : 22
				},{
					xtype:'textfield',
					fieldLabel: TPMS_lang_riskItem,
					anchor:'45%'//,
					//height : 90
				},{
					xtype : 'button',
					text: TPMS_lang_Search
				}]
			}]
		});
	*/
	//=======================


	function DeleteIssueItem(id)
	{
		alert('Delete Mapping IssueItem : '+id);
	}


	//==============================================================================================================

	//////////////////////////////////////////////////////////
	//////												//////
	//////					자동 검색?					//////
	//////												//////
	//////////////////////////////////////////////////////////

	var ComboArray=Array();
	ComboArray[0]={id:0,comboId:'issueAutoSearch',comboValue:null,comboStore:'issueCategoriesStore'};//,tableName:'Domains'};
	ComboArray[1]={id:1,comboId:'riskItemAutoSearch',comboValue:null,comboStore:'riskItemCategoriesStore'};//,tableName:'RiskItems'};
	ComboArray[2]={id:2,comboId:'domainAutoSearch',comboValue:null,comboStore:'riskItemCategoriesStore'};//,tableName:'RiskItems'};


	var issueCategoriesStore = new Ext.data.JsonStore({
		proxy: new Ext.data.HttpProxy({
			url: '/service/searchText_proc.php?method=getSearchText'
		}),
		baseParams: {TableName:'Domains'},
		root: 'data',
		fields: ['seq', 'keyString']
	});

	/*
	var issueAutoSearch = new Ext.form.ComboBox({
		store: issueCategoriesStore,
		displayField:'keyString',
		typeAhead: true,
		triggerAction: 'all',
		emptyText:'Input text...',
		selectOnFocus:true,
		loadingText: 'Search...',
		onSelect: function(record){ 
			//window.location = String.format('http://sten.or.kr');
		}
	});*/

	

	//riskItem
	var riskItemCategoriesStore = new Ext.data.JsonStore({
		proxy: new Ext.data.HttpProxy({
			url: '/service/searchText_proc.php?method=getSearchText'
		}),
		baseParams: {TableName:'RiskItems'},
		root: 'data',
		fields: ['seq', 'keyString']
	});

	/*
	var riskItemAutoSearch = new Ext.form.ComboBox({
		store: riskItemCategoriesStore,
		displayField:'keyString',
		typeAhead: true,
		triggerAction: 'all',
		emptyText:'Input text...',
		selectOnFocus:true,
		applyTo : 'riskItemAutoSearch',
		loadingText: 'Search...',
		onSelect: function(record){ 
			//window.location = String.format('http://sten.or.kr');
		}
	});
	*/

	function updateHitText(keyStringSeq)
	{
			Ext.Ajax.request({
				url : '/service/searchText_proc.php?method=updateHitText',
				method: 'POST',
				params :{
					KeyStringSeq : keyStringSeq
				},
				success: function ( result, request ) {
				},
				failure: function ( result, request ) {
				}
			});
	}

	
