	//////////////////////////////////////////////////////////
	//////												//////
	//////				Set Store Load					//////
	//////												//////
	//////////////////////////////////////////////////////////
/* store 시작 */
var today = new Date().clearTime();
Ext.ns('Ext.ensible.sample');

CalendarEventData = MakeStore('/service/issueManager_proc.php?method=getCalendarList','calendarList',[
				'id',
				'cid',
				'title',
				'start',
				'end',
				'ad'
			],{ProjectSeq:projectSeq});

Ext.ensible.sample.EventData = {
    "data":[]
};

Ext.ensible.sample.MemoryEventStore = Ext.extend(Ext.data.Store, {
    constructor: function(config){
        config = Ext.applyIf(config || {}, {
            storeId: 'eventStore',
            root: 'data',
            proxy: new Ext.data.MemoryProxy(),
            writer: new Ext.data.DataWriter(),
            fields: Ext.ensible.cal.EventRecord.prototype.fields.getRange(),
            idProperty: Ext.ensible.cal.EventMappings.EventId.mapping || 'id'
        });
        this.reader = new Ext.data.JsonReader(config);
        Ext.ensible.sample.MemoryEventStore.superclass.constructor.call(this, config);
    },
    
     afterEdit : function(rec){
        rec.commit();
    },
    
    listeners: {       
        'add': function(store, rec){
            var r = rec[0];
            r.data[Ext.ensible.cal.EventMappings.EventId.name] = r.id;
            r.phantom = false;
            r.commit();
        }
    }
});

eventStore = new Ext.ensible.sample.MemoryEventStore({	
	data: Ext.ensible.sample.EventData
});


getCalendarData = function(start,end){
	
	CalendarEventData = MakeStore('/service/issueManager_proc.php?method=getCalendarList','calendarList',[
				'id',
				'cid',
				'title',
				'start',
				'end',
				'ad'
			],{ProjectSeq:projectSeq,Start:start,End:end});
	
	CalendarEventData.on('load', function(store , record, option){	
		var tmp_EventData=new Array();	
		for(var i=0;i<store.data.length;i++){
			//store.data.items[i].data.end = "2011-05-07 00:00:01";
			tmp_EventData.push(store.data.items[i].data);
		}		
		eventStore.loadData({'data':tmp_EventData});
	});
}

CalendarData = MakeStore('/service/issueManager_proc.php?method=getCalendarCategoryList','assignIssue',[
				'id',
				'title',
				'color'
			],{ProjectSeq:projectSeq});

Ext.ensible.sample.CalendarData = {
	data:[]
}
Ext.ensible.sample.CalendarStore = Ext.extend(Ext.data.Store, {
	constructor: function(config){
		config = Ext.applyIf(config || {}, {
			storeId: 'calendarStore',
			root: 'data',
			idProperty: Ext.ensible.cal.CalendarMappings.CalendarId.mapping || 'id',
			proxy: new Ext.data.MemoryProxy(),
			autoLoad: true,
			fields: Ext.ensible.cal.CalendarRecord.prototype.fields.getRange(),
			sortInfo: {
				field: Ext.ensible.cal.CalendarMappings.Title.name,
				direction: 'ASC'
			}
		});
		this.reader = new Ext.data.JsonReader(config);
		Ext.ensible.sample.CalendarStore.superclass.constructor.call(this, config);
	}
});

scheduleCategoryStore = new Ext.ensible.sample.CalendarStore({               
	data: Ext.ensible.sample.CalendarData
});
CalendarData.on('load', function(store , record, option){	
	//scheduleCategoryStore.loadData({'data':[{id:'7', title: 'STEN', color: '1'},{id:'8', title: 'STA', color: '2'}]});
	var tmp_CalendarData=new Array();
	for(var i=0;i<store.data.length;i++){
		tmp_CalendarData.push(store.data.items[i].data);
	}
	scheduleCategoryStore.loadData({'data':tmp_CalendarData});
});

scheduleUpdate = function(rec){	
	var type = rec.data.Type;
	var id = rec.data.EventId;
	var startDate = rec.data.StartDate.format('Y-m-d H:i:s');
	var endDate = rec.data.EndDate.format('Y-m-d H:i:s');
	var title = rec.data.Title;
	var notes = rec.data.Notes;
	var isNew = rec.data.IsNew;
	var isAllDay = rec.data.IsAllDay;
	var calendarId = rec.data.CalendarId;
	var issueListSeq=0;
	
	//alert(calendarId);
	//return;
	
	Ext.Ajax.request({
		url : '/service/issueManager_proc.php?method=setCalendarUpdate',
		method: 'POST',
		params :{ 
			ProjectSeq : projectSeq,
			Type:type,
			Id : id,
			IssueListSeq:issueListSeq,
			StartDate:startDate,
			EndDate:endDate,
			Title:title,
			Notes :notes,
			IsNew:isNew,
			IsAllDay:isAllDay,
			CalendarId:calendarId
		},
		success: function ( result, request ) {			
			CalendarEventData.reload();
		},
		failure: function ( result, request ) {
			self.close();
		}
	});
}

	var scheduleWestInfoPanel = {
		id: 'app-west',
		region: 'west',
		collapsible: false,
		split: true,
		width: 176,
		border: false,
		items: [{
			xtype: 'datepicker',
			id: 'app-nav-picker',
			cls: 'ext-cal-nav-picker',
			listeners: {
				'select': {
					fn: function(dp, dt) {
						Ext.getCmp("app-calendar").setStartDate(dt);
					},
					scope: this
				}
			}
		}, {
			xtype: 'extensible.calendarlist',
			store: scheduleCategoryStore,
			border: false,
			width: 175
		}]
	}

	var scheduleCenterInfoPanel = {
		id: 'app-center',
		title: '...', 
		region: 'center',
		layout: 'border',
		listeners: {
			'afterrender': function() {
				Ext.getCmp('app-center').header.addClass('app-center-header');
			}
		},
		items: [{
			xtype: 'extensible.calendarpanel',
			eventStore: eventStore,
			calendarStore: scheduleCategoryStore,
			border: false,
			id: 'app-calendar',
			region: 'center',
			activeItem: 3, // month view

			viewConfig: {},							
			monthViewCfg: {
				showHeader: true,
				showWeekLinks: true,
				showWeekNumbers: true
			},

			multiWeekViewCfg: {},
			
			initComponent: function() {
				this.constructor.prototype.initComponent.apply(this, arguments);
			},
			listeners: {
				'viewchange': {//day,week,month를 클릭하거나, 처음에 Month가 선택이 될때
					fn: function(p, vw, dateInfo){
						if(this.editWin){
							this.editWin.hide();
						};
						if(dateInfo !== null){						
							updateTitle(dateInfo.viewStart, dateInfo.viewEnd);							
						}
					},
					scope: this
				}
			}
		}]
	}
	updateTitle = function(startDt, endDt) {
		var p = Ext.getCmp('app-center');		

		if (startDt.clearTime().getTime() == endDt.clearTime().getTime()) {
			//p.setTitle(startDt.format('F j, Y'));
			p.setTitle(startDt.format('Y, m/d'));
		}else if (startDt.getFullYear() == endDt.getFullYear()) {
			if (startDt.getMonth() == endDt.getMonth()) {
				//p.setTitle(startDt.format('F j') + ' - ' + endDt.format('j, Y'));
				p.setTitle(startDt.format('Y, m/d')+ ' - ' + endDt.format('j'));
			}else{
				//p.setTitle(startDt.format('F j') + ' - ' + endDt.format('F j, Y'));
				p.setTitle(startDt.format('Y, m/d')+' - '+endDt.format('m/d'));
			}
		}
		else {
			//p.setTitle(startDt.format('F j, Y') + ' - ' + endDt.format('F j, Y'));
			p.setTitle(startDt.format('Y, m/d') + ' - ' + endDt.format('Y, m/d'));
		}
	}
	

	var centerPanel = MakePanel('center','fit','panel','','','','',scheduleCenterInfoPanel,'','','','');
	var westPanel = MakePanel('west','fit','panel',renderCategoryName(scheduleCategorySeq),'','',175,scheduleWestInfoPanel,'','','','padding:0px;margin:0px;');

	var Items2 = [centerPanel,westPanel];

	var calendarItemTab = MakePanel('','border','',renderCategoryName(scheduleCategorySeq), 'calendarItemTab','','',Items2,'','','','');