
	Ext.Ajax.request({
		url : '/service/issueManager_proc.php?method=getIssueProjectMemberList',
		method: 'POST',
		params :{ ProjectSeq : projectSeq},
		success: function ( result, request ) {
			var renderData = Ext.decode(result.responseText).data[0];

			if(renderData){
				if(renderData.userSeq == UserInfo.seq){
				}else{
					//Ext.Msg.alert(TPMS_lang_title,"접근할 수 없습니다.");
					//self.close();		
				}
			}else{
				//Ext.Msg.alert(TPMS_lang_title,"접근할 수 없습니다.");
				//self.close();		
			}
		},
		failure: function ( result, request ) {
			//self.close();			
		}
	});

	//////////////////////////////////////////////////////////
	//////												//////
	//////			Tab Panel (Dash Board)				//////
	//////												//////
	//////////////////////////////////////////////////////////
	var rowsArray=Array();
	var chartArray = Array();
	UserInfo['tab_id'] = 0;
	var RoleType = 'dashboard_issue0';

var CommonIssueStore={};
CommonIssueStore.reload=function()
{
	issueListStore.reload();
	Ext.getCmp('issueCategory_list').getStore().reload();
	defectIssueListStore.reload();
	tcIssueListStore.reload();
	reqIssueListStore.reload();
	memoIssueListStore.reload();
}
var calendarStore = new Ext.data.JsonStore({
		storeId: 'calendarStore',
		root: 'data',
		idProperty: 'id',
		proxy: new Ext.data.HttpProxy({
			url: '/service/issueManager_proc.php?method=getCalendarCategoryList'
		}),	
		baseParams:{
			ProjectSeq : projectSeq
		},
		autoLoad: true,
		fields: [
			{name:'CalendarId', mapping: 'id', type: 'int'},
			{name:'Title', mapping: 'title', type: 'string'},
			{name:'Color', mapping: 'color', type: 'string'}
		],
		sortInfo: {
			field: 'Title',
			direction: 'ASC'
		},
		listeners : {
		    scope: this,
		    load:{
		        scope : this,
		        fn : function(s,dr,option){
					UserInfo.CalendarCategory=new Array();
					if(s.reader.jsonData.data.length==0){						
						return;
					}
					var Data=s.reader.jsonData.data;
					for(var i=0;i<Data.length;i++)
					{
						UserInfo.CalendarCategory.push({id:Data[i].id,seq:Data[i].seq});						
					}

		        }
		    }
		}
	});

chartDataUploadPanel = function(Seq,winForm){
	var uploadPanel = new Ext.FormPanel({
		fileUpload: true,
		width: 315,
		height: 140,		
		border:false,
		bodyStyle: 'padding: 5px;',
		labelWidth: 1,
		defaults: {
			allowBlank: false
		},
		items: [{
			xtype: 'panel',
			bodyStyle:'pading:5px;',
			border:true,
			frame:true,
			html: TPMS_lang_Msg_import_Chart
		},{
			height: 10,
			border:false
		},{
			xtype: 'fileuploadfield',
			id: 'form-file',
			width:290,
			emptyText: 'Select an file',
			name: 'bf_file',
			buttonText: TPMS_lang_button_fileSearch            
		}],
		buttons: [{
			text: TPMS_lang_button_submit,//TPMS_lang_button_save,
			handler: function(){
				
				if(uploadPanel.getForm().isValid()){
					uploadPanel.getForm().submit({
						url: '/service/import_proc.php?method=importChartDataCSV&Seq='+Seq,
						success: function(rsp, o){
							fileLoadwin.close();
							Ext.getCmp('charData-Win').close();
							Ext.getCmp('formGridPanel').getStore().reload();
							
							Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_chart_importSuccess);
						},
						failure: function(rsp, o){

							/*if(o.result.data == "titleCell"){
								Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_importError);
							}else if(o.result.data == "maxCnt"){
								Ext.Msg.alert(TPMS_lang_title, TPMS_lang_riskItem+" "+TPMS_lang_common_count+" "+TPMS_lang_common_max+" : "+Config.riskItemMax);
							}else if(o.result.data == "sucjectMaxLength"){
								var maxLength = TPMS_lang_Msg_maxLength.replace("{number}",Config.subjectTypeMaxLength);
								Ext.Msg.alert(TPMS_lang_title, TPMS_lang_common_title+" : "+ maxLength);
							}else if(o.result.data == "descriptionMaxLength"){
								var maxLength = TPMS_lang_Msg_maxLength.replace("{number}",Config.descriptionTypeMaxLength);
								Ext.Msg.alert(TPMS_lang_title, TPMS_lang_common_description+" : "+ maxLength);
							}else if(o.result.data == "categoryMaxLength"){
								var maxLength = TPMS_lang_Msg_maxLength.replace("{number}",Config.categoryMaxLength);
								Ext.Msg.alert(TPMS_lang_title, TPMS_lang_common_type+" : "+ maxLength);
							}else{
								Ext.Msg.alert(TPMS_lang_title, o.result.data);
							}*/
						}
					});
				}
			}
		},{
			text: TPMS_lang_button_cancel,//TPMS_lang_button_close, 
			handler: function(){ 
				//uploadPanel.getForm().reset();
				fileLoadwin.close(); 
			}
		},{
			text: 'Reset',
			hidden:true,
			handler: function(){
				uploadPanel.getForm().reset();
			}
		}]
	});

	var fileLoadwin = new Ext.Window({
		title: TPMS_lang_import,
		id: 'fileLoad-win',
		width: 330,
		height: 170,
		plain: true,
		border: true,
		modal: true,
		animate: false,
		resizable: false, 
		closeAction: 'close',
		items: [uploadPanel]
	});

	this.fileLoadwin = fileLoadwin;
	this.fileLoadwin.show();
}

var dashBoardLevelStore = MakeStore('/service/issueManager_proc.php?method=getStrategyLevelList','',['levelSeq','level'],{ProjectSeq:projectSeq});
var projectMemberStore = MakeStore('/service/issueManager_proc.php?method=getIssueProjectMemberList','',['seq','userSeq','userNick','memberSeq','reg_date','writer,email','group_sid','GroupName','nick_name','etc','userRole'],{ProjectSeq:projectSeq});


	
	function dashBoardSetupWin(){
		if(Ext.getCmp('dashBoardSetupWin')){
			Ext.getCmp('dashBoardSetupWin').close();
		}
		
		var formStore = MakeGroupStore('/service/issueManager_proc.php?method=getDashBoardInfo','',[
			'seq',
			'issueListSeq',
			'description',
			'url',
			'method',
			'param',
			'writer',
			'regDate',
			'parentSeq',
			'view_cnt',
			'click_cnt',
			'review_point'
		],{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq},'method');

		

		var formGridCm = new Ext.grid.ColumnModel([
				{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
				{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
				{header: 'Type', dataIndex: 'method', align:'center', sortable: true, width: 50, hidden: true, tooltip: 'method' },
				{header: TPMS_lang_issueManager_item, dataIndex: 'description', sortable: true, width: 150},
				{header: TPMS_lang_use, dataIndex: 'review_point', align:'center', sortable: true, width: 100, renderer:
					function(value, meta, record){
						
						var id = record.data.seq; 
						
						var checkBox = '<input type=checkbox id="'+id+'_checkbox">'; 
						if(record.data.view_cnt == 1) checkBox = '<input type=checkbox id="'+id+'_checkbox" checked>'; 
						
						//var id =  record.json["formGridPanel"] +"_" + colIndex ;

						return checkBox;
					}
				}
			]);

		var formGridListeners = {
				scope : this,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						var seldata=sel.data;
						//alert(seldata.seq);
					}
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					var seq = selectItem[0].data['seq']; 
				}
			};

		//var formGridPanel = MakeGridPanel('','formGridPanel',formStore,'',390,formGridCm,'',formGridListeners,'','');
		//formStore를 어떻게 만들었냐....^^
		var formGridPanel = MakeGroupGridPanel('','formGridPanel',formStore,'',390,formGridCm,'',formGridListeners,'','','method');


		var winTBar = [
			/*MakeButton('add','Document '+TPMS_lang_button_add,'','','','','',function(btn){
				DashBoardItemAdd();
			}),*/
			MakeButton('add','Document '+TPMS_lang_button_add,'','','','','',function(btn){
				//DashBoardItemAdd();
				//자동으로 Document가 추가 되어야 한다.

				var title = "New Document";
				var type = "Document";
				var Option5 = "";
				var Content = "Document 생성";

				var data={description:my_escape(title),method:type,chartType:Option5,content:Content};
				data.param=Option5;
				data=Ext.encode(data);
				Ext.Ajax.request({
					url : '/service/issueManager_proc.php?method=addDashBoardItem',
					method: 'POST',
					params : {
						ProjectSeq : projectSeq,
						MemberSeq : UserInfo.seq,
						Data : data
					},
					success: function ( result, request ) {
						Ext.getCmp('formGridPanel').getStore().reload();//{params:{ProjectSeq:projectSeq}});
					},
					failure: function ( result, request ) {
					}
				});
			})
			,'-',
			MakeButton('add','Chart '+TPMS_lang_button_add,'','','','','',function(btn){
				//DashBoardItemAdd();
				//자동으로 Chart가 추가되어야 한다.
				var title = "New Chart";
				var type = "Chart";
				var Option5 = "LineChart2";
				var Content = "Chart 생성";

				var data={description:my_escape(title),method:type,chartType:Option5,content:Content};
				data.param=Option5;
				data=Ext.encode(data);
				Ext.Ajax.request({
					url : '/service/issueManager_proc.php?method=addDashBoardItem',
					method: 'POST',
					params : {
						ProjectSeq : projectSeq,
						MemberSeq : UserInfo.seq,
						Data : data
					},
					success: function ( result, request ) {
						Ext.getCmp('formGridPanel').getStore().reload();//{params:{ProjectSeq:projectSeq}});
					},
					failure: function ( result, request ) {
					}
				});
			})
			,'-'
			,MakeButton('update','Data Update','','','','','',function(btn){
				var Records = Ext.getCmp('formGridPanel').selModel.getSelections();
				if(Records.length==0){
					Ext.Msg.alert(TPMS_lang_title,'수정할 아이템을 선택해 주세요!');
					return;
				}else{
					if(Records.length == 1){
						var seq = Records[0].data['seq'];
						//if(Records[0].data.method == 'Chart'){
							//DashBoardItemDataAdd(seq,Records[0].data,Records[0].data.url);
							
							//alert(Records[0].data['method']);
							//if(Records[0].data['method']=="Document"){
								//DashBoardItemDataAdd2(seq,Records[0].data);
							//}else{
								DashBoardItemDataAdd(seq,Records[0].data);
							//}
							


						//}else{
							//DashBoardItemDataAdd(seq,Records[0].data);
							//Ext.Msg.alert(TPMS_lang_title,'Chart 데이터만 수정이 가능합니다.');
						//}
					}else{
						Ext.Msg.alert(TPMS_lang_title,'하나만 선택해 주세요!');
					}
				}
			})
			,'-'
			,MakeButton('delete',TPMS_lang_button_remove,'','','','','',function(btn){
				var Records = Ext.getCmp('formGridPanel').selModel.getSelections();
				if(Records.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
					return;
				}else{
					var DataList = "";
					var IssueListSeq = Records[0].data['issueListSeq'];
					for(var i=0; i<Records.length; i++){
							DataList += Records[i].data['seq'];
						if(i+1 != Records.length){
							DataList += ",";
						}
					}
					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							var Type = 'riskItemOfIssue';
							//DeleteItem(Type,DataList);
							//alert(DataList);
								Ext.Ajax.request({
									url : '/service/issueManager_proc.php?method=deleteDashBoardItem',
									method: 'POST',
									params : {
										ProjectSeq : projectSeq,
										MemberSeq : UserInfo.seq,
										IssueListSeq : IssueListSeq,
										DataList : DataList
									},//Params,
									success: function ( result, request ) {
										//alert(result.responseText);
										Ext.getCmp('formGridPanel').getStore().reload();//{params:{ProjectSeq:projectSeq}});
									},
									failure: function ( result, request ) {
									}
								});
						}else{
							return;
						}
					}); 	
				}

			})
			,'->'
			,MakeButton('copy',TPMS_lang_button_copy,'','','','','',function(btn){
				var Records = Ext.getCmp('formGridPanel').selModel.getSelections();
				if(Records.length==0){
					Ext.Msg.alert(TPMS_lang_title,'복사할 아이템을 선택해 주세요');
					return;
				}else{
					if(Records.length == 1){
				
						//var IssueListSeq = Records[0].data['issueListSeq'];
						var	Seq = Records[0].data['seq'];
						//var Title = Records[0].data['description'];
						//alert('IssueListSeq : '+IssueListSeq+', Seq : '+Seq+', Title : '+Title);
						//var data = Records[0].data;
						//egkang:aaa
						Ext.Ajax.request({
							//url : '/service/issueManager_proc.php?method=addDashBoardItem',
							url : '/service/issueManager_proc.php?method=copyDashBoardItem',
							method: 'POST',
							params : {
								ProjectSeq : projectSeq,
								MemberSeq : UserInfo.seq,
								Seq : Seq
								//,Data : Ext.encode(data)
							},//Params,
							success: function ( result, request ) {
								Ext.getCmp('formGridPanel').getStore().reload();//{params:{ProjectSeq:projectSeq}});
								//Ext.getCmp('dashBoardItemAddWin').close();
							},
							failure: function ( result, request ) {
								Ext.getCmp('issueFormModifyWin').close(this);
							}
						});
						
					}else{
						Ext.Msg.alert(TPMS_lang_title,'하나만 선택해 주세요');
					}
				}
			})
			,'-'
			,MakeButton('save',TPMS_lang_button_save,'','','','','',function(btn){
				
				//formStore
				var Data = '';
				var store = Ext.getCmp('formGridPanel').getStore();
				for(var i=0;i<store.getCount();i++){
					var seq = store.data.items[i].json.seq;
					var checkBoxId = seq+'_checkbox';
					var checkValue = document.getElementById(checkBoxId);
					//alert(seq+", "+checkValue.checked);
					if(checkValue.checked){
						if(i+1 == store.getCount())
							Data +=seq;
						else
							Data +=seq+','
					}
				} 
			
				Ext.Ajax.request({
					url : '/service/issueManager_proc.php?method=updateDashBoardInfo',
					method: 'POST',
					params : {
						ProjectSeq : projectSeq,
						MemberSeq : UserInfo.seq,
						Data : Data
					},//Params,
					success: function ( result, request ) {
						//alert(result.responseText);
						Load_DashBoard();
						Ext.getCmp('dashBoardSetupWin').close();
					},
					failure: function ( result, request ) {
						Load_DashBoard();
					}
				});
			})
			,'-'
			,MakeButton('close',TPMS_lang_button_close,'','','','','',function(btn){				
				//Load_DashBoard();
				//Ext.getCmp('dashBoardSetupWin').close();
				//formStore
				Ext.getCmp('dashBoardSetupWin').close();				
				return;
				var Data = '';
				var store = Ext.getCmp('formGridPanel').getStore();
				for(var i=0;i<store.getCount();i++){
					var seq = store.data.items[i].json.seq;
					var checkBoxId = seq+'_checkbox';
					var checkValue = document.getElementById(checkBoxId);
					//alert(seq+", "+checkValue.checked);
					if(checkValue.checked){
						if(i+1 == store.getCount())
							Data +=seq;
						else
							Data +=seq+','
					}
				} 
				
				Ext.Ajax.request({
					url : '/service/issueManager_proc.php?method=updateDashBoardInfo',
					method: 'POST',
					params : {
						ProjectSeq : projectSeq,
						MemberSeq : UserInfo.seq,
						Data : Data
					},//Params,
					success: function ( result, request ) {
						//alert(result.responseText);
						Load_DashBoard();
						Ext.getCmp('dashBoardSetupWin').close();
					},
					failure: function ( result, request ) {
					}
				});
			})];

		var dashBoardSetupWin = new Ext.Window({
			title: TPMS_lang_button_setup,
			id:'dashBoardSetupWin',
			closable:true,
			width:550,
			height:450,
			plain:true,
			layout: 'border',
			resizable: false,
			modal: true,
			closable: false,
			items: [{ 
				region: 'center',
				xtype: 'panel',
				border:false,
				autoScroll:true,
				items:[formGridPanel]
			}]
			,tbar:winTBar
		});
		dashBoardSetupWin.show(this);
	};



	//////////////////////////////////////////////////////////
	//////												//////
	//////				Load Dash Board					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function assignIssueGridColumnHeader(RoleType)
	{
		var columnInfo = Ext.getCmp('assignIssueGridPanel').getColumnModel();
		if(RoleType == 'dashboard_issue4'){
			var defaultHeader = new Array('No',TPMS_lang_changeItem,TPMS_lang_before,TPMS_lang_after,TPMS_lang_changeDate);
			var defaultHeaderSize = new Array(30,170,80,80,80);
			for(var i=0;i<columnInfo.getColumnCount();i++){
				columnInfo.setColumnHeader(i,defaultHeader[i]);
				if(!defaultHeader[i]){
					columnInfo.setHidden(i,true);
				}else{
					columnInfo.setHidden(i,false);
					columnInfo.setColumnWidth(i,defaultHeaderSize[i]);
				}
			}
			Ext.getCmp("dashBoardItemList").setDisabled(true);
		}else{
			var defaultHeader = new Array('No',TPMS_lang_common_title,TPMS_lang_common_type,TPMS_lang_strategyLevel2,TPMS_lang_common_status,TPMS_lang_scrum_priority,TPMS_lang_scrum_severity,TPMS_lang_common_count,TPMS_lang_scrum_file,TPMS_lang_LatestDate,'');
			var defaultHeaderSize = new Array(30,100,40,40,40,40,40,40,40,80);
			
			for(var i=0;i<columnInfo.getColumnCount();i++){
				columnInfo.setColumnHeader(i,defaultHeader[i]);
				if(defaultHeader[i] != ''){
					columnInfo.setHidden(i,false);
				}else{
					columnInfo.setHidden(i,true);					
					//columnInfo.setColumnWidth(i,defaultHeaderSize[i]);
				}
			}
			Ext.getCmp("dashBoardItemList").setDisabled(false);
		}
		//alert(RoleType);
	}

	function GetAssignIssueGridPanel()
	{
		var assignIssueStore = MakeStore('/service/issueManager_proc.php?method=getAssignIssueList','',[
			'seq',
			'subject',
			'category',
			'level',
			'status',
			'priority',
			'severity',
			'updateDate',
			'regDate',
			'issueTextCnt',
			'filecnt',
			'issueUserSeq',
			'historyCategory',
			'issue_seq',
			'issue_text_seq'
		],{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq,RoleType:'0',statusCloseChk:UserInfo.CloseView,start:0, limit:10});

		var Cm = new Ext.grid.ColumnModel([
				{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
				{header: TPMS_lang_common_title, dataIndex: 'subject', sortable: true, width: 100,renderer: function(val, meta, record){return my_unescape(renderHistoryCategory(val));}},
				{header: TPMS_lang_common_type, dataIndex: 'category', sortable: true, width: 40,renderer:renderCategoryName},//GetAssignIssueList
				{header: TPMS_lang_strategyLevel2, dataIndex: 'level', sortable: true, width: 40},
				{header: TPMS_lang_common_status, dataIndex: 'status', sortable: true, width: 40},
				{header: TPMS_lang_scrum_priority, dataIndex: 'priority', sortable: true, width: 40, hidden:false },
				{header: TPMS_lang_scrum_severity, dataIndex: 'severity', sortable: true, width: 40, hidden:false },
				{header: TPMS_lang_common_count, dataIndex: 'issueTextCnt', sortable: true, width: 40},
				{header: TPMS_lang_scrum_file, dataIndex: 'filecnt', sortable: true, width: 40},
				{header: TPMS_lang_LatestDate, dataIndex: 'updateDate',sortable: true, width: 80, hidden:false,
						renderer: function(val, meta, record){	
							var toDay=new Date(); 
							var date = val.substr(0,10); 
							var time = val.substr(11,19); 
							if(toDay.format('Y-m-d')==date){
								val=time;
							}else{
								val=date;
							} 
							return renderHistoryCategory(val);
						} 
					},
				//{header: TPMS_lang_updateDate, dataIndex: 'updateDate', sortable: true, width: 80, hidden:false },
				{header: 'AssignSeq', dataIndex: 'issueUserSeq', sortable: false, width: 40, hidden:true }
				//{header: TPMS_lang_common_createdDate, dataIndex: 'regDate', sortable: true, width: 80}
			]);
		
		var assignIssueGridListeners = {
			scope : this,
			rowdblclick: function(grid){
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
					//Ext.getCmp('infoTab').setActiveTab('issueMainPanel');
					var seq="";
					if(seldata.issue_seq){
						seq=seldata.issue_seq;
					}else{
						seq=seldata.seq;
					}
					
					//Load_IssueDetailInfo(seq);					
					ViewItemInfo(RoleType,seq,assignIssueStore,seldata.issue_text_seq);
					
					/*


					//LoadingMsg('IssueDetailInfoPanel');
					Ext.getCmp('riskItemGridPanel').getStore().load({params:{ProjectSeq:projectSeq,IssueListSeq:seq}});
					Ext.getCmp('issueFilesGridPanel').getStore().load({params:{ProjectSeq:projectSeq,IssueListSeq:seq}});
					Ext.getCmp('issueUsersGridPanel').getStore().load({params:{ProjectSeq:projectSeq,IssueListSeq:seq}});

					var selectItem = grid.selModel.getSelections();
					if(selectItem.length==0) return;
					var seq = selectItem[0].data['seq'];
					var subject = selectItem[0].data['subject'];
					var description = selectItem[0].data['description'];

					var status = selectItem[0].data['status'];
					var priority = selectItem[0].data['priority'];
					var severity = selectItem[0].data['severity'];

					var regDate = selectItem[0].data['regDate'];
					var updateDate=selectItem[0].data['updateDate'];

					Ext.getCmp('issueItemSeq-hidden').setValue(seq);
					Ext.getCmp('issue-name').setValue(subject.replace(/\\\"/g,"\""));
					//Ext.getCmp('issue-description').setValue(description);
					Ext.getCmp('issue-status').setValue(status);
					Ext.getCmp('issue-priority').setValue(priority);
					Ext.getCmp('issue-severity').setValue(severity);
					Ext.getCmp('issue-regDate').setValue(regDate);
					Ext.getCmp('issue-updateDate').setValue(updateDate);

					Ext.getCmp('issueGridPanel').getSelectionModel().selectRow(0);
					*/
				}
			},
			rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					if(selectItem.length==0) return;
			}
		};
	
		TBar = [
			MakeButton('',TPMS_lang_assignedIssue,'dashboard_issue1_Btn','','','','',function(btn){
				RoleType = 'dashboard_issue1';
				assignIssueGridColumnHeader(RoleType);
				Ext.getCmp('assignIssueGridPanel').getStore().reload({params:{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq,RoleType:'1',statusCloseChk:UserInfo.CloseView,start:0, limit:10}});
				this.disable(true);
				Ext.getCmp('dashboard_issue0_Btn').enable(true);
				Ext.getCmp('dashboard_issue2_Btn').enable(true);
				Ext.getCmp('dashboard_issue3_Btn').enable(true);
				Ext.getCmp('dashboard_issue4_Btn').enable(true);
			}),'-'
			,MakeButton('',TPMS_lang_referedIssue,'dashboard_issue2_Btn','','','','',function(btn){
				RoleType = 'dashboard_issue2';
				assignIssueGridColumnHeader(RoleType);
				Ext.getCmp('assignIssueGridPanel').getStore().reload({params:{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq,RoleType:'2',statusCloseChk:UserInfo.CloseView,start:0, limit:10}});
				this.disable(true);
				Ext.getCmp('dashboard_issue0_Btn').enable(true);
				Ext.getCmp('dashboard_issue1_Btn').enable(true);
				Ext.getCmp('dashboard_issue3_Btn').enable(true);
				Ext.getCmp('dashboard_issue4_Btn').enable(true);
			}),'-'
			,MakeButton('',TPMS_lang_reportIssue,'dashboard_issue0_Btn','','','','',function(btn){
				RoleType = 'dashboard_issue0';
				assignIssueGridColumnHeader(RoleType);
				Ext.getCmp('assignIssueGridPanel').getStore().reload({params:{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq,RoleType:'0',statusCloseChk:UserInfo.CloseView,start:0, limit:10}});
				this.disable(true);
				Ext.getCmp('dashboard_issue1_Btn').enable(true);
				Ext.getCmp('dashboard_issue2_Btn').enable(true);
				Ext.getCmp('dashboard_issue3_Btn').enable(true);
				Ext.getCmp('dashboard_issue4_Btn').enable(true);
			}),'-'
			,MakeButton('',TPMS_lang_attentions,'dashboard_issue3_Btn','','','','',function(btn){
				RoleType = 'dashboard_issue3';
				assignIssueGridColumnHeader(RoleType);
				Ext.getCmp('assignIssueGridPanel').getStore().reload({params:{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq,RoleType:'3',statusCloseChk:UserInfo.CloseView,start:0, limit:10}});
				this.disable(true);
				Ext.getCmp('dashboard_issue0_Btn').enable(true);
				Ext.getCmp('dashboard_issue1_Btn').enable(true);
				Ext.getCmp('dashboard_issue2_Btn').enable(true);
				Ext.getCmp('dashboard_issue4_Btn').enable(true);
			}),'-'
			,MakeButton('',TPMS_lang_latestIssue,'dashboard_issue4_Btn','','','','',function(btn){
				RoleType = 'dashboard_issue4';

				assignIssueGridColumnHeader(RoleType);
				
				Ext.getCmp('assignIssueGridPanel').getStore().reload({params:{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq,RoleType:'4',statusCloseChk:UserInfo.CloseView,start:0, limit:10}});
				//Ext.getCmp('assignIssueGridPanel').hide();
				//Ext.getCmp('assignIssueGridPanel').setColumnModel(Cm1);

				
				//alert(test.getColumnCount());
				
				//alert(Ext.getCmp('assignIssueGridPanel').getColumnModel());

				//Ext.getCmp('assignIssueGridPanel').setColumnModel(Cm1); 
				//Ext.getCmp('assignIssueGridPanel').doLayout(false,true);
						   

				//Ext.getCmp('assignIssueGridPanel').doLayout(true,true);		


				this.disable(true);
				Ext.getCmp('dashboard_issue0_Btn').enable(true);
				Ext.getCmp('dashboard_issue1_Btn').enable(true);
				Ext.getCmp('dashboard_issue2_Btn').enable(true);
				Ext.getCmp('dashboard_issue3_Btn').enable(true);
			}),'->',
			MakeButton('add',TPMS_lang_issue_regist,'issueViewAdd_Btn','','','','',function(btn){
				//두번째 tab으로 이동을 하게 한다.
				UserInfo['tab_id']='1';//infoTab
				Ext.getCmp("infoTab").setActiveTab(1);				
				IssueWriteWindow();					
			}),'-'
			,MakeButton('',TPMS_lang_issue2TaskItem,'dashboard_issue_ToScrum_Btn','icon-folder-add','','','',function(btn){
					var issueItemSeqList='';
					if(Ext.getCmp('assignIssueGridPanel')){
						var issueItemRecords = Ext.getCmp('assignIssueGridPanel').selModel.getSelections();

						if(issueItemRecords.length==0){
							Ext.Msg.alert(TPMS_lang_title,"Select Item!");
							return;
						}else{
							
							var itemCnt = 0;
							for(var i=0; i<issueItemRecords.length; i++){
								issueItemSeqList += issueItemRecords[i].data['issueUserSeq']+",";
								itemCnt++;
							}
						}								
					}
					//alert(issueItemSeqList);
					Ext.Ajax.request({ 
						scope : this,
						url:'/service/issueManager_proc.php?method=toScrum',
						params : {ProjectSeq : projectSeq,DataList:issueItemSeqList,MemberSeq:UserInfo.seq} , 
						method : 'POST',
						success : function(rsp, opt) {
							//alert(rsp.responseText);
							//var role={'dashboard_issue0':0,'dashboard_issue1':1,'dashboard_issue2':2,'dashboard_issue3':3};
							//Ext.getCmp('assignIssueGridPanel').getStore().reload({params:{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq,RoleType:role[RoleType],start:0, limit:10}});
						}
					});

			}),'-'
			,MakeButton('delete',TPMS_lang_button_remove,'dashboard_issue_del_Btn','','','','',function(btn){
					var issueItemSeqList='';
					if(Ext.getCmp('assignIssueGridPanel')){
						var issueItemRecords = Ext.getCmp('assignIssueGridPanel').selModel.getSelections();

						if(issueItemRecords.length==0){
							Ext.Msg.alert(TPMS_lang_title,"Select Item!");
							return;
						}else{
							
							var itemCnt = 0;
							for(var i=0; i<issueItemRecords.length; i++){
								issueItemSeqList += issueItemRecords[i].data['issueUserSeq']+",";
								itemCnt++;
							}
						}								
					}
					//alert(issueItemSeqList);

					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							Ext.Ajax.request({ 
								scope : this,
								url:'/service/issueManager_proc.php?method=cancelAssign',
								params : {ProjectSeq : projectSeq,DataList:issueItemSeqList,MemberSeq:UserInfo.seq} , 
								method : 'POST',
								success : function(rsp, opt) {
									var role={'dashboard_issue0':0,'dashboard_issue1':1,'dashboard_issue2':2,'dashboard_issue3':3};
									Ext.getCmp('assignIssueGridPanel').getStore().reload({params:{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq,RoleType:role[RoleType],start:0, limit:10}});
								}
							});	
						}else{
							return;
						}
					});
			})
			//,MakeButton(Type,Title,Id,Icon,Store,Height,Width,Handler)
			];

		BBar = ['->',getStatusCloseChk('dashBoardItemList'),'-',new Ext.PagingToolbar({
			pageSize: 10,
			store: assignIssueStore,
			displayInfo: true,
			//plugins: [new Ext.ux.PageSizePlugin()],
			displayMsg: 'Total: {0} - {1} of {2}',
			//   displayMsg: 'Total: {2} 中 {0} - {1}',
			emptyMsg: "No Data",
			doLoad: function(start) {
				var o = this.store.lastOptions.params;
				var pn = this.getParams();
				o[pn.start] = start;
				o[pn.limit] = this.pageSize;
				if (this.fireEvent('beforechange', this, o) !== false) {
					this.store.load({
						params: o
					});
				}
			}
		})];

		var Id = 'assignIssueGridPanel';
		var assignIssueGridPanel = MakeGridPanel('',Id,assignIssueStore,document.body.clientWidth-25,'310',Cm,'',assignIssueGridListeners,TBar,BBar);
			assignIssueGridPanel.ddGroup = 'assignIssueGridDD';
			assignIssueGridPanel.enableDragDrop = true;

		//assignIssueGridPanel.layout = 'fit';
		return assignIssueGridPanel;
	}

	function Load_DashBoard()
	{
		Ext.Ajax.request({ 
			scope : this,
			url:'/service/issueManager_proc.php?method=getDashBoardInfo',
			params : {ProjectSeq : projectSeq,MemberSeq:UserInfo.seq} , 
			method : 'POST',
			success : function(rsp, opt) {				
				ItemList = Ext.decode(rsp.responseText).data;
				var Chart = Ext.getCmp('dashBoardForm');
				
				var Title='test';
				var Width=document.body.clientWidth/5.0;
				var Height=Width;	
				
				chartArray = Array();
				rowsArray = Array();

				var Store1=MakeStore('/service/issueManager_proc.php?method=getIssuePriorityCount&ProjectSeq='+projectSeq,'',['name','value1'],'');
				//var myPieChart1=PieChart('Priority',Width,Height,Store1,'value1','name',true,"myPieChart1");
				var myPieChart1=PieChart2(Store1,'','Priority',false,'myPieChart1','','',Width,Height);
				chartArray.push("myPieChart1");

				var Store2=MakeStore('/service/issueManager_proc.php?method=getIssueSeverityCount&ProjectSeq='+projectSeq,'',['name','value1'],'');
				//var myPieChart2=PieChart('Severity',Width,Height,Store2,'value1','name',true,"myPieChart2");
				var myPieChart2=PieChart2(Store2,'','Severity',false,'myPieChart2','','',Width,Height);
				chartArray.push("myPieChart2");

				var Store3=MakeStore('/service/issueManager_proc.php?method=getIssueStatusCount&ProjectSeq='+projectSeq,'',['name','value1'],'');
				//var myPieChart3=PieChart('Status',Width,Height,Store3,'value1','name',true,"myPieChart3");
				var myPieChart3=PieChart2(Store3,'','Status',false,'myPieChart3','','',Width,Height);
				chartArray.push("myPieChart3");

				var myPieChart4={id:'dashboard_chart_4',width:Width,height:Height};
				var Store4=MakeStore('/service/issueManager_proc.php?method=getIssuePresentCount&ProjectSeq='+projectSeq,'',['name','value1','value2','value3'],'');
				chartArray.push("dashboard_chart_4");

				Store4.on('load', function(store , record, option){
					var StoreHeader=Store4.reader.jsonData.header;
					var defaultChar4 = StarChart(store,StoreHeader,'Present',false,'myPieChart4',Width,Height);
					//var defaultChar4 = LineChart3(store,StoreHeader,'',false,'myPieChart4',Width,Height);
					chartArray.push("myPieChart4");
					defaultChar4.width = Width;
					defaultChar4.height = Height;
					Ext.getCmp('dashboard_chart_4').add(defaultChar4);					
					Ext.getCmp('dashboard_chart_4').doLayout(true,false);					
				});
				


				//var StoreHeader=Ext.decode(Store4);
				//StoreHeader=new Array();

				//var myAssignIssuePanel = MakePanel('','','panel','','myAssignIssue','100%',document.body.clientWidth-25,GetAssignIssueGridPanel(),'','','');
				var myAssignIssuePanel = MakePanel('','','panel','','myAssignIssue','100%',document.body.clientWidth-25,GetAssignIssueGridPanel(),'','','');
				Ext.getCmp('dashboard_issue0_Btn').disable(true);
				var Chart = Ext.getCmp('dashBoardForm');
				
				Chart.removeAll();
				Chart.add(myAssignIssuePanel);
				var ItemArray=Array();
				var ItemArray1=Array();
				ItemArray1.push(myPieChart1);
				ItemArray1.push(myPieChart2);
				ItemArray1.push(myPieChart3);
				ItemArray1.push(myPieChart4);
				
				
				//Chart.add(MakeColumnLayout('',ItemArray,'700','',''));
				for(var i=0;i<ItemList.length;i++)
				{
					id = "user-defined_"+i;
					if(ItemList[i].view_cnt == 1){
						
						if(ItemList[i].method == 'Document'){
							var reportForm="";
							var reportFormData=null;
							var url=(ItemList[i].url);
							if(url.indexOf('{')==0){
							reportFormData=Ext.decode(url);
							}
							if(reportFormData!=null){
							if(typeof reportFormData.content !='undefined' )
								reportForm = my_unescape(reportFormData.content.replace(/\t/g,'').replace(/\\n/g,'\n')).replace(/&quot;/g,'\"');//ReportForm();
							}
							else
								reportForm = my_unescape(ItemList[i].url.replace(/\t/g,'').replace(/\\n/g,'\n')).replace(/&quot;/g,'\"');//ReportForm();
							var type = '';
							//var itemId = ItemList[i].seq;
							//alert(ItemList[i].description);
							var note = MakeNote(ItemList[i],reportForm,type);
							Chart.add(note);
						}else if(ItemList[i].method == 'Chart'){
							var seq = Ext.decode(ItemList[i].seq);
							var dataA=Ext.decode(ItemList[i].url);
							dataA.fields=[];
							for(var item in dataA.header){
								dataA.fields.push(item);
							}
							//dataA.fields=['name', 'value1', 'value2','value3'];
							var chartstore=new Ext.data.JsonStore(dataA);

							var title=ItemList[i].description;
							
							var chart=MakeChartPanel(ItemList[i].param,chartstore,dataA.header,title,id,seq,ItemList[i]);
							if(dataA.header){
								chart.dataHeader=dataA.header;
							}
							chart.width=document.body.clientWidth/5.0;
							chart.height=Height;
							chart.border=false;
							
							ItemArray1.push(chart);
						}else{}
					}
				}
				var j=0;
				var columnRowsID="";
				var separateColum = "";

				var chartID = Array();

				//컬럼의 사이즈도 변경을 해주어야 한다.
				for(var i=0;i<ItemArray1.length;i++){
					ItemArray.push(ItemArray1[i]);
					if((i+1)%4==0 && i>0){
						columnRowsID = "chartRow"+j;
						
						if(i+1==4){							
							var defaultChart = MakeColumnLayout(columnRowsID,ItemArray,'100%',Height+50,'','padding:20px',true,'Default Chart');
							
							defaultChart.titleCollapse = true;
							Chart.add(defaultChart);
						}else{
							Chart.add(MakeColumnLayout(columnRowsID,ItemArray,'100%',Height+50,'','padding:20px',false,'',true));
							for(var k=0;k<ItemArray.length;k++){
								chartArray.push(ItemArray[k].id);
							}
						}
						rowsArray.push(columnRowsID);
						j++;
						ItemArray=new Array();
					}
				}
				if(ItemArray.length){
					for(var i=0;i<ItemArray.length;i++){
						chartArray.push(ItemArray[i].id);
					}
					columnID = "chartRow"+j;
					rowsArray.push(columnID);	
					Chart.add(MakeColumnLayout(columnID,ItemArray,'100%',Height+50,'','padding:20px;',false,'',true));
				}

				Chart.autoScroll = true;
				Chart.doLayout(false,true);
			}
		});
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				Get Dash Board					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function GetDashBoard(){
		var myRecord = Ext.data.Record.create([   
			{name:'userSeq'},   
			{name:'userNick'}   
		]);   
		var rec = new Array();
		rec[0] = new myRecord({
			userSeq:'0',
			userNick:'ALL'
		});

		function IssueGrid_ReLoad(){
			var type=0;
			var userSeq = 0;
			var dashBoardLevel=0;
			
			if(Ext.getCmp('searchDashBoardStrategy_Level').getValue() != "ALL"){
				dashBoardLevel = Ext.getCmp('searchDashBoardStrategy_Level').getValue();
			}			
			switch (RoleType)
			{
				case "dashboard_issue1":
					type=1;
					break;
				case "dashboard_issue2":
					type=2;
					break;
				case "dashboard_issue3":
					type=3;
					break;				
			}
			if(Ext.getCmp('projectMember_cbo').getValue() != "ALL"){
				userSeq = Ext.getCmp('projectMember_cbo').getValue();
			}
			
			if(userSeq < 1){
				userSeq = UserInfo.seq;				
			}			
			Ext.getCmp('assignIssueGridPanel').getStore().reload({params:{ProjectSeq:projectSeq,MemberSeq:userSeq,RoleType:type,start:0, limit:10,strategyLevel:dashBoardLevel,statusCloseChk:UserInfo.CloseView}});
		}
		
		function ResultPassWd_dashboard(btn, passwd){//kslovee
			if(passwd.length >0 && btn == 'ok'){
				Ext.Ajax.request({
					url : '/service/issueManager_proc.php?method=isPasswdSuccess',
					method: 'POST',
					params :{ 
						ProjectSeq : projectSeq,
						ProjectPw : passwd
					},
					success: function ( resp, opt ) {
						if(Ext.decode(resp.responseText).data[0].cnt > 0){//관리 권한 획득							
							Ext.getCmp('getAdminReceive').setValue(true);
							Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_imsiAdminSuccess);
							set_cookie("imsiAdmin", true);
							Ext.getCmp('projectMember_cbo').setVisible(true);
						}else{//패스워드 불일치, 메시지, 체크 해제			
							Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_passwdFailure);
							Ext.getCmp('getAdminReceive').setValue(false);
						}
					},
					failure: function ( resp, opt ) {
					}
				});
			}else{
				Ext.getCmp('getAdminReceive').setValue(false);
			}
		};

		
		
		var dashBoardTBar = [
			MakeItem('','combo',TPMS_lang_strategyLevel2,'searchDashBoardStrategy_Level',dashBoardLevelStore,'','30',{select:function(){IssueGrid_ReLoad();}},'ALL',['levelSeq','level'])
			,'-'
			,MakeItem('','combo',TPMS_lang_strategyLevel2,'projectMember_cbo',projectMemberStore,'','30',{select:function(){IssueGrid_ReLoad();}},'',['userSeq','userNick'],!isIssueAdmin())
			
			,'->',{
				xtype:'checkbox',
				disabled:((UserInfo.UserRole & 4)==4 || UserInfo.UserId =='admin')?true:false,
				id: 'getAdminReceive',
				anchor:'98%',
				boxLabel: TPMS_lang_acquireAdministrator,
				checked   : isIssueAdmin(),
				handler:function(){
					var checkbox = Ext.getCmp('getAdminReceive');

					if(checkbox.checked){
						Ext.MessageBox.prompt('PassWord', 'Please enter PassWord:', ResultPassWd_dashboard);
					}else if(get_cookie('imsiAdmin') == 'true'){//해제를 하는 것이니 쿠키를 삭제를 해주면 된다.
						Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_imsiAdminCancel);
						delete_cookie('imsiAdmin');
						Ext.getCmp('projectMember_cbo').setVisible(false);
					}					
				}
			},
			MakeButton('update',TPMS_lang_button_setup,'','','','','',
				function(btn){					
					dashBoardSetupWin();
			})];
		
		var dashBoardForm = {width:document.body.clientWidth-25, border:false, id:'dashBoardForm',autoScroll:true,html:'<div></div>'};
		var dashboard = MakePanel('','','panel','','dashboard','',document.body.clientWidth,dashBoardForm,'',dashBoardTBar,'','');
		dashboard.autoScroll = true;

		return dashboard;
	}

	var dashBoardTab = [MakePanel('center','fit','panel',TPMS_lang_dashBoard,'dashBoardTab','','',GetDashBoard(),'','','')];
	


	//////////////////////////////////////////////////////////
	//////												//////
	//////				Add Item Window					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function DashBoardItemAdd(itemData)
	{
		//alert(itemData);
		if(Ext.getCmp('dashBoardItemAddWin')){
			Ext.getCmp('dashBoardItemAddWin').close();
		}

		var ItemArray = new Array();
		var Listeners = '';
		ItemArray.push('Document');
		ItemArray.push('Chart');
		

		var storeData=[[0, 'aaa'],[1, 'bbb'],[2, 'ccc']];		
		var Store = new Ext.data.SimpleStore({
			 fields:['Key', 'Name']
			,data:storeData
		});

		var Id='',Height='',Width='100%',Listeners='',Value='',Option='';
		
		var typeListeners = {
			check : function(){				
				var type = Ext.getCmp('type').items.get(0).getGroupValue();
				if(type){ 
					var value = Ext.getCmp('type').getValue();	
					
					if(type == 'Document'){
						Ext.getCmp('hiddenPanel').hide(true);
					}else{
						Ext.getCmp('hiddenPanel').show(true);
					}
				}
			}			
		};

		///////////////////////////////////////////////
		//간격 store
		var ChartTurmStore = new Ext.data.SimpleStore({
			 fields:['Key', 'Name']
			,data:[['day', '일'],['week', '주'],['month', '월'],['year', '년']]
		});
		//차트종류 store
		var ChartTypeStore = new Ext.data.SimpleStore({
			 fields:['Key', 'Name']
			,data:[['LineChart2', 'LineChart2'],['ColumnChart', 'ColumnChart'],['PieChart', 'PieChart'],['StackedBarChart', 'StackedBarChart'],['PlotChart', 'PlotChart'],['StarChart', 'StarChart']]
		});
		///////////////////////////////////////////////

		var TypeItem = MakeItem('','radio',		'TYPE','type',ItemArray,'','95%',typeListeners,'','');
		var TitleItem = MakeItem('','textfield',TPMS_lang_common_title,'title','',Height,Width,Listeners,Value,Option);
		//var TimeTypeItem = MakeItem('','checkbox',		'실시간 데이터','timeType','',Height,Width,Listeners,0,'');

		var Option2Item = MakeItem('','datefield',TPMS_lang_startDate,'Option2','',Height,Width,Listeners,Value,Option);
		var Option3Item = MakeItem('','datefield',TPMS_lang_endDate,'Option3','',Height,Width,Listeners,Value,Option);
		var Option4Item = MakeItem('','combo','간격','Option4',ChartTurmStore,Height,Width,Listeners,'day',Option);
		var Option5Item = MakeItem('','combo','차트종류','Option5',ChartTypeStore,Height,Width,Listeners,'',Option);
		
		var Option6Item = MakeItem('','textarea',TPMS_lang_common_description,'Option6','',Height,Width,Listeners,Value,Option);
		
		//var Option4Item = MakeItem('','checkbox',	'Option4','Option4','',Height,Width,Listeners,Value,Option);
		//var Option5Item = MakeItem('','radio',		'Option5','Option5','',Height,Width,Listeners,Value,Option);
		

		var Items = [Option2Item,Option3Item,Option4Item,Option5Item,Option6Item];
		
		var HiddenPanel = MakePanel('','form','panel','','hiddenPanel','','',Items,'','','');
		HiddenPanel.bodyStyle = 'padding:5px;';
		HiddenPanel.hidden = true;
		//Option2Item = true;
		//Option3Item = true;
		//Option4Item = true;
		//Option5Item = true;
		//Option6Item = true;

		var Items = [TypeItem,TitleItem];//TimeTypeItem//,Option2Item,Option3Item,Option4Item,Option5Item,Option6Item];

		var Region='',Layout='form',Xtype='',Title='',Id='',Height='',Width='',Listeners='',TBar='',BBar='';
		var formPanel = MakePanel(Region,Layout,Xtype,Title,Id,Height,Width,Items,Listeners,TBar,BBar);
		
		var winTBar = ['->'
			,MakeButton('save',TPMS_lang_button_apply,'','','','','',function(btn){
				var type = Ext.getCmp('type').items.get(0).getGroupValue();
				if(!type){ 
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_validateinMsg3); return; 
				}
				var title = Ext.getCmp('title').getValue();
				var Option2 = (Ext.getCmp('Option2').getValue());//시작일
				var Option3 = (Ext.getCmp('Option3').getValue());//끝일
				var Option4 = Ext.getCmp('Option4').getValue();//간격
				var Option5 = Ext.getCmp('Option5').getValue();//차트종류
				//var Option6 = Ext.getCmp('Option6').getValue();
				
				//var data = "type : "+type+", title :"+title+", Option2 : "+Option2
				//	+", Option3 : "+Option3+", Option4 : "+Option4+", Option5 : "+Option5+", Option6 : "+Option6;
				
				var data={IssueListSeq:UserInfo.ShowIssueSeq,description:my_escape(title),method:type,chartType:Option5,startDate:Option2,endDate:Option3,delta:Option4};
				//alert(data);
				//egkang:bbb

				if(itemData){
					//Ext.Msg.alert(TPMS_lang_title,'수정 내용 저장');
					//alert(itemData['seq']);
					//alert(data);
					//return;					
					data.param=Option5;
					data=Ext.encode(data);
					Ext.Ajax.request({
						url : '/service/issueManager_proc.php?method=updateIssueText',
						method: 'POST',
						params : {
							ProjectSeq : projectSeq,
							MemberSeq : UserInfo.seq,
							Seq: itemData['seq'],
							Data : data
						},//Params,
						success: function ( result, request ) {
							Ext.getCmp('formGridPanel').getStore().reload();//{params:{ProjectSeq:projectSeq}});
							Ext.getCmp('dashBoardItemAddWin').close();
						},
						failure: function ( result, request ) {
							Ext.getCmp('issueFormModifyWin').close(this);
						}
					});					
				}else{
					data=Ext.encode(data);
					Ext.Ajax.request({
						url : '/service/issueManager_proc.php?method=addDashBoardItem',
						method: 'POST',
						params : {
							ProjectSeq : projectSeq,
							MemberSeq : UserInfo.seq,
							Data : data
						},//Params,
						success: function ( result, request ) {
							Ext.getCmp('formGridPanel').getStore().reload();//{params:{ProjectSeq:projectSeq}});
							Ext.getCmp('dashBoardItemAddWin').close();
						},
						failure: function ( result, request ) {
							Ext.getCmp('issueFormModifyWin').close(this);
						}
					});					
				}
			}),'-'
			,MakeButton('close',TPMS_lang_button_cancel,'','','','','',function(btn){
				Ext.getCmp('dashBoardItemAddWin').close();
			})];
		
		var dashBoardItemAddWin = new Ext.Window({
			title: '아이템 추가',
			id:'dashBoardItemAddWin',
			closable:false,
			width:550,
			height:450,
			plain:true,
			layout: 'border',
			resizable: false,
			modal: true,
			items: [{ 
				region: 'center',
				xtype: 'panel',
				border:false,
				autoScroll:true,
				items:[
					//MakeColumnLayout('',ItemArray,'','',''),
						formPanel
						,HiddenPanel
					]
			}]
			,tbar:winTBar
		});

		dashBoardItemAddWin.show(this);
		
		if(itemData){
			Ext.getCmp('dashBoardItemAddWin').setTitle('아이템 수정');
			Ext.getCmp('type').setValue(itemData.method);
			Ext.getCmp('type').disable(true);

			Ext.getCmp('title').setValue(itemData.description);

			//기본값을 셋팅해 준다.	Option2 = 시작일,Option3 = 종료일,Option4 = 간격,Option5 = 차트종류,Option6 = 설명
			Ext.getCmp('Option2').disable(true);
			Ext.getCmp('Option3').disable(true);
			Ext.getCmp('Option4').disable(true);
			Ext.getCmp('Option5').setValue(itemData.param);
		}		
	}

	var DashBoardItemEditData = function(Seq){
		
		var Id='',Height='',Width='100%',Listeners='',Value='',Option='';
		var ChartTurmStore = new Ext.data.SimpleStore({
			 fields:['Key', 'Name']
			,data:[['day', '일'],['week', '주'],['month', '월'],['year', '년']]
		});

		var detailCategoryStore = new Ext.data.SimpleStore({
			 fields:['Key', 'Name']
			,data:[['risk', '리스크 영역']]
		});

		var riskAreaStore = new Ext.data.SimpleStore({
			 fields:['Key', 'Name']
			,data:[['1', 'STA'],['2', 'STTA'],['3', 'ITA'],['4', 'FTA']]
		});

		var DataTypeStore = new Ext.data.SimpleStore({
			 fields:['Key', 'Name']
			,data:[['1', '이슈 상태'],['2', '이슈 심각도'],['3', '이슈 우선순위'],['4', '사용자 정의']]
		});

		var EditTypeStore = new Ext.data.SimpleStore({
			 fields:['Key', 'Name']
			,data:[['Accumulate', '현 상태'],['Date', '시간에 따른 추이']]
		});

		//var issueCategoryStore = MakeStore('/service/issueManager_proc.php?method=getCategoryList','',['categorySeq','categoryName'],{ProjectSeq:projectSeq});
		var issueCategoryStore = MakeStore('/service/issueManager_proc.php?method=getIssueCategoryProject','',['categorySeq','name'],{ProjectSeq:projectSeq});
		var ArticleStore=MakeStore('/service/issueManager_proc.php?method=getArticleList&ProjectSeq='+projectSeq,'',['seq','name'],'');
		//dr[0].data['levelSeq']
		//dashBoardLevelStore.on('load',function(s,dr,option){
			//alert('t');
		//});	
		

		issueCategoryStore.on('load',function(s,dr,option){Ext.getCmp('Edit1Item').setValue(0);});	
		ArticleStore.on('load',function(s,dr,option){Ext.getCmp('Edit2Item').setValue(1);});	
		
		var Edit0Item = MakeItem('','combo',TPMS_lang_strategyLevel2,'Edit0Item',dashBoardLevelStore,Height,Width,Listeners,'',['levelSeq','level']);
		var Edit1Item = MakeItem('','combo',TPMS_lang_common_type,'Edit1Item',issueCategoryStore,Height,Width,Listeners,'',['categorySeq','name']);
		var Edit2Item = MakeItem('','combo','Data 항목','Edit2Item',ArticleStore,Height,Width,{
			select:function(){				
				if(Ext.getCmp('Edit3Item').getValue()=='Date'){
					Ext.getCmp("Edit4Item").setDisabled(false);
					Ext.getCmp("Edit5Item").setDisabled(false);
					Ext.getCmp("Edit6Item").setDisabled(false);
				}else{
					Ext.getCmp("Edit4Item").setDisabled(true);
					Ext.getCmp("Edit5Item").setDisabled(true);
					Ext.getCmp("Edit6Item").setDisabled(true);
				}
			}
		},'',['seq','name']);//
		//Ext.getCmp('Edit0Item').setValue(0);

		//var Edit3Item = MakeItem('','combo','Type','Edit3Item',EditTypeStore,Height,Width,Listeners,'Date',Option);
		var Edit3Item = MakeItem('','combo','Type','Edit3Item',EditTypeStore,Height,Width,{
			select:function(){				
				if(Ext.getCmp('Edit3Item').getValue()=='Date'){
					Ext.getCmp("Edit4Item").setDisabled(false);
					Ext.getCmp("Edit5Item").setDisabled(false);
					Ext.getCmp("Edit6Item").setDisabled(false);
				}else{
					Ext.getCmp("Edit4Item").setDisabled(true);
					Ext.getCmp("Edit5Item").setDisabled(true);
					Ext.getCmp("Edit6Item").setDisabled(true);
				}
			}
		},'Accumulate',Option);
		
		var Edit4Item = MakeItem('','datefield',TPMS_lang_startDate,'Edit4Item','',Height,Width,Listeners,Value,'');
		var Edit5Item = MakeItem('','datefield',TPMS_lang_endDate,'Edit5Item','',Height,Width,Listeners,Value,'');
				
		var Edit6Item = MakeItem('','combo','간격','Edit6Item',ChartTurmStore,Height,Width,Listeners,'day',Option);

		var Items = [Edit0Item,Edit1Item,Edit2Item,Edit3Item,Edit4Item,Edit5Item,Edit6Item];
		
		var Edit8Item = MakeItem('','combo',TPMS_lang_set_detail,'Edit8Item',detailCategoryStore,Height,Width,{
			select:function(){
				Ext.getCmp("Edit9Item").setDisabled(false);
				
				/*emptyStore.removeAll();				
				Ext.getCmp("Edit9Item").setValue("Select a state...");
				
				
				
				if(Ext.getCmp('Edit8Item').getValue() == 'risk'){					
					Ext.Ajax.request({
						url : '/service/issueManager_proc.php?method=getRiskLevelName',
						method: 'POST',
						params : {							
						},
						success: function ( result, request ) {
							var riskVal = Ext.decode(result.responseText);
							for(var i=0;i<riskVal.data.length;i++){
								emptyStore.add(new (emptyStore.recordType)({Key:riskVal.data[i].riskLevel,Name:riskVal.data[i].name}));
							}
						},
						failure: function ( result, request ) {}
					});
				}else if(Ext.getCmp('Edit8Item').getValue() == 'member'){
					Ext.Ajax.request({
						url : '/service/issueManager_proc.php?method=getIssueProjectMemberList',
						method: 'POST',
						params : {							
							ProjectSeq : projectSeq
						},
						success: function ( result, request ) {
							var riskVal = Ext.decode(result.responseText);
							for(var i=0;i<riskVal.data.length;i++){
								emptyStore.add(new (emptyStore.recordType)({Key:riskVal.data[i].seq,Name:riskVal.data[i].userNick}));
							}
						},
						failure: function ( result, request ) {}
					});
				}*/

			}
		},'Select a state...','');
		
		var Edit9Item = MakeItem('','combo',TPMS_lang_domain_riskAreaName,'Edit9Item',riskAreaStore,Height,Width,Listeners,'1','');
		var detailItems = [Edit9Item];

		var centerPanel = {
			region: 'center',
			xtype: 'panel',
			border:false,
			bodyStyle:'padding:20px;',
			autoScroll:true,
			items:[{
				xtype: 'fieldset',
				title: 'Select Data',
				id : 'defaultForm',
				anchor:'95%',
				items:Items
			},{
				xtype: 'fieldset',
				id : 'riskArea_fieldset',
				title: TPMS_lang_riskArea,
				checkboxToggle:true,						
				style:'margin-top:10px',
				collapsed: true,
				anchor:'95%',
				items:detailItems
			}
			],
			tbar:['->',{
				xtype: 'button',
				iconCls: 'icon-save',
				text: TPMS_lang_button_apply,
				handler: function() {
					//var Store1=MakeStore('/service/issueManager_proc.php?method=getIssuePriorityCount&ProjectSeq='+projectSeq,'',['name','value1'],'');
					//var Store4=MakeStore('/service/issueManager_proc.php?method=getIssuePresentCount&ProjectSeq='+projectSeq,'',['name','value1','value2','value3'],'');
					
					var strategyLevel = Ext.getCmp("Edit0Item").getValue();
					var category = Ext.getCmp("Edit1Item").getValue();
					var dataItem = Ext.getCmp("Edit2Item").getValue();
					var type = Ext.getCmp("Edit3Item").getValue();
					var startDate = Ext.getCmp("Edit4Item").getValue();
					var endDate = Ext.getCmp("Edit5Item").getValue();
					var turm = Ext.getCmp("Edit6Item").getValue();

					var riskArea = Ext.getCmp("Edit9Item").getValue();

					if(Ext.getCmp('riskArea_fieldset').checkbox.dom.checked == false){
						riskArea = 0;
					}
					
					if(!dataItem){
						Ext.Msg.alert(TPMS_lang_title, 'Data 항목' + TPMS_lang_Msg_validationMsg);
						return;
					}
					if(type=='Date'){
						if(!startDate){
							Ext.Msg.alert(TPMS_lang_title, TPMS_lang_startDate + TPMS_lang_Msg_validationMsg);
							return;
						}
						if(!endDate){
							Ext.Msg.alert(TPMS_lang_title, TPMS_lang_endDate + TPMS_lang_Msg_validationMsg);
							return;
						}
					}
					
					Ext.Ajax.request({
						scope : this,
						url:'/service/issueManager_proc.php?method=updateDashBoardItemUrl',
						method : 'POST',
						params :{ 
							Seq : Seq
							,ProjectSeq : projectSeq
							,Data : Ext.encode({Level:strategyLevel,Category:category,DataItem:dataItem,Type:type,StartDate:startDate,EndDate:endDate,Turm:turm,RiskArea:riskArea})
						},
						success: function ( result, request ) {
							Ext.getCmp(name+'-Edit').close();
							Ext.getCmp('charData-Win').close();
							Ext.getCmp('formGridPanel').getStore().reload();
							//하위에 있는 그리드를 reload해준다.
						},
						failure: function ( result, request ) {
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_MsgFailure); 
						}
					});
				}
			},'-',{
				xtype: 'button',
				iconCls: 'icon-cancel',
				text: TPMS_lang_button_cancel,
				handler: function() {
					editItemWin.close();
					isLoaded=false;
				}
			}]
		}


		var editItemWin = new Ext.Window({
			title: TPMS_lang_button_setup,
			id: name+'-Edit',
			modal:true,
			width:550,
			height:450,
			border:false,
			layout: 'border',
			resizable: false,
			closable: false,
			items: [centerPanel]
		})
		
		Ext.getCmp("Edit4Item").setDisabled(true);
		Ext.getCmp("Edit5Item").setDisabled(true);
		Ext.getCmp("Edit6Item").setDisabled(true);
		
		editItemWin.show(this);
		Ext.getCmp('Edit0Item').setValue(0);
		
	}

	
	
	var DashBoardItemDataAdd = function(Seq,Store){
		
		/*var Records = Ext.getCmp('formGridPanel').selModel.getSelections();
		var itemDatas = Records[0].data;
		var itemData = Records[0].data.url;*/
		
		var itemDatas = Store;
		var itemData = Store.url;

		isLoaded=false;
		var winName = name+'-Win';
		if(Ext.getCmp(winName)){
			Ext.getCmp(winName).close(true);
		}
			
		var tmpParams = {};
		Ext.QuickTips.init();   
		Ext.form.Field.prototype.msgTarget = 'side';

		var nsm = new Ext.grid.RowSelectionModel({
			singleSelect: true,
			listeners: {
				scope: this,
				rowselect: function(selModel, rowIndex){
					var record = selModel.getSelected();
				}
			}
		});

		//alert(itemData);//url, header, 
		
		//var jsonObj = eval('('+itemData+')');
		
		var dataA=Ext.decode(itemData);

		//dataA.fields=['name', 'value1', 'value2','value3'];
		dataA.fields=[];
		for(var item in dataA.header){
			dataA.fields.push(item);
		}		
		var southStore=new Ext.data.JsonStore(dataA);

		
		
		MakeGridColum = function (name,key){
		return {header: name, 	dataIndex: key, align:'right',  	sortable: false,	editor:new Ext.form.NumberField({
					allowBlank: false,
					enableKeyEvents : true
				})
				,renderer: function(value){ 
					return (value == "")?0:value;}
				};
		}
		columns = new Array();
		columns.push({header: dataA.header['name'], 	dataIndex: 'name',  	sortable: false,	editor:new Ext.form.TextField({
					allowBlank: false,
					enableKeyEvents : true,
					listeners:{
						scope : this,
						blur : function(datefield){
							enableSelect(false);
							datefield.setValue(datefield.getValue().trim());
						},
						focus: function(){enableSelect(true);}
					}
				})
				,renderer: function(value){ 
					return (value == "")?"":value;}
				});
				

		for(var item in dataA.header)
		{
			if(item!='name')
			columns.push(MakeGridColum(dataA.header[item],item));
		}
		var Id='',Height='',Width='100%',Listeners='',Value='',Option='';
		
		
		var ChartTypeStore = new Ext.data.SimpleStore({
			 fields:['Key', 'Name']
			,data:[['LineChart2', 'LineChart2'],['ColumnChart', 'ColumnChart'],['PieChart', 'PieChart'],['StackedBarChart', 'StackedBarChart'],['PlotChart', 'PlotChart'],['StarChart', 'StarChart']]
		});
		
		var TypeItem = MakeItem('','hidden',TPMS_lang_common_title,'method','',Height,Width,Listeners,Value,Option);

		var TitleItem = MakeItem('','textfield',TPMS_lang_common_title,'title','',Height,Width,Listeners,Value,Option);
		
		var Option5Item = MakeItem('','combo','차트종류','Option5',ChartTypeStore,Height,Width,'','',Option);
		var Option6Item = MakeItem('','textarea',TPMS_lang_common_description,'Option6','',Height,Width,Listeners,Value,Option);
		var northPanel = [{
			region: 'north',
			collapsible: false,
			bodyStyle:'padding:20px;',
			height: 180,
			items: [{
				xtype: 'fieldset',
				title: 'Chart Info',
				id : 'defaultForm',
				anchor:'95%',
				items:[TypeItem,TitleItem,Option5Item,Option6Item]
			}]
		}]

		var centerPanel = new Ext.grid.EditorGridPanel({
			id: 'chartData_grid',
			region: 'center',
			height: 200,
			disabled:(Store.method != 'Chart')?true:false,
			autoScroll: true,
			border: false,
			store: southStore,
			viewConfig: { autoFill:true, forceFit: true},
			stripeRows: true,
			enableColumnHide  : false,
			enableColumnResize: true,
			enableColumnMove  : false,
			enableHdMenu: false,
			clicksToEdit:1,

			loadMask: { msg: 'processing' },
			sm: nsm,		

			columns: columns
		});

		
		var editItemWin = new Ext.Window({
			title: name,
			id: name+'-Edit',
			modal:true,
			width:550,
			height:450,
			border:false,
			layout: 'border',
			resizable: false,
			closable: false,
			items: [centerPanel]
		})
		

		var updateItemWin = new Ext.Window({
			title: TPMS_lang_button_setup,
			id: 'charData-Win',
			modal:true,
			width:550,
			height:450,
			border:false,
			layout: 'border',
			resizable: false, //Resize of the Window, if false - it cannot be resized
			closable: false,
			items: [northPanel,centerPanel],
			bbar:[{
				xtype: 'button',				
				text: TPMS_lang_export,
				handler : function(btn){
					location.href='/service/export_proc.php?method=exportChartData&IssueTextSeq='+Seq;
				}
			},'-',{
				xtype: 'button',				
				text:TPMS_lang_import,
				handler : function(btn){
					chartDataUploadPanel(Seq,name+'-Win');
				}
			}],
			tbar:[{
				xtype: 'button',
				iconCls : 'icon-table-edit',
				disabled:(Store.method != 'Chart')?true:false,
				text: TPMS_lang_button_setup,
				handler: function(btn) {
					DashBoardItemEditData(Seq);
				}
			},'->', {
				xtype: 'button',
				iconCls: 'icon-plus',
				disabled:(Store.method != 'Chart')?true:false,
				text: TPMS_lang_button_add,
				handler: function(btn) {
					var r = new (southStore.recordType)({name:'', value1: 0, value2: 0, value3: 0});  
					southStore.add(r); 
				}
			},'-',{
				xtype: 'button',
				iconCls: 'icon-save',
				text: TPMS_lang_button_save,
				handler: function() {					
					var checkNull = 0;
					var newObj=new Array();

					var dataA=Ext.decode(itemData);
					
					var method = Ext.getCmp('method').getValue();
					var title = Ext.getCmp('title').getValue();
					var Option5 = Ext.getCmp('Option5').getValue();//차트종류
					var Option6 = Ext.getCmp('Option6').getValue();//설명
					
					
					if(method!='Document'){					
						for(var i=0;i<southStore.getCount();i++){
							var r = southStore.getAt(i);
							r.data['name']=r.data['name'].trim();
							if(r.data['name'] == ''){
								checkNull = 1;
								Ext.Msg.alert(TPMS_lang_title, "Name" + TPMS_lang_Msg_validationMsg);
								return;
							}
							
							var obj={};
							for(var h in dataA.header){
								obj[h]=r.data[h];
							}
							newObj.push(obj);
						}
					}					

					var chartInfo={description:my_escape(title),method:method,chartType:Option5};
												
					//변경 프로세스를 탄다.
					Ext.Ajax.request({
						scope : this,
						url:'/service/issueManager_proc.php?method=UpdateDataDashBoardItem',
						method : 'POST',
						params :{ 
							Seq : Seq
							,Data : my_escape(Ext.encode({data:newObj,header:dataA.header,content:my_escape(Option6.replace(/\n/g,'<br>'))}))
							,ChartInfo : Ext.encode(chartInfo)
						},
						success: function ( result, request ) {
							if(result.responseText){
								Ext.getCmp('formGridPanel').getStore().reload();
								Ext.getCmp('charData-Win').close();
								//Ext.getCmp(name+'-Win').close();
							}
						},
						failure: function ( result, request ) {
							//Ext.Msg.alert("생성 실패"); 
						}
					});
				}
			},'-',{
				xtype: 'button',
				iconCls: 'icon-cancel',
				text: TPMS_lang_button_cancel,
				handler: function() {
					updateItemWin.close();
					isLoaded=false;
				}
			}]
		});	
		updateItemWin.show(this);
		if(itemDatas){
			Ext.getCmp('method').setValue(itemDatas.method);
			Ext.getCmp('title').setValue(itemDatas.description);
			Ext.getCmp('Option5').setValue(itemDatas.param);
			Ext.getCmp('Option6').setValue(itemDatas.Option6);
			if(Store.method != 'Chart'){
				Ext.getCmp("Option5").setDisabled(true);
			}
			Ext.getCmp('Option6').setValue(my_unescape(dataA.content).replace(/<br>/g,'\n'));
		}
	};




	//////////////////////////////////////////////////////////
	//////												//////
	//////				Make Chart Panel				//////
	//////												//////
	//////////////////////////////////////////////////////////
	
	function LineChart2Panel(Store)
	{
		return MakeChartPanel('LineChart2',Store);
	}
		
	function MakeChartPanel(Type,Store,Header,Title,id,seq,TotalInfo)
	{

		var chartItem = {};
		chartItem = MakeChartType(Type,Store,Header,Title,id,seq,TotalInfo);
				
		var Chart = new Ext.Panel({
			iconCls:'chart',
			//title: Title,
			//width:Width,
			//height:Height,
			layout:'fit',
			items: chartItem
		});

		return Chart;
	}
	


	//////////////////////////////////////////////////////////
	//////												//////
	//////				Make Note Panel					//////
	//////												//////
	//////////////////////////////////////////////////////////
	
	function MakeNote(itemInfo,Store,type)
	{
		var note = {};
		var note1 = {};
		var itemId = itemInfo.seq;
		var itemTitle = itemInfo.description;

		if(type){
			var TBar = ['->'
				,MakeButton('',TPMS_lang_Maximize,'viewWinBtn'+itemId,'icon-maximize','','','',function(btn){	
					if(!Ext.getCmp('ItemViewWin')){
						itemInfo.type = "noteWin";
						var ItemViewWin = new Ext.Window({
							title: TPMS_lang_common_title+' : '+itemTitle,//'notePanel_'+itemId, //제목
							id:'ItemViewWin',
							width: document.body.clientWidth,
							height:document.body.clientHeight,//-25,
							//plain:true,
							layout: 'fit',
							resizable: false,
							draggable   : false,
							//modal: true,
							closable: false,
							items: [MakeNote(itemInfo,Store,'수정하는거')]
						});

						//Ext.getCmp('notePanel_'+itemId).removeAll();
						ItemViewWin.show();
						ItemViewWin.setPosition(0,0);//25);

						Ext.getCmp('viewWinBtn'+itemId).hide(true);
						if(Ext.getCmp('closeBtn'+itemId)){
							Ext.getCmp('closeBtn'+itemId).show(true);
						}
					}
				})
				,MakeButton('save',TPMS_lang_button_save,'','','','','',function(btn){
					var sHTML=Ext.getCmp('editor').getValue();
					var Data={url:my_escape(Ext.encode({data:{},header:{},content:my_escape(sHTML)}))};

					//return;
					//Ext.getCmp('notePanel_'+itemId).removeAll();
					//Ext.getCmp('notePanel_'+itemId).add(MakeNote('',Store));
					//Ext.getCmp('notePanel_'+itemId).doLayout(true,true);			
					
					Ext.Ajax.request({
						url : '/service/issueManager_proc.php?method=updateDashBoardItem',
						method: 'POST',
						params : {
							ProjectSeq : projectSeq,
							MemberSeq : UserInfo.seq,
							Seq : itemId,
							Data : Ext.encode(Data)
						},//Params,
						success: function ( result, request ) {
							//alert(result.responseText);
							Store = Ext.getCmp('editor').getValue();
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_success);
						},
						failure: function ( result, request ) {
						}
					});


				}),'-'
				,MakeButton('cancel',TPMS_lang_button_close,'','','','','',function(btn){
					if(Ext.getCmp('ItemViewWin')){
						itemInfo.type = "notePanel";
						Ext.getCmp('ItemViewWin').close();
						Ext.getCmp('notePanel_'+itemId).removeAll();
						Ext.getCmp('notePanel_'+itemId).add(MakeNote(itemInfo,Store,''));
						Ext.getCmp('notePanel_'+itemId).doLayout(true,true);	
					}else{
						Ext.getCmp('notePanel_'+itemId).removeAll();
						Ext.getCmp('notePanel_'+itemId).add(MakeNote(itemInfo,Store,''));
						Ext.getCmp('notePanel_'+itemId).doLayout(true,true);				
					}
					//Load_DashBoard();
				})];

			note1 = new Ext.form.HtmlEditor({ 
				title:'Note',
				id:'editor',
				//name : 'myValueName', 
				//the HTML Element id you want to render the HTMLEditor to 
				width : '95%', 
				height : 200				
			});			
			Ext.getCmp('editor').setValue(Store);
			note = MakePanel('','fit','form','','',300,'100%',note1,'',TBar,'');
			note.ddGroup = 'assignIssueGridDD';
		}else{

			var Id='',Height='',Width='100%',Value='',Option='';
			var item = MakeItem('','label',	'','','',Height,Width,'',Value,Option);
			item.html = Store;

			var closeBtn = MakeButton('close',TPMS_lang_button_close,'closeBtn'+itemId,'','','','',function(btn){
									itemInfo.type = "noteWin";
									Ext.getCmp('ItemViewWin').close();
								});
			closeBtn.hidden = true;
			
			var TBar = [
				MakeButton('','Generate Report','getScrumBtn'+itemId,'icon-page-world','','','',function(btn){	
					Ext.Ajax.request({
						url : '/service/issueManager_proc.php?method=generateReport',
						method: 'POST',
						params : {
							ProjectSeq : projectSeq,
							MemberSeq : UserInfo.seq,
							ReportType : 0
						},//Params,
						success: function ( result, request ) {
							//alert(result.responseText);
						var Store=result.responseText;
						Ext.getCmp('notePanel_'+itemId).removeAll();
						Ext.getCmp('notePanel_'+itemId).add(MakeNote(itemInfo,Store,''));
						Ext.getCmp('notePanel_'+itemId).doLayout(true,true);
						},
						failure: function ( result, request ) {
						}
					});

				}),'-',
				MakeButton('serch',TPMS_lang_open,'openItemBtn'+itemId,'icon-open','','','',function(btn){	
					//Ext.Msg.alert(TPMS_lang_title,'공개 설정');
					IssueWriteWindow('1');

					Ext.getCmp('issueAdd_category').setValue('ID_REPORT');
					Ext.getCmp('issueAdd_subject').setValue(itemTitle);
					Ext.getCmp('issueAdd_method').setValue('html');
					//Ext.getCmp('issueAdd_content').htmlEncode = true;
					//Ext.getCmp('issueAdd_content').xtype = 'displayfield';
					var content = Ext.getCmp('issueAdd_content');
					content.setValue(Store);
					content.fieldLabel = '내용';
					Ext.getCmp('issueAdd_priority').setValue(1);

					//displayfield

					//Ext.getCmp('issueAdd_status').setValue();
					//Ext.getCmp('issueAdd_severity').setValue();
					//Ext.getCmp('issueAdd_priority').setValue();
					//saveIssueData.fileid = UserInfo.fileid;
				})
				,'->'			
				,MakeButton('',TPMS_lang_Maximize,'viewWinBtn'+itemId,'icon-maximize','','','',function(btn){	
					if(!Ext.getCmp('ItemViewWin')){
						
						itemInfo.type = "noteWin";
						var ItemViewWin = new Ext.Window({
							title: TPMS_lang_common_title+' : '+itemTitle,//'notePanel_'+itemId, //제목
							id:'ItemViewWin',
							width: document.body.clientWidth,
							height: document.body.clientHeight,//-25,
							//plain:true,
							layout: 'fit',
							resizable: false,
							draggable: false,
							//modal: true,
							closable: false,
							items: [MakeNote(itemInfo,Store,'')]
						});
						
						//Ext.getCmp('notePanel_'+itemId).removeAll();
						ItemViewWin.show();
						ItemViewWin.setPosition(0,0);//25);

						Ext.getCmp('viewWinBtn'+itemId).hide(true);
						Ext.getCmp('closeBtn'+itemId).show(true);
					}
				})
				,MakeButton('update',TPMS_lang_button_update,'','','','','',function(btn){	
					if(Ext.getCmp('ItemViewWin')){
						Ext.getCmp('ItemViewWin').removeAll();
						Ext.getCmp('ItemViewWin').add(MakeNote(itemInfo,Store,'수정화면으로'));
						Ext.getCmp('ItemViewWin').doLayout(true,true);	
						Ext.getCmp('viewWinBtn'+itemId).hide(true);
					}else{
						Ext.getCmp('notePanel_'+itemId).removeAll();
						Ext.getCmp('notePanel_'+itemId).add(MakeNote(itemInfo,Store,'수정화면으로'));
						Ext.getCmp('notePanel_'+itemId).doLayout(true,true);				
					}
				})
				,closeBtn
			];
	
			note1 = MakePanel('','fit','panel','','',300,'100%',item,'',TBar,'');
			note1.autoScroll = true;
			//note1.ddGroup = 'assignIssueGridDD';
			note1.listeners = {
				render: function(c){
					//c.body.on('click', function() {
					//	alert('ok');             
					//});
					//c.getEl().on('dblclick', function(){
					//	alert('double-clicked field');
					//});
					//c.getEl().on('click', function(){
					//	alert('clicked label');
					//});
		       
					var dropTarget = new Ext.dd.DropTarget(c.body,{
						ddGroup: 'assignIssueGridDD',
						copy: false,
						overClass: 'over',
						notifyDrop: function(dragSource, event, data){
							
							Ext.fly(c.getEl()).frame("ff0000");

							var records =  dragSource.dragData.selections;
							
							if(records.length > 0){
								var sHTML='<ul class=ul_blue >';
								for(var i=0; i<records.length; i++){
									sHTML+='<li>'+records[i].data['subject']+' : ((issue|'+records[i].data['seq']+'))</li>'; 
								}
								sHTML+='</ul>';
								Store = Store+sHTML;
								if(Ext.getCmp('ItemViewWin')){						
									Ext.getCmp('ItemViewWin').close();
									Ext.getCmp('notePanel_'+itemId).removeAll();
									Ext.getCmp('notePanel_'+itemId).add(MakeNote(itemInfo,Store,''));
									Ext.getCmp('notePanel_'+itemId).doLayout(true,true);	
								}else{
									Ext.getCmp('notePanel_'+itemId).removeAll();
									Ext.getCmp('notePanel_'+itemId).add(MakeNote(itemInfo,Store,''));
									Ext.getCmp('notePanel_'+itemId).doLayout(true,true);				
								}
							}
							return true
						}
					});
				}
			};

			if(Ext.getCmp('notePanel_'+itemId)){
				note=note1;
			}else{
				note = MakePanel('','fit','panel',TPMS_lang_common_title+' : '+itemTitle,'notePanel_'+itemId,300,'100%',note1,'','','');
				note.border = true;
				note.collapsible = true;
				note.collapsed = true;
				note.titleCollapse = true;
			}				
		}	
		
		return note;
	}

	function ReportForm(type)
	{
		var report = '';
		switch(type)
		{
			case '1':
				break;
			default:
				break;
				report = '<font size="3">팀명 </font><strong><span style="font-size: 12pt;">주간업무보고 <span lang="en-us">(2011-00-00)</span></span></strong> <p>&nbsp;</p><table style="width: 909px; background: none repeat scroll 0% 0% rgb(191, 159, 127); height: 800px;" border="0" cellpadding="0" cellspacing="1" width="909"><tbody><tr style="height: 7.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 3.75pt; background: none repeat scroll 0% 0% rgb(255, 255, 255); height: 7.5pt;"><h2 style="text-align: center;"><span style="font-size: 12pt;">지난주 실적</span></h2></td><td style="border: medium none rgb(0, 0, 0); padding: 3.75pt; background: none repeat scroll 0% 0% rgb(255, 255, 255); height: 7.5pt;"><h2 style="text-align: center;"><span style="font-size: 12pt;">금주 계획</span></h2></td></tr><tr><td style="border: medium none rgb(0, 0, 0); padding: 3.75pt; background: none repeat scroll 0% 0% rgb(255, 255, 255);"><table style="width: 330pt;" border="0" cellpadding="0" cellspacing="1" width="440"><tbody><tr style="height: 7.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 7.5pt;"><p style="text-align: left; margin: 0cm 0cm 0pt;" align="left"><span style="font-size: 12pt;" lang="en-us">1.</span><span style="font-size: 12pt;">주요업무 </span></p><p style="text-align: left; margin: 0cm 0cm 0pt;" align="left">&nbsp;</p></td></tr><tr style="height: 37.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 37.5pt;"><br></td></tr></tbody></table></td><td style="border: medium none rgb(0, 0, 0); padding: 3.75pt; background: none repeat scroll 0% 0% rgb(255, 255, 255);"><table style="width: 330pt;" border="0" cellpadding="0" cellspacing="1" width="440"><tbody><tr style="height: 7.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 7.5pt;"><p style="text-align: left; margin: 0cm 0cm 0pt;" align="left"><span style="font-size: 12pt;" lang="en-us">1.</span><span style="font-size: 12pt;">주요업무 </span></p><p style="text-align: left; margin: 0cm 0cm 0pt;" align="left">&nbsp;</p></td></tr><tr style="height: 37.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 37.5pt;"><br></td></tr></tbody></table></td></tr><tr><td style="border: medium none rgb(0, 0, 0); padding: 3.75pt; background: none repeat scroll 0% 0% rgb(255, 255, 255);"><table style="width: 330pt;" border="0" cellpadding="0" cellspacing="1" width="440"><tbody><tr style="height: 7.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 7.5pt;"><p style="text-align: left; margin: 0cm 0cm 0pt;" align="left"><span style="font-size: 12pt;" lang="en-us">2.TPMS </span></p></td></tr><tr style="height: 37.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 37.5pt;"><div>&nbsp;&nbsp;&nbsp;&nbsp; <br></div><div>&nbsp;&nbsp;&nbsp; </div><div>&nbsp;&nbsp;&nbsp; </div><div>&nbsp;&nbsp;&nbsp; &nbsp;</div></td></tr></tbody></table></td><td style="border: medium none rgb(0, 0, 0); padding: 3.75pt; background: none repeat scroll 0% 0% rgb(255, 255, 255);"><table style="width: 330pt;" border="0" cellpadding="0" cellspacing="1" width="440"><tbody><tr style="height: 7.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 7.5pt;"><p style="text-align: left; margin: 0cm 0cm 0pt;" align="left"><span style="font-size: 12pt;" lang="en-us">2.TPMS </span></p></td></tr><tr style="height: 37.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 37.5pt;"><br></td></tr></tbody></table></td></tr><tr><td style="border: medium none rgb(0, 0, 0); padding: 3.75pt; background: none repeat scroll 0% 0% rgb(255, 255, 255);"><table style="width: 330pt;" border="0" cellpadding="0" cellspacing="1" width="440"><tbody><tr style="height: 7.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 7.5pt;"><p style="text-align: left; margin: 0cm 0cm 0pt;" align="left"><span style="font-size: 12pt;" lang="en-us">3.</span><span style="font-size: 12pt;">사이트유지보수업무 </span></p></td></tr><tr style="height: 37.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 37.5pt;"><br></td></tr></tbody></table></td><td style="border: medium none rgb(0, 0, 0); padding: 3.75pt; background: none repeat scroll 0% 0% rgb(255, 255, 255);"><table style="width: 330pt;" border="0" cellpadding="0" cellspacing="1" width="440"><tbody><tr style="height: 7.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 7.5pt;"><p style="text-align: left; margin: 0cm 0cm 0pt;" align="left"><span style="font-size: 12pt;" lang="en-us">3.</span><span style="font-size: 12pt;">사이트유지보수업무</span></p></td></tr><tr style="height: 37.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 37.5pt;"><br></td></tr></tbody></table></td></tr><tr><td style="border: medium none rgb(0, 0, 0); padding: 3.75pt; background: none repeat scroll 0% 0% rgb(255, 255, 255);"><table style="width: 330pt;" border="0" cellpadding="0" cellspacing="1" width="440"><tbody><tr style="height: 7.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 7.5pt;"><p style="text-align: justify; margin: 0cm 0cm 0pt;"><span style="font-size: 12pt;" lang="en-us">4.</span><span style="font-size: 12pt;">영업 아이디어 </span></p></td></tr><tr style="height: 37.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 37.5pt;"><p style="text-align: justify;">&nbsp;</p></td></tr></tbody></table></td><td style="border: medium none rgb(0, 0, 0); padding: 3.75pt; background: none repeat scroll 0% 0% rgb(255, 255, 255);"><table style="width: 330pt;" border="0" cellpadding="0" cellspacing="1" width="440"><tbody><tr style="height: 7.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 7.5pt;"><p style="text-align: left; margin: 0cm 0cm 0pt;" align="left"><span style="font-size: 12pt;" lang="en-us">4.</span><span style="font-size: 12pt;">영업 아이디어 </span></p></td></tr><tr style="height: 37.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 37.5pt;"><p>&nbsp;</p></td></tr></tbody></table></td></tr><tr><td style="border: medium none rgb(0, 0, 0); padding: 3.75pt; background: none repeat scroll 0% 0% rgb(255, 255, 255);"><table style="width: 330pt;" border="0" cellpadding="0" cellspacing="1" width="440"><tbody><tr style="height: 7.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 7.5pt;"><p style="text-align: left; margin: 0cm 0cm 0pt;" align="left"><span style="font-size: 12pt;" lang="en-us">5.</span><span style="font-size: 12pt;">기타업무 </span></p></td></tr><tr style="height: 37.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 37.5pt;">&nbsp;</td></tr></tbody></table></td><td style="border: medium none rgb(0, 0, 0); padding: 3.75pt; background: none repeat scroll 0% 0% rgb(255, 255, 255);"><table style="width: 330pt;" border="0" cellpadding="0" cellspacing="1" width="440"><tbody><tr style="height: 7.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 7.5pt;"><p style="text-align: left; margin: 0cm 0cm 0pt;" align="left"><span style="font-size: 12pt;" lang="en-us">5.</span><span style="font-size: 12pt;">기타업무 </span></p></td></tr><tr style="height: 37.5pt;"><td style="border: medium none rgb(0, 0, 0); padding: 0.75pt; background-color: transparent; height: 37.5pt;"><br><div>&nbsp;</div></td></tr></tbody></table></td></tr></tbody></table><p>&nbsp;</p>';
				break;
		}
		return report;
	}

	function dashboardItemResize(){
		if(UserInfo['tab_id'] == 0){
			
			
			var Width=document.body.clientWidth/5.0;
			var Height=Width;

			Ext.getCmp('myAssignIssue').setSize(document.body.clientWidth-25,310);
			Ext.getCmp('assignIssueGridPanel').setSize(document.body.clientWidth-25,310);
			Ext.getCmp('dashBoardForm').setSize(document.body.clientWidth-25,'100%');//
			
			for(var i=0;i<rowsArray.length;i++){//ColumnWidth;
				Ext.getCmp(rowsArray[i]).setSize(document.body.clientWidth-25,Height+70);
			}		

			for(var i=0;i<chartArray.length;i++){
				Ext.getCmp(chartArray[i]).setWidth(Width);
				if(chartArray[i]=="myPieChart4"){
					Ext.getCmp(chartArray[i]).setHeight(Height-20);
				}else{
					Ext.getCmp(chartArray[i]).setHeight(Height);				
				}
			}
		}
	}
	
	addEvent(window, "resize", function() {
		dashboardItemResize();
		/*if(UserInfo['tab_id'] == 0){
			
			
			var Width=document.body.clientWidth/5.0;
			var Height=Width;

			Ext.getCmp('myAssignIssue').setSize(document.body.clientWidth-25,310);
			Ext.getCmp('assignIssueGridPanel').setSize(document.body.clientWidth-25,310);
			Ext.getCmp('dashBoardForm').setSize(document.body.clientWidth-25,'100%');//
			
			for(var i=0;i<rowsArray.length;i++){//ColumnWidth;
				Ext.getCmp(rowsArray[i]).setSize(document.body.clientWidth-25,Height+70);
			}		

			for(var i=0;i<chartArray.length;i++){
				Ext.getCmp(chartArray[i]).setWidth(Width);
				if(chartArray[i]=="myPieChart4"){
					Ext.getCmp(chartArray[i]).setHeight(Height-20);
				}else{
					Ext.getCmp(chartArray[i]).setHeight(Height);				
				}
			}
		}*/
	});