	var tore = MakeStore('/service/issueManager_proc.php?method=getRiskItemList','',[
			'seq',
			'domainName',
			'category',
			'name',
			'writer',
			'issueCnt'
		],'');

	//////////////////////////////////////////////////////////
	//////												//////
	//////				Center Panel					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function GetFileMainCenterPanel()
	{
		//var issueGridPanel = GetFileListGridPanel();

		var fileListGridStore = MakeStore('/service/fileManager_proc.php?method=getFilesList','',[
			'fileSeq',
			'fileid',
			'category',
			'name',
			'version',
			'filesize',
			'ext',
			'author',
			'regDate',
			'issueListSeq',
			'scrum_item_sid'
		],'');

		var fileListGridCm = new Ext.grid.ColumnModel([
				{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 10,  hidden:false },
				{header: 'ID', dataIndex: 'fileSeq', align:'center', sortable: true, width: 10, hidden: false, tooltip: 'seq',
					renderer : function(value, meta, record){ 
						var fileInfo = record.data; //scrum_item_sid,issueListSeq
						
						if(fileInfo.scrum_item_sid > 0){
							return "<span style='color:#6d7f09;'>"+value+"</span>";
						}else if(fileInfo.issueListSeq > 0){
							return "<span style='color:#0e508b;'>"+value+"</span>";//
						}else{
							return "<span style='color:#8f0f1c;'>"+value+"</span>";//8f0f1c
						}								
					}
				},
				{header: 'fileid', dataIndex: 'fileid', align:'left', sortable: true, width: 50, hidden: true, tooltip: 'fileid' },
				{header: TPMS_lang_file+TPMS_lang_name, dataIndex: 'name', align:'left', sortable: true, width: 100, hidden: false, tooltip: 'name' },
				{header: TPMS_lang_category, dataIndex: 'category', align:'center', sortable: true, width: 60, hidden: false, tooltip: 'category' ,renderer:renderCategoryName},
				{header: TPMS_lang_file+TPMS_lang_type2, dataIndex: 'ext', align:'center', sortable: true, width: 60, hidden: false, tooltip: 'ext' },
				{header: TPMS_lang_creater, dataIndex: 'author', align:'center', sortable: true, width: 60, hidden: false, tooltip: 'author' },
				{header: TPMS_lang_file+TPMS_lang_size, dataIndex: 'filesize', align:'right', sortable: true, width: 60, hidden: false, tooltip: 'filesize' ,renderer : function(val){ return filesize(val);}},
				{header: TPMS_lang_regDate, dataIndex: 'regDate', align:'center', sortable: true, width: 80, hidden: false, tooltip: 'regDate' },
				{hidden: true,header: TPMS_lang_issueManager_item, dataIndex: 'fileid', sortable: true}
			]);

		var fileListGridListeners = {
				scope : this/*,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						var seldata=sel.data;
						//alert(seldata.seq);
					}
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					var seq = selectItem[0].data['fileSeq']; 
					var name = selectItem[0].data['name']; 
					var category = selectItem[0].data['category']; 
					var author = selectItem[0].data['author']; 
					var regDate = selectItem[0].data['regDate']; 

					Ext.getCmp('fileItemSeq-hidden').setValue(seq);
					Ext.getCmp('file-name').setValue(name);
					Ext.getCmp('file-category').setValue(category);
					Ext.getCmp('file-author').setValue(author);
					Ext.getCmp('file-regDate').setValue(regDate);
					//alert(seq);
					//getFileInfo 
					Ext.Ajax.request({
						url : '/service/fileManager_proc.php?method=getFileInfo',
						method: 'POST',
						params :{Seq : seq},
						success: function ( result, request ) {
							var renderData = Ext.decode(result.responseText).data[0];
							//alert(result.responseText);
						},
						failure: function ( result, request ) {
							
						}
					});

					//getFileVersion //version,source,ext,regDate,filesize //fileVersionGridStore
					Ext.getCmp('fileVersionGridPanel').getStore().reload({params:{Seq : seq}});

					var Records = grid.selModel.getSelections();
					FileView(Records);
				}*/
			};
		
		var tabItemTBar = ['->',
				MakeItem('','combo','','fileSearchType',[
						['All', TPMS_lang_Search_all],
						['title', TPMS_lang_Search_title],
						['category', TPMS_lang_Search_category],
						['ext', TPMS_lang_file+TPMS_lang_type2]
					],'',80,'','All','')
				,'-'
				,MakeItem('','textfield','','fileAutoSearch','','',200,
					{
						scope : this,
						'specialkey' : function(f,o){
						   if(o.getKey()==13){
							   //alert("enter : search");
								var type = Ext.getCmp('fileSearchType').getValue();
								var text = Ext.getCmp('fileAutoSearch').getValue();
								//var print = "combo : "+type+", text : "+text;
								//alert(print);
								fileListGridStore.load({params:{ProjectSeq:projectSeq,SearchType:type,SearchText:text}});
							}
						},
						search : function(){
						   //alert("search");
						}
					},'',''
				)
				,'-'
				,MakeButton('',TPMS_lang_Search,'','','','','',function(btn){
						var type = Ext.getCmp('fileSearchType').getValue();
						var text = Ext.getCmp('fileAutoSearch').getValue();
						//var print = "combo : "+type+", text : "+text;
						//alert(print);
						fileListGridStore.load({params:{ProjectSeq:projectSeq,SearchType:type,SearchText:text}});
					})
			];

		var BBar = [{////#809609, #0e508b, #8f0f1c
			xtype	: 'label',
			html	: '<span style=color:#6d7f09;>■(ScrumBoard)</span> <span style=margin-left:10px;color:#0e508b;>■(Issue Manager)</span> <span style=margin-left:10px;color:#8f0f1c;>■(No link)</span>'
		},'->',new Ext.PagingToolbar({
				pageSize: 100,
				store: fileListGridStore,
				displayInfo: true,
				//plugins: [new Ext.ux.PageSizePlugin()],
	            displayMsg: 'Total: {0} - {1} of {2}',
				//   displayMsg: 'Total: {2} 中 {0} - {1}',
				emptyMsg: "No Data",
				doLoad: function(start) {
					var o = this.store.lastOptions.params;
					var pn = this.getParams();
					o[pn.start] = start;
					o[pn.limit] = this.pageSize;
					if (this.fireEvent('beforechange', this, o) !== false) {
						this.store.load({
							params: o
						});
					}
				}
			})];

		var fileListGridPanel = MakeGridPanel('','fileListGridPanel',fileListGridStore,'','',fileListGridCm,'',fileListGridListeners,tabItemTBar,BBar);
		var tabItem_1 = MakePanel('center','fit','','','','','',fileListGridPanel,'','','');
		
		return MakePanel('center','border','','','issueCenterPanel','','',tabItem_1,'','','');
	};
	


	//////////////////////////////////////////////////////////
	//////												//////
	//////					East Panel					//////
	//////												//////
	//////////////////////////////////////////////////////////

	//파일 상세보기		
	function FileView(DataArray){
		var DataList = "";
		var viewDataList = "";

		for(var i=0; i<DataArray.length; i++){
			var fileName = DataArray[i].data['name'];
			var fileSize = DataArray[i].data['filesize'];
			var fileSeq = DataArray[i].data['fileSeq'];

			var nameLength = fileName.length;
			var startLength = fileName.length-3;

			var fileType = fileName.slice(startLength, nameLength);

			if(fileType == "jpg" || fileType == "JPG" || fileType ==  "gif" || fileType ==  "GIF" || fileType == "png" || fileType == "PNG"){
				DataList += GetFileTag('media',fileSeq)+'\n' + fileName+"("+fileSize+")";
				viewDataList += GetFileTag('media',fileSeq)+'<br>' + fileName+"("+fileSize+")";
			}else{
				DataList += fileName+"("+fileSize+")" + GetFileTag('file',fileSeq);
				viewDataList += fileName+"("+fileSize+")<br>" + GetFileTag('file',fileSeq);
			}
			DataList += "\n\n";
			viewDataList += "<br><hr size=1><br>";
		}

		//var sHtml = "<div style='height:260px; overflow-y:auto;'>"+ReplaceTag(viewDataList)+"</div>";
		var fileInfoPanel = {id:'fileLinkText',html:"<div style='padding:10px;font-size:12px;height:"+(Ext.getCmp('fileDetailInfoPanel').getHeight()-25)+"px; overflow-y:auto;'>"+ReplaceTag(viewDataList)+"</div>"};
		Ext.getCmp('fileDetailInfoPanel').removeAll();
		Ext.getCmp('fileDetailInfoPanel').add(fileInfoPanel);
		Ext.getCmp('fileDetailInfoPanel').doLayout(true,true);
	//{id:'fileLinkText',html:"<div style='height:260px; overflow-y:auto;'>"+ReplaceTag(viewDataList)+"</div>"}
	}

	function GetFileMainEastPanel()
	{

		var fileVersionGridStore = MakeStore('/service/fileManager_proc.php?method=getFileVersion','',[
			'seq',
			'fileSeq',
			'version',
			'source',
			'ext',
			'regDate',
			'filesize'
		],{Seq : 1});

		var fileVersionGridCm = new Ext.grid.ColumnModel([
				{header: 'No', dataIndex: 'No', align:'center', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
				{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 10, hidden: true, tooltip: 'seq' },
				{header: TPMS_lang_version, dataIndex: 'version', align:'center', sortable: true},
				{header: 'author', dataIndex: 'author', align:'center', sortable: true, hidden:true, width: 80},
				{header: TPMS_lang_file+TPMS_lang_size, dataIndex: 'filesize', align:'center', sortable: true, width: 80},
				{header: TPMS_lang_regDate, dataIndex: 'regDate', align:'center', sortable: true, width: 100}
			]);

		var fileVersionGridListeners = {
				scope : this,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						//alert(sel.data.seq);
					}
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					var seq = selectItem[0].data['seq']; 
					//alert(seq);					
				}
			};
	
		var fileVersionGridBBar = ['->',MakeButton('delete',TPMS_lang_button_remove,'','','','','',
			function(btn){

				var Records = Ext.getCmp('fileVersionGridPanel').selModel.getSelections();
				if(Records.length==0){
					Ext.Msg.alert(TPMS_lang_title,'Select Item');
					return;
				}else{
					var DataList = "";
					for(var i=0; i<Records.length; i++){
							DataList += Records[i].data['seq'];
						if(i+1 != Records.length){
							DataList += ",";
						}
					}
					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							var Type = 'fileVersionOfIssue';
							
							/*Ext.Ajax.request({ 
								scope : this,
								url:'/service/fileManager_proc.php?method=delete',
								params : {ProjectSeq : projectSeq,DataList:DataList,MemberSeq:UserInfo.seq} , 
								method : 'POST',
								success : function(rsp, opt) {
									issueListFileStore.reload();
								}
							});*/
							alert(projectSeq);
							alert(DataList);
							alert(UserInfo.seq);
						}else{
							return;
						}
					}); 	
				}
			}
		)];

		var fileVersionGridPanel = MakeGridPanel('','fileVersionGridPanel',fileVersionGridStore,'100%','',fileVersionGridCm,'',fileVersionGridListeners,'',fileVersionGridBBar);
		
		//파일 상세보기
		var accordionItem0 = {xtype:'panel',layout:'fit',title:TPMS_lang_file+TPMS_lang_info, id:'fileDetailInfoPanel',autoScroll:true};
		//MakePanel('center','fit','','','IssueDetailInfoPanel','','',{},'','','');
		var accordionItem1 = MakePanel('','fit','panel',TPMS_lang_file+TPMS_lang_version,'','','100%',fileVersionGridPanel,'','','');
		var accordionItem=[accordionItem0,accordionItem1];
		
		var infoPanelForm = {
			id: 'fileTab-acc',
			layout:'accordion',
			layoutConfig:{
				collapseFirst:false,
				animate:false,
				titleCollapse: true,
				activeOnTop: false//,
				//fill:true
			},
			autoScroll:false,
			border: false,
			//height : 300,
			items: [accordionItem],
			listeners : {
				collapse : function (){
				},
				expand : function (){
				}
			}
		};

		var fileName = MakeItem('','textarea',TPMS_lang_common_title,'file-name','','50','95%','','','');
		fileName.readOnly = true;
		var fileCategory = MakeItem('','textfield',TPMS_lang_category,'file-category','','','95%','','','');
		fileCategory.readOnly = true;
		var fileAuthor = MakeItem('','textfield',TPMS_lang_creater,'file-author','','','95%','','','');
		fileAuthor.readOnly = true;
		var fileRegDate = MakeItem('','textfield',TPMS_lang_createdDate,'file-regDate','','','95%','','','');
		fileRegDate.readOnly = true;

		var infoPanel = new Ext.Panel({
				id: 'fileInfoPanel',
				border: false,
				items:[{
					xtype: 'form',
					height: 170,
					bodyStyle: 'padding: 5 0 5 5;',
					items:[
						MakeItem('','hidden','','fileItemSeq-hidden','','','','','','')
						,fileName
						,fileCategory
						,fileAuthor
						,fileRegDate
					],
					tbar:[//
						MakeButton('add',TPMS_lang_button_add,'fileAdd_Btn','','','','',
							function(btn){
								//FileAddPop('');
								//아무것도 없는 창을 띄워주어야 한다.
								OnlyFileAddPop();
							}
						)
						/*,'-',
						MakeButton('add',TPMS_lang_file_versionup,'fileVersionUp_Btn','','','','',
							function(btn){
								//IssueWriteWindow();
								alert("test");
							}
						)*/
						,'-',
						MakeButton('delete',TPMS_lang_button_remove,'fileRemove_Btn','','','','',
							function(btn){
								var Records = Ext.getCmp('fileListGridPanel').selModel.getSelections();
								if(Records.length==0){
									Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
									return;
								}else{
									var DataList = "";
									for(var i=0; i<Records.length; i++){										
											DataList += Records[i].data['fileSeq'];
										if(i+1 != Records.length){
											DataList += ",";
										}
									}
									
									Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
										if(btn == "yes") { 
											var Type = 'riskItemOfIssue';										
											Ext.Ajax.request({ 
												scope : this,
												url:'/service/fileManager_proc.php?method=delete',
												params : {ProjectSeq : projectSeq,DataList:DataList,MemberSeq:UserInfo.seq} , 
												method : 'POST',
												success : function(rsp, opt) {	
													Ext.getCmp('fileListGridPanel').getStore().reload();
												}
											});
										}else{
											return;
										}
									}); 	
								}		
							}
						)
					]
				}
				//,{border: false,height: 10}
				,{
					layout: 'fit',
					border: false,					
					items:[infoPanelForm]
				}]
			});
		/*
		var infoPanelTBar = [
				MakeButton('add',TPMS_lang_button_add,'','','','','',
					function(btn){
						//alert('file add');
						FileAddPop('');
						//var selectSeq = Ext.getCmp('').getValue();
						//if(selectSeq){
							//alert(TPMS_lang_issue+' No : '+issueSeq); //egkang 파일 추가
							//FileAddPop(selectSeq);
						//}else{
							//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issue+TPMS_lang_Msg_validationMsg2);
						//}
					}
				),'-'
				,MakeButton('delete',TPMS_lang_button_remove,'','','','','',function(btn){		
					
					var Records = Ext.getCmp('fileListGridPanel').selModel.getSelections();
					if(Records.length==0){
						Ext.Msg.alert(TPMS_lang_title,'Select Item');
						return;
					}else{
						var DataList = "";
						for(var i=0; i<Records.length; i++){
								DataList += Records[i].data['fileSeq'];
							if(i+1 != Records.length){
								DataList += ",";
							}
						}
						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
							if(btn == "yes") { 
								var Type = 'fileItem';
								//alert(DataList);

								Ext.Ajax.request({
									url : '/service/fileManager_proc.php?method=delete',
									method: 'POST',
									params :{
										ProjectSeq	: projectSeq,
										DataList	: DataList,
										MemberSeq	: UserInfo.seq
									},
									success: function ( result, request ) {
										//alert("success");
										Ext.getCmp('fileListGridPanel').getStore().reload();
									},
									failure: function ( result, request ) {
										
									}
								});
							
							}else{return;}
						}); 	
					}

				}),'-'
				,MakeButton('copy','copy','','','','','',function(btn){ alert('copy btn'); })
			];
		*/
		var eastPanel = {
			region: 'east',
			xtype: 'panel',	//xtype: 'form',
			layout: 'fit',
			collapsible: true,			
			title: TPMS_lang_select+TPMS_lang_info,// 'Some Info',
			autoScroll:true,
			bodyStyle:'padding:0px;',
			width: 450,//'40%',
			items: [infoPanel]
			//,tbar: infoPanelTBar
		};

		return eastPanel;
	};



	//////////////////////////////////////////////////////////
	//////												//////
	//////				File Tab Panel					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function GetFileMainTab(){
		var panelItems = [GetFileMainCenterPanel(),GetFileMainEastPanel()];
		var fileTab = MakePanel('','border','','', 'fileTab','','',panelItems,'','','','');
		return fileTab;
	};

	var fileItemTab = [MakePanel('center','fit','panel',TPMS_lang_file,'fileItemTab','','',GetFileMainTab(),'','','')];

	var fileIssueGrid = Ext.getCmp("fileListGridPanel");
	fileIssueGrid.getSelectionModel().on('rowselect', function(sm, rowIdx, r) {
		var rows = sm.getSelections(); 

		if(rows.length == 1){
			Ext.getCmp('fileItemSeq-hidden').setValue(r.data['fileSeq']);
			Ext.getCmp('file-name').setValue(r.data['name']);
			Ext.getCmp('file-category').setValue(renderCategoryName(r.data['category']));
			Ext.getCmp('file-author').setValue(r.data['author']);
			Ext.getCmp('file-regDate').setValue(r.data['regDate']);
			
			//왜 필요하지.
			Ext.Ajax.request({
				url : '/service/fileManager_proc.php?method=getFileInfo',
				method: 'POST',
				params :{Seq : r.data['fileSeq']},
				success: function ( result, request ) {
					var renderData = Ext.decode(result.responseText).data[0];
					//alert(result.responseText);
				},
				failure: function ( result, request ) {
					
				}
			});

			Ext.getCmp('fileVersionGridPanel').getStore().reload({params:{Seq : r.data['fileSeq']}});
			
			var selectItem = fileIssueGrid.selModel.getSelections();		
			FileView(selectItem);
		}			
	});