	//////////////////////////////////////////////////////////
	//////												//////
	//////				Set Store Load					//////
	//////												//////
	//////////////////////////////////////////////////////////
	


	var ControlButtonGroup = ['->',
		MakeButton('add',TPMS_lang_button_add,'memoIssueAdd_Btn','','','','',function(btn){
			IssueWriteWindow();						
		}),'-',
		MakeButton('update',TPMS_lang_button_update,'memoIssueUpdate_Btn','','','','',function(btn){
			var memoItemTabCenterGridPanel = Ext.getCmp('memoItemTabCenterGridPanel').selModel.getSelections();
			var issueSeq = memoItemTabCenterGridPanel[0].data['seq'];
			if(issueSeq){
				IssueWriteWindow();
				IssueEditWindow2(issueSeq);									
			}else{
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issue+TPMS_lang_Msg_validationMsg2);
			}
		}),'-',
		MakeButton('delete',TPMS_lang_button_remove,'memoIssueRemove_Btn','','','','',function(btn){
			var Records = Ext.getCmp('memoItemTabCenterGridPanel').selModel.getSelections();
			if(Records.length==0){
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
				return;
			}else{
				var DataList = "";
				for(var i=0; i<Records.length; i++){
						DataList += Records[i].data['seq'];
					if(i+1 != Records.length){
						DataList += ",";
					}
				}
				Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
					if(btn == "yes") { 											
						Ext.Ajax.request({ 
							scope : this,
							url:'/service/issueManager_proc.php?method=deleteIssueReport',
							params : {ProjectSeq : projectSeq,DataList:DataList,MemberSeq:UserInfo.seq} , 
							method : 'POST',
							success : function(rsp, opt) {
								CommonIssueStore.reload();
							}
						});
					}else{
						return;
					}
				}); 	
			}
		}),'-',
		MakeButton('assign_Btn','Assign','memoIssueAssign_Btn','icon-email','','','',function(btn){
			var Records = Ext.getCmp('memoItemTabCenterGridPanel').selModel.getSelections();
			if(Records.length == 0){
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issue+TPMS_lang_Msg_validationMsg2);
				return;
			}else if(Records.length > 0){
				var SeqList = "";
				for(var i=0;i<Records.length;i++)
				{
					if(i==0)
						SeqList+=Records[i].data['seq'];
					else
						SeqList+=","+Records[i].data['seq'];
				}
				AssignWin(SeqList);
			}
		}),'-',
		MakeButton('copy','Mapping','memoIssueMapping_Btn','icon-connect','','','',function(btn){
			SelectIssueRiskItem(projectSeq);
		}),'-',
		MakeButton('',TPMS_lang_issue_interest,'memoIssueInterest_Btn','icon-folder-add','','','',function(btn){
			var issueItemSeqList='';
			if(Ext.getCmp('memoItemTabCenterGridPanel')){
				var issueItemRecords = Ext.getCmp('memoItemTabCenterGridPanel').selModel.getSelections();

				if(issueItemRecords.length==0){
					Ext.Msg.alert(TPMS_lang_title,"Select Item!");
					return;
				}else{					
					var itemCnt = 0;
					for(var i=0; i<issueItemRecords.length; i++){
						issueItemSeqList += issueItemRecords[i].data['seq']+",";
						itemCnt++;
					}
				}								
			}
			AssignIssueToMember(issueItemSeqList,UserInfo.seq,3);
		})
	]

	
	var memoIssueListStore = MakeStore('/service/issueManager_proc.php?method=getIssueList','',[
			'seq',
			'subject',
			'category',
			'level',
			'status',
			'priority',
			'levelName',
			'riskLevel',
			'severity',
			'updateDate',
			'regDate',
			'issueTextCnt',
			'filecnt'
		],{ProjectSeq:projectSeq,Category:memoCategorySeq,statusCloseChk:UserInfo.CloseView,start:0, limit:100});


	//////////////////////////////////////////////////////////
	//////				Domain Grid Panel				//////
	//////////////////////////////////////////////////////////

	var Sm2 = new Ext.grid.CheckboxSelectionModel({ 
		singleSelect: false,
		listeners: {
			scope : this,
			rowselect: function(smObj, rowIndex, record) {
			}
		}
	});

	var Cm2 = new Ext.grid.ColumnModel([
			{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: 'riskLevel', dataIndex: 'riskLevel', sortable: true, width: 15, hidden: true, tooltip: 'seq' },
			{header: 'Seq', dataIndex: 'seq', sortable: true, width: 30, hidden: false, tooltip: 'seq' },
			{header: TPMS_lang_common_type, dataIndex: 'category', sortable: true, width: 50,renderer:renderCategoryName},
			{header: TPMS_lang_strategyLevel2, dataIndex: 'level', sortable: true, width: 50},
			{header: TPMS_lang_common_title, dataIndex: 'subject', sortable: true, width: 200,renderer:function(val){
				return my_unescape(val);//<&lt;
				//return xxx(val);
			}},
			{header: TPMS_lang_common_status, dataIndex: 'status', sortable: true, width: 40},
			{header: TPMS_lang_scrum_priority, dataIndex: 'priority', sortable: true, width: 40, hidden:false },
			{header: TPMS_lang_scrum_severity, dataIndex: 'severity', sortable: true, width: 40, hidden:false },
			{header: TPMS_lang_riskArea, dataIndex: 'levelName', sortable: true, width: 40, hidden:false,renderer:
				function(value, meta, record){
					return TPMS_lang_RiskLevel[value];
			}},		
			{header: TPMS_lang_common_count, dataIndex: 'issueTextCnt', sortable: true, width: 40},
			{header: TPMS_lang_scrum_file, dataIndex: 'filecnt', sortable: true, width: 40},
			{header: TPMS_lang_LatestDate, dataIndex: 'updateDate',sortable: true, width: 80, hidden:false,
						renderer: function(val, meta, record){	
							var toDay=new Date(); 
							var date = val.substr(0,10); 
							var time = val.substr(11,19); 
							if(toDay.format('Y-m-d')==date){
								val=time;
							}else{
								val=date;
							} 
							return renderHistoryCategory(val);
						} 
					}
			//{header: TPMS_lang_updateDate, dataIndex: 'updateDate', sortable: true, width: 80, hidden:false },
			//{header: TPMS_lang_common_createdDate, dataIndex: 'regDate', sortable: true, width: 80}
		]);

	var memoItemTabCenterGridListeners = {
		scope : this,
		rowdblclick: function(grid){					
			var sel = grid.getSelectionModel().getSelected();
			var Type = 'isseuItem';
			if(sel){
				var seq = sel.data.seq;				
				ViewItemInfo(Type,seq,issueListStore);
			}
		}
	};	
	var projectMemoLevelStore = MakeStore('/service/issueManager_proc.php?method=getStrategyLevelList','',['levelSeq','level'],{ProjectSeq:projectSeq});
	var memoLevelListeners = {
		select:function(){
			var type = Ext.getCmp('memoIssueSearchType').getValue();
			var text = Ext.getCmp('memoIssueAutoSearch').getValue();	
			if(Ext.getCmp('searchMemoStrategy_Level').getValue() != "ALL"){
				memoLevel = Ext.getCmp('searchMemoStrategy_Level').getValue();
			}
			memoIssueListStore.load({params:{ProjectSeq:projectSeq,Category:memoCategorySeq,SearchType:type,SearchText:text,StrategyLevel:memoLevel,statusCloseChk:UserInfo.CloseView,start:0, limit:100}});
		}
	};

	var TBar = [
		MakeItem('','combo',TPMS_lang_strategyLevel2,'searchMemoStrategy_Level',projectMemoLevelStore,'','30',memoLevelListeners,'ALL',['levelSeq','level'])
		,'->'
		,MakeItem('','combo','','memoIssueSearchType',[
						['All', TPMS_lang_Search_all],
						['title', TPMS_lang_Search_title],
						//['category', TPMS_lang_Search_category],
						['status', TPMS_lang_Search_status]
					],'',80,'','All','')
		,'-'
		,MakeItem('','textfield','','memoIssueAutoSearch','','',200)
		,'-'
		,MakeButton('',TPMS_lang_Search,'','','','','',function(btn){
				var type = Ext.getCmp('memoIssueSearchType').getValue();
				var text = Ext.getCmp('memoIssueAutoSearch').getValue();				
				memoIssueListStore.load({params:{ProjectSeq:projectSeq,Category:memoCategorySeq,SearchType:type,SearchText:text,statusCloseChk:UserInfo.CloseView,start:0, limit:100}});				
			})
		];

	var BBar = ['->',getStatusCloseChk('memoItemList'),'-',new Ext.PagingToolbar({
				pageSize: 100,
				store: memoIssueListStore,
				displayInfo: true,
				//plugins: [new Ext.ux.PageSizePlugin()],
				displayMsg: 'Total: {0} - {1} of {2}',
				//   displayMsg: 'Total: {2} 中 {0} - {1}',
				emptyMsg: "No Data",
				doLoad: function(start) {
					var o = this.store.lastOptions.params;
					var pn = this.getParams();
					o[pn.start] = start;
					o[pn.limit] = this.pageSize;
					if (this.fireEvent('beforechange', this, o) !== false) {
						this.store.load({
							params: o
						});
					}
				}
			})];
	
	var TButton = [ControlButtonGroup];
	//var BButton = [ControlButtonGroup];

	var memoItemTabCenterGridPanel = MakeGridPanel('','memoItemTabCenterGridPanel',memoIssueListStore,'',550,Cm2,'',memoItemTabCenterGridListeners,TButton,'');//BButton

	var Items2 = [MakePanel('center','fit','','','','','',memoItemTabCenterGridPanel,'',TBar,BBar)];
	
	var memoItemTab = MakePanel('','border','',renderCategoryName(memoCategorySeq), 'memoItemTab','','',Items2,'','','','');
	