	//////////////////////////////////////////////////////////
	//////												//////
	//////				Set Store Load					//////
	//////												//////
	//////////////////////////////////////////////////////////
	
	var riskItemTabCenterGridStore = MakeStore('/service/issueManager_proc.php?method=getRiskItemList','',[
		'seq',
		'domainName',
		'itemCaName',
		'name',
		'writer',
		'issueCnt'
	],'');

	var issueListMapStore = MakeStore('/service/issueManager_proc.php?method=getListIssueRiskItems','',[
		'seq',
		'subject',
		'status',
		'caName'
	],'');

	
	//////////////////////////////////////////////////////////
	//////				Domain Grid Panel				//////
	//////////////////////////////////////////////////////////

	var Sm2 = new Ext.grid.CheckboxSelectionModel({ 
		singleSelect: false,
		listeners: {
			scope : this,
			rowselect: function(smObj, rowIndex, record) {
			}
		}
	});

	var Cm2 = new Ext.grid.ColumnModel([
			//Sm2,
			{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_domain, dataIndex: 'domainName', sortable: true, width: 100},
			{header: TPMS_lang_domain_category, dataIndex: 'itemCaName', sortable: true, width: 50, hidden: true},
			{header: TPMS_lang_riskItem_title, dataIndex: 'name', sortable: true, width: 100},
			{header: TPMS_lang_riskItem_creater, dataIndex: 'writer', sortable: true, width: 80},
			{header: TPMS_lang_issueCnt, dataIndex: 'issueCnt', sortable: true, width: 50}
		]);

	var riskItemTabCenterGridListeners = {
			scope : this/*,
			rowdblclick: function(grid){
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
				}
			},
			rowclick:function(grid, rowIndex, e) {
				var selectItem = grid.selModel.getSelections();
				var seq = selectItem[0].data['seq']; 

				var domainName = selectItem[0].data['domainName']; 
				var category = selectItem[0].data['category'];
				var name = selectItem[0].data['name'];
				var writer = selectItem[0].data['writer'];
				var issueCnt = selectItem[0].data['issueCnt'];
				var itemCaName = selectItem[0].data['itemCaName'];

				Ext.getCmp('riskItemSeq-hidden').setValue(seq);
				Ext.getCmp('domain-name').setValue(domainName);
				Ext.getCmp('domain-type').setValue(itemCaName);
				Ext.getCmp('domain-riskItem').setValue(name);
				Ext.getCmp('domain-creater').setValue(writer);
				Ext.getCmp('domain-description').setValue(issueCnt);
				Ext.getCmp('issueMappingGridPanel').getStore().load({params:{RiskItemsSeq:seq}});
			}*/
		};

	var TBar = [
		MakeItem('','label',TPMS_lang_domain,'','','','','','')
		,MakeItem('','textfield',TPMS_lang_domain,'domainSearch','','',150,{
                    scope : this,
                    'specialkey' : function(f,o){
                       if(o.getKey()==13){
						   //alert("enter : search riskitem");
							//f.submit();
							var domain = Ext.getCmp('domainSearch').getValue();
							var riskItem = Ext.getCmp('riskItemSearch').getValue();
							riskItemTabCenterGridStore.load({params:{ProjectSeq:projectSeq,SearchDomain:domain,SearchRiskItem:riskItem}});
						}
                    },
                    search : function(){
                       //alert("search");
                    }
                },'',''
		),'-'
		,MakeItem('','label',TPMS_lang_riskItem,'','','','','','','')			
		,MakeItem('','textfield','','riskItemSearch','','',150,{
					scope : this,
                    'specialkey' : function(f,o){
                       if(o.getKey()==13){
						   //alert("enter : search riskitem");
							//f.submit();
							var domain = Ext.getCmp('domainSearch').getValue();
							var riskItem = Ext.getCmp('riskItemSearch').getValue();
							riskItemTabCenterGridStore.load({params:{ProjectSeq:projectSeq,SearchDomain:domain,SearchRiskItem:riskItem}});
						}
                    },
                    search : function(){
                       //alert("search");
                    }		
		},'','')
		,'->'
		,MakeButton('',TPMS_lang_Search,'','','','','',function(btn){
					var domain = Ext.getCmp('domainSearch').getValue();
					var riskItem = Ext.getCmp('riskItemSearch').getValue();
					//var print = "domain : "+domain+", riskItem : "+riskItem;
					//alert(print);
					riskItemTabCenterGridStore.load({params:{ProjectSeq:projectSeq,SearchDomain:domain,SearchRiskItem:riskItem}});
				})
		];

	var BBar = ['->',new Ext.PagingToolbar({
				pageSize: 100,
				store: riskItemTabCenterGridStore,
				displayInfo: true,
				//plugins: [new Ext.ux.PageSizePlugin()],
	            displayMsg: 'Total: {0} - {1} of {2}',
				//   displayMsg: 'Total: {2} 中 {0} - {1}',
				emptyMsg: "No Data",
				doLoad: function(start) {
					var o = this.store.lastOptions.params;
					var pn = this.getParams();
					o[pn.start] = start;
					o[pn.limit] = this.pageSize;
					if (this.fireEvent('beforechange', this, o) !== false) {
						this.store.load({
							params: o
						});
					}
				}
			})];

	var riskItemTabCenterGridPanel = MakeGridPanel('','riskItemTabCenterGridPanel',riskItemTabCenterGridStore,'',550,Cm2,'',riskItemTabCenterGridListeners,TBar,BBar);
	
	riskItemTabCenterGridPanel.getSelectionModel().on('rowselect', function(sm, rowIdx, r) {
		Ext.getCmp('riskItemSeq-hidden').setValue(r.data['seq']);
		Ext.getCmp('domain-name').setValue(r.data['domainName']);
		Ext.getCmp('domain-type').setValue(r.data['itemCaName']);
		Ext.getCmp('domain-riskItem').setValue(r.data['name']);
		Ext.getCmp('domain-creater').setValue(r.data['writer']);
		Ext.getCmp('domain-description').setValue(r.data['issueCnt']);
		Ext.getCmp('issueMappingGridPanel').getStore().load({params:{RiskItemsSeq:r.data['seq']}});
	});


	//////////////////////////////////////////////////////////
	//////				RiskItem Tab Panel				//////
	//////////////////////////////////////////////////////////

	
	var riskItemTabInfoTBar = [
			/*
			MakeButton('delete',TPMS_lang_button_remove,'','','','','',
				function(btn){

					var Records = Ext.getCmp('riskItemTabCenterGridPanel').selModel.getSelections();
					if(Records.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
						return;
					}else{
						var DataList = "";
						for(var i=0; i<Records.length; i++){
								DataList += Records[i].data['seq'];
							if(i+1 != Records.length){
								DataList += ",";
							}
						}
						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
							if(btn == "yes") { 
								var Type = 'riskItemGrid';
								//DeleteItem(Type,DataList);
								alert(DataList);
							}else{
								return;
							}
						}); 	
					}
				}
			),'-'
			,*/
			MakeButton('copy','Mapping','','icon-connect','','','',function(btn){SelectIssueRiskItem(projectSeq);})
		];

	/*
	function MakeInfoPanel(Title,Id,Items,TBar,BBar){
		
		var eastPanel = {
			region: 'east',
			xtype: 'panel',	//xtype: 'form',
			layout: 'fit',
			collapsible: true,
			title: 'Some Info',
			autoScroll:true,
			bodyStyle:'padding:5px;',
			width: 450,//'40%',
			items: [Items],
			tbar: TBar
		};
		
		return eastPanel;
	}*/

	//MakeInfoPanel('Some Info','',riskItemTabInfoPanel,riskItemTabInfoTBar,'')];


	var issueMappingGridCm = new Ext.grid.ColumnModel([
			{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_common_title, dataIndex: 'subject', sortable: true, width: 150},
			{header: TPMS_lang_common_type, dataIndex: 'caName', sortable: true, width: 100},
			{header: TPMS_lang_common_status, dataIndex: 'status', align:'center', sortable: true, width: 80}
			//Grid button
			//,{header: TPMS_lang_button_remove, dataIndex: '', align:'center', sortable: true, width: 100, renderer:
			//		function(value, meta, record){
			//			var id = record.data.seq; 
						//var deleteBtn = '<input type=button onclick="deleteItem('+id+');" id="'+id+'_delete" value="삭제">'; 
			//			var deleteBtn = '<input type=button onclick="DeleteIssueItem('+id+');" value='+TPMS_lang_button_remove+'>'; 
			//			return deleteBtn;
			//		}
			//	}
		]);

	var issueMappingGridListeners = {
			scope : this,
			rowdblclick: function(grid){
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
				}
			},
			rowclick:function(grid, rowIndex, e) {
				var selectItem = grid.selModel.getSelections();
				var seq = selectItem[0].data['seq']; 
			}
		};

	var issueMappingGridBBar = ['->',MakeButton('delete','연결 해제','','icon-disconnect','','','',
			function(btn){

				var Records = Ext.getCmp('issueMappingGridPanel').selModel.getSelections();
				if(Records.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_deleteSelect);
					return;
				}else{
					var DataList = "";
					for(var i=0; i<Records.length; i++){
							DataList += Records[i].data['seq'];
						if(i+1 != Records.length){
							DataList += ",";
						}
					}
					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							var Type = 'issueOfRiskItem';
							//DeleteItem(Type,DataList);
							//alert(DataList);
						}else{
							return;
						}
					}); 	
				}
			}
		)];

	var issueMappingGridPanel = MakeGridPanel('','issueMappingGridPanel',issueListMapStore,'','',issueMappingGridCm,'',issueMappingGridListeners,'',issueMappingGridBBar);

	var riskItemTabInfoPanel = new Ext.Panel({
		id: 'riskItemInfoPanel',
		//layout: 'fit',
		border: false,
		//height: 300,
		//width: 320,
		items:[{
			xtype: 'form',
			height: 200,
			bodyStyle: 'padding: 5 0 5 5;',
			items:[{
				xtype: 'hidden',
				id: 'riskItemSeq-hidden'
			},{
				xtype:'textfield',
				fieldLabel: TPMS_lang_domain,
				id: 'domain-name',
				readOnly : true,
				anchor:'95%'
			},{
				xtype:'textfield',
				fieldLabel: TPMS_lang_common_type,
				id: 'domain-type',
				readOnly : true,
				anchor:'95%'
			},{
				xtype:'textfield',
				fieldLabel: TPMS_lang_riskItem,
				id: 'domain-riskItem',
				readOnly : true,
				anchor:'95%'
			},{
				xtype:'textfield',
				fieldLabel: TPMS_lang_riskItem_creater,
				id: 'domain-creater',
				readOnly : true,
				anchor:'95%'
			},{
				xtype:'textarea',
				fieldLabel: TPMS_lang_domain_description,
				id: 'domain-description',
				readOnly : true,
				anchor:'95%',
				height : 75
			}]
		},{
			layout: 'fit',
			id: 'issueMapping',
			border: false,
			items:[issueMappingGridPanel]
		}]
	});

	var EastPanel = MakePanel('east','fit','panel',TPMS_lang_select+TPMS_lang_info,'','',450,riskItemTabInfoPanel,'',riskItemTabInfoTBar,'','padding:0px;');
		//EastPanel.split = true;

	var Items2 = [MakePanel('center','fit','','','','','',riskItemTabCenterGridPanel,'','','')
				,EastPanel];
	var riskItemTab = MakePanel('','border','',TPMS_lang_riskItem, 'riskItemTab','','',Items2,'','','','');
