	var CopyWindow=null;
	Config.updateFlag = 0;
	RiskAnalyzerObj = function(Seq,Name,Description,ProjectCode,ScrumGroupSid,StrategySeq,Status,Author,RegDate,CommonFlag,SvI,StI,PI,PS)
	{
		this.seq = Seq;
		this.subject = Name;
		this.description = Description;
		this.project_code = ProjectCode;
		this.scrum_group_sid = ScrumGroupSid;
		this.strategySeq = StrategySeq;
		this.status = Status;
		this.author = Author;
		this.regDate = RegDate;
		this.commonFlag = CommonFlag;
		this.SvI = SvI;
		this.StI = StI;	
		this.PI = PI;
		this.PS = PS;

		this.SvI2string=function(obj)
		{
			var val='';
			for(var i=0;i<obj.length;i++){
				var r = obj[i];
				if(r['issueSeverity']=='' || r['name']==''){
					Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain_riskAnalyseValue+TPMS_lang_Msg_validationMsg);
					return;
				}
				val += r['name'].trim() + '('+ r['issueSeverity'] +')';
				if(i != obj.length - 1){
					val += ', ';
				}
			}
			return val;
		}

		this.StI2string=function(obj)
		{
			var val='';
			for(var i=0;i<obj.length;i++){
				var r = obj[i];
				if(r['issueStatus']=='' || r['name']==''){
					Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain_riskAnalyseValue+TPMS_lang_Msg_validationMsg);
					return;
				}
				val += r['name'].trim();// + '('+ r['issueStatus'] +')';
				if(i != obj.length - 1){
					val += ', ';
				}
			}
			return val;
		}

		this.PI2string=function(obj)
		{
			var val='';
			for(var i=0;i<obj.length;i++){
				var r = obj[i];
				if(r['issuePriority']=='' || r['name']==''){
					Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain_riskAnalyseValue+TPMS_lang_Msg_validationMsg);
					return;
				}
				val += r['name'].trim();// + '('+ r['issuePriority'] +')';
				if(i != obj.length - 1){
					val += ', ';
				}
			}
			return val;
		}
	};

	cutText = function(name,length)
	{
		if(name.length > length){
			name = 	name.substring(0,length);
			name = name+"...";
		}
		return name;
	};

	// turn on validation errors beside the field globally
	Ext.QuickTips.init();
    Ext.form.Field.prototype.msgTarget = 'side';
	//////////////////////////////////////////////////////

	var RiskAnalysisObject = null;


	//////////////////////////////////////////////////////////
	//////												//////
	//////		Page Item(Panel/Tree/etc) Set Size		//////
	//////												//////
	//////////////////////////////////////////////////////////

	//var Config={};
	Config.Height=document.body.clientHeight;
	Config.Width=document.body.clientWidth;

	Config.doLayout=function(adjWidth,adjHeight)
	{	
		Config.Width=adjWidth;
		Config.Height=adjHeight;

		if(Ext.getCmp('reporterGridPanel')){
			Ext.getCmp('reporterGridPanel').setHeight(adjHeight-300);
			Ext.getCmp('reporterGridPanel').setWidth((adjWidth*2/3-30)/3);
		}
		if(Ext.getCmp('userGridColumn1')){
			Ext.getCmp('userGridColumn1').setWidth((adjWidth*2/3-25)/3+3);
		}

		if(Ext.getCmp('resolverGridPanel')){
			Ext.getCmp('resolverGridPanel').setHeight(adjHeight-300);
			Ext.getCmp('resolverGridPanel').setWidth((adjWidth*2/3-30)/3);
			//Ext.getCmp('userGridColumn2').setWidth((adjWidth*2/3-15)/3+3);
		}
		if(Ext.getCmp('userGridColumn2')){
			Ext.getCmp('userGridColumn2').setWidth((adjWidth*2/3-25)/3+3);
		}

		if(Ext.getCmp('handlerGridPanel')){
			Ext.getCmp('handlerGridPanel').setHeight(adjHeight-300);
			Ext.getCmp('handlerGridPanel').setWidth((adjWidth*2/3-30)/3);
			//Ext.getCmp('userGridColumn3').setWidth((adjWidth*2/3-30)/3);
		}
		if(Ext.getCmp('userGridColumn3')){
			Ext.getCmp('userGridColumn3').setWidth((adjWidth*2/3-25)/3+3);
		}

		if(Ext.getCmp('riskDomainGrid')){
			var eastGridHeight = (adjHeight-265)/2;
			var eastGridWidth = (adjWidth/3-22);

			Ext.getCmp('riskDomainGrid').setHeight(eastGridHeight);
			Ext.getCmp('riskDomainGrid').setWidth(eastGridWidth);
			Ext.getCmp('riskDomainFit').setHeight(eastGridHeight);
			Ext.getCmp('riskDomainFit').setWidth(eastGridWidth);


			Ext.getCmp('issueProjectUserGrid').setHeight(eastGridHeight);
			Ext.getCmp('issueProjectUserGrid').setWidth(eastGridWidth);
			Ext.getCmp('tempFit').setHeight(eastGridHeight);
			Ext.getCmp('tempFit').setWidth(eastGridWidth);
		}
		

		//Center, East Panel Set
		if(Ext.getCmp('centerPanel')){
			Ext.getCmp('centerPanel').setWidth(adjWidth*2/3-5);
		}
		if(Ext.getCmp('eastPanel')){
			Ext.getCmp('eastPanel').setWidth(adjWidth/3);
		}

		//Info Panel
		if(Ext.getCmp('issueProjectInfoPanel')){
			Ext.getCmp('issueProjectInfoPanel').setWidth(adjWidth*2/3-12);
			//alert(adjWidth*2/3-12)
		}
		//Grid Panel
		if(Ext.getCmp('userGridColumnPanel')){
			Ext.getCmp('userGridColumnPanel').setWidth(adjWidth*2/3-12);
		}
		//Option Panel //optionPanel
		if(Ext.getCmp('optionPanel')){
			Ext.getCmp('optionPanel').setWidth(adjWidth/3-22);
		}
	}


	//////////////////////////////////////////////////////////
	//////												//////
	//////					Store						//////
	//////												//////
	//////////////////////////////////////////////////////////	

	var riskDomainListStore = MakeStore('/service/issueManager_proc.php?method=getIsuseProjectDomainList','',[
			'seq',
			'name',
			'author',
			'category'
		],{ProjectSeq : projectSeq});
	
	var reporterStore = MakeStore('/service/issueManager_proc.php?method=getProjectMemberList','',[
			'seq',
			'userNick',
			'userSeq',
			'reg_date',
			'writer',
			'email',
			'group_sid',
			'groupName',
			'nick_name',
			'etc',
			'reporter',
			'resolver',
			'handler'	
		],{ProjectSeq : projectSeq, RoleType:'reporter'});

	var resolverStore = MakeStore('/service/issueManager_proc.php?method=getProjectMemberList','',[
			'seq',
			'userNick',
			'userSeq',
			'reg_date',
			'writer',
			'email',
			'group_sid',
			'groupName',
			'nick_name',
			'etc',
			'reporter',
			'resolver',
			'handler'	
		],{ProjectSeq : projectSeq, RoleType:'resolver'});

	var handlerStore = MakeStore('/service/issueManager_proc.php?method=getProjectMemberList','',[
			'seq',
			'userNick',
			'userSeq',
			'reg_date',
			'writer',
			'email',
			'group_sid',
			'groupName',
			'nick_name',
			'etc',
			'reporter',
			'resolver',
			'handler'			
		],{ProjectSeq : projectSeq, RoleType:'handler'});

	var issueProjectUserStore = MakeStore('/service/issueManager_proc.php?method=getIssueProjectMemberList','',[
			'seq',
			'userNick',
			'userSeq',
			'reg_date',
			'writer',
			'email',
			'group_sid',
			'groupName',
			'nick_name',
			'etc'
			//,'userRole'			
		],{ProjectSeq : projectSeq});
	
	var strategyStore = MakeStore('/service/tpms_proc.php?method=getStrategyList','',[
			'seq',
			'name',
			'strategyStatus',
			'author',
			'regDate',
			'position',
			'status',
			'commonflag',
			'levelCnt',
			'factorCnt',
			'itemCnt'
		],'');


	var memberGroupStore = MakeStore('/service/tpms_proc.php?method=getMemberGroupList','sid',['sid','name'],'');
	

	//////////////////////////////////////////////////////////
	//////												//////
	//////				Button Action					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function AddUserAction(type,store)
	{
		var typeUrl = '';
		var params = {};
		if(type == "reporter"){
			typeUrl = '/service/issueManager_proc.php?method=createReporter';
			params = {ProjectSeq : projectSeq, RoleType:'reporter'};
		}else if(type == "resolver"){
			typeUrl = '/service/issueManager_proc.php?method=createResolver';
			params = {ProjectSeq : projectSeq, RoleType:'resolver'};
		}else if(type == "handler"){
			typeUrl = '/service/issueManager_proc.php?method=createHandler';
			params = {ProjectSeq : projectSeq, RoleType:'handler'};
		}else if(type == "issueProjectUser"){
			typeUrl = '/service/issueManager_proc.php?method=createIssueProjectUser&list='+store;
			params = {ProjectSeq : projectSeq, RoleType:'issueProjectUser'};

			Ext.Ajax.request({
				scope : this,
				url : typeUrl,
				method: 'POST',
				params :{ProjectSeq : projectSeq},
				success: function ( result, request ) {
						issueProjectUserStore.reload(params);
						Ext.getCmp('issueProjectUserGrid').getStore().reload({ProjectSeq : projectSeq});
				},
				failure: function ( result, request ) {
				}
			});
			return;
		}else{

		}		
		
		Ext.Ajax.request({
			scope : this,
			url : typeUrl,
			method: 'POST',
			params :{ProjectSeq : projectSeq},
			success: function ( result, request ) {
					store.reload(params);
					Ext.getCmp('issueProjectUserGrid').getStore().reload({ProjectSeq : projectSeq});
			},
			failure: function ( result, request ) {
			}
		});
	}

	function UpdateUserAction(type,id,param)
	{
		var typeUrl = '';
		var params = {};
		if(type == "reporter"){
			typeUrl = '/service/issueManager_proc.php?method=updateReporter';
			params = {ProjectSeq : projectSeq};
		}else if(type == "resolver"){
			typeUrl = '/service/issueManager_proc.php?method=updateResolver';
			params = {ProjectSeq : projectSeq};
		}else if(type == "handler"){
			typeUrl = '/service/issueManager_proc.php?method=updateHandler';
			params = {ProjectSeq : projectSeq};
		}else{

		}
					
		Ext.Ajax.request({
			scope : this,
			url : typeUrl,
			method: 'POST',
			params :{ProjectSeq : projectSeq},
			success: function ( result, request ) {
					store.reload(params);
					Ext.getCmp('issueProjectUserGrid').getStore().reload({ProjectSeq : projectSeq});
			},
			failure: function ( result, request ) {
			}
		});
	};

	function UserRemoveAction(type,id,dataList)
	{
		var typeUrl = '';
		var params = {};
		if(type == "reporter"){
			typeUrl = '/service/issueManager_proc.php?method=deleteReporter';
			params = {ProjectSeq : projectSeq, DataList:dataList};
		}else if(type == "resolver"){
			typeUrl = '/service/issueManager_proc.php?method=deleteResolver';
			params = {ProjectSeq : projectSeq, DataList:dataList};
		}else if(type == "handler"){
			typeUrl = '/service/issueManager_proc.php?method=deleteHandler';
			params = {ProjectSeq : projectSeq, DataList:dataList};
		}else if(type == "issueProjectUser"){
			typeUrl = '/service/issueManager_proc.php?method=deleteIssueProjectUser';
			params = {ProjectSeq : projectSeq, DataList:dataList};
		}else{

		}
					
		Ext.Ajax.request({
			scope : this,
			url : typeUrl,
			method: 'POST',
			params :params,
			success: function ( result, request ) {
				var r=Ext.decode(result.responseText);
				if(r.success==false){
					Ext.Msg.alert(r.msg_type,r.msg);
				}
				else{
					if(type == "issueProjectUser"){
						Ext.getCmp('reporterGridPanel').getStore().reload({ProjectSeq : projectSeq});
						Ext.getCmp('resolverGridPanel').getStore().reload({ProjectSeq : projectSeq});
						Ext.getCmp('handlerGridPanel').getStore().reload({ProjectSeq : projectSeq});
						Ext.getCmp('issueProjectUserGrid').getStore().reload({ProjectSeq : projectSeq});
					}else{
						Ext.getCmp(id).getStore().reload(params);
						Ext.getCmp('issueProjectUserGrid').getStore().reload({ProjectSeq : projectSeq});
					}
				}
			},
			failure: function ( result, request ) {
			}
		});
	};

	//////////////////////////////////////////////////////////
	//////												//////
	//////				Button Array					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function AddUserBtn(type,store)
	{
		var add_Btn;

		if(type=='issueProjectUser'){
			add_Btn = {
				xtype: 'button',
				iconCls: 'icon-plus',
				id: type+'_add',
				text: TPMS_lang_button_add,
				handler: function() {
					CallUserWin2();
				}
			};
		}else{
			add_Btn = {
				xtype: 'button',
				iconCls: 'icon-plus',
				id: type+'_add',
				text: TPMS_lang_button_add,
				handler: function() {
					if(Ext.getCmp('centerPanel')){

						if(store.getCount() >= Config.riskItemMax){

							var userMaxMsg = TPMS_lang_Msg_maxUser.replace("{item}",TPMS_lang_user);//egkang??
							userMaxMsg = userMaxMsg.replace("{number}",Config.userMax);

							Ext.Msg.alert(TPMS_lang_title, userMaxMsg);		
						}else{
							AddUserAction(type,store)						
						}
					}
				}
			};
		}
		return add_Btn;
	};

	function UpdateUserBtn(type,id)
	{
		var update_Btn = {
			xtype: 'button',
			iconCls: 'icon-edit',
			id: type+'_update',
			text: TPMS_lang_button_update,
			handler: function() {
				if(Ext.getCmp('centerPanel')){
					var selectRecords = Ext.getCmp(id).selModel.getSelections();

					if(selectRecords.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
						return;
					}else{
						if(selectRecords.length > 1){
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectError);
						}else{
							var store = {};
							if(type == "reporter"){
								store = reporterStore;
							}else if(type == "resolver"){
								store = resolverStore;								
							}else if(type == "handler"){
								store = handlerStore;								
							}else if(type == "issueProjectUser"){
								store = issueProjectUserStore;
							}
							IssueUserUpdateWin(selectRecords[0].data['seq'],store);
						}
					} 
				}
			}
		};
		return update_Btn;
	};

	function RemoveUserBtn(type,id)
	{
		var remove_Btn = {
			xtype: 'button',
			iconCls: 'icon-minus',
			id: type+'_remove',
			text: TPMS_lang_button_remove,
			handler: function() {
				if(Ext.getCmp('centerPanel')){
					var list = new Array();
					var seletRecords = Ext.getCmp(id).selModel.getSelections();

					if(seletRecords.length==0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
						return;
					}else{
						var dataList ="";
						for(var i=0; i<seletRecords.length; i++){
							 dataList += seletRecords[i].data['seq']+",";
						}

						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
							if(btn == "yes") { 		
								UserRemoveAction(type,id,dataList);
							}else{
								return;
							}
						}); 
					} 
				}
			}
		};
		return remove_Btn;
	};

	

	//////////////////////////////////////////////////////////
	//////				riskDomain Button 				//////
	//////////////////////////////////////////////////////////

	var getRiskDomainList_Btn = {
		xtype: 'button',
		iconCls: 'icon-copy',
		id: 'riskDomainListGet_Btn',
		text: TPMS_lang_button_call,
		handler: function() {
			if(Ext.getCmp('centerPanel')){
				GetRiskDomainListWin();
			}
		}		
	};

	var removeRiskDomain_Btn ={
		xtype: 'button',
		iconCls: 'icon-minus',
		id: 'riskDomainRemove_Btn',
		text: TPMS_lang_button_remove,
		handler: function() {
			if(Ext.getCmp('centerPanel')){
				var list = "";//new Array();
				var records = Ext.getCmp('riskDomainGrid').selModel.getSelections();

				if(records.length != 0){
					for(var i=0; i<records.length; i++){
						list +=records[i].data['seq'];
						if(i<records.length) list +=",";
					}
							
					Ext.Ajax.request({
						url: '/service/issueManager_proc.php?method=deleteIssueProjectDomain',
						method: 'POST',
						params :{
							ProjectSeq:projectSeq ,DataList :list
						},
						success : function(resp, opt){
							riskDomainListStore.reload({ProjectSeq:projectSeq});
						},
						failure: function ( result, request ) {
							//Ext.Msg.alert("","Failure"); 
						}
					});

				}else{
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_selectGetItem);
					return;
				}
				
			}
		}
	};

	var remove_Btn3 = {
		xtype: 'button',
		iconCls: 'icon-minus',
		text: TPMS_lang_button_remove,
		handler: function() {
			if(Ext.getCmp('centerPanel')){
				var list = new Array();
				var userRecords = Ext.getCmp('handlerGridPanel').selModel.getSelections();

				if(userRecords.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
					return;
				}else{
					var domainUserListSeq ="";
					for(var i=0; i<userRecords.length; i++){
						 domainUserListSeq += userRecords[i].data['seq']+",";
					}

					Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_deleteConfirm, function (btn) { 
						if(btn == "yes") { 
							userDelete(domainUserListSeq);
						}else{
							return;
						}
					}); 
				} 
			}
		}
	};

	var update_Btn3 = {
		xtype: 'button',
		iconCls: 'icon-edit',
		text: TPMS_lang_button_update,
		handler: function() {
			if(Ext.getCmp('centerPanel')){
				var list = new Array();
				var userRecords = Ext.getCmp('handlerGridPanel').selModel.getSelections();

				if(userRecords.length==0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_noSelect);//"Select Record!");
					return;
				}else if(userRecords.length > 1){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectError);
				}else{
					var store = {};
					if(type == "reporter"){
						store = reporterStore;
					}else if(type == "resolver"){
						store = resolverStore;								
					}else if(type == "handler"){
						store = handlerStore;								
					}
					IssueUserUpdateWin(selectRecords[0].data['seq'],store);
				}
			}
		}
	};



	//////////////////////////////////////////////////////////
	//////												//////
	//////					Grid Panel					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function AddIssueMember(userSeq, roleType, targetStore){

		if(UserInfo.UserId!='admin')
		{
			if((UserInfo.UserRole & 4)!=4 )
			return false;
		}

		Ext.Ajax.request({
			url : '/service/issueManager_proc.php?method=addIssueMember',
			method: 'POST',
			params :{ 
				ProjectSeq : projectSeq,
				nUserSeq : userSeq,
				//strNick : ,
				//nUserGroupSid : ,
				nRole : roleType
			},
			success: function ( result, request ) {
				var r=Ext.decode(result.responseText);
				if(r.success==false){
					Ext.Msg.alert(r.msg_type,r.msg);
				}
				else{
				if(roleType == 1)
					targetStore.reload({ProjectSeq : projectSeq, RoleType:'reporter'});
				if(roleType == 2)
					targetStore.reload({ProjectSeq : projectSeq, RoleType:'resolver'});
				if(roleType == 3)
					targetStore.reload({ProjectSeq : projectSeq, RoleType:'handler'});
				}
			},
			failure: function ( result, request ) {
			}
		});
	}

	

	var Gridheight = Config.Height-300;//430;
	var GridWidth = (Config.Width*2/3-30)/3;
	
	var Sm1 = new Ext.grid.CheckboxSelectionModel({ 
		singleSelect: false,
		listeners: {
			scope : this,
			rowselect: function(smObj, rowIndex, record) {
				//selRecordStore = record;
			}
		}
	});//, tooltip :"select"});

	var Sm2 = new Ext.grid.CheckboxSelectionModel({ 
		singleSelect: false,
		listeners: {
			scope : this,
			rowselect: function(smObj, rowIndex, record) {
			}
		}
	});

	var Sm3 = new Ext.grid.CheckboxSelectionModel({ 
		singleSelect: false,
		listeners: {
			scope : this,
			rowselect: function(smObj, rowIndex, record) {
			}
		}
	});

	var Sm4 = new Ext.grid.CheckboxSelectionModel({ 
		singleSelect: false,
		listeners: {
			scope : this,
			rowselect: function(smObj, rowIndex, record) {
			}
		}
	});

	var Sm5 = new Ext.grid.CheckboxSelectionModel({ 
		singleSelect: false,
		listeners: {
			scope : this,
			rowselect: function(smObj, rowIndex, record) {
			}
		}
	});


	//////////////////////////////////////////////////////////
	//////				reporter Grid Panel				//////
	//////////////////////////////////////////////////////////

	var Cm1 = new Ext.grid.ColumnModel([
			Sm1,
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_user, dataIndex: 'userNick', sortable: true, width: 100,renderer:my_unescape},
			{header: TPMS_lang_user_department, dataIndex: 'groupName', sortable: true, width: 100,renderer:my_unescape}
		]);

	var reporterListeners = {
			scope : this,
			rowdblclick: function(grid){
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
					//egkang 2011-07-07 수정
					//IssueUserUpdateWin(seldata.seq,grid.getStore());
				}
			},
			render: function(grid){
				//egkang : 2011-07-04 프로젝트 설정 사용자 추가 : drag & drop 영역 확장
				//grid.getView().mainBody => grid.getView().el.dom.childNodes[0].childNodes[1]
				var target = new Ext.dd.DropTarget(grid.getView().el.dom.childNodes[0].childNodes[1],{
					ddGroup: 'issueUserGridDD',
					copy: false,
					notifyDrop : function(ddSource, e, data){
						var records =  ddSource.dragData.selections;
						if(records.length > 0){
							for(var i=0; i<records.length; i++){
								var checkUser = 0;
								for(var j=0;j<reporterStore.getRange().length;j++){
									var record = reporterStore.getAt(j);
									if(record){
										if(records[i].data['userSeq']==record.data.userSeq){	
											checkUser = 1;											
										}
									}
								}
								if(checkUser == 0){
									AddIssueMember(records[i].data['userSeq'], 1,reporterStore);
								}else{
									//alert('중복');
								}
							}
						}
                        return true
					}
				});
			}
		};

	//var userGridPanelTBar1 = ['->',AddUserBtn('reporter',reporterStore),'-',UpdateUserBtn('reporter','reporterGridPanel'),'-',RemoveUserBtn('reporter','reporterGridPanel')];
	var userGridPanelTBar1 = ['->',RemoveUserBtn('reporter','reporterGridPanel')];
	var reporterGridPanel = MakeGridPanel('Reporter','reporterGridPanel',reporterStore,GridWidth,Gridheight,Cm1,Sm1,reporterListeners,userGridPanelTBar1);
		reporterGridPanel.autoScroll= true;
		reporterGridPanel.enableDragDrop = false;
		reporterGridPanel.ddGroup = 'issueUserGridDD';

	//////////////////////////////////////////////////////////
	//////				resolver Grid Panel				//////
	//////////////////////////////////////////////////////////

	var Cm2 = new Ext.grid.ColumnModel([
			Sm2,
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_user, dataIndex: 'userNick', sortable: true, width: 100,renderer:my_unescape},
			{header: TPMS_lang_user_department, dataIndex: 'groupName', sortable: true, width: 100,renderer:my_unescape}
		]);

	var resolverListeners = {
			scope : this,
			rowdblclick: function(grid){
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
					//egkang 2011-07-07 수정
					//IssueUserUpdateWin(seldata.seq,grid.getStore());
				}
			},
			render: function(grid){
				var target = new Ext.dd.DropTarget(grid.getView().el.dom.childNodes[0].childNodes[1],{
					ddGroup: 'issueUserGridDD',
					copy: false,
					notifyDrop : function(ddSource, e, data){
						var records =  ddSource.dragData.selections;
						if(records.length > 0){
							for(var i=0; i<records.length; i++){
								var checkUser = 0;
								for(var j=0;j<resolverStore.getRange().length;j++){
									var record = resolverStore.getAt(j);
									if(record){
										if(records[i].data['userSeq']==record.data.userSeq){	
											checkUser = 1;											
										}
									}
								}
								if(checkUser == 0){
									AddIssueMember(records[i].data['userSeq'], 2,resolverStore);
								}else{
									//alert('중복');
								}
							}
						}
                        return true
					}
				});
			}
		};

	//var userGridPanelTBar2 = ['->',AddUserBtn('resolver',resolverStore),'-',UpdateUserBtn('resolver','resolverGridPanel'),'-',RemoveUserBtn('resolver','resolverGridPanel')];
	var userGridPanelTBar2 = ['->',RemoveUserBtn('resolver','resolverGridPanel')];
	var resolverGridPanel = MakeGridPanel('Resolver','resolverGridPanel',resolverStore,GridWidth,Gridheight,Cm2,Sm2,resolverListeners,userGridPanelTBar2);
	resolverGridPanel.ddGroup = 'issueUserGridDD';
		
	//////////////////////////////////////////////////////////
	//////				handler Grid Panel				//////
	//////////////////////////////////////////////////////////

	var Cm3 = new Ext.grid.ColumnModel([
			Sm3,
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_user, dataIndex: 'userNick', sortable: true, width: 100,renderer:my_unescape},
			{header: TPMS_lang_user_department, dataIndex: 'groupName', sortable: true, width: 100,renderer:my_unescape}
		]);

	var handlerListeners = {
			scope : this,
			rowdblclick: function(grid){
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
					//egkang 2011-07-07 수정
					//IssueUserUpdateWin(seldata.seq,grid.getStore());
				}
			},
			render: function(grid){
				var target = new Ext.dd.DropTarget(grid.getView().el.dom.childNodes[0].childNodes[1],{
					ddGroup: 'issueUserGridDD',
					copy: false,
					notifyDrop : function(ddSource, e, data){
						var records =  ddSource.dragData.selections;
						if(records.length > 0){
							for(var i=0; i<records.length; i++){
								var checkUser = 0;
								for(var j=0;j<handlerStore.getRange().length;j++){
									var record = handlerStore.getAt(j);
									if(record){
										if(records[i].data['userSeq']==record.data.userSeq){	
											checkUser = 1;											
										}
									}
								}
								if(checkUser == 0){
									AddIssueMember(records[i].data['userSeq'], 3,handlerStore);
								}else{
									//alert('중복');
								}
							}
						}
                        return true
					}
				});
			}
		};

	//var userGridPanelTBar3 = ['->',AddUserBtn('handler',handlerStore),'-',UpdateUserBtn('handler','handlerGridPanel'),'-',RemoveUserBtn('handler','handlerGridPanel')];
	var userGridPanelTBar3 = ['->',RemoveUserBtn('handler','handlerGridPanel')];
	var handlerGridPanel = MakeGridPanel('Handler','handlerGridPanel',handlerStore,GridWidth,Gridheight,Cm3,Sm3,handlerListeners,userGridPanelTBar3);
	handlerGridPanel.ddGroup = 'issueUserGridDD';

	//////////////////////////////////////////////////////////
	//////			riskDomain Grid Panel				//////
	//////////////////////////////////////////////////////////

	var Cm4 = new Ext.grid.ColumnModel([
			//Sm,
			{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true},
			{header: TPMS_lang_domain, dataIndex: 'name', sortable: true, width: 100,renderer:my_unescape},
			{header: TPMS_lang_riskItem_category, dataIndex: 'category', sortable: true, width: 50,renderer:my_unescape},
			{header: TPMS_lang_riskItem_creater, dataIndex: 'author', sortable: true, width: 50,renderer:my_unescape}
		]);

	var riskDomainListeners = {
			scope : this,
			rowdblclick: function(grid){
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
				}
			}
		};

	var riskDomainGridWidth =  Config.Width/3-22;
	var riskDomainGridheight =  (Config.Height-280)/2;//430;
	var riskDomainGridPanelTBar = ['->',getRiskDomainList_Btn,'-',removeRiskDomain_Btn];
	var riskDomainGrid = MakeGridPanel(TPMS_lang_domain,'riskDomainGrid',riskDomainListStore,riskDomainGridWidth,riskDomainGridheight,Cm4,Sm4,riskDomainListeners,riskDomainGridPanelTBar);


	//////////////////////////////////////////////////////////
	//////		Issue Project User Grid Panel			//////
	//////////////////////////////////////////////////////////

	var Cm5 = new Ext.grid.ColumnModel([
			//Sm,
			{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
			{header: TPMS_lang_user, dataIndex: 'userNick', sortable: true, width: 100,renderer:my_unescape},
			{header: TPMS_lang_user_department, dataIndex: 'groupName', sortable: true, width: 100,renderer:my_unescape}
			//,{header: 'User Role', dataIndex: 'userRole', sortable: true, width: 100, 
			//	renderer:function(val){
			//		if(val==1) val = 'Reporter';
			//		else if(val==2) val = 'Resolver';
			//		else if(val==3) val = 'Handler';
			//		else val = '';
			//		return val;
			//	}
			//}
		]);

	var issueProjectUserListeners = {
			scope : this,
			rowdblclick: function(grid){
				var sel = grid.getSelectionModel().getSelected();
				if(sel){
					var seldata=sel.data;
					//alert(seldata.seq);
				}
			}
		};

	var issueProjectUserGridWidth =  Config.Width/3-22;
	var issueProjectUserGridHeight =  (Config.Height-270)/2;//430;
	//var userGridPanelTBar4 = ['->',AddUserBtn('handler',handlerStore),'-',update_Btn3,'-',remove_Btn3];
	//var issueProjectUserGridPanelTBar = ['->',AddUserBtn('issueProjectUserGrid',issueProjectUserStore),'-',remove_Btn3];
	//egkang : 2011-07-04	
	var issueProjectUserGridPanelTBar = ['->',AddUserBtn('issueProjectUser',issueProjectUserStore),'-',UpdateUserBtn('issueProjectUser','issueProjectUserGrid'),'-',RemoveUserBtn('issueProjectUser','issueProjectUserGrid')];
	//var issueProjectUserGridPanelTBar = ['->',AddUserBtn('issueProjectUser',issueProjectUserStore),'-',RemoveUserBtn('issueProjectUser','issueProjectUserGrid')];
	//callUserWin
	var issueProjectUserGrid = MakeGridPanel(TPMS_lang_user+" "+TPMS_lang_common_list,'issueProjectUserGrid',issueProjectUserStore,issueProjectUserGridWidth,issueProjectUserGridHeight,Cm5,Sm5,issueProjectUserListeners,issueProjectUserGridPanelTBar);
	issueProjectUserGrid.ddGroup = 'issueUserGridDD';
    issueProjectUserGrid.enableDragDrop = true;



	//////////////////////////////////////////////////////////
	//////												//////
	//////				South Column Panel				//////
	//////												//////
	//////////////////////////////////////////////////////////

	var userGridColumnPanel = {
			layout:'column',
			id: 'userGridColumnPanel',
			border: false,
			width: (Config.Width*2/3-12),
			items: [{
				//columnWidth: .33,
				border: false,
				id: 'userGridColumn1',
				width: (Config.Width*2/3-15)/3+3,
				items:[reporterGridPanel]
			},{
				border: false,
				id: 'userGridColumn2',
				width: (Config.Width*2/3-15)/3+3,
				items:[resolverGridPanel]
			},{
				border: false,
				id: 'userGridColumn3',
				width: (Config.Width*2/3-30)/3,
				items:[handlerGridPanel]
			}]
        };



	//////////////////////////////////////////////////////////
	//////												//////
	//////			Issue Project Info Store			//////
	//////												//////
	//////////////////////////////////////////////////////////
	var projectGroupSid = "";
	var loadFlag = 0;
	memberGroupStore.on('load',function(){
		if(loadFlag == 0){
			GetProjectInfo();
		}
	});

	var projectSeverityStore = new Array();
	var projectIssueStatusStore = new Array();
	var projectPriorityStore = new Array();
	var projectStatusStore = new Array();

	function GetProjectInfo()
	{
		loadFlag =1;
		Ext.Ajax.request({
			url : '/service/issueManager_proc.php?method=getIssueProjectInfo',
			method: 'POST',
			params :{ ProjectSeq : projectSeq},
			success: function ( result, request ) {
				var renderData = Ext.decode(result.responseText).data[0];
				RiskAnalysisObject=new RiskAnalyzerObj(
								renderData.seq,
								renderData.subject,
								renderData.description.replace(/\\n/gi,'\n\r').replace(/\\"/gi,'\"').replace(/\\'/gi,'\'').replace(/%%/gi,'%').replace(/\\\\/gi,'\\'),
								renderData.project_code,
								renderData.scrum_group_sid,
								renderData.strategySeq,
								renderData.status,
								renderData.author,
								renderData.regDate,
								renderData.commonFlag,
								Ext.decode(result.responseText).SvI,
								Ext.decode(result.responseText).StI,	
								Ext.decode(result.responseText).PI,
								Ext.decode(result.responseText).PS
				);

				for(var i=0;i<RiskAnalysisObject.SvI.length;i++)
				projectSeverityStore.push([RiskAnalysisObject.SvI[i].issueSeverity,RiskAnalysisObject.SvI[i].name]);

				for(var i=0;i<RiskAnalysisObject.StI.length;i++)
				projectIssueStatusStore.push([RiskAnalysisObject.StI[i].issueStatus,RiskAnalysisObject.StI[i].name]);

				for(var i=0;i<RiskAnalysisObject.PI.length;i++)
				projectPriorityStore.push([RiskAnalysisObject.PI[i].issuePriority,RiskAnalysisObject.PI[i].name]);

				for(var i=0;i<RiskAnalysisObject.PS.length;i++)
				projectStatusStore.push([RiskAnalysisObject.PS[i].status,RiskAnalysisObject.PS[i].name]);

				SetIssueProjectInfoPanel();

				Ext.getCmp('project-name').setValue(my_unescape(renderData.subject).replace(/&gt;/g,'>').replace(/&lt;/g,'<'));
				Ext.getCmp('project-description').setValue(my_unescape(renderData.description).replace(/\\n/gi,'\n').replace(/\\"/gi,'"').replace(/\\'/gi,'\'').replace(/%%/gi,'%').replace(/\\\\/gi,'\\'));
				Ext.getCmp('project-issueStatus').setValue(RiskAnalysisObject.StI2string(RiskAnalysisObject.StI));
				Ext.getCmp('project-issueSeverity').setValue(RiskAnalysisObject.SvI2string(RiskAnalysisObject.SvI));
				Ext.getCmp('project-issuePriority').setValue(RiskAnalysisObject.PI2string(RiskAnalysisObject.PI));
				Ext.getCmp('project-code').setValue(my_unescape(renderData.project_code).replace(/&gt;/g,'>').replace(/&lt;/g,'<'));
				 
				Ext.getCmp('project-userGroup').setValue((renderData.scrum_group_sid == 0)?'Select':renderData.scrum_group_sid);

				Ext.getCmp('project-status').setValue(renderData.status);
				
				//strategyStore.on('load',function(){
					Ext.getCmp('project-strategyList').setValue((renderData.strategySeq == 0)?'Select':renderData.strategySeq);			
				//});
				
				Ext.getCmp('project-commonFlag').setValue((renderData.commonFlag == "")?false:true);

				var title = TPMS_lang_project+' '+TPMS_lang_button_setup+ ' - ' + renderData.subject;
				Ext.getCmp('project-title').setText(title);
				window.document.title = title;
			},
			failure: function ( result, request ) {
				self.close();
			}
		});
	}

	var rowIndex = '';
	/*
	memberGroupStore.on('load',function(){
		alert(projectGroupSid);
		if(Ext.getCmp('project-userGroup')){
			
			//var value = Ext.getCmp('project-userGroup').getValue();
			//Ext.getCmp('project-userGroup').setValue((value == 0)?'Select':value);
			Ext.getCmp('project-userGroup').setValue(projectGroupSid);			
		}
	});*/
	
	strategyStore.on('load',function(){
		if(Ext.getCmp('project-strategyList')){
			var value = Ext.getCmp('project-strategyList').getValue();
			Ext.getCmp('project-strategyList').setValue((value == 0)?'Select':value);			
		}
	});
	



	//////////////////////////////////////////////////////////
	//////												//////
	//////				Drawing Item...??				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function SetIssueProjectInfoPanel(){
		
		var issueProjectInfoPanel = [{
			xtype: 'form',
			id: 'issueProjectInfoPanel',
			height: 250,
			width: Config.Width*2/3-12,
			bodyStyle:'padding:5px;',
			border: true,
			items: [{
				xtype:'textfield',
				fieldLabel: TPMS_lang_issueManager_projectName,
				id: 'project-name',
				border:true,
				maxLength: Config.subjectTypeMaxLength,
				allowBlank : false,
				anchor:'100%',
				//height : 22,
				listeners:{
					scope : this,
					blur : function(datefield){
						enableSelect(false);
						datefield.setValue(datefield.getValue().trim());
					},
					focus : function(){enableSelect(true);}
				}
			},{
				xtype:'textarea',
				fieldLabel: TPMS_lang_domain_description,
				id: 'project-description',
				maxLength: Config.descriptionTypeMaxLength,
				anchor:'100%',
				height : 100,
				listeners:{
					scope : this,
					blur : function(datefield){
						enableSelect(false);
						datefield.setValue(datefield.getValue().trim());
					},
					focus : function(){enableSelect(true);}
				}
			},{ 
				layout: 'column',
				border: false,
				//height:22,
				items:[{
					columnWidth:0.95,
					border: false,
					layout: 'form',
					items:[{
						xtype:'textfield',
						id: 'project-issueStatus',
						fieldLabel: TPMS_lang_issueManager_issueStatus,
						anchor:'95%',
						//height : 22,	
						readOnly : true
											
					}]
				},{
					width: 50,
					border: false,
					items:[{
						xtype: 'button',
						id: 'issueStatusUpdateWin_Btn',
						text: TPMS_lang_button_change, 
						//tooltip:TPMS_lang_toolTip_msg_domain_change1,
						handler: function(btn){							
							IssueStatusUpdateWin(RiskAnalysisObject.StI);
						}
					}]
				}]
			},{
				layout: 'column',
				border: false,
				//height:22,
				items:[{
					columnWidth:0.95,
					border: false,
					layout: 'form',
					items:[{
						xtype:'textfield',
						fieldLabel: TPMS_lang_issueManager_issueSeverity,
						id: 'project-issueSeverity',
						anchor:'95%',
						//height : 22,
						readOnly : true
											
					}]
				},{
					width: 50,
					border: false,
					items:[{
						xtype: 'button',
						id: 'issueSeverityUpdateWin_Btn',
						text: TPMS_lang_button_change, 
						//tooltip:TPMS_lang_toolTip_msg_domain_change2,
						handler: function(){
							//Config.updateFlag = 1;
							IssueSeverityUpdateWin(RiskAnalysisObject.SvI);
						}
					}]
				}]
			},{
				layout: 'column',
				border: false,
				//height:22,
				items:[{
					columnWidth:0.95,
					border: false,
					layout: 'form',
					items:[{
						xtype:'textfield',
						fieldLabel: TPMS_lang_issueManager_issuePriority,
						id: 'project-issuePriority',
						anchor:'95%',
						//height : 22,
						readOnly : true
												
					}]
				},{
					width: 50,
					border: false,
					items:[{
						xtype: 'button',
						id: 'issuePriorityUpdateWin_Btn',
						text: TPMS_lang_button_change, 
						//tooltip:TPMS_lang_toolTip_msg_domain_change2,
						handler: function(){
							//Config.updateFlag = 1;
							IssuePriorityUpdateWin(RiskAnalysisObject.PI);
						}
					}]
				}]
			},{
				xtype:'textfield',
				fieldLabel: TPMS_lang_issueManager_projectVersion,
				id: 'project-version',
				style:'color:#6E6E6E;',
				onFocus: function(){this.blur();},
				readOnly : true,
				border:true,
				maxLength: Config.subjectTypeMaxLength,
				//allowBlank : false,
				anchor:'50%',
				//height : 22,
				listeners:{
					scope : this,
					blur : function(datefield){
						enableSelect(false);
						datefield.setValue(datefield.getValue().trim());
					},
					focus : function(){enableSelect(true);}
				}
			}]
		}];

		var optionPanel = {
			xtype: 'form',
			id: 'optionPanel',
			border:true,
			width:Config.Width/3-22,
			bodyStyle:'padding:5px;',
			labelWidth:60,
			//autoScroll:true,	
			items:[{xtype:'hidden',id:'project-userGroupName'},{
				xtype:'compositefield',
				fieldLabel: TPMS_lang_issueManager_productCode,
				anchor:'95%',
				items: [{
					xtype: 'textfield',
					fieldLabel: TPMS_lang_domain_category, 
					id: 'project-code', 
					maxLength: Config.categoryMaxLength, 
					width:'98%'
					//anchor:'98%'
				}//,{
				//	xtype: 'displayfield',
				//	hidden:true,
				//	value: '<div id=\"toolTip_msg_domain_category\" class=\"tip-target\" onmouseover=\"showToolTipInfo(\'toolTip_msg_domain_category\',\'left\',200,\''+TPMS_lang_toolTip_msg_domain_category+'\')\"><img src=\"../lib/ext/resources/images/icon-silk/information.gif\"></div>'
				//}
				]
			},{
				xtype: 'combo',
				fieldLabel: TPMS_lang_user_department,
				id: 'project-userGroup',
				store: memberGroupStore,
				mode : 'remote',//'local',
				//anchor:'98%',
				width: 120,
				valueField:'sid',
				displayField:'name',
				typeAhead     : false,
				editable      : true,
				forceSelection: false,
				selectOnFocus : false,
				triggerAction : 'all',
				emptyText: TPMS_lang_button_select,
				listeners:{
					select:function(combo,record,index){
						Ext.getCmp('project-userGroupName').setValue(record.data.name);
					}
				}
			},{
				xtype:'combo',
				id : 'project-status',
				fieldLabel: TPMS_lang_user_status,
				store: projectStatusStore,             
				valueField:'issueStatus',
				displayField:'name',
				typeAhead     : false,
				editable      : false,
				forceSelection: false,
				selectOnFocus : false,
				triggerAction : 'all',
				width : 120,	
				emptyText: TPMS_lang_button_select,
				listeners:{
					select:function(){
						//alert(this.value);
					}
				}
			},{
				xtype:'compositefield',
				fieldLabel: 'Password',
				anchor:'95%',
				items: [{
					xtype: 'textfield',
					fieldLabel: 'Password', 
					id: 'project_passwd',
					vtype:'alphanum',
					maxLength: '30', 
					width:'98%'					
				}]				
			},{
				xtype:'checkbox',
				id: 'project-commonFlag',
				disabled : false,
				fieldLabel: TPMS_lang_common,
				anchor:'98%'
			},{
				xtype: 'combo',
				id: 'project-strategyList',
				fieldLabel: TPMS_lang_strategyGroup,
				store: strategyStore,
				//mode : 'local',
				//anchor:'95%',
				width:200,
				valueField:'seq',
				displayField:'name',
				typeAhead     : false,
				editable      : false,
				forceSelection: false,
				selectOnFocus : false,
				triggerAction : 'all',
				emptyText: TPMS_lang_button_select,
				listeners:{
					select:function(){
						//alert(this.value);
					}
				}
			}]
		};

		var eastPanel = {
			region: 'east',
			xtype: 'panel',
			title: TPMS_lang_option,
			id: 'eastPanel',
			collapsible: false,
			collapsed:false,//true,
			autoScroll:true,
			border: true,
			//bodyStyle:'padding:5px;',
			//width: (Config.Width/3 <= 300)?300:Config.Width/3,
			width: (Config.Width/3),
			minSize: 200,
			//activeItem: 1,
			bodyStyle:'padding:5px;',
			items: [optionPanel,
			{
				layout:'fit',
				border:false,
				id: 'riskDomainFit',
				bodyStyle:'padding:5 0 0 0;',
				width:Config.Width/3-22,
				items:[riskDomainGrid]
			},
			{
				layout:'fit',
				border:false,
				id: 'tempFit',
				bodyStyle:'padding:5 0 0 0;',
				width:Config.Width/3-22,
				items:[issueProjectUserGrid]
			}]
		};

		var centerPanel = {
			region: 'center',
			xtype: 'panel',
			id: 'centerPanel',
			height: 700,
			width: (document.body.clientWidth*2/3)-10,
			autoScroll:true,
			border: false,
			bodyStyle:'padding:5px;',
			items: [
				issueProjectInfoPanel
			,{
				border: false,
				width:5,
				height:5
			},{
				xtype: 'panel',
				border:false,
				items:[userGridColumnPanel]
			}]
		};
		function ResultPassWd_setup(btn, passwd){//kslovee
			

			if(passwd.length >0 && btn == 'ok'){
				Ext.Ajax.request({
					url : '/service/issueManager_proc.php?method=isPasswdSuccess',
					method: 'POST',
					params :{ 
						ProjectSeq : projectSeq,
						ProjectPw : passwd
					},
					success: function ( resp, opt ) {
						if(Ext.decode(resp.responseText).data[0].cnt > 0){//관리 권한 획득							
							Ext.getCmp('getAdminReceive').setValue(true);
							Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_imsiAdminSuccess);
							set_cookie("imsiAdmin", true);
							isAdminAttribute();
						}else{//패스워드 불일치, 메시지, 체크 해제			
							Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_passwdFailure);
							Ext.getCmp('getAdminReceive').setValue(false);
						}
					},
					failure: function ( resp, opt ) {
					}
				});
			}else{
				Ext.getCmp('getAdminReceive').setValue(false);
			}
		};
		
		function isAdminAttribute(){
			//여기서 Admin, 프로젝트 생성자, 관리자 취득자를 선택하여 disable=true, false를 판단한다.
			var viewType = !(isIssueAdmin());
						
			Ext.getCmp('projectSave_Btn').setDisabled(viewType);
			Ext.getCmp('issueStatusUpdateWin_Btn').setDisabled(viewType);
			Ext.getCmp('issueSeverityUpdateWin_Btn').setDisabled(viewType);
			Ext.getCmp('issuePriorityUpdateWin_Btn').setDisabled(viewType);	

			//Ext.getCmp('reporter_add').setDisabled(viewType);
			//Ext.getCmp('reporter_update').setDisabled(viewType);
			Ext.getCmp('reporter_remove').setDisabled(viewType);

			//Ext.getCmp('resolver_add').setDisabled(viewType);
			//Ext.getCmp('resolver_update').setDisabled(viewType);
			Ext.getCmp('resolver_remove').setDisabled(viewType);

			//Ext.getCmp('handler_add').setDisabled(viewType);
			//Ext.getCmp('handler_update').setDisabled(viewType);
			Ext.getCmp('handler_remove').setDisabled(viewType);

			Ext.getCmp('riskDomainListGet_Btn').setDisabled(viewType);
			Ext.getCmp('riskDomainRemove_Btn').setDisabled(viewType);

			Ext.getCmp('project_passwd').setDisabled(viewType);
			
			
			issueProjectUserGrid.enableDragDrop = viewType;

			//Ext.getCmp('projectSave_Btn').disable((UserInfo.UserRole & 4)==4 || get_cookie('imsiAdmin') == 'true' ||);
			
			/*if((UserInfo.UserRole & 4)==4 || get_cookie('imsiAdmin') == 'true'){
				//admin 이거나, 생성자 이거나, 취득자 이면
				
			}else{
				if(UserInfo.UserId !='admin'){				
					Ext.getCmp('projectSave_Btn').disable(true);

					Ext.getCmp('issueStatusUpdateWin_Btn').disable(true);
					Ext.getCmp('issueSeverityUpdateWin_Btn').disable(true);
					Ext.getCmp('issuePriorityUpdateWin_Btn').disable(true);				

					Ext.getCmp('reporter_add').disable(true);
					Ext.getCmp('reporter_update').disable(true);
					Ext.getCmp('reporter_remove').disable(true);

					Ext.getCmp('resolver_add').disable(true);
					Ext.getCmp('resolver_update').disable(true);
					Ext.getCmp('resolver_remove').disable(true);

					Ext.getCmp('handler_add').disable(true);
					Ext.getCmp('handler_update').disable(true);
					Ext.getCmp('handler_remove').disable(true);

					Ext.getCmp('riskDomainListGet_Btn').disable(true);
					Ext.getCmp('riskDomainRemove_Btn').disable(true);

					Ext.getCmp('project_passwd').disable(true);
					
					
					issueProjectUserGrid.enableDragDrop = false;
					//Ext.Msg.alert(TPMS_lang_title,"권한없음");
					//return;//egkang
				}
			}*/
		}


		var mainPanel = {
			id : 'ProjectSetupWindow',
			region: 'center',
			layout: 'border',
			items: [centerPanel,eastPanel],
			tbar: [
			{
				xtype: 'label',
				id: 'project-title',
				name: 'project-title'
			},'->',{
				xtype:'checkbox',
				disabled:((UserInfo.UserRole & 4)==4 || UserInfo.UserId =='admin')?true:false,
				id: 'getAdminReceive',
				anchor:'98%',
				boxLabel: TPMS_lang_acquireAdministrator,
				checked   : isIssueAdmin(),
				handler:function(){
					var checkbox = Ext.getCmp('getAdminReceive');

					if(checkbox.checked){
						Ext.MessageBox.prompt('PassWord', 'Please enter PassWord:', ResultPassWd_setup);
					}else if(get_cookie('imsiAdmin') == 'true'){//해제를 하는 것이니 쿠키를 삭제를 해주면 된다.
						Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_imsiAdminCancel);
						delete_cookie('imsiAdmin');
						isAdminAttribute();
					}					
				}
			},{
				hidden: true,
				xtype: 'button',
				iconCls: 'icon-copy',
				text:TPMS_lang_button_call,
				tooltip:TPMS_lang_toolTip_msg_domain_resource,
				handler: function(){
					CopyWindow=selectWin();
					Ext.getCmp('domainCopy-button').disable(true);
					}
			},'-',{
				xtype: 'button',
				iconCls: 'icon-refresh',
				text:TPMS_lang_refresh,//'Refresh',
				handler: function(){
					location.reload();
				}
			},'-',{
				xtype: 'button',
				iconCls: 'icon-mail',
				text:TPMS_lang_button_alarm+' '+TPMS_lang_button_setup,
				handler: function(){
					AlarmSetupWin();
				}
			},'-',{
				xtype: 'button',
				iconCls: 'icon-save',
				id: 'projectSave_Btn',
				text: TPMS_lang_button_save,
				handler: function() {
				
					if(Ext.getCmp('centerPanel')){

						var projectName = Ext.getCmp('project-name').getValue().replace(/</g,'&lt;').replace(/>/g,'&gt;');
						var projectDescription = Ext.getCmp('project-description').getValue();

						var projectCode = Ext.getCmp('project-code').getValue().replace(/</g,'&lt;').replace(/>/g,'&gt;');
						var projectPasswd = Ext.getCmp('project_passwd').getValue()

						var projectUserGroup = "";
						for(var i=0;i<memberGroupStore.getCount();i++){
							if(memberGroupStore.getAt(i).data['sid'] == Ext.getCmp('project-userGroup').getValue()){
								projectUserGroup = memberGroupStore.getAt(i).data['name'];
								//alert("1:"+projectGroupName);
							}
						}

						if(projectUserGroup == ""){
							projectUserGroup = Ext.getCmp('project-userGroup').getValue();
							//alert("2:"+projectGroupName);
						}

						var projectStatus = Ext.getCmp('project-status').getValue();
						var projectStrategyList = Ext.getCmp('project-strategyList').getValue();
						var projectCommonFlag = Ext.getCmp('project-commonFlag').getValue();

						if(projectUserGroup == "Select") projectUserGroup = '';
						if(projectStrategyList == "Select") projectStrategyList = 0;

						if(projectCommonFlag == true) 
							projectCommonFlag = "yes";
						else	
							projectCommonFlag = "no";

						/*
						Ext.Msg.confirm('Information','Save?',function(flag){ 

							if(flag=='yes'){
								saveProjectInfo(projectName,projectDescription,projectCode,projectUserGroup,projectStatus,projectStrategyList,projectCommonFlag);
							}
						});
						*/
						saveProjectInfo(projectName,projectDescription,projectCode,projectUserGroup,projectStatus,projectStrategyList,projectCommonFlag,projectPasswd);
					}
				}
			},'-',{
				xtype: 'button',
				iconCls: 'icon-cancel',
				text: TPMS_lang_button_close,
				handler: function() {window.close();}
			}]
		};
		
		saveProjectInfo=function(projectName,projectDescription,projectCode,projectUserGroup,projectStatus,projectStrategyList,projectCommonFlag,projectPasswd){
			Config.updateFlag=0;
			projectName = projectName.trim();

			if(projectName.length > Config.subjectTypeMaxLength){
				Ext.Msg.alert(TPMS_lang_title, TPMS_lang_common_title +" : <br>"+ TPMS_lang_Msg_maxLength40);
				return;
			}else if(projectName.length == 0){
				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_common_title + TPMS_lang_Msg_validationMsg);
				return;
			}

			if(projectDescription.length > Config.descriptionTypeMaxLength){
				Ext.Msg.alert(TPMS_lang_title, TPMS_lang_description +" : <br>"+ TPMS_lang_Msg_maxLength1000);
				return;
			}

			if(projectCode.length > Config.categoryMaxLength){
				var maxLength = TPMS_lang_Msg_maxLength.replace("{number}","30");
				Ext.Msg.alert(TPMS_lang_title, TPMS_lang_category +" : <br>"+ maxLength);
				return;
			}
			LoadingMsg('ProjectSetupWindow',TPMS_lang_Msg_SaveMeg);
			Ext.Ajax.request({
				url : '/service/issueManager_proc.php?method=updateIssueProject',
				method: 'POST',
				params :{ 
					ProjectSeq : projectSeq,
					ProjectName : projectName,
					ProjectDescription : projectDescription,
					ProjectCode : projectCode,
					GroupName : projectUserGroup,
					Status : projectStatus,
					StrategySeq : projectStrategyList,
					CommonFlag : projectCommonFlag,
					MemberSeq : UserInfo.seq,
					ProjectPasswd : projectPasswd,
					ProjectVersion : Ext.getCmp('project-version').getValue()
				},
				success: function ( result, request ) {			
					LoadingMsg('ProjectSetupWindow').hide();
					var r=Ext.decode(result.responseText);
					if(r.success==false){
						Ext.Msg.alert(r.msg_type,r.msg);
					}
					else{
						if(window.opener){
							if(opener.h_form){
								if(opener.h_form.bo_table.value==''){
									setTimeout("opener.SendReloadMsg(TPMS_lang_Msg_UpdateInfo)",100);
								}
							}else{
								//setTimeout("opener.location.reload()",100);
								if(opener!=null)
								setTimeout("opener.projectListStore.load()",100);
							}
						}
					}
				},
				failure: function ( result, request ) {					
					LoadingMsg('ProjectSetupWindow').hide();
					Ext.Msg.alert("Save Error"); 
				}
			});
		};
		
		Ext.onReady(function(){
			var viewport = new Ext.Viewport({
				layout: 'border',
				renderTo: Ext.getBody(),
				items: [mainPanel]
			});	
				
			isAdminAttribute();
			
			/*if((UserInfo.UserRole & 4)==4 || get_cookie('imsiAdmin') == 'true'){
				//admin 이거나, 생성자 이거나, 취득자 이면
				
			}else{
				if(UserInfo.UserId !='admin'){
				
					Ext.getCmp('projectSave_Btn').disable(true);

					Ext.getCmp('issueStatusUpdateWin_Btn').disable(true);
					Ext.getCmp('issueSeverityUpdateWin_Btn').disable(true);
					Ext.getCmp('issuePriorityUpdateWin_Btn').disable(true);				

					Ext.getCmp('reporter_add').disable(true);
					Ext.getCmp('reporter_update').disable(true);
					Ext.getCmp('reporter_remove').disable(true);

					Ext.getCmp('resolver_add').disable(true);
					Ext.getCmp('resolver_update').disable(true);
					Ext.getCmp('resolver_remove').disable(true);

					Ext.getCmp('handler_add').disable(true);
					Ext.getCmp('handler_update').disable(true);
					Ext.getCmp('handler_remove').disable(true);

					Ext.getCmp('riskDomainListGet_Btn').disable(true);
					Ext.getCmp('riskDomainRemove_Btn').disable(true);

					Ext.getCmp('project_passwd').disable(true);
					
					
					issueProjectUserGrid.enableDragDrop = false;
					//Ext.Msg.alert(TPMS_lang_title,"권한없음");
					//return;//egkang
				}
			}*/
		});
	};

		
	addEvent(window, "resize", function() { 
		var H=document.body.clientHeight;
		var W=document.body.clientWidth;
		Config.doLayout(W,H);
	}); 

	



//win
	//////////////////////////////////////////////////////////
	//////												//////
	//////				Issue Status 변경				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function IssueStatusUpdateWin(Obj){
		this.delSeq = new Array();
		this.Obj=Obj;

		//if (!this.anlyseWin1) {
			
			var csm = new Ext.grid.CheckboxSelectionModel({	singleSelect: false	});
			var nsm = new Ext.grid.RowSelectionModel({
				singleSelect: false,
				listeners: {
					scope: this,
					rowselect: function(selModel, rowIndex){
						var record = selModel.getSelected();
					}
				}
			});
			
			 var issueStatusStore = new Ext.data.SimpleStore({
				id: 'issueStatusStore',
				fields: ['issueStatus', 'name'],
				listeners:{
					scope: this,
					load: function(store, record, operation) {
						addRecord(store);
					}
				}
			});
			
			
			var issueStatusWinGrid = new Ext.grid.EditorGridPanel({
				//id: '',
				region: 'north',
				height: 200,
				clicksToEdit: 1,
				autoScroll: true,
				border: false,
				store: issueStatusStore,
				viewConfig: { autoFill:true, forceFit: true},
				stripeRows: true,
				enableColumnHide  : false,
				enableColumnResize: true,
				enableColumnMove  : false,
				enableHdMenu: false,
				loadMask: { msg: 'processing' },
				sm: nsm,
				columns: [
					{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
					{header: 'issueStatus', dataIndex: 'issueStatus', sortable: true, hidden: true},			
					{header: TPMS_lang_issueManager_issueStatus,	dataIndex: 'name',  sortable: false, editor: new Ext.form.TextField({
						 allowBlank: false,
						 maxLength:8,
						 vtype:'commaSpace',
						 enableKeyEvents : true,
						 listeners:{
							scope : this,
							keypress : function(tf, e){								
								var selectedItem = issueStatusWinGrid.getSelectionModel().getSelected();
								
								var key = e.getKey();
								if(!selectedItem.data.issueStatus || selectedItem.data.issueStatus>=3){
									//e.startEvent();
								}else{
									e.stopEvent();
								}
							}
							,blur : function(datefield){
								//datefield.setValue(datefield.getValue().trim());
							}
						}                     
					})
					,renderer: function(value){ return (value == "")?TPMS_lang_Msg_inputData:value;}
					}
				],
				listeners: {
					scope:this,
					rowclick : function(issueStatusWinGrid,index,e) {
						if(index <= 2){
							Ext.Msg.alert(TPMS_lang_title, TPMS_lang_nochange);							

							//issueStatusWinGrid.startEditing(index, 0);
							//issueStatusWinGrid.getView().focusCell(index,1,false);
							this.grid.view.onCellDeselect(index,0);
							//alert("변경 불가");
							
							
							
							//issueStatusWinGrid.startEditing(1, 1);
							//var rec = issueStatusWinGrid.getSelectionModel().getSelected();
							//issueStatusWinGrid.getSelectionModel().selectFirstRow(); 

							//rec.set('name', false);

							//=================
							//var rec = issueStatusWinGrid.store.getAt(index);
							
							//rec.set('name', !rec.get('name'));
							//issueStatusWinGrid.getView().focusEl.focus(); 
							return;
						}
						//alert(index);
						//Ext.getCmp('riskAreaSave-button').disable(true);
					},
					beforeedit : function(e){
						//alert(e.row);
						//var index = e.row;
						//alert(index);
					},
					afterEdit : function(e){
					//validateedit : function(e){
						var field = TPMS_lang_issueManager_issueStatus;						
						var number_value = parseInt(e.value.trim());					

						for(var i=0;i<issueStatusStore.getCount();i++){
							if(i!=e.row){							
								if(issueStatusStore.getAt(i).data[e.field] == number_value){//07등..앞에 0이 들어가는것을 막기위함.
									Ext.Msg.alert(TPMS_lang_title, TPMS_lang_riskAreaInputError+'<br> '+field + ' : '+ e.value);
									e.record.set(e.field, '');
									return;
								}	
							}
						}
					}
				}
			});	
		   		
			var issueStatusWin = new Ext.Window({
				title: TPMS_lang_issueManager_issueStatus,
				id: 'issueStatusWin',
				width: 233,
				height: 280,
				layout: 'fit',
				plain: true,
				border: false,
				animate: false,
				modal: true,
				//maximizable: true,
				resizable: false, 
				closable: false,
				closeAction: 'hide',
				buttonAlign: 'right',
				items: issueStatusWinGrid,
				//buttons: [{
				bbar:['신규,개설,종료는 변경,삭제를 할 수 없습니다'],
				tbar:[{
						iconCls: 'icon-plus',
						id: 'plus-button',
						text: TPMS_lang_button_add,
						scope: this,
						handler: function(){
							if(issueStatusStore.getCount() >= 10){
								var evaluationUnitMaxMsg = TPMS_lang_Msg_maxItems.replace("{item}",TPMS_lang_risk+' '+TPMS_lang_evaluationUnit);//egkang??
								evaluationUnitMaxMsg = evaluationUnitMaxMsg.replace("{number}",Config.evaluationUnitMax);
		
								Ext.Msg.alert(TPMS_lang_title, evaluationUnitMaxMsg);

							}else{
								var r = new (issueStatusStore.recordType)({issueStatus:'',name:''}); 
								issueStatusStore.add(r); 
								issueStatusWinGrid.startEditing(issueStatusStore.indexOf(r), 0); 
								if(issueStatusStore.getCount() > 2){								
									Ext.getCmp('minus-button').enable(true);
								}else{
									Ext.getCmp('minus-button').enable(true);
									Ext.getCmp('minus-button').disable(true);
								}
							}
						}
					},'-',{
						iconCls: 'icon-minus',
						id: 'minus-button',
						text: TPMS_lang_button_remove,
						enabled:true,
						handler: function(){
							var r = issueStatusWinGrid.getSelectionModel().getSelected();
							if(!r){
								Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectDeleteItem);
								return;
							}else{
								if(r.data['issueStatus'] > 2 || !r.data['issueStatus']){								
									Ext.MessageBox.confirm(TPMS_lang_title, TPMS_lang_domain_Msg_riskAnalyseValueRemove ,function(btn,text){
									   if(btn=="yes"){
											issueStatusStore.remove(r);
											if(issueStatusStore.getCount() <= 2){	
												Ext.getCmp('minus-button').enable(true);
												Ext.getCmp('minus-button').disable(true);
											}else{
												Ext.getCmp('minus-button').enable(true);
											}
										}else{
										   return;
									   }
									}); 
								}else{
									Ext.Msg.alert(TPMS_lang_title, "삭제 불가");
									return;
								}
							}
						}
					},'-',{
					text: TPMS_lang_button_apply,//TPMS_lang_button_save, //저장->적용으로 변경
					iconCls:'icon-save',
					scope:this, 
					handler: function(){

						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_applyConfirm, function (btn) { 
							if(btn == "yes") { 
						
								var checkNull = 0;
								var val = '';
								var newObj=new Array();
								var tempNum='';

								var issueStatusCnt = issueStatusStore.getCount();
								var finalNum = '';

								for(var i=0;i<issueStatusCnt;i++){
									var r = issueStatusStore.getAt(i);
									if(r.data['issueStatus']){
										finalNum = (r.data['issueStatus']*1)+1
									}
								}

								for(var i=0;i<issueStatusCnt;i++){
									var a = issueStatusStore.getAt(i);
									if(a.data['issueStatus']){
										newObj.push({issueStatus:a.data['issueStatus'],name:a.data['name']});
									}else{	
										if(!tempNum){
											tempNum = (finalNum);
										}
										newObj.push({issueStatus:tempNum,name:a.data['name']});
										tempNum++;
									}
								}
								
								val=RiskAnalysisObject.StI2string(newObj);
								if(!val){return;}
								if(val!='' || checkNull == 0){

									Ext.Ajax.request({
										url: '/service/issueManager_proc.php?method=updateIssueStates',
										method: 'POST',
										params :{
											ProjectSeq : projectSeq,
											ObjectData : Ext.encode(newObj)
										},
										success : function(resp, opt){
											//var renderData = Ext.decode(resp.responseText).data[0];
											Ext.getCmp('project-issueStatus').setValue(val);
											RiskAnalysisObject.StI=newObj;
											//Ext.getCmp('issueStatusWin').hide();
											Ext.getCmp('issueStatusWin').close();
										},
										failure: function ( result, request ) {
											Ext.Msg.alert(TPMS_lang_title,"Failure"); 
										}
									});
								}
		
							}else{
								return;
							}
						});
					}},'-',
					{
						text: TPMS_lang_button_cancel,iconCls:'icon-cancel', handler: function(){ 
						//issueStatusWin.hide();
						issueStatusWin.close();
					}}
				],
				listeners: {
					scope:this,
					beforeshow: function() {					
						addRecord(issueStatusStore);
						Ext.getCmp('plus-button').setText(TPMS_lang_button_add);
						Ext.getCmp('minus-button').setText(TPMS_lang_button_remove);
					},
					show: function() {					
						if(issueStatusStore.getCount() <= 2){
							Ext.getCmp('minus-button').enable(true);
							Ext.getCmp('minus-button').disable(true);
						}else{	
							Ext.getCmp('minus-button').enable(true);
						}
					}
				}
			});
			this.anlyseWin1 = issueStatusWin;
		//}
		this.anlyseWin1.show();
		
		function addRecord(store){
			store.removeAll();
			
			var tmpRecord = Ext.data.Record.create([
				{name: 'issueStatus', 	mapping: 'issueStatus'},
				{name: 'name', 	mapping: 'name'}
			]);
			
			for(var i=0;i<this.Obj.length;i++){
				var myNewRecord = new tmpRecord(this.Obj[i]);
				store.add(myNewRecord);
			}
		};
	}

	//////////////////////////////////////////////////////////
	//////												//////
	//////				AlarmSetupWin 설정				//////
	//////												//////
	//////////////////////////////////////////////////////////
	//TPMS_lang_button_alarm+' '+TPMS_lang_button_setup
	function AlarmSetupWin(){		
		/*var alarmSetupDBStore = new Ext.data.Store({
			proxy: new Ext.data.HttpProxy({
				url: '/service/issueManager_proc.php?method=getAlarmSetupStore'
			}),			
			method : 'POST',			
			reader: new Ext.data.JsonReader({
			root:'data',
			id:'seq'
			}, [
				'projectseq',
				'event_id',
				'set_value'
			])
		});
		alarmSetupDBStore.on('beforeload',function(s, options){
			options.params.ProjectSeq=projectSeq;
		});

		var alarmSetupDBStore = new Ext.data.Store({
			proxy: new Ext.data.HttpProxy({
				url: '/service/issueManager_proc.php?method=getAlarmSetupStore'
			}),
			baseParams : {ProjectSeq:projectSeq},
			method : 'POST',
			autoLoad:true,
			reader: new Ext.data.JsonReader({
			root:'data'
			}, [
				'projectseq',
				'event_id',
				'set_value'
			])
		});	*/	
		
/*
		var alarmSetupStore = new Ext.data.ArrayStore({
    // store configs
    autoDestroy: true,
    storeId: 'alarmSetupStore',
    // reader configs
    idIndex: 0,  
    fields: [
       'event_name',
		'event_id',
		'set_value'
    ]
});	*/
		//alert(Config.eventAlarm);
		function GetAlarmSetValue(obj){
		var GetAlarmSetValue=new Array();
			for(var i=0;i<obj.length;i++){
				var val=Ext.getCmp(obj[i].event_id).getValue();
				if(obj[i].event_id=='MessageUserGroup')
					val=getStoreIntValue(TPMS_lang_alarm_userGroup,val);
				else
					val=getStoreIntValue(TPMS_lang_alarm_eventStore,val);
				GetAlarmSetValue.push({event_id:obj[i].event_id,set_value:val});
				}
			return GetAlarmSetValue;
			}


		function MakeAlarmSetPanel(obj){
			var MakeAlarmSetPanel=new Array();
			
			for(var i=0;i<obj.length;i++)
			{
				//MakeAlarmSetPanel.push({fieldLabel:obj[i].name,xtype:'textfield'});
				var Listeners={};
				
				if(obj[i].event_id=='MessageUserGroup')
					MakeAlarmSetPanel.push(MakeItem('','checkbox',obj[i].name,obj[i].event_id,TPMS_lang_alarm_userGroup,'30px','85%',Listeners));
				else
					MakeAlarmSetPanel.push(MakeItem('','checkbox',obj[i].name,obj[i].event_id,TPMS_lang_alarm_eventStore,'30px','85%',Listeners));
			}
		return new Ext.FormPanel({
			region:'center',
			xtype: 'form',
			bodyStyle:'padding:5px;',
			labelWidth:150,
			autoScroll:false,
			items:MakeAlarmSetPanel
			});
		}
		alarmSetupGridPanel=MakeAlarmSetPanel(Ext.decode(Config.eventAlarm));

		/*var a = alarmSetupStore.data.items[1].data;
		for(var i in a){
			alert(i+"==="+a[i]);
		}*/

		
		/*
		var alarmSetupGridsm = new Ext.grid.CheckboxSelectionModel({ singleSelect: true });
		var alarmSetupGridPanel = new Ext.grid.GridPanel({
			id:'alarmSetupGridPanel',	
			store: Ext.decode(Config.eventAlarm),
			border:false,
			autoScroll: true,
			stripeRows: true,
			clicksToEdit: 1,
			frame:true,				
			enableColumnHide  : false,
			enableColumnResize: true,
			enableColumnMove  : false,
			enableHdMenu: false,
			loadMask: { msg: 'Loding...' },
			view: new Ext.grid.GridView({
				forceFit:true
			}),////event_name,set_value
			cm : new Ext.grid.ColumnModel([				
				{header: 'Alarm Code', dataIndex: 'name', align:'center', sortable: true, width: 300},
				
				{header: 'SMS', dataIndex: 'regdate', align:'center', sortable: true, width: 80,
					editor: new Ext.form.TextField({
						allowBlank: false
					})},
				{header: 'SMS', dataIndex: 'regdate', align:'center', sortable: true, width: 80,
					editor: new Ext.form.TextField({
						allowBlank: false
					})}
			]),
			sm: alarmSetupGridsm
		});*/

			/*
			xtype: 'checkcolumn',
            header: 'Indoor?',
            dataIndex: 'indoor',
            width: 55
			*/

		var alarmSetupWin = new Ext.Window({
			title: TPMS_lang_button_alarm+' '+TPMS_lang_button_setup,
			id: 'alarmSetupWin',
			modal:true,
			width:460,
			height:380,
			border:false,
			bodyStyle:'padding:20px;',
			layout: 'border',
			resizable: false,
			closable: true,
			items: [{
				region: 'center',
				layout:'fit',
				border:false,
				items:[alarmSetupGridPanel]
			}],
			tbar:['->',{
				xtype:'button',
				iconCls:'icon-save',
				text:TPMS_lang_button_save,
				handler: function(btn){
					//Ext.getCmp('MessageUserGroup').setValue('resolver');
					var AlarmSetup=GetAlarmSetValue(Ext.decode(Config.eventAlarm));
					var Data=Ext.encode(AlarmSetup);
			Ext.Ajax.request({
				url : '/service/issueManager_proc.php?method=setAlarmSetup',
				method: 'POST',
				params :{ProjectSeq:projectSeq,Data:Data},
				success: function ( result, request ) {
						alert('success');
					},
				failure : function ( result , request ) {
						alert('failure');
					}
			});


				}
			},'-',{
				xtype:'button',
				iconCls:'icon-cancel',
				text:TPMS_lang_button_close,
				handler: function(btn){
					alarmSetupWin.close();
				}
			}]
		});

		var alarmSetupDBStore = MakeStore('/service/issueManager_proc.php?method=getAlarmSetupStore','',[
			'event_id',
			'set_value'
		],{ProjectSeq : projectSeq});

		function getStoreValue(Store,v)
		{
			var out='';
			var values=v.split(',');
			for(var key=0;key<values.length;key++){
				var find=false;
				for(var i=0;i<Store.length;i++){
					if((i+1)==parseInt(values[key],10))	{
						out+=','+Store[i];
						find=true;
						break;
					}
				}
				if(!find)
					out+=','+values[key];
				
			}
			return out;
		}
		
		//alert(getStoreValue(TPMS_lang_alarm_eventStore,"1,2,3"));
		alarmSetupDBStore.on('load',function(s, options){
			var list = s.reader.jsonData.data;
			for(var i=0;i<list.length;i++){
				if(list[i].event_id=='MessageUserGroup')
					Ext.getCmp(''+list[i].event_id).setValue(getStoreValue(TPMS_lang_alarm_userGroup,list[i].set_value));
				else
					Ext.getCmp(''+list[i].event_id).setValue(getStoreValue(TPMS_lang_alarm_eventStore,list[i].set_value));
			}
			alarmSetupWin.show(this);
		});
	}


	//////////////////////////////////////////////////////////
	//////												//////
	//////				Issue Priority 변경				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function IssuePriorityUpdateWin(Obj){
		this.delSeq = new Array();
		this.Obj=Obj;

		//if (!this.anlyseWin2) {
			
			var csm = new Ext.grid.CheckboxSelectionModel({	singleSelect: false	});
			var nsm = new Ext.grid.RowSelectionModel({
				singleSelect: false,
				listeners: {
					scope: this,
					rowselect: function(selModel, rowIndex){
						var record = selModel.getSelected();
					}
				}
			});
			
			 var issuePriorityWinStore = new Ext.data.SimpleStore({
				id: 'issuePriorityWinStore',
				fields: ['issuePriority', 'name'],
				listeners:{
					scope: this,
					load: function(store, record, operation) {
						addRecord(store);
					}
				}
			});
			
			var issuePriorityWinGrid = new Ext.grid.EditorGridPanel({
				//id: 'issuePriorityWinGrid',
				region: 'north',
				height: 200,
				clicksToEdit: 1,
				autoScroll: true,
				border: false,
				store: issuePriorityWinStore,
				viewConfig: { autoFill:true, forceFit: true},
				stripeRows: true,
				enableColumnHide  : false,
				enableColumnResize: true,
				enableColumnMove  : false,
				enableHdMenu: false,
				loadMask: { msg: 'processing' },
				sm: nsm,
				columns: [
					{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
					{header: 'issuePriority', dataIndex: 'issuePriority', sortable: true, hidden: true},			
					{header: TPMS_lang_issueManager_issuePriority,	dataIndex: 'name',  sortable: false, editor: new Ext.form.TextField({
						 allowBlank: false,
						 maxLength:8,
						 vtype:'commaSpace',
						 enableKeyEvents : true,
						 listeners:{
							scope : this,
							keypress : function(tf, e){
								var key = e.getKey();
							}
							,blur : function(datefield){
								//datefield.setValue(datefield.getValue().trim());
							}
						}                     
					})
					,renderer: function(value){ return (value == "")?TPMS_lang_Msg_inputData:value;}
					}
				],
				listeners: {
					scope:this,
					rowclick : function(riskItemAreaGrid,index,e) {	
			
					},
					beforeedit : function(e){
						//var index = e.row;
					},
					afterEdit : function(e){
					//validateedit : function(e){
						var field = TPMS_lang_issueManager_issuePriority;
						
						var number_value = parseInt(e.value.trim());					

						for(var i=0;i<issuePriorityWinStore.getCount();i++){
							if(i!=e.row){							
								if(issuePriorityWinStore.getAt(i).data[e.field] == number_value){
									Ext.Msg.alert(TPMS_lang_title, TPMS_lang_riskAreaInputError+'<br> '+field + ' : '+ e.value);
									e.record.set(e.field, '');
									return;
								}	
							}
						}
					}
				}
			});	
		   		
			var issuePriorityWin = new Ext.Window({
				title: TPMS_lang_issueManager_issuePriority,
				id: 'issuePriorityWin',
				width: 235,
				height: 280,
				layout: 'fit',
				plain: true,
				border: false,
				animate: false,
				modal: true,
				//maximizable: true,
				resizable: false, 
				closable: false,
				closeAction: 'hide',
				buttonAlign: 'right',
				items: issuePriorityWinGrid,
				tbar:[{
						iconCls: 'icon-plus',
						id: 'plus-button',
						text: TPMS_lang_button_add,
						scope: this,
						handler: function(){
							if(issuePriorityWinStore.getCount() >= 10){
								var evaluationUnitMaxMsg = TPMS_lang_Msg_maxItems.replace("{item}",TPMS_lang_risk+' '+TPMS_lang_evaluationUnit);//egkang??
								evaluationUnitMaxMsg = evaluationUnitMaxMsg.replace("{number}",Config.evaluationUnitMax);
		
								Ext.Msg.alert(TPMS_lang_title, evaluationUnitMaxMsg);

							}else{
								var r = new (issuePriorityWinStore.recordType)({issuePriority:'', name:''}); 
								issuePriorityWinStore.add(r); 
								issuePriorityWinGrid.startEditing(issuePriorityWinStore.indexOf(r), 0); 
								if(issuePriorityWinStore.getCount() > 2){								
									Ext.getCmp('minus-button').enable(true);
								}else{
									Ext.getCmp('minus-button').enable(true);
									Ext.getCmp('minus-button').disable(true);
								}
							}
						}
					},'-',{
						iconCls: 'icon-minus',
						id: 'minus-button',
						text: TPMS_lang_button_remove,
						enabled:true,
						handler: function(){
							var r = issuePriorityWinGrid.getSelectionModel().getSelected();
							if(!r){
								Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectDeleteItem);
								return;
							}else{
								Ext.MessageBox.confirm(TPMS_lang_title, TPMS_lang_domain_Msg_riskAnalyseValueRemove ,function(btn,text){
								   if(btn=="yes"){
										issuePriorityWinStore.remove(r);
										if(issuePriorityWinStore.getCount() <= 2){	
											Ext.getCmp('minus-button').enable(true);
											Ext.getCmp('minus-button').disable(true);
										}else{
											Ext.getCmp('minus-button').enable(true);
										}
									}else{
									   return;
								   }
								}); 
							}
						}
					},'-',{
					text: TPMS_lang_button_apply,//TPMS_lang_button_save, //저장->적용으로 변경
					iconCls:'icon-save',
					scope:this, 
					handler: function(){

						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_applyConfirm, function (btn) { 
							if(btn == "yes") { 
								
								var checkNull = 0;
								var val = '';
								var newObj=new Array();
								var tempNum='';
								//var tempNum=new Array();

								var issuePriorityCnt = issuePriorityWinStore.getCount();
								var finalNum = '';

								for(var i=0;i<issuePriorityCnt;i++){
									var r = issuePriorityWinStore.getAt(i);
									//alert("name : "+r.data['name']+", issuePriority : "+r.data['issuePriority']);
								}

								for(var i=0;i<issuePriorityCnt;i++){
									var r = issuePriorityWinStore.getAt(i);
									if(r.data['issuePriority']){
										finalNum = (r.data['issuePriority']*1)+1
									}
								}
								
								for(var i=0;i<issuePriorityCnt;i++){
									var a = issuePriorityWinStore.getAt(i);
									if(a.data['issuePriority']){
										newObj.push({issuePriority:a.data['issuePriority'],name:a.data['name']});
									}else{	
										if(!tempNum){
											tempNum = (finalNum);
										}
										newObj.push({issuePriority:tempNum,name:a.data['name']});
										tempNum++;
									}
								}

								/*
								var checkNull = 0;
								var val = '';
								var newObj=new Array();

								for(var i=0;i<issuePriorityWinStore.getCount();i++){
									var r = issuePriorityWinStore.getAt(i);

									if(r.data['name'] == ''){
										checkNull = 1;
										//alert(checkNull+'/d');
										Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain_riskAnalyseDescription+TPMS_lang_Msg_validationMsg);
										return;
									}
						
									newObj.push({issuePriority:r.data['issuePriority'],name:r.data['name']});

								}*/								

								val=RiskAnalysisObject.PI2string(newObj);
								if(!val){return;}
								//if(val!='' || val != null || val != "undefined"){
								if(val!='' || checkNull == 0){
									//alert(val); //egkang
									Ext.Ajax.request({
										url: '/service/issueManager_proc.php?method=updateIssuePriority',
										method: 'POST',
										params :{
											ProjectSeq : projectSeq,
											ObjectData : Ext.encode(newObj)
										},
										success : function(resp, opt){
											//var renderData = Ext.decode(resp.responseText).data[0];
											
											Ext.getCmp('project-issuePriority').setValue(val);
											RiskAnalysisObject.PI=newObj;
											//Ext.getCmp('issuePriorityWin').hide();
											Ext.getCmp('issuePriorityWin').close();
										},
										failure: function ( result, request ) {
											Ext.Msg.alert(TPMS_lang_title,"Failure"); 
										}
									});									
								}
		
							}else{
								return;
							}
						});
					}},'-',
					{
						text: TPMS_lang_button_cancel,iconCls:'icon-cancel', handler: function(){ 
						//issuePriorityWin.hide();
						issuePriorityWin.close();
					}}
				],
				listeners: {
					scope:this,
					beforeshow: function() {					
						addRecord(issuePriorityWinStore);
						Ext.getCmp('plus-button').setText(TPMS_lang_button_add);
						Ext.getCmp('minus-button').setText(TPMS_lang_button_remove);
					},
					show: function() {					
						if(issuePriorityWinStore.getCount() <= 2){
							Ext.getCmp('minus-button').enable(true);
							Ext.getCmp('minus-button').disable(true);
						}else{	
							Ext.getCmp('minus-button').enable(true);
						}
					}
				}
			});
			this.anlyseWin2 = issuePriorityWin;
		//}
		this.anlyseWin2.show();
		
		function addRecord(store){
			store.removeAll();
			
			var tmpRecord = Ext.data.Record.create([
				{name: 'issuePriority', 	mapping: 'issuePriority'},
				{name: 'name', 	mapping: 'name'}
			]);
			
			for(var i=0;i<this.Obj.length;i++){
				var myNewRecord = new tmpRecord(this.Obj[i]);
				store.add(myNewRecord);
			}
		};
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////			Issue Severity Update				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function IssueSeverityUpdateWin(Obj){
		this.delSeq = new Array();
		this.Obj=Obj;
		

		//if (!this.anlyseWin3) {
			var csm = new Ext.grid.CheckboxSelectionModel({	singleSelect: false	});
			var nsm = new Ext.grid.RowSelectionModel({
				singleSelect: false,
				listeners: {
					scope: this,
					rowselect: function(selModel, rowIndex){
						var record = selModel.getSelected();
					}
				}
			});
			
			 var issueSeverityWinStore = new Ext.data.SimpleStore({
				id: 'issueSeverityWinStore',
				fields: ['seq', 'issueSeverity', 'name'],
				listeners:{
					scope: this,
					load: function(store, record, operation) {
						addRecord(store);
					}
				}
			});
			
			var issueSeverityWinGrid = new Ext.grid.EditorGridPanel({
				//id: 'issueSeverityWinGrid',
				region: 'north',
				height: 200,
				clicksToEdit: 1,
				autoScroll: true,
				border: false,
				store: issueSeverityWinStore,
				viewConfig: { autoFill:true, forceFit: true},
				stripeRows: true,
				enableColumnHide  : false,
				enableColumnResize: true,
				enableColumnMove  : false,
				enableHdMenu: false,
				loadMask: { msg: 'processing' },
				sm: nsm,
				columns: [
					{header: 'seq', dataIndex: 'seq', sortable: true, hidden: true},			
					{header: '심각 등급',	dataIndex: 'issueSeverity',  	sortable: false,	editor:new Ext.form.TextField({
						 allowBlank: false,
						 enableKeyEvents : true,
						 style : 'ime-mode:disabled',
						 listeners:{
							scope : this,
							keypress : function(tf, e){
							
								var key = e.getKey();
								if((key >= 48 && key <= 57) || key == 8 ){ //|| key == 46(.)
									//alert(tf.getValue());
								}else{
									e.stopEvent();
								}
							},
							keyup: function(tf, e){							
							}
						}                     
					})				
					,renderer: function(value){
						if(value!=0)
							value = parseInt(value);
						return (value == "")?TPMS_lang_Msg_inputData:value;
					}
					},
					{header: '심각도',	dataIndex: 'name',  sortable: false,	editor:new Ext.form.TextField({
						 allowBlank: false,
						 maxLength:8,
					     vtype:'commaSpace',
						 enableKeyEvents : true,
						 listeners:{
							scope : this,
							keypress : function(tf, e){
								var key = e.getKey();
							}
							,blur : function(datefield){
								datefield.setValue(datefield.getValue().trim());
							}
						}                     
					})
					,renderer: function(value){ return (value == "")?TPMS_lang_Msg_inputData:value;}
					}
				],
				listeners: {
					scope:this,
					afterEdit : function(e){
					//validateedit : function(e){
						var field = e.field == 'issueSeverity' ? TPMS_lang_domain_riskAnalyseValue : TPMS_lang_domain_riskAnalyseDescription;
						
						var number_value = parseInt(e.value.trim());					

						for(var i=0;i<issueSeverityWinStore.getCount();i++){
							if(i!=e.row){							
								if(issueSeverityWinStore.getAt(i).data[e.field] == number_value){
									Ext.Msg.alert(TPMS_lang_title, TPMS_lang_riskAreaInputError+'<br> '+field + ' : '+ e.value);
									e.record.set(e.field, '');
									return;
								}	
							}
						}

						if(number_value > 10){
							Ext.Msg.alert(TPMS_lang_title, TPMS_lang_riskAreaInputError2+'<br> '+field + ' : '+ e.value);
							e.record.set(e.field, '');
							return;
						}
					}
				}
			});				
			
			var issueSeverityWin = new Ext.Window({
				title: TPMS_lang_issueManager_issueSeverity,
				id: 'issueSeverityWin',
				width: 235,
				height: 270,
				layout: 'fit',
				plain: true,
				border: true,
				animate: false,
				modal: true,
				//maximizable: true,
				resizable: false, 
				closable: false,
				closeAction: 'hide',
				buttonAlign: 'right',
				items: issueSeverityWinGrid,
				tbar:['->',{
						iconCls: 'icon-plus',
						id: 'plus-button',
						text: TPMS_lang_button_add,
						scope: this,
						handler: function(){
							if(issueSeverityWinStore.getCount() >= Config.evaluationUnitMax){
								var evaluationUnitMaxMsg = TPMS_lang_Msg_maxItems.replace("{item}",TPMS_lang_risk+' '+TPMS_lang_evaluationUnit);//egkang??
								evaluationUnitMaxMsg = evaluationUnitMaxMsg.replace("{number}",Config.evaluationUnitMax);
		
								Ext.Msg.alert(TPMS_lang_title, evaluationUnitMaxMsg);

							}else{
								var r = new (issueSeverityWinStore.recordType)({issueSeverity:'', name:''}); 
								issueSeverityWinStore.add(r); 
								issueSeverityWinGrid.startEditing(issueSeverityWinStore.indexOf(r), 0); 
								if(issueSeverityWinStore.getCount() > 2){								
									Ext.getCmp('minus-button').enable(true);
								}else{
									Ext.getCmp('minus-button').enable(true);
									Ext.getCmp('minus-button').disable(true);
								}
							}
						}
					},'-',{
						iconCls: 'icon-minus',
						id: 'minus-button',
						text: TPMS_lang_button_remove,
						enabled:true,
						handler: function(){
							var r = issueSeverityWinGrid.getSelectionModel().getSelected();
							if(!r){
								Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_selectDeleteItem);
								return;
							}else{
								Ext.MessageBox.confirm(TPMS_lang_title, TPMS_lang_domain_Msg_riskAnalyseValueRemove ,function(btn,text){
								   if(btn=="yes"){
										issueSeverityWinStore.remove(r);
										if(issueSeverityWinStore.getCount() <= 2){	
											Ext.getCmp('minus-button').enable(true);
											Ext.getCmp('minus-button').disable(true);
										}else{
											Ext.getCmp('minus-button').enable(true);
										}
									}else{
									   return;
								   }
								}); 
							}
						}
					},'-',{
					text: TPMS_lang_button_apply,//TPMS_lang_button_save, //저장->적용으로 변경
					iconCls:'icon-save',
					scope:this, 
					handler: function(){

						Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_applyConfirm, function (btn) { 
							if(btn == "yes") { 
						
								var checkNull = 0;
								var val = '';
								var newObj=new Array();
								issueSeverityWinStore.sort('issueSeverity','desc');								
								
								for(var i=0;i<issueSeverityWinStore.getCount();i++){
									var r = issueSeverityWinStore.getAt(i);

									if(r.data['issueSeverity'] == ''){
										checkNull = 1;
										Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain_riskAnalyseValue+TPMS_lang_Msg_validationMsg);
										return;
									}

									if(r.data['name'] == ''){
										checkNull = 1;
										Ext.Msg.alert(TPMS_lang_title, TPMS_lang_domain_riskAnalyseDescription+TPMS_lang_Msg_validationMsg);
										return;
									}
						
									newObj.push({seq:r.data['seq'],issueSeverity:r.data['issueSeverity'],name:r.data['name']});
									
									//projectSeverityStore.push({seq:r.data['seq'],issueSeverity:r.data['issueSeverity'],name:r.data['name']});
								}
								

								val=RiskAnalysisObject.SvI2string(newObj);
								if(val!='' || checkNull == 0){

									Ext.Ajax.request({
										url: '/service/issueManager_proc.php?method=updateIssueSeverity',
										method: 'POST',
										params :{
											ProjectSeq : projectSeq,
											ObjectData : Ext.encode(newObj)
										},
										success : function(resp, opt){
											//var renderData = Ext.decode(resp.responseText).data[0];										
											Ext.getCmp('project-issueSeverity').setValue(val);
											//RiskAnalysisObject.PI=newObj;
											RiskAnalysisObject.SvI=newObj;
											//Ext.getCmp('issueSeverityWin').hide();
											Ext.getCmp('issueSeverityWin').close();
										},
										failure: function ( result, request ) {
											Ext.Msg.alert(TPMS_lang_title,"Failure"); 
										}
									});											
								}								
							}else{
								return;
							}
						});
					}},'-',
					{
						text: TPMS_lang_button_cancel,iconCls:'icon-cancel', handler: function(){ 
						//issueSeverityWin.hide();
						issueSeverityWin.close();
					}}
				],
				listeners: {
					scope:this,
					beforeshow: function() {					
						addRecord(issueSeverityWinStore);
						Ext.getCmp('plus-button').setText(TPMS_lang_button_add);
						Ext.getCmp('minus-button').setText(TPMS_lang_button_remove);
					},
					show: function() {					
						if(issueSeverityWinStore.getCount() <= 2){
							Ext.getCmp('minus-button').enable(true);
							Ext.getCmp('minus-button').disable(true);
						}else{	
							Ext.getCmp('minus-button').enable(true);
						}
					}
				}
			});
			this.anlyseWin3 = issueSeverityWin;		
		this.anlyseWin3.show();		
		
		function addRecord(store){
			store.removeAll();
			
			var tmpRecord = Ext.data.Record.create([
				{name: 'seq', 	mapping: 'seq'},
				{name: 'issueSeverity', 	mapping: 'issueSeverity'},
				{name: 'name', 	mapping: 'name'}
			]);
						
			for(var i=0;i<this.Obj.length;i++){
				var myNewRecord = new tmpRecord(this.Obj[i]);
				store.add(myNewRecord);
			}
		};
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////			User Info Update Window				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function IssueUserUpdateWin(issueUserSeq,userInfoListStore){
			
		if(Ext.getCmp('issueUserUpdateInfo-form')){
			Ext.getCmp('issueUserUpdateInfo-form').close();
		}
		var store = userInfoListStore;
		var userType;//,group_name;
		
		var issueUserUpdateInfo = {
			xtype: 'form',
			id: 'issueUserUpdateInfo-form',
			//width: 100,
			height: 430,
			border: false,
			bodyStyle: 'padding: 5 5 5 5;',
			items:[{
				xtype:'fieldset',
				title: TPMS_lang_userInfo,
				items:[{xtype:'hidden',id:'issueUserUpdate-userSeq'},{
					xtype:'textfield',
					fieldLabel: TPMS_lang_user_name,
					id: 'issueUserUpdate-name',
					maxLength: Config.nameMaxLength,
					allowBlank : false,
					anchor:'95%' 
					,listeners:{
						scope : this,
						blur : function(datefield){
							enableSelect(false);
							datefield.setValue(datefield.getValue().trim());
						},
						focus : function(){enableSelect(true);}
					}
				},{
					xtype:'compositefield',
					fieldLabel: TPMS_lang_user_department,
					items:[{
						xtype:'combo',
						fieldLabel: TPMS_lang_user_department,
						id: 'issueUserUpdate-group',
						maxLength: Config.maxLength20,
						//allowBlank : false,
						//mode : 'local',
						//editable: false,
						store : memberGroupStore,
						displayField : 'name',
						valueField: 'name',
						triggerAction: 'all',
						anchor:'95%',
						listeners:{
							//scope : this,
							//blur : function(datefield){
							//	datefield.setValue(datefield.getValue().trim());
							//}
						}
					},{
						hidden:true,xtype: 'displayfield', value: '<div id=\"msg_user_department\" class=\"tip-target\" onmouseover=\"showToolTipInfo(\'msg_user_department\',\'left\',200,\''+TPMS_lang_toolTip_msg_user_department+'\')\"><img src=\"../lib/ext/resources/images/icon-silk/information.gif\"></div>'
					}]
				},{
					xtype: 'textarea',
					fieldLabel:TPMS_lang_user_memo,
					id: 'issueUserUpdate-description',
					maxLength: Config.maxLength1000,
					anchor:'95%',
					style: {
						width: '95%',
						height: 80,
						marginBottom: '10px'
					}
					,listeners:{
						scope : this,
						blur : function(datefield){
							enableSelect(false);
							datefield.setValue(datefield.getValue().trim());
						},
						focus : function(){enableSelect(true);}
					}
				},{
					xtype:'hidden',
					fieldLabel: TPMS_lang_createdDate,
					id: 'issueUserUpdate-regDate',
					onFocus: function(){this.blur();},
					readOnly : true,
					anchor:'95%'
				},{
					xtype:'compositefield',
					fieldLabel:TPMS_lang_user_register,
					anchor:'95%',
					items: [{
						xtype:'checkbox',
						fieldLabel:TPMS_lang_user_register,
						boxLabel:TPMS_lang_user_register_new,
						disabled : false,//true,
						id: 'issueUserUpdate-registed',
						handler : function(){
							if(this.checked){
							Ext.getCmp('issueUserUpdate-userid').enable();
							Ext.getCmp('issueUserUpdate-passwd').enable();
							}
							else
							{
							Ext.getCmp('issueUserUpdate-userid').disable();
							Ext.getCmp('issueUserUpdate-passwd').disable();
							}
						},
						anchor:'95%'
					},{
						xtype: 'displayfield', value: '<div id=\"msg_user_register_new\" class=\"tip-target\" onmouseover=\"showToolTipInfo(\'msg_user_register_new\',\'left\',200,\''+TPMS_lang_toolTip_msg_user_register_new+'\')\"><img src=\"../lib/ext/resources/images/icon-silk/information.gif\"></div>'
					}]
				}
			]},{
				xtype:'fieldset',
				title: TPMS_lang_userOnlineInviteInfo,
				items:[{
					xtype:'textfield',
					fieldLabel:TPMS_lang_user_id,
					id: 'issueUserUpdate-userid',
					disabled : true,
					anchor:'95%'
					,listeners:{
						scope : this,
						blur : function(datefield){
							enableSelect(false);
							datefield.setValue(datefield.getValue().trim());
						},
						focus : function(){enableSelect(true);}
					}
				},{
					xtype:'textfield',
					fieldLabel: TPMS_lang_user_passwd,
					id: 'issueUserUpdate-passwd',
					disabled : true,
					anchor:'95%',
					enableKeyEvents : true,
					listeners:{
						scope : this,
						keypress : function(tf, e){
							//var key = e.getKey();
							//if((key >= 48 && key <= 57) || key == 8 ){}else{	e.stopEvent();	}
						},
						keyup: function(tf, e){
							var tmpValue = Ext.getCmp('issueUserUpdate-passwd').getValue();
							if(tmpValue.length < 6){// || 
								//Ext.getCmp('issueUserUpdate-passwd').style("color:red;");
								//alert(tmpValue);
							}
						},
						blur : function(datefield){
							enableSelect(false);
							datefield.setValue(datefield.getValue().trim());
						},
						focus : function(){enableSelect(true);}
					}
				},{
					layout: 'column',
					fieldLabel:TPMS_lang_user_email,
					border: false,
					//bodyStyle: 'padding: 5 5 5 5;',
					items : [
					{
						xtype:'textfield',
						fieldLabel:TPMS_lang_user_email,
						id: 'issueUserUpdate-email',
						columnWidth: .9
						//width : 180//,
						,listeners:{
							scope : this,
							blur : function(datefield){
								enableSelect(false);
								datefield.setValue(datefield.getValue().trim());
							},
							focus : function(){enableSelect(true);}
						}
					},{
						border:false,
						width:10
					},{
						xtype:'button',
						width:50,
						text: TPMS_lang_user_invite,
						tooltip:TPMS_lang_toolTip_msg_sendCall,
						disabled : (UserInfo.License<=0)?true:false,
						handler : function(btn){
							invite(UserInfo.NickName,projectSeq);
							//alert("invate");
						}
					}]
				}]
			}]
		};

		var issueUserUpdateCenterPanel = {
			region: 'center',
			xtype: 'panel',
			id: 'issueUserUpdateCenterPanel',		
			border: false,
			bodyStyle:'padding:5px;',
			items: [
				issueUserUpdateInfo
				],
			tbar: ['->', {
				xtype: 'button',
				id: 'insert',
				iconCls: 'icon-save',
				text: TPMS_lang_button_save,
				handler: function() {
							
					var seq = Ext.getCmp('issueUserUpdate-userSeq').getValue();
					var nick = Ext.getCmp('issueUserUpdate-name').getValue();
					var etc = Ext.getCmp('issueUserUpdate-description').getValue();
					var passwd = Ext.getCmp('issueUserUpdate-passwd').getValue();
					var id = Ext.getCmp('issueUserUpdate-userid').getValue();
					var email =	Ext.getCmp('issueUserUpdate-email').getValue();
					var group_name = Ext.getCmp('issueUserUpdate-group').getValue();
					var registed = Ext.getCmp('issueUserUpdate-registed').getValue();

					if(nick.length > Config.nameMaxLength){
						var maxLength = TPMS_lang_Msg_maxLength.replace("{number}","20");
						Ext.Msg.alert(TPMS_lang_title, TPMS_lang_user_name +" : <br>"+ maxLength);
						return;
					}else if(nick.length == 0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_user_name + TPMS_lang_Msg_validationMsg);
						return;
					}

					if(group_name.length > Config.maxLength20){
						var maxLength = TPMS_lang_Msg_maxLength.replace("{number}","20");
						Ext.Msg.alert(TPMS_lang_title, TPMS_lang_user_department +" : <br>"+ maxLength);
						return;
					}else if(group_name.length == 0){
						Ext.Msg.alert(TPMS_lang_title,TPMS_lang_user_department + TPMS_lang_Msg_validationMsg);
						return;
					}

					if(etc.length > Config.maxLength1000){
						var maxLength = TPMS_lang_Msg_maxLength.replace("{number}","1000");
						Ext.Msg.alert(TPMS_lang_title, TPMS_lang_user_memo +" : <br>"+ maxLength);
						return;
					}

					var Url = "";
					var store,params,params1,params2,params3;
					
					if(userType == "reporter"){
						Url = '/service/issueManager_proc.php?method=updateReporter';
						//store = reporterStore;
						params = {ProjectSeq : projectSeq, RoleType:'reporter'};
						//params1 = {ProjectSeq : projectSeq, RoleType:'reporter'};
					}else if(userType == "resolver"){
						Url = '/service/issueManager_proc.php?method=updateResolver';
						//store = resolverStore;
						params = {ProjectSeq : projectSeq, RoleType:'resolver'};
						//params2 = {ProjectSeq : projectSeq, RoleType:'resolver'};
					}else if(userType == "handler"){
						Url = '/service/issueManager_proc.php?method=updateHandler';
						//store = handlerStore;
						params = {ProjectSeq : projectSeq, RoleType:'handler'};
						//params3 = {ProjectSeq : projectSeq, RoleType:'handler'};
					}else{
						//UpdateUserBtn('issueProjectUser','issueProjectUserGrid')
						//IssueUserUpdateWin(selectRecords[0].data['seq'],store);
						
						Url = '/service/issueManager_proc.php?method=updateProjectMember';
						params = {ProjectSeq : projectSeq, RoleType:'projectMember'};		
					}

					Ext.Ajax.request({
						url: Url,
						method: 'POST',
						params :{
							ProjectSeq : projectSeq,
							Seq : issueUserSeq,
							Name : nick,
							UserSeq : seq,
							GroupName : group_name,
							Email : email,
							Id : id,
							Passwd : passwd,
							Etc : etc
						},
						success : function(resp, opt){
								var r=Ext.decode(resp.responseText);
								if(r.success==false){
									Ext.Msg.alert(r.msg_type,r.msg);
								}
								else{
									var renderData = Ext.decode(resp.responseText).data[0];
									if(Ext.getCmp('callUserWin')){
										Ext.getCmp('callUserWin').close();
									}
									reporterStore.reload({ProjectSeq : projectSeq, RoleType:'reporter'});
									resolverStore.reload({ProjectSeq : projectSeq, RoleType:'resolver'});
									handlerStore.reload({ProjectSeq : projectSeq, RoleType:'handler'});
									issueProjectUserStore.reload({ProjectSeq : projectSeq});
								}
							issueUserUpdateWindow.close();
						},
						failure: function ( result, request ) {
							Ext.Msg.alert(TPMS_lang_MsgFailure); 
						}
					});	
				}
			},'-',{
				xtype: 'button',
				iconCls: 'icon-cancel',
				text: TPMS_lang_button_cancel,
				handler: function() {
					if(Ext.getCmp('callUserWin')){
						Ext.getCmp('callUserWin').close();
					}
					if(Ext.getCmp('issueUserUpdateCenterPanel')){
						//Ext.getCmp('updateUser-button').enable();
						issueUserUpdateWindow.close();
					}
				}
			}],
			bbar : [{xtype:'tbfill',text:'->'},{
				xtype:'button',
				id: 'callUserList-button',
				iconCls: 'icon-find',
				text:TPMS_lang_memberCall,
				tooltip:TPMS_lang_toolTip_msg_userCall,
				handler: function(){
					CallUserWin();
					Ext.getCmp('callUserList-button').disable(true);						
				}			
			}]

		};

		var issueUserUpdateWindow = new Ext.Window({
			title: TPMS_lang_user_updateInfo,
			id:'issueUserUpdateWindow',
			closable:true,
			width:400,
			height:520,
			border:false,
			plain:true,
			modal:true,
			layout: 'border',
			resizable: false, //Resize of the Window, if false - it cannot be resized
			closable: false,
			items: [issueUserUpdateCenterPanel]
		});

		issueUserUpdateWindow.show(this);
		if(UserInfo.UserId!='admin')
		if((UserInfo.UserRole & 4)!=4 )
		{
			Ext.getCmp('insert').disable(true);
		}


		for(var i=0;i<store.getRange().length;i++)
		{
			var record = store.getAt(i);
			if(record){
				if(issueUserSeq==record.data.seq)
				{	
					/*alert(record.data.userNick+","+
					issueUserSeq +","+
					record.data.seq +","+
					record.data.userSeq+","+
					record.data.reg_date+","+
					record.data.writer+","+
					record.data.email+","+
					record.data.group_sid+","+
					record.data.groupName+","+
					record.data.nick_name+","+
					record.data.etc+","+
					record.data.reporter +","+
					record.data.resolver +","+
					record.data.handler ); */
					
					if(record.data.reporter){
						userType = "reporter";
					}else if(record.data.resolver){
						userType = "resolver";
					}else if(record.data.handler){
						userType = "handler";
					}
					//group_name = record.data.groupName

					var text = "";
					if(record.data.etc)
						text = record.data.etc.replace(/\\n/gi,'\n').replace(/\\"/gi,'"').replace(/\\'/gi,'\'').replace(/%%/gi,'%').replace(/\\\\/gi,'\\');
					
					if(record.data.userSeq){
						//alert(record.data.userSeq);
						Ext.getCmp('issueUserUpdate-registed').disable();
					}

					Ext.getCmp('issueUserUpdate-userSeq').setValue(record.data.userSeq);
					Ext.getCmp('issueUserUpdate-name').setValue(record.data.userNick);
					Ext.getCmp('issueUserUpdate-description').setValue(text);
					Ext.getCmp('issueUserUpdate-userid').setValue(record.data.writer);
					//Ext.getCmp('issueUserUpdate-passwd').setValue(renderData.passwd);
					Ext.getCmp('issueUserUpdate-email').setValue(record.data.email);
					//Ext.getCmp('issueUserUpdate-status').setValue(renderData.statusSeq);
					Ext.getCmp('issueUserUpdate-group').setValue(record.data.groupName); 
					//Ext.getCmp('issueUserUpdate-group').setValue(renderData.group_sid);
					if(record.data.reg_date=='')
					{
						//if(parseInt(UserInfo.MaxMemberCount,10) <= parseInt(Config.registedMemberCount,10))
						Ext.getCmp('issueUserUpdate-registed').enable();
							
					}else{
						Ext.getCmp('issueUserUpdate-registed').setValue(record.data.reg_date); 
					}
					Ext.getCmp('issueUserUpdateInfo-form').doLayout();

					break;
				}
			}
		};
		
	};



	//////////////////////////////////////////////////////////
	//////												//////
	//////				Call User Window				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function CallUserWin(){
		
		if(Ext.getCmp("callUserWin")){
			Ext.getCmp("callUserWin").close();
		}

		var userStore = new Ext.data.Store({
			proxy: new Ext.data.HttpProxy({
				url: '/service/tpms_proc.php?method=getMemberList'
			}),
			reader: new Ext.data.JsonReader({
			root:'data',
			id:'seq'
			}, [
				'seq',
				'nick_name',
				'group_sid',
				'group_name',
				'ID',
				'email'
			])
		});
		userStore.load();
		
		var userGridsm = new Ext.grid.CheckboxSelectionModel({ singleSelect: false });
		
		var userGridPanel = new Ext.grid.GridPanel({
			frame:true,
			store: userStore,
			width:'auto',
			height:350,		
			autoScroll: true,
			stripeRows: true,
			enableColumnHide  : false,
			enableColumnResize: true,
			enableColumnMove  : false,
			enableHdMenu: false,
			loadMask: { msg: TPMS_lang_Msg_load },
			view: new Ext.grid.GridView({
				forceFit:true
			}),
			cm : new Ext.grid.ColumnModel([
				userGridsm,
				{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
				{header: TPMS_lang_user, dataIndex: 'nick_name', sortable: true, width: 100},
				{header: TPMS_lang_user_department, dataIndex: 'group_name', sortable: true, width: 130},
				{header: TPMS_lang_user_id, dataIndex: 'ID', sortable: true, width: 100},
				{header: TPMS_lang_user_email, dataIndex: 'email', sortable: true, width: 100}
			]),
			sm: userGridsm,
			listeners: {
				rowclick:function(grid, rowIndex, e) {
					
					var selectItem = grid.selModel.getSelections();

					if(selectItem.length==0) return;
						var domainUserListSeq = selectItem[0].data['seq']; 
						Ext.getCmp('select-userSeq').setValue(domainUserListSeq);
				}
			}
		});

		var centerPanel = {
			region: 'center',
			xtype: 'panel',
			id: 'callUserList-center',		
			border: false,
			bodyStyle:'padding:5px;',
			items: [
				userGridPanel
				],
			tbar: [{xtype: 'hidden', id: 'select-userSeq'},'->',{
				xtype: 'button',
				iconCls: 'icon-save',
				text: TPMS_lang_button_apply,//TPMS_lang_button_save,
				handler: function() {

					var selectUserSeq = Ext.getCmp('select-userSeq').getValue(); 

					if(selectUserSeq){
						Ext.Msg.confirm(TPMS_lang_title, TPMS_lang_Msg_applyConfirm , function(btn,text){
							if(btn=="yes"){

								Ext.Ajax.request({
									url: '/service/tpms_proc.php?method=getMemberList',
									method: 'POST',
									params :{
										MemberListSeq : selectUserSeq
									},
									success : function(resp, opt){
									
										var renderData = Ext.decode(resp.responseText).data[0];

										Ext.getCmp('issueUserUpdate-userSeq').setValue(renderData.MemberSeq);
										Ext.getCmp('issueUserUpdate-name').setValue(renderData.nick_name);
										Ext.getCmp('issueUserUpdate-description').setValue(renderData.description.replace(/\\n/gi,'\n').replace(/\\"/gi,'"').replace(/\\'/gi,'\'').replace(/%%/gi,'%').replace(/\\\\/gi,'\\'));
										Ext.getCmp('issueUserUpdate-userid').setValue(renderData.writer);
										//Ext.getCmp('issueUserUpdate-passwd').setValue(renderData.passwd);
										Ext.getCmp('issueUserUpdate-email').setValue(renderData.email);
										//Ext.getCmp('issueUserUpdate-status').setValue(renderData.statusSeq);
										Ext.getCmp('issueUserUpdate-group').setValue(renderData.group_name);
										Ext.getCmp('issueUserUpdateInfo-form').doLayout();

										Ext.getCmp('callUserList-button').enable();
										callUserWin.close();

										Ext.getCmp('issueUserUpdate-registed').disable();
									},
									failure: function ( result, request ) {
										//Ext.Msg.alert("","Failure"); 
									}
								});

							}else{
									
							}
						});  
					}else{
						Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_selectDataInfrom);
					}				
				}
			},'-',{
				xtype: 'button',
				iconCls: 'icon-cancel',
				text: TPMS_lang_button_close,
				handler: function() {
					Ext.getCmp('callUserList-button').enable();
					callUserWin.close();
				}
			}]
		};


		var callUserWin = new Ext.Window({
			title: TPMS_lang_memberCall, //등록된 사용자 조회
			id: 'callUserWin',
			closable:false,		
			width:400,
			height:420,
			border:false,
			plain:true,
			layout: 'border',
			items: [centerPanel]
		});

		callUserWin.show(this);
		callUserWin.setPosition(5,5);
	};



	//////////////////////////////////////////////////////////
	//////												//////
	//////				Get Risk Domain List			//////
	//////												//////
	//////////////////////////////////////////////////////////

	function GetRiskDomainListWin()
	{

		if(Ext.getCmp("riskDomainWin")){
			Ext.getCmp("riskDomainWin").close();
		}

		var store = new Ext.data.Store({
			proxy: new Ext.data.HttpProxy({
				url: '/service/tpms_proc.php?method=getDomainList'
			}),
			//baseParams:{ExDomainSeq : 1},
			reader: new Ext.data.JsonReader({
			root:'data',
			id:'seq'
			}, [
				'seq',
				'name',
				'domainStatus'
			])
		});
		store.load();

		var getRiskDomainGridsm = new Ext.grid.CheckboxSelectionModel({ singleSelect: true });//, tooltip :"선택"});

		var getRiskDomainGridPanel = new Ext.grid.GridPanel({
			id:'getRiskDomainGridPanel',
			//frame:true,
			store: store,
			//collapsible: true,
			//animCollapse: false,
			border:false,
			width:'auto',
			height:467,		
			autoScroll: true,
			stripeRows: true,
			enableColumnHide  : false,
			enableColumnResize: true,
			enableColumnMove  : false,
			enableHdMenu: false,
			view: new Ext.grid.GridView({
				forceFit:true
			}),
			cm : new Ext.grid.ColumnModel([
				//riskItemGridsm2,
				{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
				{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
				{header: TPMS_lang_domain, dataIndex: 'name',  sortable: true, width: 150},
				{header: TPMS_lang_domain_status, dataIndex: 'domainStatus', align:'center', sortable: true, width: 100}
			])//,
			//sm: riskItemGridsm2
		});

		var getRiskDomainCenterPanel = {
			region: 'center',
			xtype: 'panel',
			id: 'getRiskDomainCenterPanel',		
			border: false,
			//bodyStyle:'padding:5px;',
			items: [getRiskDomainGridPanel],
			tbar: ['->',{
				xtype: 'button',
				iconCls: 'icon-plus',
				text: TPMS_lang_button_add,
				handler: function() {
					if(Ext.getCmp('centerPanel')){
						var list = "";
						var riskItemRecords2 = Ext.getCmp('getRiskDomainGridPanel').selModel.getSelections();

						if(riskItemRecords2.length != 0){
							for(var i=0; i<riskItemRecords2.length; i++){
								list +=riskItemRecords2[i].data['seq'];
								if(i<riskItemRecords2.length) list +=",";
							}
							
							Ext.Ajax.request({
								url: '/service/issueManager_proc.php?method=addIssueProjectDomain',
								method: 'POST',
								params :{
									ProjectSeq:projectSeq ,DataList :list
								},
								success : function(resp, opt){
									riskDomainListStore.reload({ProjectSeq:projectSeq});
									seletWin.close();
								},
								failure: function ( result, request ) {
									//Ext.Msg.alert("","Failure"); 
								}
							});

						}else{
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_selectGetItem);
							return;
						}
					}
				}
			},'-',{
				xtype: 'button',
				iconCls:'icon-cancel',
				text: TPMS_lang_button_cancel,
				handler: function() {
					if(Ext.getCmp('getRiskDomainCenterPanel')){
						seletWin.close();
					}
				}
			}]
		};


		var seletWin = new Ext.Window({
			title: TPMS_lang_button_call,//'Copy',
			id:'riskDomainWin',
			closable:true,
			width:300,
			height:550,
			modal: true,
			border:false,
			plain:true,
			layout: 'border',
			resizable: false, //Resize of the Window, if false - it cannot be resized
			closable: false,
			items: [getRiskDomainCenterPanel]
		});
		
		seletWin.show(this);
	};


	// 등록 사용자 불러오기
		//////////////////////////////////////////////////////////
	//////												//////
	//////				Call User Window				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function CallUserWin2(){
		
		if(Ext.getCmp("callUserWin2")){
			Ext.getCmp("callUserWin2").close();
		}

		var userStore = new Ext.data.Store({
			proxy: new Ext.data.HttpProxy({
				url: '/service/tpms_proc.php?method=getMemberList'
			}),
			reader: new Ext.data.JsonReader({
			root:'data',
			id:'seq'
			}, [
				'seq',
				'nick_name',
				'group_sid',
				'group_name',
				'ID',
				'email'
			])
		});
		userStore.load();
				
		var userGridsm = new Ext.grid.CheckboxSelectionModel({ 
			singleSelect: false,
			listeners: {
				//scope : this,
				rowselect: function(smObj, rowIndex, record) {
					//alert(record);
				}
			}
		});
		
		var userGridPanel = new Ext.grid.GridPanel({
			id:'userGridPanel',
			frame:true,
			store: userStore,
			width:'auto',
			height:350,		
			autoScroll: true,
			stripeRows: true,
			enableColumnHide  : false,
			enableColumnResize: true,
			enableColumnMove  : false,
			enableHdMenu: false,
			loadMask: { msg: TPMS_lang_Msg_load },
			view: new Ext.grid.GridView({
				forceFit:true
			}),
			cm : new Ext.grid.ColumnModel([
				userGridsm,
				//{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
				{header: 'seq', dataIndex: 'seq', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
				{header: TPMS_lang_user, dataIndex: 'nick_name', sortable: true, width: 100},
				{header: TPMS_lang_user_department, dataIndex: 'group_name', sortable: true, width: 130},
				{header: TPMS_lang_user_id, dataIndex: 'ID', sortable: true, width: 100},
				{header: TPMS_lang_user_email, dataIndex: 'email', sortable: true, width: 100}
			]),
			sm: userGridsm,
			listeners: {
				rowclick:function(grid, rowIndex, e) {
					
					var selectItem = grid.selModel.getSelections();

					if(selectItem.length==0) return;
						var domainUserListSeq = selectItem[0].data['seq']; 
						Ext.getCmp('select-userSeq').setValue(domainUserListSeq);
				}
			}
		});

		var centerPanel = {
			region: 'center',
			xtype: 'panel',
			id: 'callUserList-center',		
			border: false,
			bodyStyle:'padding:5px;',
			items: [
				userGridPanel
				],
			tbar: [{xtype: 'hidden', id: 'select-userSeq'},'->',{
				xtype: 'button',
				iconCls: 'icon-save',
				text: TPMS_lang_button_apply,//TPMS_lang_button_save,
				handler: function() {

					var selectUserSeq = Ext.getCmp('select-userSeq').getValue(); 

					//if(selectUserSeq){
						var list = "";
						var Records = Ext.getCmp('userGridPanel').selModel.getSelections();

						if(Records.length == 0){
							//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_domain_Msg_selectGetItem);
							Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_selectDataInfrom);
							return;
						}else{

							for(var i=0; i<Records.length; i++){
								list +=Records[i].data['seq'];
								if(i+1<Records.length) list +=",";
							}
							//egkang : 선택한 사용자 저장
							//alert(list);

							AddUserAction("issueProjectUser",list);
						}
					//}else{
					//	Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_selectDataInfrom);
					//}
				}
			},'-',{
				xtype: 'button',
				iconCls: 'icon-cancel',
				text: TPMS_lang_button_close,
				handler: function() {
					//Ext.getCmp('callUserList-button').enable();
					callUserWin2.close();
				}
			}]
		};


		var callUserWin2 = new Ext.Window({
			title: TPMS_lang_member_list, //등록된 사용자 조회
			id: 'callUserWin2',
			closable:false,		
			width:400,
			height:420,
			border:false,
			plain:true,
			layout: 'border',
			items: [centerPanel]
		});

		callUserWin2.show(this);
		//callUserWin2.setPosition(5,5);
	};

	function invite(userNick,projectSeq)
	{
		var userSeq = Ext.getCmp('issueUserUpdate-userSeq').getValue();
		var id = Ext.getCmp('issueUserUpdate-userid').getValue();
		var email =	Ext.getCmp('issueUserUpdate-email').getValue();
		
		var serviceName = "Project";
		if(Config.ProductType=="scrum"){
			serviceName = "Scrum";
		}

		Ext.Ajax.request({
			url : '/service/tpms_proc.php?method=inviteUser',
			method: 'POST',
			params :{
				UserNick : userNick,
				InviteEmail : email,
				InviteUserSeq : userSeq,
				InviteUserId : id,
				ServiceName : serviceName,
				Seq : projectSeq
			},
			success: function ( result, request ) {
				Ext.Msg.alert(TPMS_lang_title,result.responseText);
			},
			failure: function ( result, request ) {
				Ext.Msg.alert(TPMS_lang_title, TPMS_lang_Msg_error); 
			}
		});

	}