
	//////////////////////////////////////////////////////////
	//////												//////
	//////			Select Mapping Items				//////
	//////												//////
	//////////////////////////////////////////////////////////


	function SelectIssueRiskItem(projectSeq){

		//////////////////////////////////////////////////////////
		//////												//////
		//////				Set Store Load					//////
		//////												//////
		//////////////////////////////////////////////////////////

		var issueItemStore = MakeStore('/service/issueManager_proc.php?method=getIssueList&ProjectSeq='+projectSeq,'',[
			'seq',
			'subject',
			'category',
			'status',
			'priority',
			'severity',
			'updateDate',
			'regDate',
			'issueTextCnt'
		],'');

		var riskItemStore = MakeStore('/service/issueManager_proc.php?method=getRiskItemListProject&ProjectSeq='+projectSeq,'',[
			'seq',
			'domainName',
			'category',
			'name',
			'writer',
			'issueCnt'
		],'');

		

		//////////////////////////////////////////////////////////
		//////												//////
		//////				Set Grid Panel					//////
		//////												//////
		//////////////////////////////////////////////////////////

		//////////////////////////////////////////////////////////
		//////				RiskItem Grid Panel				//////
		//////////////////////////////////////////////////////////

		var riskItemGridSm = new Ext.grid.CheckboxSelectionModel({ 
			singleSelect: false,
			listeners: {
				scope : this,
				rowselect: function(smObj, rowIndex, record) {
					//selRecordStore = record;
				}
			}
		});//, tooltip :"select"});

		var riskItemGridCm = new Ext.grid.ColumnModel([
				riskItemGridSm,
				//{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
				{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 50, hidden: true, tooltip: 'seq' },
				{header: TPMS_lang_issueManager_item, dataIndex: 'name', sortable: true, width: 150},
				{header: TPMS_lang_issueManager_type, dataIndex: 'category', sortable: true, width: 150},
				{header: TPMS_lang_issueManager_domain, dataIndex: 'writer', align:'center', sortable: true, width: 100}
			]);

		var riskItemGridListeners = {
				scope : this,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						var seldata=sel.data;
						//alert(seldata.seq);
					}
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					var seq = selectItem[0].data['seq']; 
				}
			};

		var riskItemListGridPanel = MakeGridPanel(TPMS_lang_riskItem,'riskItemListGridPanel',riskItemStore,'',465,riskItemGridCm,riskItemGridSm,riskItemGridListeners,'');


		//////////////////////////////////////////////////////////
		//////				Issue Grid Panel				//////
		//////////////////////////////////////////////////////////

		var issueItemGridSm = new Ext.grid.CheckboxSelectionModel({ 
			singleSelect: false,
			listeners: {
				scope : this,
				rowselect: function(smObj, rowIndex, record) {
					//selRecordStore = record;
				}
			}
		});//, tooltip :"select"});

		var issueItemGridCm = new Ext.grid.ColumnModel([
				//{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
				issueItemGridSm
				,{header: 'seq', dataIndex: 'seq', align:'center', sortable: true, width: 50, hidden: true, tooltip: 'seq' }
				,{header: TPMS_lang_issueManager_item, dataIndex: 'subject', sortable: true, width: 150}
				,{header: TPMS_lang_issueManager_type, dataIndex: 'category', sortable: true, width: 150}
				//,{header: TPMS_lang_issueManager_domain, dataIndex: 'register', align:'center', sortable: true, width: 100}
			]);

		var issueItemGridListeners = {
				scope : this,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						var seldata=sel.data;
						//alert(seldata.seq);
					}
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					var seq = selectItem[0].data['seq']; 
				}
			};

		var issueItemListGridPanel = MakeGridPanel(TPMS_lang_issue,'issueItemListGridPanel',issueItemStore,'',465,issueItemGridCm,issueItemGridSm,issueItemGridListeners,'');

		var columnItemArray = new Array();
		columnItemArray.push(riskItemListGridPanel);
		columnItemArray.push(issueItemListGridPanel);

		var issueItemSeqList ="";

		var TBar = [
			MakeButton('','Show Issue List','showIssueList','','','','',function(btn){
				Ext.getCmp('showIssueList').hide();
				var columnItemArray = new Array();
				columnItemArray.push(MakeGridPanel(TPMS_lang_riskItem,'riskItemListGridPanel',riskItemStore,'',465,riskItemGridCm,riskItemGridSm,riskItemGridListeners,''));
				columnItemArray.push(MakeGridPanel(TPMS_lang_issue,'issueItemListGridPanel',issueItemStore,'',465,issueItemGridCm,issueItemGridSm,issueItemGridListeners,''));

				Ext.getCmp('selectIssueMain').removeAll();
				Ext.getCmp('selectIssueMain').add(MakeColumnLayout('selectColumnPanel',columnItemArray,'',''));
				Ext.getCmp('selectIssueMain').doLayout(true,true);
			})
			,'->'
			,MakeButton('next',TPMS_lang_button_next,'selectNextBtn','icon-next','','','',
				function(btn){
				
					// ũ  

					var riskItemRecords = Ext.getCmp('riskItemListGridPanel').selModel.getSelections();

					if(riskItemRecords.length==0){
						Ext.Msg.alert(TPMS_lang_title,"Select Item!");
						return;
					}else{
						var riskItemSeqList ="";
						var itemCnt = 0;
						for(var i=0; i<riskItemRecords.length; i++){
							riskItemSeqList += riskItemRecords[i].data['seq']+",";
							itemCnt++;
						}
					}
				

					// ̽  
					if(Ext.getCmp('issueItemListGridPanel')){
						var issueItemRecords = Ext.getCmp('issueItemListGridPanel').selModel.getSelections();

						if(issueItemRecords.length==0){
							Ext.Msg.alert(TPMS_lang_title,"Select Item!");
							return;
						}else{
							
							var itemCnt = 0;
							for(var i=0; i<issueItemRecords.length; i++){
								issueItemSeqList += issueItemRecords[i].data['seq']+",";
								itemCnt++;
							}
						}								
					}

					// ũ, ̽  ѱ
					IssueRiskItemMapping(projectSeq,riskItemSeqList,issueItemSeqList);				
				})
			,'-'
			,MakeButton('cancel',TPMS_lang_button_cancel,'selectCancelBtn','','','','',function(btn){Ext.getCmp('selectIssueRiskItemWin').close(true);})
		]

		var selectIssueRiskItemWin = new Ext.Window({
			title: 'selectIssueRiskItemWin',
			id:'selectIssueRiskItemWin',
			closable:true,
			width:500,
			height:525,
			plain:true,
			layout: 'border',
			resizable: false,
			modal: true,
			closable: false,
			items: [{ 
				region: 'center',
				xtype: 'panel',
				border:false,
				autoScroll:true,
				id:'selectIssueMain',
				items: MakeColumnLayout('selectColumnPanel',columnItemArray,'','')
			}]
			,tbar:TBar
		});
		selectIssueRiskItemWin.show(this);

		var Records = Ext.getCmp('issueGridPanel').selModel.getSelections();
		if(Records.length > 0){
			//Ext.getCmp('showIssueList').show();
			Ext.getCmp('selectIssueMain').removeAll();
			Ext.getCmp('selectIssueMain').add(MakeGridPanel(TPMS_lang_riskItem,'riskItemListGridPanel',riskItemStore,'',465,riskItemGridCm,riskItemGridSm,riskItemGridListeners,''));
			Ext.getCmp('selectIssueMain').doLayout(true,true);
			
			for(var i=0; i<Records.length; i++){
					issueItemSeqList += Records[i].data['seq'];
				if(i+1 != Records.length){
					issueItemSeqList += ",";
				}
			}
		}else{
			Ext.getCmp('showIssueList').hide();
		}
	}




	//////////////////////////////////////////////////////////
	//////												//////
	//////				Mapping Window					//////
	//////												//////
	//////////////////////////////////////////////////////////

	var Config2 ={};
	Config2.Height=document.body.clientHeight - 200;
	Config2.Width=document.body.clientWidth - 10;

	function IssueRiskItemMapping(projectSeq,riskItemSeqList,issueItemSeqList){
		
		if(Ext.getCmp('selectIssueRiskItemWin')){
			Ext.getCmp('selectIssueRiskItemWin').close(true);
		}

		//alert("[ RiskItemSeq List : "+riskItemSeqList+" ],[ IssueItemSeq List : "+issueItemSeqList+" ]");

		var domainName,flag;
		var win ;
		//valueData(projectSeq,issueItemSeqList,riskItemSeqList);
		FactorListData(projectSeq,issueItemSeqList,riskItemSeqList);
		
		Config2.projectSeq = projectSeq;
		Config2.DomainName = domainName;
		Config2.Flag = flag;
	};

	var PointList=null;


	//comboData ȣ ϱ 
	//valueData= function(projectSeq,issueSeqList,riskItemSeqList){
	//		 FactorListData(projectSeq,issueSeqList,riskItemSeqList);
	//};

	FactorListData = function(projectSeq,issueSeqList,riskItemSeqList){

		 Ext.Ajax.request({ 
				//scope : this,
				displaySuccessMessage : false,
				//url: '/service/tpms_proc.php?method=getRiskFactorListForAnalysis',
				url: '/service/issueManager_proc.php?method=getMappingRiskItemList',
				params:{
					RiskItemSeqList : riskItemSeqList
					},
				method : 'POST',
				success : function(rsp, opt) {
					 store =Ext.decode(rsp.responseText);
					 RiskAnalysePopGrid ( store,issueSeqList,riskItemSeqList );
				}
			}) 
	};

	/*---------------------------------------------------׸  κ     Ext.grid.Record ------------------------------------*/    
	Ext.grid.Record = function(store){
		var arr= [];
		for (var i = 0; i < store.data.length; i++){
			arr[i] = store.data[i].ID;
		}
		this.recordType = Ext.data.Record.create(arr);
		return this.recordType;   
	};

	Ext.extend(Ext.grid.Record, Ext.data.Record.create, {});

	RiskAnalysePopGrid = function(factorstore,issueSeqList,riskItemSeqList){

		var riskAnalyseGridStore = new Ext.data.Store({
				proxy: new Ext.data.HttpProxy({
				   //url:'/service/tpms_proc.php?method=getRiskAnalysisCells'
					url: '/service/issueManager_proc.php?method=getMappingIssueItemData'
				}),
				baseParams : {ProjectSeq : projectSeq,
							IssueSeqList:issueSeqList,
							RiskItemSeqList:riskItemSeqList
					} , 
				reader: new Ext.data.JsonReader(
					{ root: 'data'  },
					this.myRecoredObj =  Ext.grid.Record(store)
				)
		});
		var domainName='';
		var flag=0;
		// ε 
		riskAnalyseGridStore.load();
		
		if(flag == 2){
		var riskAnalysePopGridsm = new Ext.grid.RowSelectionModel({});//new Ext.grid.CellSelectionModel({});
		}else{
		 // ׸ üũڽ 
		var riskAnalysePopGridsm = new Ext.grid.CheckboxSelectionModel({
			singleSelect: true,
			listeners:{
				scope : this,
				rowselect : {
					scope : this,
					fn : function(sm,rowIndex, record){
					  
						//risk-analysePop-grid => domainName+'-grid'	//kang

						var record = Ext.getCmp(domainName+'-grid').getStore().getAt(rowIndex);
						var riskItemSeq=record.data.RiskItemSeq;
						var factorListLength =record.fields.keys.length;
						
						for(var f=4;f<factorListLength+1;f++){
							   //var a =  document.getElementById(riskItemSeq+"_"+f+"_value");
							   //document.getElementById(riskItemSeq+"_"+f+"_value").style.display="none";
							   //document.getElementById(riskItemSeq+"_"+f+"_radio").style.display="block";
						 }
					}
				},
				rowdeselect : {
					scope : this,
					fn : function(sm, rowIndex, record){
						var record = Ext.getCmp(domainName+'-grid').getStore().getAt(rowIndex);
						var riskItemSeq=record.data.RiskItemSeq;
						var factorListLength =record.fields.keys.length;
						var pointObj = [];
						var factorname =[];
						//  
						for(var j=4; j<factorListLength+1;j++){
							factorname[j-4] = record.fields.keys[j-1];
							var point ="";
							//var listIndex =document.getElementById(riskItemSeq+"_"+j).selectedIndex;
							
							//if( listIndex != -1){
							//    pointObj[j-4] = PointList.data[listIndex].DisplayPoint;//document.getElementById(riskItemSeq+"_"+j).options[listIndex].value;
							//}else{
							//    pointObj[j-4] = "";
							//}                       
						}//for
						
						for(var f=4;f<factorListLength+1;f++){
							   //var a =  document.getElementById(riskItemSeq+"_"+f+"_value");
								 //document.getElementById(riskItemSeq+"_"+f+"_value").style.display="block";
								 //document.getElementById(riskItemSeq+"_"+f+"_radio").style.display="none";
								 //document.getElementById(riskItemSeq+"_"+f+"_value").innerHTML=pointObj[f-4];
						 }
					}
				}
			}
		});
		
		}
		

		//׸ 
		 var riskAnalysePopGrid = new Ext.grid.EditorGridPanel({
			viewConfig: { autoFill:true, forceFit : true},
			id: domainName+'-grid',
			headerAsText:false,
			autoWidth:true,
			ds: riskAnalyseGridStore,
			factorData : factorstore,
			clicksToEdit : 1,
			border : false,
			split:true,
			autoScroll:true,
			stripeRows: true,
			enableColumnHide  : false,
			enableColumnResize: true,
			enableColumnMove  : false,
			enableHdMenu: false,
			sm : riskAnalysePopGridsm,
			cm : new Ext.grid.DynamicColumnModel(factorstore,riskAnalysePopGridsm),
			listeners : {
				scope : this,
				cellclick : function(grid, rowIndex, colIndex,e){ }              
			}
		}); // riskAnalysePopGrid
				  


		//////////////////////////////////////////////////////////
		//////												//////
		//////		Window									//////
		//////												//////
		//////////////////////////////////////////////////////////
		 
		 var win="";
	   
		 if(!win){
				var riskAnalysePop = new Ext.Window({
					id: 'issueRiskItemWin',
					layout:'fit',
					x: 5,
					y: 5,
					width: Config2.Width,
					minWidth : 100 ,
					height:450,
					minHeight : 100,
					closeAction :'hide',
					closable: false,
					resizable : true,
					title:'Mapping',
					modal:false,
					border : false,
					autoScroll:true,
					items:[riskAnalysePopGrid],
					tbar : [{
						xtype:'button',
						hidden: true,
						iconCls: 'icon-excel',
						text: TPMS_lang_export,
						handler : function() {
							if(flag == 1){
								TPMS_lang_export_message = TPMS_lang_Msg_export_riskAnalysis;
							}else if(flag == 2){
								TPMS_lang_export_message = TPMS_lang_Msg_export_riskDiscuss;
							}else{
								Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_errorInfrom);
							}
							Ext.MessageBox.confirm(TPMS_lang_title,TPMS_lang_export_message,function(btn,text){
							   if(btn=="yes"){
								   location.href="/service/export_proc.php?method=exportRiskAnalysisCells&DomainSeq="+projectSeq+"&UserSeq="+UserInfo.seq+"&Flag="+flag;
							   }else{
								   return;
							   }
							});
						}
					},'->',{
						xtype:'button',
						hidden : (flag==2)?true:false,
						iconCls: 'icon-save',
						text:TPMS_lang_button_save,
						handler:function(){
							Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_Msg_saveConfirm, function(btn,text){
								if(btn=="yes"){
									Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_saveInfrom);
									//⼭ ۿִ store ε ش. kslovee									
									//Ext.getCmp("riskItemMapStore").reload({params:{IssueListSeq:seq,ProjectSeq:projectSeq}});
									//riskItemGridPanel
									//Ext.getCmp("riskItemGridPanel").getStore().reload({params:{IssueListSeq:seq,ProjectSeq:projectSeq}});
									


									var store = Ext.getCmp(domainName+'-grid').getStore();
									var riskObj =[];
									var factorLength = store.fields.keys.length;
									for(var i=0;i<Ext.getCmp(domainName+'-grid').getStore().getCount();i++){
											var riskItemSeq=store.data.items[i].json.RiskItemSeq;
											var rowTitle = store.data.items[i].json.RowTitle;
											
											var pointObj = [];
											var factorname =[];
											var submitData = [];
											var k=0;
											for(var j=2; j<factorLength+1;j++){
												factorname[j-2] = store.fields.keys[j-1];
												var point ="";  
												var listIndex =document.getElementById(riskItemSeq+"_"+j);
												if(listIndex)
												pointObj[k]=(listIndex.checked)?1:0;
												k++;
											}//for
											
										   var pointData=[];
											for(var f=0;f<factorname.length;f++){
												pointData[f] = factorname[f] + ":" + pointObj[f]
											}                                             
											riskObj[i]={"item" :rowTitle ,"itemSeq":riskItemSeq, "data": pointData};      
									} 
										
									var sumitData = "{";
									 for(var j=0 ;j<riskObj.length;j++){
										sumitData +='"' + j +  '":{  ' ;
										sumitData += '"IssueListSeq":"' + riskObj[j].itemSeq +'",' ;
										
										for ( var k=0;k<riskObj[j].data.length ;k++){
										   var tempPoint = riskObj[j].data[k].replace('"','').split(':');
										   sumitData +='"' + tempPoint[0] + '":"' + tempPoint[1] + '"' ;
										   
										   if(k!=riskObj[j].data.length-1){
											sumitData +=","; 
										   }
									   }
										sumitData +='}' ;
									   if(j!=riskObj.length-1){
											sumitData +=","; 
										}  
									 }
									 sumitData +='}' ;
									 //alert(sumitData);
									  Ext.Ajax.request({
											url:'/service/issueManager_proc.php?method=updateIssueRiskItemMap',
											method : 'POST',
											params:{
												MapData : sumitData,
												ProjectSeq : projectSeq
											   
											},
											success : function(rsp, opt) {
												//alert(rsp.responseText);
												Ext.getCmp('issueRiskItemWin').close();
											},
											failure: function ( result, request ) {												
												Ext.Msg.alert(TPMS_lang_title,TPMS_lang_MsgFailure); 
											}
										}) //ajx 

									}else{
										return;
									}
								});                              
						}
					},'-',{
						xtype:'button',
						iconCls: 'icon-cancel',
						text:TPMS_lang_button_close,
						handler:function(){
							Ext.getCmp('issueRiskItemWin').close();     //˾ ݱ 
						}
					}]               
			});    
					
			
	   }    
		
		this.riskAnalysePopWin = riskAnalysePop;
		this.riskAnalysePopWin.show();
		riskAnalysePopWin.setPosition(5,30);
	};




	//////////////////////////////////////////////////////////
	//////												//////
	///	 ׸ cm  κ  Ext.grid.DynamicColumnModel  ///
	//////												//////
	//////////////////////////////////////////////////////////

	Ext.grid.DynamicColumnModel = function(store,riskAnalyseDomainGridsm){


		var testHtml = function(v, p, record, rowIndex, colIndex, store){     
			var i=0;
			var id =  record.json["RiskItemSeq"] +"_" + colIndex ;
		  

			var html ='<div id="'+id +'_checkbox" style="text-align:center;display:yse;">';
			//for(var k=0;k<comboData.length;k++){
				if(0 != v){
					html +='<input type=checkbox id = "'+id+'" name="'+id+'"checked>'; 
				}else{
					html +='<input type=checkbox id = "'+id+'" name="'+id+'">'; 
				}
			//}

			html +='</div>';
			i=i+1;
			return html;
		}


		var itemName = function(v, p, record, rowIndex, colIndex, store){ return  '<span title="'+v+'" style="text-align:center;">'+v+'</span>' ; };

		var cols = [];
		for (var i = 0; i < store.data.length; i++){
				cols[0]={header: "No", sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false };

			if(i==0){ 
				cols[i+1] = {header:store.data[0].name, dataIndex: store.data[i].ID, width:150, css:'background-color: #EBF0F3;' ,renderer  : itemName};
			//}else if(i==1 || i==2 ){
				//cols[i+1] = {header: '&nbsp;'+ i, dataIndex: store.data[i].ID, width:100, css:'background-color: #EBF0F3;' , hidden : true};
			}else{
				 cols[i+1] = {header: store.data[i].name , dataIndex: store.data[i].ID, width:100 ,renderer : testHtml
				  ,css:'' ,tooltip : store.data[i].description};
			}
		}

		Ext.grid.DynamicColumnModel.superclass.constructor.call(this, cols);
	   
	};


	Ext.extend(Ext.grid.DynamicColumnModel, Ext.grid.ColumnModel, {});