WOMsg = function(){
	return {
		popNotice: function(title, text, w, x, y){
			var msgContents = Ext.query('*[class*=x-box-mc]', '_id_wo_notice_popup');
			msgContents[0].innerHTML = String.format('<H3>{0}</H3>{1}', title, text);
			//alert(msgContents);
			if (w) {
				Ext.fly('_id_wo_notice_popup').setWidth(w);
			} else {
				Ext.fly('_id_wo_notice_popup').setWidth(300);
			}
	
			if(x){
				Ext.fly('_id_wo_notice_popup').setX(x);
			}else{
				Ext.fly('_id_wo_notice_popup').setX(300);
			}
			if(y){
				Ext.fly('_id_wo_notice_popup').setY(y);
			}else{
				Ext.fly('_id_wo_notice_popup').setY(300);
			}

			//x-box-mc
			Ext.fly('_id_wo_notice_popup').slideIn('t', {
				easing: 'easeOut',
				duration: .5
			});

			(function(){
				Ext.fly('_id_wo_notice_popup').hide(true);
			}).defer(3000, this);
		}
    }	
}();

//<!-- fnSetRotation function --> 
//oObj input requires that a matrix filter be applied. 
//deg input defines the requested angle of rotation.
var deg2radians = Math.PI * 2 / 360;
function fnSetRotation(oObj, deg)
{   
	
	rad = deg * deg2radians ;
	costheta = Math.cos(rad);
	sintheta = Math.sin(rad);

	oObj.filters.item(0).M11 = costheta;
	oObj.filters.item(0).M12 = -sintheta;
	oObj.filters.item(0).M21 = sintheta;
	oObj.filters.item(0).M22 = costheta;

	oObj.onfilterchange = null;
}


function Browser() {
 
  var ua, s, i;
 
  this.isIE    = false;
  this.isNS    = false;
  this.version = null;
 
  ua = navigator.userAgent;
 
  s = "MSIE";
  if ((i = ua.indexOf(s)) >= 0) {
    this.isIE = true;
    this.version = parseFloat(ua.substr(i + s.length));
    return;
  }
 
  s = "Netscape6/";
  if ((i = ua.indexOf(s)) >= 0) {
    this.isNS = true;
    this.version = parseFloat(ua.substr(i + s.length));
    return;
  }
 
  // Treat any other "Gecko" browser as NS 6.1.
 
  s = "Gecko";
  if ((i = ua.indexOf(s)) >= 0) {
    this.isNS = true;
    this.version = 6.1;
    return;
  }
}

//no 처리  //그리드에 추가 항목 : {header: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
function renderNumber(v, p, record, rowIndex, colIndex, store){
	p.attr = 'style="background-color:#efefef;"';
	var so = store.lastOptions;
	var sop = so ? so.params : null;
	var start = ((sop && sop.start) ? sop.start : 0);
   // var pageData = Ext.getCmp(classify + 'mydefectList-grid-paging').getPageData();
	return (rowIndex + start + 1);
}

showToolTipInfo = function(divId,position,tsize,content){
	var tip = new Ext.ToolTip({
		target: divId,
		anchor: position,
		html: content,
		width: tsize,
		padding:5,
		showDelay:0,  
		autoHide: true,
		trackMouse: false,
		closable: false/*,
		setMinValue:0,
		setMaxValue:10000*/
	});
	tip.show(true);	
}


updateVersionInfoPop = function(){
	Ext.Ajax.request({
		url : '/service/updateInfo.php?method=getServerVersion',
		method: 'POST',
		success: function ( result, request ) {
			//Ext.Msg.alert(TPMS_lang_title,result.responseText);
			//alert(result.responseText);
	
			if(result.responseText){
				WOMsg.popNotice(TPMS_lang_title,result.responseText,300,300,300);
			}
			window.open('/view/setStyle.php?versionCheck=1','hiddenframe');
		},
		failure: function ( result, request ) {
			alert("fail");
		}
	});
}

addEvent = function(elem, type, eventHandle) { 
	if (elem == null || elem == undefined) return; 
	if ( elem.addEventListener ) { 
		elem.addEventListener( type, eventHandle, false ); 
	} else if ( elem.attachEvent ) { 
		elem.attachEvent( "on" + type, eventHandle ); 
	} 
};

function smoothScrollIntoView(element, container) {
  var c = Ext.getDom(container) || Ext.getBody().dom,
     el = element.dom,
     o = element.getOffsetsTo(c),
     t = o[1] + c.scrollTop,
     ch = c.clientHeight;
  var newCTop = t - ch / 2;
  if (newCTop < 0)
    newCTop = 0;
  container.scrollTo('top', newCTop, true);
}

function gridRevealRow(grid, rowIndex) {
  var row = new Ext.Element(grid.getView().getRow(rowIndex));
  smoothScrollIntoView(row, grid.getView().scroller);
}

	//////////////////////////////////////////////////////////
	//////												//////
	//////				Loading Massege					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function LoadingMsg(PanelName,Msg){
		if(!Msg) Msg = TPMS_lang_Msg_load;
		var mkArgs = {msg: Msg,removeMask: true};
		var mk = new Ext.LoadMask(PanelName, mkArgs);
		mk.show();
		return mk;
	}

	//////////////////////////////////////////////////////////
	//////												//////
	//////				Tool Bar Mini					//////
	//////												//////
	//////////////////////////////////////////////////////////

function showMiniToolBar(){
	var chkView = 1;

	var buttonPanel = {
		region: 'center',
		id:'buttonPanel',
		layout: 'hbox',
		//width:260,
		width:370+60+10,
		border: false,
		//bodyStyle:'padding:10 0 0 0;',
		//bodyStyle:'padding:5px;',
		items:[{
				xtype:'button',
				hidden: true,
				iconCls: 'icon-group',
				tooltip: TPMS_lang_scrum,
				handler: function(btn){
					//window.open('/view/scrum.php?DomainSeq=1',
					//	'RiskAnalysis_'+UserInfo.DomainSeq,
					//	'location=no,width='+(screen.width * 0.75)+',height='+(screen.height*0.75)+',left=0,top=0,resizable=yes');

					window.open('/view/scrum2.php?DomainSeq=1&GroupId='+UserInfo.Groupid,
						'ScrumMain',
						'location=no,width='+(screen.width * 0.75)+',height='+(screen.height*0.75)+',left=0,top=0,resizable=yes');
				}
			},{
				border: false,width: 5
			},{
				xtype:'button',
				iconCls: 'icon-chart-bar',
				tooltip: TPMS_lang_domain_riskAnalyseTitle,
				//width: 78,
				handler: function(btn){
					window.open('/view/riskDomain.php?','RiskAnalysisMain',
						'location=no,width='+(screen.width * 0.75)+',height='+(screen.height*0.75)+',left=0,top=0,resizable=yes');
				}
			},{
				//hidden:true,
				border: false,width: 5
			},{
				xtype:'button',
				iconCls: 'icon-layout',
				tooltip: TPMS_lang_strategy, //전략수립
				//width: 78,				
				handler: function(btn){
					window.open('/view/strategy.php','StrategyMain',
						'location=no,width='+(screen.width * 0.75)+',height='+(screen.height*0.75)+',left=0,top=0,resizable=yes');
				}
			},{
				border: false,
				width: 5
			},{
				xtype:'button',
				hidden: true,
				text: 'I',
				iconCls: 'icon-cancel',
				tooltip: TPMS_lang_issueManager,
				//width: 78,
				handler: function(btn){
					window.open('./view/issueManager.php?','','location=no,width='+(screen.width * 0.75)+',height='+(screen.height*0.75)+',left=0,top=0,resizable=yes');
				}
			},{
				border: false,
				hidden: true,
				width: 5
			},{
				xtype:'button',
				//id:'setup-button',
				iconCls: 'icon-setup',
				tooltip: TPMS_lang_button_setting,
				//width: 78,
				handler: function(btn){
					//setupWin();
					//Ext.getCmp('setup-button').disable(true);
					window.open('/view/setup.php','SetupMain','location=no,width=460,height=460,left=0,top=0,resizable=no');
				}
			},{
				border: false,
				width: 5
			},{
				xtype:'button',
				hidden:true,
				//id:'tip-button',
				iconCls: 'icon-help',
				tooltip: TPMS_lang_quick+' '+TPMS_lang_guide, 
				//width: 78,
				handler: function(btn){
						tipPop();
				}
			},{
				xtype:'button',
				//id:'tip-button2',
				iconCls: 'icon-help',
				tooltip: TPMS_lang_quick+' '+TPMS_lang_guide, 
				//width: 78,
				handler: function(btn){
						window.status='TipShow';
						window.open('/view/tip.php','RADAR_HELP','location=no,width=400,height=400,left=0,top=0,resizable=no');
				}
			},{
				border: false,
				width: 5
			},{
				xtype:'button',
				hidden:true,
				iconCls: 'icon-signout',
				tooltip: 'Top '+TPMS_lang_button_open+'/'+TPMS_lang_button_close,
				width: 20,
				handler: function(btn){
					//if(Ext.getCmp('mainTop'))
						//alert("y");
					//Ext.getCmp('mainTop').show(true);
					//Ext.getCmp('mainTop').doLayout(true);
					
					if(chkView == 0){
						if(Ext.getCmp('mainTop')){
							Ext.getCmp('mainTop').hide(true);
							Ext.getCmp('mainTop').setHeight(0);
							Ext.getCmp('index').doLayout(true);
						}

						if(Ext.getCmp('strategyTop')){
							Ext.getCmp('strategyTop').hide(true);
							Ext.getCmp('strategyTop').setHeight(0);
							Ext.getCmp('strategyIndex').doLayout(true);
						}													
						//Ext.getCmp('miniToolbarWin').setWidth(38);
						//Ext.getCmp('miniToolbarWin').setHeight(60);
						//Ext.getCmp('miniToolbarWin').hide(true);
						chkView = 1;
					}else{
						if(Ext.getCmp('mainTop')){
							Ext.getCmp('mainTop').show(true);
							Ext.getCmp('mainTop').setHeight(55);
							Ext.getCmp('index').doLayout(true);
						}

						if(Ext.getCmp('strategyTop')){
							Ext.getCmp('strategyTop').show(true);
							Ext.getCmp('strategyTop').setHeight(55);
							Ext.getCmp('strategyIndex').doLayout(true);
						}
						//Ext.getCmp('miniToolbarWin').setWidth(600);
						//Ext.getCmp('miniToolbarWin').setHeight(60);
						chkView = 0 ;
					}
				}
			}]
	};

	var toolPanel = {
		region: 'center',
		layout: 'border',
		height: 55,
		border: false,
		items: [buttonPanel]		
	};

	var miniToolbarWin = new Ext.Window({
		title: 'Tool Bar',
		id:'miniToolbarWin',
		closable:true,
		//width:600,
		width:174,
		height:56,
		plain:true,
		layout: 'border',
		resizable: false, //Resize of the Window, if false - it cannot be resized
		//closable: false,
		items: [ toolPanel ],
		listeners:{
			scope : this,
			move: function(e, target){ 
				getToolBarPosition();				
			}
		}
			
	});

	miniToolbarWin.show(this);

	getToolBarPosition = function(){
		var tbP = Ext.getCmp('miniToolbarWin').getPosition();
		var X = tbP[0];
		var Y = tbP[1];	
		var X2 = X+174;
		var Y2 = Y+60;

		var winSizeX = document.body.clientWidth;
		var winSizeY = document.body.clientHeight;

		if(X < 0){
			X = 0; Ext.getCmp('miniToolbarWin').setPosition(X,Y);
		}else if( X2 > winSizeX){
			X = winSizeX-174; Ext.getCmp('miniToolbarWin').setPosition(X,Y);		
		};

		if(Y < 0){
			Y = 0; Ext.getCmp('miniToolbarWin').setPosition(X,Y);
		}else if( Y2 > winSizeY){
			Y = winSizeY-60; Ext.getCmp('miniToolbarWin').setPosition(X,Y);		
		};

		//alert(Y2+"/"+winSizeY);
	}
}



	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//////																											//////
	//////											Make Function													//////
	//////																											//////
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	//////////////////////////////////////////////////////////
	//////												//////
	//////				Item Type Store					//////
	//////												//////
	//////////////////////////////////////////////////////////

	var issueAssignItemData = [
					[0, 'All'],
					[1, 'repoter'],
					[2, 'resolver'],
					[3, 'handler'],
					[4, 'None']
				];

	var issueAssignItemStore = new Ext.data.SimpleStore({
                         fields:['Key', 'Name']
                        ,data:issueAssignItemData
                    });

	var itemTypeData = [
					[0, 'textfield'],
					[1, 'textarea'],
					[2, 'combo'],
					[3, 'checkbox'],
					[4, 'radio'],
					[5, 'datefield'],
					[6, 'hidden']
				];
	var issueDefaultCategoryId = [
					['ID_DEFECT','결함'],
					['ID_REQ','요구사항'],
					['ID_TC','테스트 케이스'],
					['ID_MEMO','메모'],
					['ID_SCHEDULE','일정'],
					['ID_REPORT','리포트']
	]

	var itemTypeStore = new Ext.data.SimpleStore({
                         fields:['Key', 'Name']
                        ,data:itemTypeData
                    });

	function ItemType(Num,Type)
	{
		switch(Num){
			case 0:
				return "textfield";
				break;
			case 1:
				return "textarea";
				break;
			case 2:
				return "combo";
				break;
			case 3:
				return "checkbox";
				break;
			case 4:
				return "radio";
				break;
			case 5:
				return "datefield";
				break;
			case 6:
				return "hidden";
				break;
			case "0":
				return "textfield";
				break;
			case "1":
				return "textarea";
				break;
			case "2":
				return "combo";
				break;
			case "3":
				return "checkbox";
				break;
			case "4":
				return "radio";
				break;
			case "5":
				return "datefield";
				break;
			case "6":
				return "hidden";
				break;

		}
		switch(Type){
			case "textfield":
				return 0;
				break;
			case "textarea":
				return 1;
				break;
			case "combo":
				return 2;
				break;
			case "checkbox":
				return 3;
				break;
			case "radio":
				return 4;
				break;
			case "datefield":
				return 5;
				break;
			case "hidden":
				return 6;
				break;

		}
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////					Make Item					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function MakeItem(Layout,Xtype,Title,Id,Store,Height,Width,Listeners,Value,Option,HiddenType,Style){
		var item = {};
		if(Xtype == 'button'){
			if(!HiddenType){
				HiddenType = false;
			}
			item = {
				xtype:Xtype,
				text: Title,id : Id,
				height:Height,width:Width,
				hidden:HiddenType,
				handler:Listeners
			};
		}else if(Xtype == 'combo'){
			var Key = 'Key';
			var Name = 'Name';
			if(Option){
				Key = Option[0];
				Name = Option[1];
			}
			if(!HiddenType){
				HiddenType = false;
			}
			
			item = {
				xtype:Xtype, id:Id, store:Store,style:Style,
				height:Height, anchor:Width,
				valueField:Key, displayField:Name,
				listeners	  : Listeners,
				mode          : 'local',
				typeAhead     : false,
				editable      : false,
				forceSelection: false,
				selectOnFocus : false,
				triggerAction : 'all',
				hidden:HiddenType,
				value:Value
				//,emptyText: TPMS_lang_Search
			};
			if(Title){ 
				item.fieldLabel = Title;
			}
			if(Layout) item.layout = Layout;
		}else if(Xtype == 'numberfield'){
			if(!Listeners){
				Listeners = {
					scope : this,
					focus : function(){enableSelect(true);},
					blur : function(){enableSelect(false);}
				};
			}

			item = {
				layout:Layout,xtype:Xtype,style:Style,
				fieldLabel: Title,id : Id,
				height:Height,anchor:Width,
	            allowBlank: true,
				listeners:Listeners,
				vtype:Option,
					//readOnly : true,
				value:Value
				//text:'search',
				//emptyText: TPMS_lang_Search_text
			};
		}else if(Xtype == 'textfield'){
			if(!Listeners){
				Listeners = {
					scope : this,
					focus : function(){enableSelect(true);},
					blur : function(){enableSelect(false);}
				};
			}

			item = {
				layout:Layout,xtype:Xtype,style:Style,
				fieldLabel: Title,id : Id,
				height:Height,anchor:Width,
	            allowBlank: true,
				listeners:Listeners,
				vtype:Option,
					//readOnly : true,
				value:Value
				//text:'search',
				//emptyText: TPMS_lang_Search_text
			};
		}else if(Xtype == 'textarea'){
			if(!Listeners){
				Listeners = {
					scope : this,
					focus : function(){enableSelect(true);},
					blur : function(){enableSelect(false);}
				};
			}

			item = {
				layout:Layout,xtype:Xtype,
				fieldLabel: Title,id : Id,
				height:Height,anchor:Width,
				listeners:Listeners,
				allowBlank: true,
				vtype:Option,
				value:Value
			};
		}else if(Xtype == 'datefield'){
			item = {
				xtype:Xtype,
				fieldLabel: Title,id : Id,
				height:Height,width:Width,
				format:"Y-m-d",
				listeners:Listeners,
				editable: false,
				value:Value
			};
		}else if(Xtype == 'radio'){
			if(Store){				
				var radioItems = new Array();
				if(Store.length > 1){
					for(var i=0; i<Store.length; i++){
						var radioItem = {
							listeners:Listeners,
							id: Store[i]+"_radio",
							name: Id+"_radio",
							boxLabel: Store[i],
							inputValue: Store[i]
							//,checked: true
						};
						radioItems.push(radioItem);
					}
				}else{
					var radioItem = {
						id: Store[i]+"_radio",
						name: Id+"_radio",
						//boxLabel: Store[i],
						inputValue: Store[0]
						//,checked: true
					};
					radioItems.push(radioItem);
				}

				item = {
					xtype: 'radiogroup',
					fieldLabel: Title,//TPMS_lang_layout,
					id:Id,
					items: radioItems
				};
						
			}else{

				item = {
					xtype:Xtype,
					fieldLabel: Title,id : Id,
					height:Height,width:Width,
					listeners:Listeners,
					value:Value
				};
			}
			
		}else if(Xtype == 'checkbox'){

			if(Store){
				
				var checkboxItems = new Array();
				if(Store.length > 1){
					for(var i=0; i<Store.length; i++){
						var checkboxItem = {
							listeners:Listeners,
							id: Id+Store[i]+"_checkbox",
							name: Id+"_checkbox",
							boxLabel: Store[i],
							inputValue: Store[i]
						};
						checkboxItems.push(checkboxItem);
					}
				}else{
					var checkboxItem = {
						id: Id+"_checkbox",
						name: Id+"_checkbox",
						//boxLabel: Store[i],
						inputValue: Store[0]
					};
					checkboxItems.push(checkboxItem);
				}

				item = {
					xtype: 'checkboxgroup',
					fieldLabel: Title,//TPMS_lang_layout,
					id:Id,
					items: checkboxItems
				};
						
			}else{

				item = {
					xtype:Xtype,
					fieldLabel: Title,id : Id,
					height:Height,width:Width,
					listeners:Listeners,
					value:Value
				};
				if(Layout) item.layout = Layout;

			}
		
		}else if(Xtype == 'displayfield'){
			item = {
				xtype:Xtype,
				fieldLabel: Title,id : Id,
				height:Height,width:Width,
				value:Value
			};
		}else if(Xtype == 'htmleditor'){
			
			item = new Ext.form.HtmlEditor({ 
				fieldLabel: Title,
				id:Id,
				border:true,
				anchor:Width,
				height:Height,
				width:Width,
				listeners:Listeners,
				value:Value
			});
		}else if(Xtype == 'htmleditor2'){
			Ext.form.HtmlEditor2 = Ext.extend(Ext.form.HtmlEditor, {
				createToolbar : function(editor){
					Ext.form.HtmlEditor2.superclass.createToolbar.call(this, this);
					this.tb.add('-',{
						//itemId:'backcolor2',
						//cls:'x-btn-icon',
						iconCls: 'icon-plus',
						clickEvent:'mousedown',
						//tooltip: tipsEnabled ? editor.buttonTips.backcolor || undefined : undefined,
						tabIndex:-1,
						handler: function(btn) {
							Ext.getCmp(Id).setHeight(Ext.getCmp(Id).getHeight()+50);
							//Config.height = Ext.getCmp("issueAdd_content").getHeight()+50;
							//Ext.getCmp("issueAdd_content").setHeight(Config.height);
						}
					},{
						//itemId:'backcolor2',
						//cls:'x-btn-icon',
						iconCls: 'icon-minus',
						clickEvent:'mousedown',
						//tooltip: tipsEnabled ? editor.buttonTips.backcolor || undefined : undefined,
						tabIndex:-1,
						handler: function(btn) {
							if(Ext.getCmp(Id).getHeight()<=200){
								Ext.getCmp(Id).setHeight(Ext.getCmp(Id).getHeight());
							}else{
								Ext.getCmp(Id).setHeight(Ext.getCmp(Id).getHeight()-50);
							}							
						}
					});
					this.tb.doLayout();
				}
			});

			item = new Ext.form.HtmlEditor2({ 
				fieldLabel: Title,
				id:Id,
				border:true,
				anchor:'100%',
				height:Height,
				width:Width,
				listeners:Listeners,
				value:Value
			});

		}else{
			item = {
				xtype:Xtype,
				text: Title,id : Id,
				height:Height,width:Width,
				value:Value
			};
		}
		
		return item;
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////					Make Button					//////
	//////												//////
	//////////////////////////////////////////////////////////
	
	function MakeButton(Type,Title,Id,Icon,Store,Height,Width,Handler,HiddenType){
		//var Icon = "";

		var item = {
			xtype:'button',
			text: Title
		};
		if(!HiddenType){
			HiddenType = false;
		}

		if(Id)			item.id		=	Id;
		if(Height)		item.height	=	Height;
		if(Width)		item.width	=	Width;
		if(Handler)		item.handler=	Handler;
		if(HiddenType)	item.hidden = HiddenType;

		if(Type == 'add'){
			item.iconCls = 'icon-plus';
		}else if(Type == 'delete'){
			item.iconCls = 'icon-minus';
		}else if(Type == 'update'){
			item.iconCls = 'icon-edit';
		}else if(Type == 'cancel'){
			item.iconCls = 'icon-cancel';
		}else if(Type == 'close'){
			item.iconCls = 'icon-cancel';
		}else if(Type == 'copy'){
			item.iconCls = 'icon-copy';
		}else if(Type == 'save'){
			item.iconCls = 'icon-save';
		}else{
			//Icon = '';
		}

		if(Icon){
			item.iconCls = Icon;
		}
	
		return item;
	}
	

	//////////////////////////////////////////////////////////
	//////												//////
	//////					Make Panel					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function MakePanel(Region,Layout,Xtype,Title,Id,Height,Width,Items,Listeners,TBar,BBar,style){
		
		var panel = {
			border:false,
			//width:'100%',
			//layout:'fit',
			items:[Items]
		};
		

		//alert(Height);
		if(Region){
			panel.region	= Region;
			
			if(Region != 'center'){
				
				if(Id == 'issueMain-ChatPanel'){
					panel.collapsed = true;
					panel.split = true;
				}else{
					panel.collapsed = false;
				}
				panel.collapsible	=	true;
				panel.autoScroll	=	true;
				panel.bodyStyle		=	(style)?style:'padding:5px;';
			}
		}
		if(Layout)		panel.layout	= Layout;
		if(Xtype)		panel.xtype		= Xtype;
		if(Title)		panel.title		= Title;
		if(Id)			panel.id		= Id;
		if(Height)		panel.height	= Height;
		if(Width)		panel.width		= Width;
		if(Listeners)	panel.listeners = Listeners;
		if(TBar)		panel.tbar		= TBar;
		if(BBar)		panel.bbar		= BBar;

		return panel;
	}


	//////////////////////////////////////////////////////////
	//////												//////
	//////				Make Grid Panel					//////
	//////												//////
	//////////////////////////////////////////////////////////

	 function MakeGridPanel(Title,GridId,GridStore,GridWidth,GridHeight,Cm,Sm,Listeners,TBar,BBar,Filters,EnableMenu){
		if(!Listeners) Listeners = {};
		if(!TBar) TBar = "";
		if(!BBar) BBar = "";		
		if(!EnableMenu) EnableMenu = false;
	
		var gridPanel = new Ext.grid.GridPanel({
			title:Title,
			id:GridId,
			frame:true,
			plugins:(Filters)?[Filters]:[],
			store: GridStore,
			//collapsible: true,
			//animCollapse: false,
			width:GridWidth,
			height:GridHeight,
			border:false,
			autoScroll: true,
			stripeRows: true,
			enableColumnHide  : false,
			enableColumnResize: true,
			enableColumnMove  : false,
			enableHdMenu: EnableMenu,
			//enableHdMenu: true,
			loadMask: { msg: TPMS_lang_Msg_load },
			view: new Ext.grid.GridView({
				forceFit:true
			}),
			cm : Cm,
			sm: Sm,
			listeners: Listeners
			,tbar:[TBar]
			,bbar:[BBar]			
		});
		
		return gridPanel;
	 };

	 function MakeEditorGridPanel(Title,GridId,GridStore,GridWidth,GridHeight,Cm,Sm,Listeners,TBar,BBar){
		if(!Listeners) Listeners = {};
		if(!TBar) TBar = "";
		if(!BBar) BBar = "";
	
		var editorGridPanel = new Ext.grid.EditorGridPanel({
			title:Title,
			id:GridId,
			frame:true,
			store: GridStore,
			//collapsible: true,
			//animCollapse: false,
			width:GridWidth,
			height:GridHeight,
			border:false,
			clicksToEdit: 1,
			autoScroll: true,
			stripeRows: true,
			enableColumnHide  : false,
			enableColumnResize: true,
			enableColumnMove  : false,
			enableHdMenu: false,
			loadMask: { msg: TPMS_lang_Msg_load },
			view: new Ext.grid.GridView({
				forceFit:true
			}),
			cm : Cm,
			sm: Sm,
			listeners: Listeners
			,tbar:[TBar]
			,bbar:[BBar]			
		});
		
		return editorGridPanel;
	 };

	 function MakeGroupGridPanel(Title,GridId,GridStore,GridWidth,GridHeight,Cm,Sm,Listeners,TBar,BBar,option){
		if(!Listeners) Listeners = {};
		if(!TBar) TBar = "";
		if(!BBar) BBar = "";		
	
		var gridPanel = new Ext.grid.GridPanel({
			title:Title,
			id:GridId,
			frame:true,
			store: GridStore,
			width:GridWidth,
			height:GridHeight,
			border:false,
			autoScroll: true,
			stripeRows: true,
			enableColumnHide  : false,
			enableColumnResize: true,
			enableColumnMove  : false,
			enableHdMenu: false,
			loadMask: { msg: TPMS_lang_Msg_load },
			view: new Ext.grid.GroupingView({
				forceFit:true,
				groupTextTpl: '{text} ({[values.rs.length]} {[values.rs.length > 1 ? "Items" : "Item"]})'
			}),			
			cm:Cm,
			sm: Sm,
			listeners: Listeners
			,tbar:[TBar]
			,bbar:[BBar]			
		});
		
		return gridPanel;
	 };



	//////////////////////////////////////////////////////////
	//////			Grid Panel Number Render			//////
	//////////////////////////////////////////////////////////

	function renderNumber(v, p, record, rowIndex, colIndex, store){
        p.attr = 'style="background-color:#efefef;"';
        var so = store.lastOptions;
        var sop = so ? so.params : null;
        var start = ((sop && sop.start) ? sop.start : 0);
        return (rowIndex + start + 1);
    }



	//////////////////////////////////////////////////////////
	//////												//////
	//////					Make Store					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function MakeStore(StoreUrl,Id,Fields,Params){
		var store = new Ext.data.Store({
			proxy: new Ext.data.HttpProxy({
				url: StoreUrl
			}),
			method : 'POST',
			reader: new Ext.data.JsonReader({
			root:'data',
			totalProperty: 'totalCount',
			id:(Id)?Id:'seq'
			}, Fields)
		});
		
		if(Params)
			store.load({ params : Params});
		else
			store.load();
		//store.on('load',function(){ return store;});
		return store;
	};


	//////////////////////////////////////////////////////////
	//////												//////
	//////	     		Make group Store				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function MakeGroupStore(StoreUrl,Id,Fields,Params,groupField){		
		var store = new Ext.data.GroupingStore({
			proxy: new Ext.data.HttpProxy({
				url: StoreUrl
			}),
			method : 'POST',			
			reader: new Ext.data.JsonReader({
				root:'data',
				totalProperty: 'totalCount',			
				id:(Id)?Id:'seq'
			}, Fields),
			sortInfo:{field: 'method', direction: "DESC"},
			groupField:'method'
		});
		
		if(Params)
			store.load({ params : Params});
		else
			store.load();
		//store.on('load',function(){ return store;});
		return store;
	};



	//////////////////////////////////////////////////////////
	//////												//////
	//////				Make Column Layout				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function MakeColumnLayout(Id,itemArray,Width,Height,Option,style,type,Title,lowChart){
		
		if(!type){
			type=false;
		}
		if(!lowChart){
			lowChart=false;
		}


		var columnItems = Array();
		//var ColumnWidth = (1/itemArray.length);
		var ColumnWidth = (lowChart)?.25:(1/itemArray.length);
		//var ColumnWidth = .25;
		var item;
		
		if(Option){
			for(var i=0; i<Option.length; i++){
				if(Option[i][0] == 'L'){
					if(Option[i][1] == 'button'){
						//item = MakeButton(Type,Title,Id,Icon,Store,Height,Width,Handler);
						//Option[i][2],Option[i][3],Option[i][4],Option[i][5],Option[i][6],Option[i][7],Option[i][8],Option[i][9]
						item = MakeButton(Option[i][2],Option[i][3],Option[i][4],Option[i][5],Option[i][6],Option[i][7],Option[i][8],Option[i][9]);
					}else if(Option[i][1] == 'item'){
						item = MakeItem(Option[i][2],Option[i][3],Option[i][4],Option[i][5],Option[i][6],Option[i][7],Option[i][8],Option[i][9],Option[i][10],Option[i][11]);
					}else{
						item = "";
					}

					columnItems.push(item);
				}
			}
		}

		for(var i=0; i<itemArray.length; i++){
			
			item = {
				columnWidth: ColumnWidth,
				border: false,
				bodyStyle: (i+1 == itemArray.length)?'padding: 0 0 0 0;':'padding: 0 5 0 0;',
				style:style,
				items: itemArray[i]
			};

			columnItems.push(item);
		}

		if(Option){
			for(var i=0; i<Option.length; i++){
				if(Option[i][0] == 'R'){
					if(Option[i][1] == 'button'){
						item = MakeButton(Option[i][2],Option[i][3],Option[i][4],Option[i][5],Option[i][6],Option[i][7],Option[i][8],Option[i][9]);
					}else if(Option[i][1] == 'item'){
						item = MakeItem(Option[i][2],Option[i][3],Option[i][4],Option[i][5],Option[i][6],Option[i][7],Option[i][8],Option[i][9]);
					}else{
						item = "";
					}
					columnItems.push(item);
				}
			}
		}

		var column = {			
			layout: 'column',
			id:Id,
			title:Title,
			collapsible: type,
			animate:false,
							
			//height: Height,
			anchor : Width,
			border: type,
			
			//anchor:'92%',
			bodyStyle: 'padding: 0px;',
			items : columnItems
		};
				
		return column;
	};



	//////////////////////////////////////////////////////////
	//////												//////
	//////		Array To Xml (issue form modify)		//////
	//////												//////
	//////////////////////////////////////////////////////////

	function ArrayToXml(array,id,category,level)
	{
		/*
		<?xml version="1.0" encoding="utf-8" ?> 
		<report>
			<report_id>1</report_id>
			<report_data>
			<report_item>
				<item_id>1</item_id>
				<item_name><![CDATA[aaaaa]]></item_name>
				<item_type>1</item_type>
				<item_data><![CDATA[aaaaa]]></item_data>
			</report_item>
			<report_item>
				<item_id>1</item_id>
				<item_name><![CDATA[aaaaa]]></item_name>
				<item_type>1</item_type>
				<item_data><![CDATA[aaaaa]]></item_data>
			</report_item>
			<report_item>
				<item_id>1</item_id>
				<item_name><![CDATA[aaaaa]]></item_name>
				<item_type>1</item_type>
				<item_data><![CDATA[aaaaa]]></item_data>
			</report_item>
			<report_item>
				<item_id>1</item_id>
				<item_name><![CDATA[aaaaa]]></item_name>
				<item_type>1</item_type>
				<item_data><![CDATA[aaaaa]]></item_data>
			</report_item>
			</report_data>
		</report>
		*/
		
		var xmlText = "<?xml version=\"1.0\" encoding=\"utf-8\" ?><report>";
		xmlText += "<report_id>"+id+"</report_id>";
		xmlText += "<report_category>"+category+"</report_category>";
		xmlText += "<report_level>"+level+"</report_level>";
		xmlText += "<report_data>";
		for(var i=0; i<array.length; i++){

			xmlText += "<report_item>";
			//xmlText += "<item_id><![CDATA["+array[i][0]+"]]></item_id>";
			var TmpId = array[i][0].substr(0, 9);
			//alert(TmpId);

			if(TmpId == "tempItem_"){
				array[i][0] = 0;
			}

			if(array[i][0] == "issueStatusItem"){
			xmlText += "<item_id><![CDATA["+array[i][0]+"]]></item_id>";
			}else{
			xmlText += "<item_id>"+array[i][0]+"</item_id>";
			}
			xmlText += "<item_name><![CDATA["+array[i][1]+"]]></item_name>";
			xmlText += "<item_type>"+((array[i][2])?(array[i][2]):'0')+"</item_type>";
			xmlText += "<item_data><![CDATA["+(array[i][3])+"]]></item_data>";
			xmlText += "<item_assign><![CDATA["+(array[i][4])+"]]></item_assign>";
			xmlText += "</report_item>";
			//alert(i+","+array[i][0]+","+array[i][1]+","+array[i][2]);
		}
		xmlText += "</report_data>";
		xmlText += "</report>";

		return xmlText;
	}

	function trim(str)
	{
		//정규 표현식을 사용하여 화이트스페이스를 빈문자로 전환
		str = str.replace(/^\s*/,'').replace(/\s*$/, ''); 
		return str; //변환한 스트링을 리턴.
	} 

	/*공백 사용 제거*/
	//function trim(strSource)  {
	//	re = /^\s+|\s+$/g;
	//	return strSource.replace(re, '');
	//}

	/*특수문자사용못하게*/
	 function InputCheckSpecial(str){
		var strobj = trim(str);
		//alert(strobj);
		re = /[~!@\#$%^&*\()\=+_']/gi;
		//alert(re.test(strobj));
		if(re.test(strobj)){
			Ext.Msg.alert(TPMS_lang_title,re+" "+TPMS_lang_string_notValidation);
			
		//alert("특수문자는 입력하실수 없습니다.");
			return false;
		}
		return true;
	}


	function checkNumber(str) { 
		var flag=true; 
		if (str.length > 0) { 
			for (i = 0; i < str.length; i++) {  
				if (str.charAt(i) < '0' || str.charAt(i) > '9') { 
					flag=false; 
				} 
			} 
		} 
		return flag; 
	} 


	//////////////////////////////////////////////////////////
	//////												//////
	//////		Xml To Array/Object (issue form)		//////
	//////												//////
	//////////////////////////////////////////////////////////

	function XmlToArray(Xml)
	{		
	}

	var XmlToObj = new Object();
	XmlToObj.xml2obj = function(xml) 
	{
		var obj = {}, que = [], depth = 0;

		// attribute를 해석하기 위한 함수	
		var parse_attr = function(oobj, str) {
			str.replace(/([^=\s]+)\s*=\s*"([^"]*)"/g, function(a0,a1,a2) {
				oobj[a1] = a2;
			});
		}

		// 주석, XML선언, 태그 사이 공백 등의 의미 없는 코드를 삭제
		xml = xml.replace(/<(\?|\!-)[^>]*>/g,'').replace(/>\s+</g, '><');

		// 하위 노드가 없는 태그는 하나의 닫힌 태그로 수정
		xml = xml.replace(/<([^!][^ >]+)(\s[^>]*)?><\/\1>/g, '<$1$2 />').replace(/^\s+|\s+$/g, '');

		// 함수 객체를 정규 표현식 처리의 인자로 줘서 iterator로 사용
		xml = xml.replace(/<\/?([^\!][^ >]*)(\s[^>]*)?>(<\/$1>|<\!\[CDATA\[(?:(.|\s)*?)\]\]>|[^<>]*)/g, function(a0,a1,a2,a3)
		{
			// IE에서 일치하는 내용이 없으면 undefined로 전달되므로
			// 빈 문자열로 변경해 다른 브라우저와의 호환성을 맞춤
			if (typeof a1 == 'undefined') a1 = '';
			if (typeof a2 == 'undefined') a2 = '';
			if (typeof a3 == 'undefined') a3 = '';
			//alert(a0+","+a1+","+a2+","+a3);
			if (a0.substr(1,1) == '/') { // 현재 태그가 닫는 태그라면,
				// 깊이를 1만큼 감소
				depth--;
				//alert("1");
			} else if (que.length == 0) { // 객체 큐에 객체가 없다면,
				que[depth] = obj; // 초기의 객체를 큐에 넣고
				parse_attr(obj, a2); // attribute를 해석
				//alert("2");
			} else {
				var k  = a1, o = {}, is_closed = false;

				is_closed = (a2.substr(-1,1) == '/');
				if (a3.length > 0 || is_closed) { // 텍스트 노드가 있다면
					o = a3; // 추가할 객체는 문자열 객체

					// CDATA라면 전달받은 그대로 리턴하고
					// 그렇지 않다면 decode 해서 리턴
					if (o.substr(0,9) == '<![CDATA[' && o.substr(-3,3) == ']]>'){
						//alert("a: "+o+", "+o.substr(0,9)+", "+o.substr(-3,3)+", "+o.substring(9, o.length-3));
						o = o.substring(9, o.length-3);
					}else if (o.substr(0,9) == '<![CDATA[' && o.substr(o.length-3,3) == ']]>'){
						//alert("b: "+o+", "+o.substr(0,9)+", "+o.substr(-3,3)+", "+o.substring(9, o.length-3));
						o = o.substring(9, o.length-3);
					}else{
						//alert("c: "+o+", "+o.substr(0,9)+", "+o.substr(-3,3)+", "+o.substring(9, o.length-3));
						o = o.replace(/</g, '<').replace(/>/g, '>').replace(/&/g, '&');
					}
				}

				// 객체를 할당하기 전에 태그 이름이 이미 존재하는지 살펴보고
				// 이전에 존재하는 태그라면, 배열로 만든다. 이미 배열이라면 현재의 객체를 배열에 추가
				if (typeof que[depth][k] == 'undefined') {
					que[depth][k] = o;
				} else {
					var v = que[depth][k];
					if (que[depth][k].constructor != Array) que[depth][k] = [v];
					que[depth][k].push(o);
				}

				// attribute를 해석
				parse_attr(o, a2);

				if (!is_closed) que[++depth] = o;
				//alert("3");
			}
			
			return '';
		});
		//alert(que[0].report_data.report_item.item_id+","+que[1].report_item.item_id+","+que[2].item_id);
		return obj;
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				File Change Tag					//////
	//////												//////
	//////////////////////////////////////////////////////////

	function FindFileTag(tagArray,text,start_tag,end_tag,tag_size,index)
	{
		if(!text) return;
		var start=text.indexOf(start_tag);
		if(start>=0)
		{
			var msg=text.slice(start,tag_size);
			var end=msg.indexOf(end_tag);
			var seq=msg.slice(start_tag.length,end);
			text=text.slice(start+end+1,text.length);
			if( end>0) tagArray.push({start:index+start,end:end,data:seq});
			//alert(seq);
			return FindFileTag(tagArray,text,start_tag,end_tag,tag_size,index+start+end+1);
		}
	}
	
	function ReplaceTag(msg,Obj){
		var tagArray1=new Array();
		var tagArray2=new Array();
		var tagArray3=new Array();
		var tagArray4=new Array();
		var tagArray5=new Array();
		var sHTML='';
		var sHTML1='';
		var sHTML2='';
		var sHTML3='';
		var sHTML4='';
		var sHTML5='';

		FindFileTag(tagArray1,msg,"((file|","))",20,1);
		if(tagArray1.length > 0){
			
			var start=0;
			for(var i=0;i<tagArray1.length;i++)
			{
				sHTML1+=msg.slice(start,tagArray1[i].start-1);
		//		sHTML1+="\n\n";
		//		sHTML1+=text.slice(tagArray1[i].start,tagArray1[i].start+tagArray1[i].end);
				//sHTML1+='<a href=/view/fileDownload.php?seq='+tagArray1[i].data+'>'+'download: file'+tagArray1[i].data+'</a>';
				sHTML1+='<a href=/view/fileDownload.php?seq='+tagArray1[i].data+' target=hiddenframe onclick=setTimeout(\'hiddenframe.location.href=""\',1000)>'+' (Download : Id='+tagArray1[i].data+')</a>';
		//		sHTML1+="\n\n";
				sHTML1+="\n\n";
				start=tagArray1[i].start+tagArray1[i].end+1;
				//alert(tagArray1[i].start+','+tagArray1[i].end+','+tagArray1[i].data+'');
			}
			sHTML1+=msg.slice(start,msg.length);
		}

		if(sHTML1 != '') msg = sHTML1;
		FindFileTag(tagArray2,msg,"((img|","))",20,1);
		if(tagArray2.length > 0){
			var start=0;
			for(var i=0;i<tagArray2.length;i++)
			{
				sHTML2+=msg.slice(start,tagArray2[i].start-1);
				sHTML2+='<img src=/view/fileDownload.php?seq='+tagArray2[i].data+' width=120><br>';
				start=tagArray2[i].start+tagArray2[i].end+1;
				sHTML2+="\n\n";
			}
			sHTML2+=msg.slice(start,msg.length);
		}

		if(sHTML2 != '') msg = sHTML2;
		FindFileTag(tagArray3,msg,"((media|","))",20,1);
		if(tagArray3.length > 0){
			var start=0;
			for(var i=0;i<tagArray3.length;i++)
			{
				sHTML3+=msg.slice(start,tagArray3[i].start-1);
				sHTML3+='<a href=/view/fileDownload.php?seq='+tagArray3[i].data+' target=hiddenframe onclick=setTimeout(\'hiddenframe.location.href=""\',1000)>';
				sHTML3+='<img src=/view/fileDownload.php?seq='+tagArray3[i].data+' width=120>';
				sHTML3+='</a>';
				start=tagArray3[i].start+tagArray3[i].end+1;
				sHTML3+="\n\n";
			}
			sHTML3+=msg.slice(start,msg.length);
		}

		if(sHTML3 != '') msg = sHTML3;
		FindFileTag(tagArray4,msg,"((issue|","))",20,1);
		//alert(Ext.encode(tagArray4));
		if(tagArray4.length > 0){
			
			var start=0;
			for(var i=0;i<tagArray4.length;i++)
			{
				sHTML4+=msg.slice(start,tagArray4[i].start-1);
				sHTML4+='<span onClick="ViewItemInfo(\'\','+tagArray4[i].data+',GetIssueListStore());" style=" text-decoration: underline; color:blue; cursor:pointer;">'+ TPMS_lang_issue +' No : '+ tagArray4[i].data + '</span>';
				sHTML4+="\n\n";
				start=tagArray4[i].start+tagArray4[i].end+1;
			}
			sHTML4+=msg.slice(start,msg.length);
		}
		/*
		if(sHTML4 != '') msg = sHTML4;
		FindFileTag(tagArray5,msg,"((iComplete|","))",20,1);
		//alert(Ext.encode(tagArray5));
		if(tagArray5.length > 0){
			
			var start=0;
			for(var i=0;i<tagArray5.length;i++)
			{
				//alert(tagArray5[i].data);
				sHTML5+=msg.slice(start,tagArray5[i].start-1);
				//if(tagArray5[i].data.length > 1) //alert('a');
				//해당 이슈 상태, 사용자의 권한에 따라서 태그가 다른게 보이게 
				//
				sHTML5+=Obj.regDate+'/'+Obj.writer+'/'+Obj.seq+'/'+Obj.click_cnt;
				sHTML5+='<input type=button value=complete onclick=IssueComplete('+tagArray5[i].data+')>';
				sHTML5+="\n\n";
				start=tagArray5[i].start+tagArray5[i].end+1;
			}
			sHTML5+=msg.slice(start,msg.length);
		}*/


		if(sHTML4) sHTML = sHTML4;
		//else if(sHTML4) sHTML = sHTML4;
		else if(sHTML3) sHTML = sHTML3;
		else if(sHTML2) sHTML = sHTML2;
		else if(sHTML1) sHTML = sHTML1;
		else sHTML = msg;

		return sHTML;

	}

	function GetFileTag(type,seq)
	{
		switch(type)
		{
			case "file":
				var tag = "((file|"+seq+"))";
				return tag;
				break;
			case "img":
				var tag = "((img|"+seq+"))";
				return tag;
				break;
			case "media":
				var tag = "((media|"+seq+"))";
				return tag;
				break;
		}
	}

	// CTRL + C / CTRL + V
	
	var init_copy = true;
	function copyText(txt) 
	{
		window.document.designMode = "On";
		if(txtbox.value == "") {
			alert("클립보드에 저장할 문자를 입력 하세요.");
			txtbox.focus();
			return;
		}
		if(init_copy == false) 
		{
			init_copy = true;
			var oTag = eval(txt); 
			var oRange = oTag.createTextRange(); 
			oRange.execCommand("Copy"); 
	  
			init_copy = false;
		}
		else
		{
			var oTag = eval(txt); 
			alert(oTag);
			var oRange = oTag.createTextRange(); 
			oRange.execCommand("Copy");
		}
		alert("[" + txtbox.value + "]가 클립보드에 저장되었습니다. Ctrl+v를 눌러보세요.");
		txtbox.select();
	}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	//////////////////////////////////////////////////////////
	//////												//////
	//////				Ext.extend						//////
	//////												//////
	//////////////////////////////////////////////////////////
	
	/*
	Ext.override(     
		Ext.form.TextField, {         
		setValue: function(v){  
			if(v){
				//v = v.replace(/%%/gi,'%');
				v = my_unescape(v);
				return Ext.form.TextField.superclass.setValue.call(this, v);
			}else{						
				return Ext.form.TextField.superclass.setValue.call(this, '');;
			}
		}
		//,getValue: function() {  
		//	if(!this.rendered) { return this.value;}
		//	var v = [];
		//	if(this.value){ v = my_escape(this.value);}
		//	alert(v);
		//	return Ext.form.TextField.superclass.getValue.call(this, v);
		//}
	})*/

	Ext.form.TextField.prototype.getEscValue = function() {  
		return my_escape(this.getValue());
		//return Ext.form.TextArea.superclass.getValue.call(this, v);
	}
	Ext.form.TextField.prototype.setEscValue = function(str) {  
		var v=my_unescape(((str.replace(/\\\\/g,'\\')).replace(/\\n/g,'\n')).replace(/%%/g,'%'));

		this.setValue(v);
		//return Ext.form.TextArea.superclass.getValue.call(this, v);
	}

	//Ext.extend(     
	Ext.form.TextArea.prototype.getEscValue = function() {  
		return my_escape(this.getValue());
		//return Ext.form.TextArea.superclass.getValue.call(this, v);
	}
	Ext.form.TextArea.prototype.setEscValue = function(str) {  
		var v=my_unescape(((str.replace(/\\\\/g,'\\')).replace(/\\n/g,'\n')).replace(/%%/g,'%'));

		this.setValue(v);
		//return Ext.form.TextArea.superclass.getValue.call(this, v);
	}

	Ext.form.DisplayField.prototype.getEscValue = function() {  
		return my_escape(this.getValue());
		//return Ext.form.TextArea.superclass.getValue.call(this, v);
	}
	Ext.form.DisplayField.prototype.setEscValue = function(str) {  
		var v=my_unescape(((str.replace(/\\\\/g,'\\')).replace(/\\n/g,'\n')).replace(/%%/g,'%'));

		this.setValue(v);
		//return Ext.form.TextArea.superclass.getValue.call(this, v);
	}


//============ 글자 입력 제한시 side 경고 알림
	Ext.QuickTips.init();

    // turn on validation errors beside the field globally
    Ext.form.Field.prototype.msgTarget = 'side';

	/*
	Ext.apply(Ext.form.VTypes, {
		length : function(val, field) {
			if(Ext.getCmp('domain-name').getValue().length > 40){
				return ;
			}
			return true;
		}
		,lengthText : 'length40 '

	});
	*/
//============================================================

	//////////////////////////////////////////////////////////
	//////												//////
	//////				Ext.override					//////
	//////												//////
	//////////////////////////////////////////////////////////

	Ext.override(Ext.form.CheckboxGroup, {
		/**
		 * @cfg {String} name The field's HTML name attribute (defaults to "").
		 */

		/**
		 * @cfg {string} separator String seperator between multiple values
		 */
		separator: ',',
		
		// private
		afterRender : function() {
			this.items.each(function(i) {
				i.ownerGroup = this; // kind of lame hack
			}, this);
			Ext.form.CheckboxGroup.superclass.afterRender.call(this);
		},
		
		/**
		 * @method initValue
		 * @hide
		 */
		initValue : function(){
			if(this.value !== undefined){
				this.setValue(this.value);
			}
		},
		
		/**
		 * @method getValue
		 * @hide
		 */
		getValue : function() {
			if(!this.rendered) {
				return this.value;
			}
			var v = [];
			this.items.each(function(i) {
				if(i.getValue()) v.push(i.inputValue);
			});		
			return v.join(this.separator);
		},
		
		/**
		 * @method setValue
		 * @hide
		 */
		setValue :  function(v) {
			if(v){
				this.value = v;
				if(this.rendered){
					v = v.split(this.separator);
					this.items.each(function(i) {
						i.setValue(v.indexOf(i.inputValue) >= 0);
					}, this);
					this.validate();
				}
			}
		},

		/**
		 * Returns the name attribute of the field if available
		 * @return {String} name The field name
		 */
		getName: function(){
			 return this.name;
		}
	});

	Ext.override(Ext.form.RadioGroup, {
 
		afterRender: function() {
			var group = this;
			this.items.each(function(field) {
				// Listen for 'check' event on each child item
				field.on("check", function(self, checked) {
				 
				  // if checkbox is checked, then fire 'change' event on RadioGroup container
				  if(checked)
					// Note, oldValue (third parameter in 'change' event listener) is not passed, 
					// because is not easy to get it
					group.fireEvent('change', group, self.getRawValue());
				   
				});
			});
		   
			Ext.form.RadioGroup.superclass.afterRender.call(this)
		}

	}); 

	unlinkfile=function(fileid,seq)
	{
		if(confirm('delete file?'))
		{
			var url="/service/fileUnlink.php?seq="+seq+"&fileid="+fileid+"&MemberSeq="+UserInfo.seq;
			window.open(url,"hiddenframe");
		}
	}
	filelink=function(seq,filename)
	{
		var url='/view/fileDownload.php?seq='+seq;
		return '<a href='+url+' target=hiddenframe onclick=setTimeout(\'hiddenframe.location.href=""\',1000)>'+filename+'</a>';
	}
	filesize=function(filesize){
		var size=parseInt(filesize,10);
		//alert(size);
		if(size<1024*10) return filesize+' b';
		else if(size<1024*1024*10) return Math.floor(size/1024)+' kb';
		else if(size<1024*1024*1024*10) return Math.floor(size/1024/1024)+' mb';
		else if(size<1024*1024*1024*1024) return Math.floor(size/1024/1024/1024)+' gb';
	};
	my_escape=function(str){
		//alert(str);
		if(!str) return "";
		str = str.replace(/\"/g, '&quot;');

		str = str.replace(/'/g, '`');
		str = str.replace(/\%/g, '%25');
		str = str.replace(/\&/g, '%26');
		str = str.replace(/\\/g, '%5C');
//		str = str.replace(/$/g, '%24');
		str = str.replace(/</g, '%3C');
	    str = str.replace(/>/g, '%3E');
	    str = str.replace(/\[/g, '%5B');
	    str = str.replace(/\]/g, '%5D');
	    str = str.replace(/\{/g, '%7B');
	    str = str.replace(/\}/g, '%7D')
	    str = str.replace(/:/g, '%3A');
	    str = str.replace(/\'/g, '%27');
//	    str = str.replace(/\"/g, '%22');
		str = str.replace(/;/g, '%3B');
		str = str.replace(/\"/g, '&quot%3B');
	    str = str.replace(/\r/g, '%0D');
	    str = str.replace(/\n/g, '%0A');

//	    str = str.replace(/\&/g, '&amp;');
		return str;
	};
	my_unescape=function(str){
		if(!str) return "";
	//return str;
	    str = str.replace(/%0A/g, '\n');
	    str = str.replace(/%0D/g, '\r');
//		str = str.replace(/%22/g, '"');
		str = str.replace(/&quot%3B/g, '"');
	    str = str.replace(/%3B/g, ';');
		str = str.replace(/%27/g, '\'');
//	    str = str.replace(/&amp;/g, '&');
	    str = str.replace(/%3A/g, ':');
		str = str.replace(/%7D/g, '}');
	    str = str.replace(/%7B/g, '{');
		str = str.replace(/%5D/g, ']');
		str = str.replace(/%5B/g, '[');
		str = str.replace(/%3E/g, '>');
	    str = str.replace(/%3C/g, '<');
	    str = str.replace(/%24/g, '$');
	    str = str.replace(/%5C/g, '\\')
		str = str.replace(/%26/g, '&');
		str = str.replace(/%25/g, '%');
	    str = str.replace(/`/g, '\'');
		str = str.replace(/\&quot;/g, '"');

		return str;
	};

	my_auto_id=function(){
		UserInfo.auto_id++;
		var my_ID='auto_id_'+UserInfo.auto_id;
		return my_ID;
	};



	
 

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//WOMsg.popNotice(TPMS_lang_title,"test Text",100);
/*
//made by minidxer
//For more visit http://ntt.cc
// Trim() , Ltrim() , RTrim()
// trim blank space at the string
String.prototype.Trim = function()
{
return this.replace(/(^\s*)|(\s*$)/g, "");
}
 
// trim blank space at the beginning
String.prototype.LTrim = function()
{
return this.replace(/(^\s*)/g, "");
}
 
// trim blank space at the end
String.prototype.RTrim = function()
{
return this.replace(/(\s*$)/g, "");
}*/


/*
function isEmpty(str){
//	the string '^[\s ]*$' is a regular expression.
//	[\s] matches the blank character. 
//	[\s]* matches many blank characters. 
//	^[\s]* matches at the start of the blank string, 
//	[\s]*$ matches at the end of the blank string. 
//	So , ^[\s ]*$' matches at the start of the blank string till the end of the blank string. It matches the blank string.
//	if "str.value" is a blank string , it will match the regular pattern '^[\s ]*$' . Then "strRE.test( str.value )" will be true. 

	//str.replace('&nbsp;','gi');
	//if(str.length == 0 || str == "" || str == " ")
	//	return false;
	//else
	//	return true;
	//strRE = new RegExp( );
	//strRE.compile( '^[\s]', 'gi' );
	//alert(str.value);
	//return strRE.test( str.value );

	var text =  str.replace("/(^\s*)|(\s*$)/g", "");
	if(text == ""){
		alert(str.replace("/(^\s*)|(\s*$)/g", ""));
		return false;
	}else{
		alert(str.replace("/(^\s*)|(\s*$)/g", ""));
		return true;
	}

	//return str.replace("/(^\s*)|(\s*$)/g", "");
}
function NullCheckText(text){
	text.replace("&nbsp;","");
	//text.split('&nbsp').join("");
	if(text.length == 0 || text == "" || text == " ")
		return false;
	else
		return true;
}
*/



/** 
 * Korean Translations By nicetip 
 * 05 September 2007 
 * Modify by techbug / 25 February 2008 
 */  
if(Config.LangType == 'Korean'){
	
	Ext.UpdateManager.defaults.indicatorText = '<DIV class=loading-indicator>로딩중...</DIV>';  
	  
	if(Ext.View){  
	   Ext.View.prototype.emptyText = "";  
	}  
	  
	if(Ext.grid.GridPanel){  
	   Ext.grid.GridPanel.prototype.ddText = "{0} 개가 선택되었습니다.";  
	}  
	  
	if(Ext.TabPanelItem){  
	   Ext.TabPanelItem.prototype.closeText = "닫기";  
	}  
	  
	if(Ext.form.Field){  
	   Ext.form.Field.prototype.invalidText = "올바른 값이 아닙니다.";  
	}  
	  
	if(Ext.LoadMask){  
		Ext.LoadMask.prototype.msg = "로딩중...";  
	}  
	  
	Date.monthNames = [  
	   "1월",  
	   "2월",  
	   "3월",  
	   "4월",  
	   "5월",  
	   "6월",  
	   "7월",  
	   "8월",  
	   "9월",  
	   "10월",  
	   "11월",  
	   "12월"  
	];  
	  
	Date.dayNames = [  
	   "일",  
	   "월",  
	   "화",  
	   "수",  
	   "목",  
	   "금",  
	   "토"  
	];  
	  
	if(Ext.MessageBox){
	   Ext.MessageBox.buttonText = {
		  ok     : TPMS_lang_button_submit,//"확인",
		  cancel : TPMS_lang_button_cancel,//"취소",
		  yes    : TPMS_lang_button_yes,//"예",
		  no     : TPMS_lang_button_no//"아니오"
	   };
	}
	
	if(Ext.util.Format){  
	   Ext.util.Format.date = function(v, format){  
		  if(!v) return "";  
		  if(!(v instanceof Date)) v = new Date(Date.parse(v));  
		  return v.dateFormat(format || "m/d/Y");  
	   };  
	}  
	 	 
	if(Ext.DatePicker){  
	   Ext.apply(Ext.DatePicker.prototype, {  
		  todayText         : "오늘",  
		  minText           : "최소 날짜범위를 넘었습니다.",  
		  maxText           : "최대 날짜범위를 넘었습니다.",  
		  disabledDaysText  : "",  
		  disabledDatesText : "",  
		  monthNames        : Date.monthNames,  
		  dayNames          : Date.dayNames,  
		  nextText          : '다음달(컨트롤키+오른쪽 화살표)',  
		  prevText          : '이전달 (컨트롤키+왼족 화살표)',  
		  monthYearText     : '월을 선택해주세요. (컨트롤키+위/아래 화살표)',  
		  todayTip          : "{0} (스페이스바)",  
		  format            : "m/d/y",  
		  okText            : TPMS_lang_button_submit,  
		  cancelText        : TPMS_lang_button_cancel,  
		  startDay          : 0  
	   });  
	}  
	  
	if(Ext.PagingToolbar){  
	   Ext.apply(Ext.PagingToolbar.prototype, {  
		  beforePageText : "페이지",  
		  afterPageText  : "/ {0}",  
		  firstText      : "첫 페이지",  
		  prevText       : "이전 페이지",  
		  nextText       : "다음 페이지",  
		  lastText       : "마지막 페이지",  
		  refreshText    : "새로고침",  
		  displayMsg     : "전체 {2} 중 {0} - {1}",  
		  emptyMsg       : '표시할 데이터가 없습니다.'  
	   });  
	}  
	  
	if(Ext.form.TextField){  
	   Ext.apply(Ext.form.TextField.prototype, {  
		  minLengthText : "최소길이는 {0}입니다.",  
		  maxLengthText : "최대길이는 {0}입니다.",  
		  blankText     : "값을 입력해주세요.",  
		  regexText     : "",  
		  emptyText     : null  
	   });  
	}  
	  
	if(Ext.form.NumberField){  
	   Ext.apply(Ext.form.NumberField.prototype, {  
		  minText : "최소값은 {0}입니다.",  
		  maxText : "최대값은 {0}입니다.",  
		  nanText : "{0}는 올바른 숫자가 아닙니다."  
	   });  
	}  
	  
	if(Ext.form.DateField){  
	   Ext.apply(Ext.form.DateField.prototype, {  
		  disabledDaysText  : "비활성",  
		  disabledDatesText : "비활성",  
		  minText           : "{0}일 이후여야 합니다.",  
		  maxText           : "{0}일 이전이어야 합니다.",  
		  invalidText       : "{0}는 올바른 날짜형식이 아닙니다. - 다음과 같은 형식이어야 합니다. {1}",  
		  format            : "m/d/y"  
	   });  
	}  
	  
	if(Ext.form.ComboBox){  
	   Ext.apply(Ext.form.ComboBox.prototype, {  
		  loadingText       : TPMS_lang_Msg_load,  
		  valueNotFoundText : undefined  
	   });  
	}  
	  
	if(Ext.form.VTypes){  
	   Ext.apply(Ext.form.VTypes, {  
		  emailText    : '이메일 주소 형식에 맞게 입력해야합니다. (예: "user@domain.com")',  
		  urlText      : 'URL 형식에 맞게 입력해야합니다. (예: "http:/'+'/www.domain.com")',  
		  alphaText    : '영문, 밑줄(_)만 입력할 수 있습니다.',  
		  alphanumText : '영문, 숫자, 밑줄(_)만 입력할 수 있습니다.'  
	   });  
	}  
	  
	if(Ext.form.HtmlEditor){  
	   Ext.apply(Ext.form.HtmlEditor.prototype, {  
	   createLinkText : 'URL을 입력해주세요:',  
	   buttonTips : {  
				bold : {  
				   title: '굵게 (Ctrl+B)',  
				   text: '선택한 텍스트를 굵게 표시합니다.',  
				   cls: 'x-html-editor-tip'  
				},  
				italic : {  
				   title: '기울임꼴 (Ctrl+I)',  
				   text: '선택한 텍스트를 기울임꼴로 표시합니다.',  
				   cls: 'x-html-editor-tip'  
				},  
				underline : {  
				   title: '밑줄 (Ctrl+U)',  
				   text: '선택한 텍스트에 밑줄을 표시합니다.',  
				   cls: 'x-html-editor-tip'  
			   },  
			   increasefontsize : {  
				   title: '글꼴크기 늘림',  
				   text: '글꼴 크기를 크게 합니다.',  
				   cls: 'x-html-editor-tip'  
			   },  
			   decreasefontsize : {  
				   title: '글꼴크기 줄임',  
				   text: '글꼴 크기를 작게 합니다.',  
				   cls: 'x-html-editor-tip'  
			   },  
			   backcolor : {  
				   title: '텍스트 강조 색',  
				   text: '선택한 텍스트의 배경색을 변경합니다.',  
				   cls: 'x-html-editor-tip'  
			   },  
			   forecolor : {  
				   title: '글꼴색',  
				   text: '선택한 텍스트의 색을 변경합니다.',  
				   cls: 'x-html-editor-tip'  
			   },  
			   justifyleft : {  
				   title: '텍스트 왼쪽 맞춤',  
				   text: '왼쪽에 텍스트를 맞춥니다.',  
				   cls: 'x-html-editor-tip'  
			   },  
			   justifycenter : {  
				   title: '가운데 맞춤',  
				   text: '가운데에 텍스트를 맞춥니다.',  
				   cls: 'x-html-editor-tip'  
			   },  
			   justifyright : {  
				   title: '텍스트 오른쪽 맞춤',  
				   text: '오른쪽에 텍스트를 맞춥니다.',  
				   cls: 'x-html-editor-tip'  
			   },  
			   insertunorderedlist : {  
				   title: '글머리 기호',  
				   text: '글머리 기호 목록을 시작합니다.',  
				   cls: 'x-html-editor-tip'  
			   },  
			   insertorderedlist : {  
				   title: '번호 매기기',  
				   text: '번호 매기기 목록을 시작합니다.',  
				   cls: 'x-html-editor-tip'  
			   },  
			   createlink : {  
				   title: '하이퍼링크',  
				   text: '선택한 텍스트에 하이퍼링크를 만듭니다.',  
				   cls: 'x-html-editor-tip'  
			   },  
			   sourceedit : {  
				   title: '소스편집',  
				   text: '소스편집 모드로 변환합니다.',  
				   cls: 'x-html-editor-tip'  
			   }  
			}  
	   });  
	}  
	  
	if(Ext.grid.GridView){  
	   Ext.apply(Ext.grid.GridView.prototype, {  
		  sortAscText  : "오름차순 정렬",  
		  sortDescText : "내림차순 정렬",  
		  lockText     : "칼럼 잠금",  
		  unlockText   : "칼럼 잠금해제",  
		  columnsText  : "칼럼 목록"  
	   });  
	}  
	  
	if(Ext.grid.GroupingView){  
	  Ext.apply(Ext.grid.GroupingView.prototype, {  
		emptyGroupText : '(None)',  
		groupByText    : '현재 필드로 그룹핑합니다.',  
		showGroupsText : '그룹으로 보여주기'  
	  
	  });  
	}  
	  
	if(Ext.grid.PropertyColumnModel){  
	   Ext.apply(Ext.grid.PropertyColumnModel.prototype, {  
		  nameText   : "항목",  
		  valueText  : "값",  
		  dateFormat : "m/j/Y"  
	   });  
	}  
	  
	if(Ext.layout.BorderLayout && Ext.layout.BorderLayout.SplitRegion){  
	   Ext.apply(Ext.layout.BorderLayout.SplitRegion.prototype, {  
		  splitTip            : "크기변경을 위해 드래그하세요.",  
		  collapsibleSplitTip : "크기변경을 위해 드래그, 숨기기 위해 더블클릭 하세요."  
	   });  
	}  
};

	Ext.apply(Ext.form.VTypes, {
		daterange: function(val, field){
			var date = field.parseDate(val);
			if (!date) { return; }
			if (field.startDateField && (!this.dateRangeMax || (date.getTime() != this.dateRangeMax.getTime()))) {
				var start = Ext.getCmp(field.startDateField);
				start.setMaxValue(date);
				//start.validate();
				this.dateRangeMax = date;
			} else if (field.endDateField && (!this.dateRangeMin || (date.getTime() != this.dateRangeMin.getTime()))) {
				var end = Ext.getCmp(field.endDateField);
				if (end) {
					end.setMinValue(date);
					//end.validate();
				}
				this.dateRangeMin = date;
			}
			return true;
		}
	});

	//////////////////////////////////////////////////////////
	//////												//////
	//////			Issue Write Mini Window(추가창)		//////
	//////												//////
	//////////////////////////////////////////////////////////

	var projectStatusStore = {};
	var projectSeverityStore = {};
	var projectPriorityStore = {};

	function IssueWriteMiniWindow()
	{
		if(Ext.getCmp('IssueWriteMiniWindow'))
		{
			Ext.getCmp('IssueWriteMiniWindow').close();
		}		
		
		var projectListStore = new Array();

		if(projectListStore.length < 1){
			Ext.Ajax.request({
				url : '/service/issueManager_proc.php?method=getIssueProjectList',
				method: 'POST',
				success: function ( result, request ) {

					var renderData = Ext.decode(result.responseText).data;
					//alert(renderData[0].seq+", "+renderData[0].subject);
					for(var i=0;i<renderData.length;i++){
						//alert(renderData[i].seq+", "+renderData[i].subject);
						projectListStore.push([renderData[i].seq,renderData[i].subject]);
					}

					IssueWriteMiniWindowForm(projectListStore)
				}
			});
		}
	}

	function IssueWriteMiniWindowForm(projectListStore)
	{
		var projectStatusStore = new Ext.data.Store({
			proxy: new Ext.data.HttpProxy({
				url: '/service/issueManager_proc.php?method=getIssueProjectInfo',
				method : 'POST'				
			}),			
			reader: new Ext.data.JsonReader({
				root:'StI',
				fields:['issueStatus','name']
			}),
			autoLoad:false
		});
		var projectSeverityStore = new Ext.data.Store({
			proxy: new Ext.data.HttpProxy({
				url: '/service/issueManager_proc.php?method=getIssueProjectInfo',
				method : 'POST'				
			}),			
			reader: new Ext.data.JsonReader({
				root:'SvI',
				fields:['issueSeverity','name']
			}),
			autoLoad:false
		});
		var projectPriorityStore = new Ext.data.Store({
			proxy: new Ext.data.HttpProxy({
				url: '/service/issueManager_proc.php?method=getIssueProjectInfo',
				method : 'POST'				
			}),			
			reader: new Ext.data.JsonReader({
				root:'PI',
				fields:['issuePriority','name']
			}),
			autoLoad:false
		});


		if(Ext.getCmp('IssueWriteMiniWindow')){
			if(UserInfo.fileService!=null){
				RemoveListener(UserInfo.fileService);
				UserInfo.fileService=null;
			}
			removeFileUploader("file_obj",UserInfo.fileobj);

			Ext.getCmp('IssueWriteMiniWindow').close();
		}
	
		UserInfo.disp_id="issueWriteMini";

		var saveBtn = MakeButton('save',TPMS_lang_button_save,'issueBtn_save','','','','',function(btn){				
				var issueSeq = Ext.getCmp('issueMiniAdd_project').getValue();
				
				if(Ext.getCmp('issueMiniAdd_subject').getValue().length > 255){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_maxLength255);
					return;
				}

				if(Ext.getCmp('issueMiniAdd_content').getValue().length > 64000){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_maxLength64000);
					return;
				}
				SaveIssueItemMini(issueSeq);
				//Ext.getCmp('IssueWriteMiniWindow').close();
			});
		var closeBtn = MakeButton('close',TPMS_lang_button_close,'','','','','',function(btn){
				//tempSaveInit('');
				if(UserInfo.fileService!=null){
					RemoveListener(UserInfo.fileService);
					UserInfo.fileService=null;
				}
				removeFileUploader("file_obj",UserInfo.fileobj);

				Ext.getCmp('IssueWriteMiniWindow').close();
			});
	
		var issueWriteTabTBar = new Array();
		issueWriteTabTBar[0] = ['->',saveBtn,closeBtn];

		var Listeners = {
			scope : this,
			focus : function(){
				enableSelect(true);
			},
			blur : function(obj){
			//UpdateTempDataObj(UserInfo.disp_id,obj.id,Ext.getCmp(obj.id).getValue());
			enableSelect(false);}
		};	

		var issueProjectListeners = {
			select:{fn:function(combo, value) {//combo,record,index
				var projectSeq = this.value;

				Ext.getCmp("issueMiniAdd_category").setDisabled(false);
				Ext.getCmp("issueMiniAdd_subject").setDisabled(false);
				Ext.getCmp("issueMiniAdd_content").setDisabled(false);
				Ext.getCmp("issueMiniAdd_status").setDisabled(false);
				Ext.getCmp("issueMiniAdd_severity").setDisabled(false);
				Ext.getCmp("issueMiniAdd_priority").setDisabled(false);
				

				Ext.getCmp('issueMiniAdd_status').store.reload({params :{ProjectSeq : this.value}});
				Ext.getCmp('issueMiniAdd_severity').store.reload({params :{ProjectSeq : this.value}});
				Ext.getCmp('issueMiniAdd_priority').store.reload({params :{ProjectSeq : this.value}});

				//var escape = value.data.field2.replace(/&gt;/g,'>').replace(/&lt;/g,'<');				
				//Ext.getCmp("issueMiniAdd_project").setValue(escape);

				//첫번째 녀석이 자동으로 선택이 되도록 수정을 해준다.issueStatus,issueSeverity,issuePriority
				
				Ext.getCmp('issueMiniAdd_status').setValue(Ext.getCmp('issueMiniAdd_status').getStore().getAt(0).get('issueStatus'));
				Ext.getCmp('issueMiniAdd_severity').setValue(Ext.getCmp('issueMiniAdd_severity').getStore().getAt(0).get('issueSeverity'));
				Ext.getCmp('issueMiniAdd_priority').setValue(Ext.getCmp('issueMiniAdd_priority').getStore().getAt(0).get('issuePriority'));


				
				//categoryStore를 변화 시켜야 한다.
				//Ext.getCmp("issueMiniAdd_category").setValue("Select a state...");
								
				Ext.Ajax.request({
					url : '/service/issueManager_proc.php?method=getIssueCategoryProject',
					method: 'POST',
					params : {
						ProjectSeq:projectSeq
					},
					success: function ( result, request ) {
						var categoryData = Ext.decode(result.responseText);
						categoryStore.removeAll();
						for(var i=0;i<categoryData.data.length;i++){
							categoryStore.add(new (categoryStore.recordType)({categorySeq:categoryData.data[i].seq,name:categoryData.data[i].name}));
						}
					},
					failure: function ( result, request ) {}
				});
				
				//Ext.getCmp('issueMiniAdd_subject').setValue("선탣된 프로젝트 Seq : "+this.value);
			}}
		}

		
		//projectListStore[0][1] = projectListStore[0][1].replace(/&gt;/g,'>').replace(/&lt;/g,'<');
		var categoryStore = new Ext.data.SimpleStore({
			 fields:['categorySeq', 'name']
			,data:[]
		});

		
		var issueProject = MakeItem('','combo',TPMS_lang_issueManager_projectName,'issueMiniAdd_project',projectListStore,'','97%',issueProjectListeners,'',[['seq'],['name']]);

		//분류
		//var issueCategory = MakeItem('','textfield',TPMS_lang_category,'issueMiniAdd_category','','','100%',Listeners,'','');
		var issueCategoryComboListeners = {
			select:function(combo,record,index){		
				var escape = record.data.name.replace(/&gt;/g,'>').replace(/&lt;/g,'<');				
				Ext.getCmp("issueMiniAdd_category").setValue(escape);
			}
		};

		var issueCategory = MakeItem('','combo',TPMS_lang_category,'issueMiniAdd_category',categoryStore,'','97%',issueCategoryComboListeners,'',['name','name']);
		
		
		var issueSubject = MakeItem('','textfield',TPMS_lang_common_title+'<font color=red>*</font>','issueMiniAdd_subject','','','97%',Listeners,'','');
		
		var issueStatus = MakeItem('','combo',TPMS_lang_issueManager_issueStatus,'issueMiniAdd_status',projectStatusStore,'','97%',Listeners,'',[['issueStatus'],['name']]);//
		var issueSeverity = MakeItem('','combo',TPMS_lang_issueManager_issueSeverity,'issueMiniAdd_severity',projectSeverityStore,'','97%',Listeners,'',[['issueSeverity'],['name']]);
		var issuePriority = MakeItem('','combo',TPMS_lang_issueManager_issuePriority+'<font color=red>*</font>','issueMiniAdd_priority',projectPriorityStore,'','97%',Listeners,'',[['issuePriority'],['name']]);

		var issueContent = MakeItem('','htmleditor',TPMS_lang_common_description,'issueMiniAdd_content','','100','97%',Listeners,'','');

		issueSubject.maxLength = '255';//Config.subjectTypeMaxLength;
		//issueSubject.allowBlank = false;
		issueContent.maxLength = '64000';//Config.descriptionTypeMaxLength;
		//issuePriority.allowBlank = false;

		issueCategory.disabled = true;
		issueSubject.disabled = true;
		issueStatus.disabled = true;
		issueSeverity.disabled = true;
		issuePriority.disabled = true;
		issueContent.disabled = true;	

		var nid=my_auto_id();
		var panel = {
			xtype:'panel',
			//title: TPMS_lang_button_add,
			id:'issueWritePanel',
			layout: 'border',
			items: [{ //한글
				region: 'center',
				xtype: 'form',
				//fileUpload: true,
				bodyStyle:'padding: 5 5 5 5;',
				border:false,
				//labelWidth:90,
				//autoScroll:true,	
				items: [
					{xtype: 'hidden',id: 'issueAdd_seq'}
					//,{
					//	xtype: 'fieldset',
					//	title: '기본 내용',
					//	id : 'defaultForm',
					//	anchor:'95%',
					//	items:[
					,issueProject
					,issueCategory,issueSubject,issueContent,issueStatus,issueSeverity,issuePriority
						//]
					//}
					,fileUploadItem(nid)
				]
			}]
		};
		
		var Items1 = [MakePanel('center','fit','panel','','','','100%',panel,'','','')];

		var issueWriteFrom = MakePanel('center','border','','', '','','',Items1,'',issueWriteTabTBar[0],'','');		

		var IssueWriteMiniWindow = new Ext.Window({
			//title: TPMS_lang_issueManager_projectName+' : '+Config.ProjectName,//'Issue Add/update Window'+Config.ProjectName,
			title: 'Easy Issue Regist',
			id:'IssueWriteMiniWindow',
			closable:true,
			width: 670,//document.body.clientWidth,
			height:530,//document.body.clientHeight,//-25,
			plain:true,
			layout: 'border',
			resizable: true,
			draggable   : true,
			closable: false,
			//modal: true,
			items: issueWriteFrom
		});
		IssueWriteMiniWindow.show(this);

		//find default ProjectSeq
		if(projectListStore.length==0)
		{
			alert('No Project ');
		}
		var defaultProjectSeq=0;

		if(typeof projectSeq != 'undefined')
		{
			for(var i=0;i<projectListStore.length;i++)
			{
				if(projectListStore[i][0]==projectSeq){
					defaultProjectSeq=projectSeq;break;
				}
			}
		}
		if(UserInfo.TempDataObj.projectSeq > 0)
		{
			defaultProjectSeq=UserInfo.TempDataObj.projectSeq;
		}
		if(defaultProjectSeq==0){
			defaultProjectSeq=projectListStore[0][0];
		}

		//alert(defaultProjectSeq);
		//Ext.getCmp('issueMiniAdd_project').setValue(defaultProjectSeq);
				Ext.getCmp('issueMiniAdd_status').store.reload({params :{ProjectSeq : defaultProjectSeq}});
				Ext.getCmp('issueMiniAdd_severity').store.reload({params :{ProjectSeq : defaultProjectSeq}});
				Ext.getCmp('issueMiniAdd_priority').store.reload({params :{ProjectSeq : defaultProjectSeq}});
		//IssueWriteMiniWindow.setPosition(0,0);//25);
	
		if(UserInfo.fileService==null)
			UserInfo.fileService=MakeFileUpLoadService("file_obj");

		var fileid=UserInfo.fileid;

				
		createFileUploader( "/resources/fileUpload/fileuploader.swf",nid, "file_obj", "61", "24", flashPlayerVersion, "/resources/fileUpload/playerProductInstall.swf", flashvars(fileid,UserInfo.seq,"UserInfo.fileService",0));
		AddListener(UserInfo.fileService);
		updateFileList(fileid,nid);
		UserInfo.tempFileId=fileid;	
	};

	updateFileList=function(fileid,nid)
	{
		if(Ext.getCmp(nid)==null) return;
		if(UserInfo.fileService.isReady==true) return;
		Ext.getCmp('fileupload_log').removeAll();
		Load_FilesList(fileid);
			setTimeout("updateFileList(\""+fileid+"\",\""+nid+"\")",10000);
	}

	//////////////////////////////////////////////////////////
	//////												//////
	//////			Load_FilesList(fileid)				//////
	//////												//////
	//////////////////////////////////////////////////////////

	//fileManager
	function Load_FilesList(fileid)
	{		
		//alert(fileid);
		filelink=function(seq,filename)
		{
			var url='/view/fileDownload.php?seq='+seq;
			return '<a href='+url+' target=hiddenframe onclick=setTimeout(\'hiddenframe.location.href=""\',1000)>'+filename+'</a>';
		}

		Ext.Ajax.request({			
			url : '/service/fileManager_proc.php?method=getFilesById',
			method: 'POST',
			params : { FileId : fileid,ProjectSeq : projectSeq },
			success: function ( result, request ) {
				//alert(result.responseText);
				Ext.getCmp('fileupload_log').removeAll();

				var filelist=Ext.decode(result.responseText).data;
				var sHTML="";
				
				sHTML+='<table style="background-color:#ffffff" class=table0 border=0>';
				for(var i=0;i<filelist.length;i++)
					sHTML+='<tr height=30 bgcolor='+((i%2)?'#fcf0f0':'#fcfdfd')+' id=tmpfileid_'+filelist[i].seq+'><td width=15><input type=checkbox value='+filelist[i].seq+' onClick="unlinkfile(UserInfo.tempFileId,this.value);this.checked=false;"></td><td>'+filelink(filelist[i].seq,filelist[i].source)+'</td><td align=right width=40>'+filesize(filelist[i].filesize)+'</tr></tr>';
				sHTML+='</table>';

				//document.getElementById('fileupload_log').innerHTML=(sHTML);
				//Ext.getCmp('fileupload_log').setWidth('95%');
				Ext.getCmp('fileupload_log').add({border:false,html:sHTML});
				Ext.getCmp('fileupload_log').doLayout(true,false);
			},
			failure: function ( result, request ) {
				
			}
		});		
	}

	function Load_OnlyFilesList(fileid)
	{		
		//alert(fileid);
		filelink=function(seq,filename)
		{
			var url='/view/fileDownload.php?seq='+seq;
			return '<a href='+url+' target=hiddenframe onclick=setTimeout(\'hiddenframe.location.href=""\',1000)>'+filename+'</a>';
		}
		Ext.getCmp('fileupload_log').removeAll();
		Ext.Ajax.request({
			url : '/service/fileManager_proc.php?method=getFilesById',
			method: 'POST',
			params : { FileId : fileid ,ProjectSeq : projectSeq},
			success: function ( result, request ) {
				//alert(result.responseText);
				var filelist=Ext.decode(result.responseText).data;
				var sHTML="";
				
				sHTML+='<table style="background-color:#ffffff;" class=table0 border=0>';
				for(var i=0;i<filelist.length;i++){					
					sHTML+='<tr height=30 bgcolor='+((i%2)?'#fcf0f0':'#fcfdfd')+' id=tmpfileid_'+filelist[i].seq+'><td width=15></td><td>'+filelink(filelist[i].seq,filelist[i].source)+'</td><td align=right width=40>'+filesize(filelist[i].filesize)+'</tr></tr>';
				}
				sHTML+='</table>';

				//document.getElementById('fileupload_log').innerHTML=(sHTML);
				//Ext.getCmp('fileupload_log').setWidth('95%');
				Ext.getCmp('fileupload_log').add({border:false,html:sHTML});
				Ext.getCmp('fileupload_log').doLayout(true,false);
			},
			failure: function ( result, request ) {
				
			}
		});		
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////			SaveIssueItemMini(issueSeq)			//////
	//////												//////
	//////////////////////////////////////////////////////////

	function SaveIssueItemMini(issueSeq)
	{
		var saveIssueData={};

		var issueProjectSeq = issueSeq;//Ext.getCmp('issueMiniAdd_project').getValue();

		saveIssueData.category = my_escape(Ext.getCmp('issueMiniAdd_category').getValue());
		saveIssueData.subject = my_escape(Ext.getCmp('issueMiniAdd_subject').getValue());
		saveIssueData.content = my_escape(Ext.getCmp('issueMiniAdd_content').getValue());
		saveIssueData.status = Ext.getCmp('issueMiniAdd_status').getValue();
		saveIssueData.severity = Ext.getCmp('issueMiniAdd_severity').getValue();
		saveIssueData.priority = Ext.getCmp('issueMiniAdd_priority').getValue();
		saveIssueData.fileid = UserInfo.fileid;
		saveIssueData.userItem = {};

		if(!(saveIssueData.subject.length>0))
		{
			Ext.Msg.alert(TPMS_lang_title,TPMS_lang_common_title+'를 입력하세요');
			return;
		}
		if(!(saveIssueData.priority>0))
		{
			Ext.Msg.alert(TPMS_lang_title,TPMS_lang_issueManager_issuePriority+'를 입력하세요');
			return;
		}

		//LoadingMsg('issueWriteMiniWindow','저장중입니다...');
		var URL = '/service/issueManager_proc.php?method=createIssueReport';
		var Params = {
			ProjectSeq	: issueProjectSeq,
			MemberSeq	: UserInfo.seq,
			Data		: Ext.encode(saveIssueData)
		};
		
		Ext.Ajax.request({
			url : URL,
			method: 'POST',
			params : Params,
			success: function ( result, request ) {
				//issueListStore.reload();

				Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_success);				
				setTimeout("LoadingMsg('IssueWriteMiniWindow').hide()",1000);
				
				//LoadingMsg('IssueWriteMiniWindow').hide();
				
				//if(Ext.getCmp('issueGridPanel')){
				//	Ext.getCmp('issueGridPanel').load({params:{ProjectSeq:issueProjectSeq}});
				//}
			},
			failure: function ( result, request ) {				
				//Ext.getCmp('issueFormModifyWin').close(this);
			}
		});
	}



	//////////////////////////////////////////////////////////
	//////												//////
	//////				File Upload Item				//////
	//////												//////
	//////////////////////////////////////////////////////////

	function fileUploadItem(nid)
	{
		var fileStore = {success:true};
		var fileCm = new Ext.grid.ColumnModel([
			//{header: 'No', dataIndex: 'No', sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false },
			{header: TPMS_lang_common_title, dataIndex: 'filename', sortable: true, width: 100},
			{header: 'bytes', dataIndex: 'bytesTotal', sortable: true, width: 80}
		]);

		var fileListeners = {
				scope : this,
				rowdblclick: function(grid){
					var sel = grid.getSelectionModel().getSelected();
					if(sel){
						var seldata=sel.data;
						//alert(seldata.seq);
					}
				},
				rowclick:function(grid, rowIndex, e) {
					var selectItem = grid.selModel.getSelections();
					//var seq = selectItem[0].data['seq']; 
				}
			};

		var filelistGridPanel = MakeGridPanel('','filelist',fileStore,250,150,fileCm,'',fileListeners,'');
		
		
		var fileupload_log = {
			id: 'fileupload_log',
			border: true,
			width: 250,
			height: 100,
	    	autoScroll : true
		};

		
		var uploadField = [{
			layout:'column',
			fieldLabel: TPMS_lang_scrum_file,
			border:false,
			width:340,
			height:170,
			bodyStyle:'padding:0 0 0 0;',
			anchor:'96%',
			items:[
				//{columnWidth:1,id : 'tempTextarea'}
				//{width:'300',html:'<div id=fileupload_log class=right_member_list></div>'}
				fileupload_log
				,{width:'65',xtype: 'label',id: nid}]				
		}];//,filelistGridPanel];

		return uploadField;
	}


	var DashBoardChartLarge =function(Store,Header,Title,Type,ID,seq,TotalInfo,chartType){
		var popupChart="";
		var id = ID+'popup';

		popupChart = MakeChartType(chartType,Store,Header,'',id,seq,TotalInfo);
		
		var largeChartWin = new Ext.Window({
			title: Title,
			id: 'chartLarge-Win',
			modal:true,	
			width:600,
			height:600,
			border:false,
			layout: 'border',
			resizable: true,
			closable: true,
			items: [{
				id:'sample',
				collapsible: false,
				layout:'fit',			
				region:'center',			
				items:[popupChart]
			}]
		});	
		largeChartWin.show(this);		

		Ext.getCmp(ID+'popup_plusBt').setVisible(false);
		Ext.getCmp(ID+'popup_setupBt').setVisible(false);
	}
	function MakeChartType(Type,Store,Header,Title,id,seq,TotalInfo){
		var chartItem = {};
				
		if(Type){
			switch(Type)
			{
				case 'LineChart2':
					chartItem = LineChart3(Store,Header,Title,true,id,seq,TotalInfo);					
					chartItem.yLable = ' Num of Defects ';
					break;
				case 'ColumnChart':
					chartItem = ColumnChart2(Store,Header,Title,true,id,seq,TotalInfo);
					break;				
				case 'PieChart':					
					chartItem = PieChart2(Store,Header,Title,true,id,seq,TotalInfo);
					break;
				case 'StackedBarChart':
					chartItem = StackedBarChart(Store,Header,Title,true,id,seq,TotalInfo);
					break;
				case 'PlotChart':
					chartItem = PlotChart(Store,Header,Title,true,id,seq,TotalInfo)
					break;
				case 'StarChart':
					//chartItem = StarChart('new title',500,300,Store,Header)
					chartItem = StarChart(Store,Header,Title,true,id,seq,TotalInfo)
					break;
			}
		}
		return chartItem;
	}

	function windowSetTitle(title){	
		//window.document.title = title;//TPMS_lang_project+" : "+Config.ProjectName+" ("+TPMS_lang_dashBoard+")";
		window.document.title = title.replace(/&gt;/g,'>').replace(/&lt;/g,'<');
	}
	
	// 쿠키 입력
    function set_cookie(name, value, expirehours, domain) 
    {
        var today = new Date();
        today.setTime(today.getTime() + (60*60*1000*expirehours));
        document.cookie = name + "=" + escape( value ) + "; path=/; expires=" + today.toGMTString() + ";";
        if (domain) {
            document.cookie += "domain=" + domain + ";";
        }
    }

    // 쿠키 얻음
    function get_cookie(name) 
    {
        var find_sw = false;
        var start, end;
        var i = 0;

        for (i=0; i<= document.cookie.length; i++)
        {
            start = i;
            end = start + name.length;

            if(document.cookie.substring(start, end) == name) 
            {
                find_sw = true
                break
            }
        }

        if (find_sw == true) 
        {
            start = end + 1;
            end = document.cookie.indexOf(";", start);

            if(end < start)
                end = document.cookie.length;

            return document.cookie.substring(start, end);
        }
        return "";
    }

    // 쿠키 지움
    function delete_cookie(name) 
    {
        var today = new Date();

        today.setTime(today.getTime() - 1);
        var value = get_cookie(name);
        if(value != "")
            document.cookie = name + "=" + value + "; path=/; expires=" + today.toGMTString();
    }

	//admin인지를 판단해 보자
	function isIssueAdmin(){
		return ((UserInfo.UserRole & 4)==4 || get_cookie('imsiAdmin') == 'true' || UserInfo.UserId =='admin')?true:false;
	}

	function getStatusCloseChk(ID){		
		var statusCloseChk = {
			xtype:'checkbox',
			id:ID,
			anchor:'98%',
			boxLabel: TPMS_lang_issueManager_closeIssueView,
			checked   : UserInfo.CloseView,
			handler:function(){
				if(this.checked){						
					UserInfo.CloseView = true;					
				}else{		
					UserInfo.CloseView = false;
				}
				
				if(Ext.getCmp("dashBoardItemList")){
					Ext.getCmp("dashBoardItemList").setValue(UserInfo.CloseView);
				}
				if(Ext.getCmp("issueItemList")){
					Ext.getCmp("issueItemList").setValue(UserInfo.CloseView);
				}
				if(Ext.getCmp("defectItemList")){
					Ext.getCmp("defectItemList").setValue(UserInfo.CloseView);
				}
				if(Ext.getCmp("tcItemList")){
					Ext.getCmp("tcItemList").setValue(UserInfo.CloseView);
				}
				if(Ext.getCmp("reqItemList")){
					Ext.getCmp("reqItemList").setValue(UserInfo.CloseView);
				}
				if(Ext.getCmp("memoItemList")){
					Ext.getCmp("memoItemList").setValue(UserInfo.CloseView);
				}
				if(Ext.getCmp("issueItemWrite")){
					Ext.getCmp("issueItemWrite").setValue(UserInfo.CloseView);
				}
				if(Ext.getCmp("issueItemView")){
					Ext.getCmp("issueItemView").setValue(UserInfo.CloseView);
				}

				if(Ext.getCmp('assignIssueGridPanel').getStore()){
					//어떤 놈이 선택이 되어 있는지를 보자.
					var roleNumber = 0;
					switch(RoleType){
						case "dashboard_issue1":
							roleNumber=1;
							break;
						case "dashboard_issue2":
							roleNumber=2;
							break;
						case "dashboard_issue0":
							break;
						case "dashboard_issue3":
							roleNumber=3;
							break;
						case "dashboard_issue4":
							roleNumber=4;
							break;
					}
					Ext.getCmp('assignIssueGridPanel').getStore().reload({params:{ProjectSeq:projectSeq,MemberSeq:UserInfo.seq,RoleType:roleNumber,statusCloseChk:UserInfo.CloseView,start:0, limit:10}});
				}
				if(issueListStore){
					issueListStore.reload({params:{ProjectSeq:projectSeq,statusCloseChk:UserInfo.CloseView,start:0, limit:100}});
				}
				if(defectIssueListStore){
					defectIssueListStore.reload({params:{ProjectSeq:projectSeq,Category:defectCategorySeq,statusCloseChk:UserInfo.CloseView,start:0, limit:100}});
				}
				if(tcIssueListStore){
					tcIssueListStore.reload({params:{ProjectSeq:projectSeq,Category:tcCategorySeq,statusCloseChk:UserInfo.CloseView,start:0, limit:100}});
				}
				if(reqIssueListStore){
					reqIssueListStore.reload({params:{ProjectSeq:projectSeq,Category:reqCategorySeq,statusCloseChk:UserInfo.CloseView,start:0, limit:100}});
				}
				if(memoIssueListStore){
					memoIssueListStore.reload({params:{ProjectSeq:projectSeq,Category:memoCategorySeq,statusCloseChk:UserInfo.CloseView,start:0, limit:100}});
				}				
			}
		};
		return statusCloseChk;
	}


function LockItem(id,lock_info,action,type,callback)
{
	lock_info.msg = my_escape(lock_info.msg);
	Ext.Ajax.request({
		url : '/service/scrum_proc.php?method=lockItem',
		method: 'POST',
		params :{Id: id,Action:action,Type:type,GroupId:UserInfo.Groupid},
		success: function ( result, request ) {
			//if(result.responseText=="lock"){
				//alert("Locked");
				if(typeof callback!='undefined') callback(result);
				if(lock_info.msg) SendReloadMsg(lock_info.msg,lock_info.r);
				return result.responseText;
			//}else{
				
			//}
		},
		failure: function ( result, request ) {
			//alert("Fail");
			return "Fail";
		}
	});	
}

function Alarm(Type,FromUser,ToUser,Subject,Content)
{
	switch(Type)
	{
		case "mail":
			var Params = {
					type : Type,
					fromUser : FromUser,
					toUser : ToUser,	
					subject : Subject,
					content : Content,
					Mode : 1
				};

				Ext.Ajax.request({
					url: '/service/commonConfig_proc.php?method=sendAlarm',
					method: 'POST',
					params :Params,
					success : function(resp, opt){
						if(resp){

							if(FromUser==""){
								if(resp.responseText=="success"){
									alert(TPMS_lang_common_sendMail);
								}else{
									alert(resp.responseText);
								}
							}else{
								return resp.responseText;
							}
						}
					},
					failure: function ( result, request ) {
						//Ext.Msg.alert(TPMS_lang_title,TPMS_lang_MsgFailure); 
						return "Fail";
					}
				});	

			//return "Fail";
			break;
		case "sms":
			return "success";
			break;
		default:
			return;
			break;
	}
}

//MakeItem(Layout,Xtype,Title,Id,Store,Height,Width,Listeners,Value,Option,HiddenType,Style)
function getAlarmForm(EventId){
	return;
	var Listeners = '';
	var MakeAlarmSetPanel = MakeItem('','checkbox','',EventId,TPMS_lang_alarm_eventStore,'','',Listeners,'','','','','')
	
	var panelWidth = TPMS_lang_alarm_eventStore.length*80;
	return new Ext.Panel({
			region:'center',
			xtype: 'form',
			width:panelWidth,
			height:'20',
			bodyStyle:'height:25px;padding:0 10px;background:#dfe8f6;',			
			border:true,			
			autoScroll:false,
			items:MakeAlarmSetPanel
			});
}

function getAlarmFormSet(ProjectSeq,EventId){
	function getStoreValue(Store,v)
	{
		var out='';
		var values=v.split(',');
		for(var key=0;key<values.length;key++){
			var find=false;
			for(var i=0;i<Store.length;i++){
				if((i+1)==parseInt(values[key],10))	{
					out+=','+Store[i];
					find=true;
					break;
				}
			}
			if(!find)
				out+=','+values[key];
			
		}
		return out;
	}
	
	//프로젝트 번호와 이벤트아이디를 기준으로 체크를 할지 말지를 결정해 주자.
	var alarmDBStore = MakeStore('/service/issueManager_proc.php?method=getAlarmSetupStore','',[
		'event_id',
		'set_value'
	],{ProjectSeq : projectSeq,EventId:EventId});
	
	alarmDBStore.on('load',function(s, options){
		var list = s.reader.jsonData.data;
		
		//alert(list[0].event_id);
		Ext.getCmp(EventId).setValue(getStoreValue(TPMS_lang_alarm_eventStore,list[0].set_value));
		
		//for(var i=0;i<list.length;i++){
			//Ext.getCmp(''+list[i].event_id).setValue(getStoreValue(TPMS_lang_alarm_eventStore,list[i].set_value));
		//}
	});


}

//////////////////////////////////
//								//
//			StopWatch			//
//								//
//////////////////////////////////

var currentsec=0;
var currentmin=0;
var currentmil=0;
var keepgoin=false;
function timer(){
	if(keepgoin){
		currentmil+=1;
		if (currentmil==10){
			currentmil=0;
			currentsec+=1;	
		}
		if (currentsec==60){
			currentsec=0;
			currentmin+=1; 
		}
		Strsec=""+currentsec;	
		Strmin=""+currentmin;
		Strmil=""+currentmil;
		if (Strsec.length!=2){
			Strsec="0"+currentsec; 
		}	
		if (Strmin.length!=2){
			Strmin="0"+currentmin; 
		}
		document.display.seconds.value=Strsec
		document.display.minutes.value=Strmin;
		//document.display.milsecs.value=Strmil;
		setTimeout("timer()", 100);	// waits one second and repeats
	}
}
function startover(){		// This function resets
	keepgoin=false;			// all the variables
	currentsec=0;
	currentmin=0;
	currentmil=0;
	Strsec="00";
	Strmin="00";
	Strmil="00";
}
function getStoreIntValue(Store,v)
{
	var out='';
	var values=v.split(',');
	for(var key=0;key<values.length;key++){
		var find=false;
		for(var i=0;i<Store.length;i++){
			if(Store[i]==values[key])	{
				out+=','+(i+1);
				find=true;
				break;
			}
		}
		if(!find)
			out+=','+values[key];
		
	}
	return out;
}


function ShowStopWatch(){
	if(Ext.getCmp('stopwatch')){
		if(Ext.getCmp('stopwatch').hidden){
			Ext.getCmp('stopwatch').show();
		}else{
			Ext.getCmp('stopwatch').hide();
		}
	}
}
var left_alt_down=false;
var left_ctrl_down=false;
var left_shift_down=false;

var old_key_down='';
var temp_old_key_down='';


function key(e){
	//alert(e.keyCode);
	if(temp_old_key_down!=e.keyCode){
		if(old_key_down=='')
			old_key_down = e.keyCode;
		else
			old_key_down+=','+e.keyCode;
	}
	temp_old_key_down=e.keyCode;

	if(e.keyCode==18) left_alt_down=true;
	if(e.keyCode==17) left_ctrl_down=true;
	if(e.keyCode==16) left_shift_down=true;


	return false;
}

function keyup(e)
{
left_alt_down=false;
left_ctrl_down=false;
left_shift_down=false;
temp_old_key_down='';
if(old_key_down=='') return;
	
var down_key=old_key_down;
old_key_down='';


	for(var i=0;i<KeyEventListArray.length;i++)
	{
		if(KeyEventListArray[i].keyCode==down_key)
		{
			eval(KeyEventListArray[i].func);
			//old_key_down='';
			//alert(i+':'+KeyEventListArray[i].keyCode);
		}
	}

	//alert('keyup:'+e.keyCode);
}

var IsEnableSelectFlag=false;
function enableSelect(flag)
{
	if(flag)
		IsEnableSelectFlag=true;
	else
		IsEnableSelectFlag=false;
}
function closeHiddenFrame(){
	window.open('about:blank','hiddenframe');
}
document.onselectstart=function(){return IsEnableSelectFlag;}