/// <reference path="../vswd-ext_2.2.js" />

/*******************************************************************************
 *
 * Copyright(c) 2006-2008, Inpion Consulting Co., Ltd.
 * 5th Fl.,S1 Bldg.168 Sunhwa-Dong,Jung-Gu,Seoul,Korea 100-130
 * All rights reserved.
 * @Description	: 리스크 분석 화면 구성  팝업
 * @Version		: 0.01
 * @Date		: 
 * @Author		: kyungrim
 * @History     :
 * 		0.01: 초기 작성
 * 
 ******************************************************************************/
 
/*---------------------------------------------------리스크 분석 화면 구성  팝업      searchManager ------------------------------------*/    
var Config2 ={};
Config2.Height=document.body.clientHeight - 200;
Config2.Width=document.body.clientWidth - 10;

Config2.doLayout=function(adjWidth,adjHeight)
{	
	//Config.Height=adjHeight;
	//Config.Width=adjWidth;
	Config2.Width=adjWidth;

	//Ext.getCmp(domainName+'-win').setHeight(adjHeight);
	if(Config2.DomainName){
		Ext.getCmp(Config2.DomainName+'-win').setWidth(adjWidth);
	}
}

RiskAnalysePop = function(domainSeq,domainName,flag){
    var win ;
    valueData(domainSeq,domainName,flag);
	Config2.DomainSeq = domainSeq;
	Config2.DomainName = domainName;
	Config2.Flag = flag;
};

var PointList=null;

	


//comboData 호출 하기 
valueData= function(domainSeq,domainName,flag){

    var store = "";

     Ext.Ajax.request({ 
			//scope : this,
			url:'/service/tpms_proc.php?method=getRiskPointList',
			displaySuccessMessage : false,
			params : {DomainSeq:domainSeq } , 
			method : 'POST',
			success : function(rsp, opt) {
                 store =Ext.decode(rsp.responseText);
				 Config.RiskPointCount=store.totalCount;
                 PointList=store;
                 FactorListData(store,domainSeq,domainName,flag);
			}
		}) //ajx 
};

FactorListData = function(valueData,domainSeq,domainName,flag){
     Ext.Ajax.request({ 
			//scope : this,
			displaySuccessMessage : false,
			url: '/service/tpms_proc.php?method=getRiskFactorListForAnalysis',
			params : {DomainSeq : domainSeq } , 
			method : 'POST',
			success : function(rsp, opt) {
                 store =Ext.decode(rsp.responseText);
                 RiskAnalysePopGrid ( valueData, store , domainSeq, domainName,flag);
			}
		}) //ajx 
};

/*---------------------------------------------------그리드 스토어 부분     Ext.grid.Record ------------------------------------*/    
Ext.grid.Record = function(store){
   
    var arr= [];
    
    for (var i = 0; i < store.data.length; i++){
        arr[i] = store.data[i].ID;
    }
    
    this.recordType = Ext.data.Record.create(arr);
    
    return this.recordType;
   
};
Ext.extend(Ext.grid.Record, Ext.data.Record.create, {});


RiskAnalysePopGrid = function( valueData, factorstore,domainSeq,domainName,flag){

  	var riskAnalyseGridStore = new Ext.data.Store({
			proxy: new Ext.data.HttpProxy({
					   url:'/service/tpms_proc.php?method=getRiskAnalysisCells'
					}),
			baseParams:{
					DomainSeq : domainSeq,
					UserSeq : UserInfo.seq,
					Flag : flag
				},
			reader: new Ext.data.JsonReader(
				{ root: 'data'  },
				this.myRecoredObj =  Ext.grid.Record(store)
			)
	});

    //데이터 로드 
    riskAnalyseGridStore.load();
    
	if(flag == 2){
    var riskAnalysePopGridsm = new Ext.grid.RowSelectionModel({});//new Ext.grid.CellSelectionModel({});
	}else{
     // 그리드 체크박스 
    var riskAnalysePopGridsm = new Ext.grid.CheckboxSelectionModel({
        singleSelect: true,
        listeners:{
            scope : this,
            rowselect : {
                scope : this,
                fn : function(sm,rowIndex, record){
                  
					//risk-analysePop-grid => domainName+'-grid'	//kang

                    var record = Ext.getCmp(domainName+'-grid').getStore().getAt(rowIndex);
                    var riskItemSeq=record.data.RiskItemSeq;
                    var factorListLength =record.fields.keys.length;
                    
                    for(var f=4;f<factorListLength+1;f++){
                           var a =  document.getElementById(riskItemSeq+"_"+f+"_value");
                           document.getElementById(riskItemSeq+"_"+f+"_value").style.display="none";
                           document.getElementById(riskItemSeq+"_"+f+"_radio").style.display="block";
                     }
                }
            },
            rowdeselect : {
                scope : this,
                fn : function(sm, rowIndex, record){
                    var record = Ext.getCmp(domainName+'-grid').getStore().getAt(rowIndex);
                    var riskItemSeq=record.data.RiskItemSeq;
                    var factorListLength =record.fields.keys.length;
                    var pointObj = [];
                    var factorname =[];
                    //값 가져오기 
                    for(var j=4; j<factorListLength+1;j++){
                        factorname[j-4] = record.fields.keys[j-1];
                        var point ="";
                        var listIndex =document.getElementById(riskItemSeq+"_"+j).selectedIndex;
                        
                        if( listIndex != -1){
                            pointObj[j-4] = PointList.data[listIndex].DisplayPoint;//document.getElementById(riskItemSeq+"_"+j).options[listIndex].value;
                        }else{
                            pointObj[j-4] = "";
                        }                       
                    }//for
                    
                    for(var f=4;f<factorListLength+1;f++){
                           var a =  document.getElementById(riskItemSeq+"_"+f+"_value");
                             document.getElementById(riskItemSeq+"_"+f+"_value").style.display="block";
                             document.getElementById(riskItemSeq+"_"+f+"_radio").style.display="none";
                             document.getElementById(riskItemSeq+"_"+f+"_value").innerHTML=pointObj[f-4];
                     }
                }
            }
        }
    });
	
	}
    

        //그리드 
         var riskAnalysePopGrid = new Ext.grid.GridPanel({
            viewConfig: { autoFill:true, forceFit : true},
            id: domainName+'-grid',
            headerAsText:false,
            autoWidth:true,
            ds: riskAnalyseGridStore,
            factorData : factorstore,
            clicksToEdit : 1,
            border : false,
            split:true,
            autoScroll:true,
			stripeRows: true,
			enableColumnHide  : false,
			enableColumnResize: true,
			enableColumnMove  : false,
			enableHdMenu: false,
            sm : riskAnalysePopGridsm,
            cm : new Ext.grid.DynamicColumnModel(factorstore,riskAnalysePopGridsm,valueData),
            listeners : {
                scope : this,
                cellclick : function(grid, rowIndex, colIndex,e){ }              
            }
        }); // riskAnalysePopGrid
        

         var riskAnalyseStausDataStore = new Ext.data.Store({
            proxy:new Ext.data.HttpProxy({
                url:'/service/tpms_proc.php?method=getAnalysisStateList',
                method:'post'
            }),
            baseParams:{
                    DomainSeq : domainSeq,
                    UserSeq : UserInfo.seq
                },
            reader:new Ext.data.JsonReader({
                root:'data',
                fields:['seq','name']
            }),
            autoLoad:true,
            listeners:{
                scope:this,
                load : function(store , record, option){
                    Ext.getCmp('riskAnalyseStaus').setValue(store.reader.jsonData.selectData);
                },
                loadexception:function(){
                    //TPMS.util.errorAlert(TPMS.sys.name , TPMS.locale.commonMsg.errorInfrom);
                }
            }//listeners
      });// riskTypeComboData
      
      var win="";
   
     if(!win){
			var riskAnalysePop = new Ext.Window({
                //id:'risk-analysepop-win',
				id: domainName+'-win',
                layout:'fit',
				x: 5,
				y: 5,
                width: Config2.Width,//document.body.clientWidth - 10,//document.body.clientWidth -360 ,
                minWidth : 100 ,
                height:300,
                minHeight : 100,
                closeAction :'hide',
				closable: false,
                resizable : true,
                //title:(flag==2)?TPMS_lang_riskAnlyse_riskAnalyseResult:TPMS_lang_riskAnlyse_riskAnalyseCase +" : " + domainName ,
		        title:(flag==2)?TPMS_lang_riskAnlyse_riskDiscussResult:TPMS_lang_riskAnlyse_riskAnalyseCase +" : " + domainName , //
                modal:false,
                border : false,
                autoScroll:true,
                items:[riskAnalysePopGrid],
                tbar : [
					(flag==2)?"":TPMS_lang_riskAnlyse_riskAnalyseStatus,
					{
                    xtype:'combo',
					hidden : (flag==2)?true:false,
                    fieldLabel:TPMS_lang_riskAnlyse_riskAnalyseStatus,
                    id:'riskAnalyseStaus',
                    name:'riskAnalyseStaus',
                    store:riskAnalyseStausDataStore,                    
                    valueField:'seq',
                    displayField:'name',
                    mode          : 'local',
			        typeAhead     : false,
			        editable      : false,
			        forceSelection: false,
			        selectOnFocus : false,
			        triggerAction : 'all',
			        widht : 500,
			        emptyText: TPMS_lang_button_select//'TPMS.locale.commonMsg.selectMesage'
                },'-',{
                    xtype :'label',
					html:'<div style="background:'+colorType[0]+';height:18px;">'+Config.FI[0].name+'</div>'
                    //html:'<div style="background:#FFDCFF;height:18px;">likelihood </div>'
                },'-',{
                    xtype :'label',
					html:'<div style="background:'+colorType[1]+';height:18px;">'+Config.FI[1].name+'</div>'
                    //html:'<div style="background:#D2D2FF;height:18px;">Impact</div>'
                }// 버튼 위치 변경 : bbar item 추가
				,'-',{
                    xtype:'button',
					iconCls: 'icon-excel',
                    text: TPMS_lang_export,
                    handler : function() {
						if(flag == 1){
							TPMS_lang_export_message = TPMS_lang_Msg_export_riskAnalysis;
						}else if(flag == 2){
							TPMS_lang_export_message = TPMS_lang_Msg_export_riskDiscuss;
						}else{
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_errorInfrom);
						}
						Ext.MessageBox.confirm(TPMS_lang_title,TPMS_lang_export_message,function(btn,text){
						   if(btn=="yes"){
							   location.href="/service/export_proc.php?method=exportRiskAnalysisCells&DomainSeq="+domainSeq+"&UserSeq="+UserInfo.seq+"&Flag="+flag;
						   }else{
							   return;
						   }
						});
                    }
                },{
                    xtype:'button',
					hidden:true,
                    text:'test Excel Export',
                    handler : function() {
						if(flag == 1){
							TPMS_lang_export_message = TPMS_lang_Msg_export_riskAnalysis;
						}else if(flag == 2){
							TPMS_lang_export_message = TPMS_lang_Msg_export_riskDiscuss;
						}else{
							Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_errorInfrom);
						}
						Ext.MessageBox.confirm(TPMS_lang_title,TPMS_lang_export_message,function(btn,text){
						   if(btn=="yes"){
							   location.href="/service/export_proc.php?method=ExportRiskAnalysisCells_back&DomainSeq="+domainSeq+"&UserSeq="+UserInfo.seq+"&Flag="+flag;
						   }else{
							   return;
						   }
						});
                    }
                },'->',{
                    xtype:'button',
					hidden : (flag==2)?true:false,
					iconCls: 'icon-save',
                    text:TPMS_lang_button_apply,
                    handler:function(){
                        Ext.Msg.confirm(TPMS_lang_title,TPMS_lang_riskAnlyseMsg_riskAnlayseSave, function(btn,text){
							if(btn=="yes"){
								var store = Ext.getCmp(domainName+'-grid').getStore();
								var riskObj =[];
								var factorLength = store.fields.keys.length;
								for(var i=0;i<Ext.getCmp(domainName+'-grid').getStore().getCount();i++){
										var riskItemSeq=store.data.items[i].json.RiskItemSeq;
										var rowTitle = store.data.items[i].json.RowTitle;
										
										var pointObj = [];
										var factorname =[];
										var submitData = [];
										 
										for(var j=4; j<factorLength+1;j++){
											factorname[j-4] = store.fields.keys[j-1];
											var point ="";  
											var listIndex =document.getElementById(riskItemSeq+"_"+j).selectedIndex;
											
											if( listIndex != -1){
												pointObj[j-4] = document.getElementById(riskItemSeq+"_"+j).options[listIndex].value;
											}else{
												pointObj[j-4] = "";
											}
										}//for
										
									   var pointData=[];
										for(var f=0;f<factorname.length;f++){
											pointData[f] = factorname[f] + ":" + pointObj[f]
										}                                             
										riskObj[i]={"item" :rowTitle ,"itemSeq":riskItemSeq, "data": pointData};      
								} 
									
								var sumitData = "{";
								 for(var j=0 ;j<riskObj.length;j++){
									sumitData +='"' + j +  '":{  ' ;
									 sumitData += '"RowTitle":"' +" " +'",' ;
									sumitData += '"RiskItemSeq":"' + riskObj[j].itemSeq +'",' ;
									sumitData += '"RiskArea":"",' ;
									
									for ( var k=0;k<riskObj[j].data.length ;k++){
									   var tempPoint = riskObj[j].data[k].replace('"','').split(':');
									   sumitData +='"' + tempPoint[0] + '":"' + tempPoint[1] + '"' ;
									   
									   if(k!=riskObj[j].data.length-1){
										sumitData +=","; 
									   }
								   }
									sumitData +='}' ;
								   if(j!=riskObj.length-1){
										sumitData +=","; 
									}  
								 }
								 sumitData +='}' ;
								  Ext.Ajax.request({
											url:'/service/tpms_proc.php?method=applyAnalysis',
											displaySuccessMessage : 'TPMS.locale.commonMsg.saveInfrom',
											method : 'POST',
											params:{
												RiskAnalyseData : sumitData,
												RiskAnalyseStatus : Ext.getCmp('riskAnalyseStaus').getValue(),
												UserSeq : UserInfo.seq,
												DomainSeq : domainSeq
											   
											},
											success : function(rsp, opt) {
											}
										}) //ajx 
                                        
                                }else{
                                    return;
                                }
                            });                              
                    }
                },(flag==2)?"":'-',{
                    xtype:'button',
                    text:TPMS_lang_riskAnlyse_riskDistributionChart,
                    handler : function() {

							Ext.Ajax.request({
								url:'/service/tpms_proc.php?method=getAnalysesSeq',
								method : 'POST',
								params:{DomainSeq : domainSeq,
										UserSeq : UserInfo.seq,
										Flag : flag
									},
								success : function(rsp, opt) {
									var AnalysesSeq = Ext.decode(rsp.responseText);
									chartWin(UserInfo.DomainSeq,AnalysesSeq,flag);
								}
							});

                    }
                },'-',{
                    xtype:'button',
					iconCls: 'icon-list',
                    text:TPMS_lang_riskAnlyse_riskRankingList,
                    handler : function(){
						Ext.Ajax.request({
								url:'/service/tpms_proc.php?method=getAnalysesSeq',
								method : 'POST',
								params:{DomainSeq : domainSeq,
										UserSeq : UserInfo.seq,
										Flag : flag
									},
								success : function(rsp, opt) {
									UserInfo.AnalysesSeq = Ext.decode(rsp.responseText);
									RiskRankPop(domainSeq, UserInfo.seq);                 
								}
							});						
                    }
                },'-',{
                    xtype:'button',
					iconCls: 'icon-cancel',
                    text:TPMS_lang_button_close,
                    handler:function(){
						Ext.getCmp(domainName+'-win').hide();     //팝업 닫기 
                    }
                }]               
        });    
				
		
   }    
    
    this.riskAnalysePopWin = riskAnalysePop;
    this.riskAnalysePopWin.show();
	riskAnalysePopWin.setPosition(5,30);
};



/*---------------------------------------------------그리드 cm 정의 부분  Ext.grid.DynamicColumnModel------------------------------------*/    

Ext.grid.DynamicColumnModel = function(store,riskAnalyseDomainGridsm, comboDataStore){

	var comboDataSeq=[];
	var comboData =[];
	var comboDisplay =[];
    
    for(var j=0;j<comboDataStore.data.length;j++){
		comboDataSeq[j]=comboDataStore.data[j].seq; 
         comboData[j]= comboDataStore.data[j].ActualPoint  ;
         comboDisplay[j]= comboDataStore.data[j].DisplayPoint  ;
         
    }

	var testHtml = function(v, p, record, rowIndex, colIndex, store){     
		  var i=0;
		  var id =  record.json["RiskItemSeq"] +"_" + colIndex ;
		  
		   for(i=0;i<comboData.length;i++)
				if(comboDataSeq[i] == v) break;  

		   var html ='<div id="'+id +'_value" style="display:block;">' +((v!=0)?comboDisplay[i]:'')+ "</div>";
			   html +='<div id="'+id +'_radio" style="display:none;">';
			   html +='<select id = "'+id+'" name="'+id+'" size='+Config.RiskPointCount+' >';
			   
		   for(var k=0;k<comboData.length;k++){
				if(comboDataSeq[k] == v){
					html +='<option value="'+comboDataSeq[k]+'" selected >'+comboDisplay[k]+'</option>'; 
				}else{
					html +='<option value="'+comboDataSeq[k]+'" >'+comboDisplay[k]+'</option>'; 
				}
		   }

		   html +='</select>';  
		   html +='</div>';
		   i=i+1;
		   return html;
	 }

	var itemName = function(v, p, record, rowIndex, colIndex, store){ v=my_unescape(v); return  '<span title="'+v+'">'+v+'</span>' ; };

	var cols = [];
	for (var i = 0; i < store.data.length; i++){

			
			//cols[0]={header: '', dataIndex: '', width:10, css:'' , hidden : false};
			cols[0]={header: "No", sortable: false, align:'center',renderer:renderNumber, width: 30,  hidden:false };
			//cols[0]=riskAnalyseDomainGridsm;

		if(i==0){ 
			cols[i+1] = {header:my_unescape(store.data[0].name), dataIndex: store.data[i].ID, width:150, css:'background-color: #EBF0F3;' ,renderer  : itemName};
		}else if(i==1 || i==2 ){
			cols[i+1] = {header: '&nbsp;'+ i, dataIndex: store.data[i].ID, width:100, css:'background-color: #EBF0F3;' , hidden : true};
		}else{
			 cols[i+1] = {header: my_unescape(store.data[i].name) , dataIndex: store.data[i].ID, width:100 ,renderer : testHtml
			  ,css:'background-color:'+ store.data[i].TypeName +';' ,tooltip : store.data[i].description};
		}
	}

    Ext.grid.DynamicColumnModel.superclass.constructor.call(this, cols);
   
};


Ext.extend(Ext.grid.DynamicColumnModel, Ext.grid.ColumnModel, {});