// *** 글자 입력 제한시 side로 경고 알림

	Ext.apply(Ext.form.VTypes, {
		length : function(val, field) {
			if(Ext.getCmp('domain-name').getValue().length > 40){
				return ;
			}
			return true;
		}
		,lengthText : 'length40 '

	});

	Ext.QuickTips.init();

    // turn on validation errors beside the field globally
    Ext.form.Field.prototype.msgTarget = 'side';

function riskItemCreate(userSeq,domainSeq)
{
	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=create_riskitem',
		method: 'POST',
		params :{
			Register : userSeq,
			DomainSeq : domainSeq
		},
		success: function ( result, request ) {
			updateRiskItemGridPanel.getStore().reload();
		},
		failure: function ( result, request ) {

		}
	});
	
}

function riskItemUpdate(riskItemSeq,name,description,category)
{
	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=update_riskitem',
		method: 'POST',
		params :{
			RiskItemSeq : riskItemSeq,
			Name : name,
			Description : description,
			CaName : category
		},
		success: function ( result, request ) {
			updateRiskItemGridPanel.getStore().reload();
		},
		failure: function ( result, request ) {
			Ext.Msg.alert("Failure"); 
		}
	});

}

function riskItemDelete(riskItemSeq)
{
	Ext.Ajax.request({
		url : '/service/tpms_proc.php?method=delete_riskitem',
		method: 'POST',
		params :{
			DataList : riskItemSeq
		},
		success: function ( result, request ) {
			updateRiskItemGridPanel.getStore().reload();
		},
		failure: function ( result, request ) {
			Ext.Msg.alert("Failure"); 
		}
	});
}


// POP

riskItemUpdateWin = function(domainSeq, riskItemSeq){

	Ext.Ajax.request({
		url: '/service/tpms_proc.php?method=getRiskItemInfo',
		method: 'POST',
		params :{
			DomainSeq : domainSeq, 
			RiskItemSeq : riskItemSeq
		},
		success : function(resp, opt){
			//alert(resp.responseText);
			var renderData = Ext.decode(resp.responseText).data[0];
			Ext.getCmp('riskItem-name').setValue(my_unescape(renderData.name));
			Ext.getCmp('riskItem-description').setValue(my_unescape(renderData.description).replace(/\\n/gi,'\n').replace(/\\"/gi,'"').replace(/\\'/gi,'\'').replace(/\\\\/gi,'\\'));
			Ext.getCmp('riskItem-register').setValue(renderData.register);
			Ext.getCmp('riskItem-datetime').setValue(renderData.regDate);
			Ext.getCmp('riskItem-category').setValue(my_unescape(renderData.category));
			Ext.getCmp('riskItemInfoPanel-form').doLayout();
		},
		failure: function ( result, request ) {
			Ext.Msg.alert("","Failure"); 
		}
	});

//============ 글자 입력 제한시 side 경고 알림
	Ext.QuickTips.init();

    // turn on validation errors beside the field globally
    Ext.form.Field.prototype.msgTarget = 'side';

//============

	var riskItemInfoPanel = {
		xtype: 'form',
		id: 'riskItemInfoPanel-form',
		//width: 100,
		height: 315,//285,
		bodyStyle: 'padding: 5 0 5 5;',
		items:[{
			xtype:'textfield',
			fieldLabel: TPMS_lang_riskItem,
			id: 'riskItem-name',
			maxLength: Config.subjectTypeMaxLength,
			allowBlank : false,
			anchor:'95%',
			enableKeyEvents: true,
			listeners:{/*
				scope : this,
				keypress : function(tf, e){
					if(Ext.getCmp('riskItem-name').getValue().length > 40){
						e.stopEvent();
					}
				},
				keyup : function(tf, e){
					if(Ext.getCmp('riskItem-name').getValue().length > 40){
						e.stopEvent();
					}
				}*/
				scope : this,
				blur : function(datefield){
					enableSelect(false);
					datefield.setValue(datefield.getValue().trim());
				},
				focus : function(){enableSelect(true);}
			}
		},{
			xtype: 'textarea',
			fieldLabel: TPMS_lang_riskItem_description,
			id: 'riskItem-description',
			maxLength: Config.descriptionTypeMaxLength,
			anchor:'95%',
			style: {
				width: '95%',
				height: 165//,
				//marginBottom: '10px'
			},
			enableKeyEvents: true,
			listeners:{/*
				scope : this,
				keypress : function(tf, e){
					if(Ext.getCmp('domain-description').getValue().length > 1000){
						e.stopEvent();
					}
				},
				keyup : function(tf, e){
					if(Ext.getCmp('domain-description').getValue().length > 1000){
						e.stopEvent();
					}
				}*/
				scope : this,
				blur : function(datefield){
					enableSelect(false);
					datefield.setValue(datefield.getValue().trim());
				},
				focus : function(){enableSelect(true);}
			}
		},{
			xtype:'compositefield',
			fieldLabel: TPMS_lang_riskItem_category,
			anchor:'95%',
			items: [{
				xtype:'textfield',
				fieldLabel: TPMS_lang_riskItem_category,
				id: 'riskItem-category',
				maxLength: Config.categoryMaxLength,
				allowBlank : false,
				//readOnly : true,
				anchor:'95%'
				,listeners:{
					scope : this,
					blur : function(datefield){
						enableSelect(false);
						datefield.setValue(datefield.getValue().trim());
					},
					focus : function(){enableSelect(true);}
				}
			},{
				xtype: 'displayfield', value: '<div id=\"msg_riskItem_category\" class=\"tip-target\" onmouseover=\"showToolTipInfo(\'msg_riskItem_category\',\'left\',200,\''+TPMS_lang_toolTip_msg_riskItem_category+'\')\"><img src=\"../lib/ext/resources/images/icon-silk/information.gif\"></div>'
			}]
		},/*{
			xtype:'textfield',
			fieldLabel: TPMS_lang_riskItem_category,
			id: 'riskItem-category',
			maxLength: Config.categoryMaxLength,
			allowBlank : false,
			//readOnly : true,
			anchor:'95%'
			,listeners:{
				scope : this,
				blur : function(datefield){
					datefield.setValue(datefield.getValue().trim());
				}
			}
		},*/{
			xtype:'textfield',
			fieldLabel: TPMS_lang_riskItem_creater,
			id: 'riskItem-register',
			onFocus: function(){this.blur();},
			readOnly : true,
			anchor:'95%'
		},{
			xtype:'textfield',
			fieldLabel: TPMS_lang_riskItem_createdDate,
			id: 'riskItem-datetime',
			onFocus: function(){this.blur();},
			readOnly : true,
			anchor:'95%'
		},{
			//xtype:'textfield',
			xtype:'hidden',
			fieldLabel: TPMS_lang_updateDate,
			id: 'riskItem-updateDatetime',
			onFocus: function(){this.blur();},
			readOnly : true,
			anchor:'95%'
		}]
	};

	var centerPanel = {
		region: 'center',
		xtype: 'panel',
        id: 'riskItemUpdate-center',		
        border: false,
		bodyStyle:'padding:5px;',
		items: [
			riskItemInfoPanel
			],
		tbar: [//{text: '리스크 아이템 수정하기'},
			'->', {
			xtype: 'button',
			id: 'insert',
			iconCls: 'icon-save',
			text: TPMS_lang_button_save,
			handler: function() {

				var name = Ext.getCmp('riskItem-name').getValue();
				var description = Ext.getCmp('riskItem-description').getValue();
				var category = Ext.getCmp('riskItem-category').getValue();

				if(name.length > Config.subjectTypeMaxLength){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_maxLength40);
					return;
				}else if(name.length == 0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_common_title + TPMS_lang_Msg_validationMsg);
					return;
				}
				if(description.length > Config.descriptionTypeMaxLength){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_Msg_maxLength1000);
					return;
				}

				//분류 입력 길이 제한
				if(category.length > Config.categoryMaxLength){
					var maxLength = TPMS_lang_Msg_maxLength.replace("{number}","30");
					Ext.Msg.alert(TPMS_lang_title, TPMS_lang_category +" : <br>"+ maxLength);
					return;
				}else if(category.length == 0){
					Ext.Msg.alert(TPMS_lang_title,TPMS_lang_category + TPMS_lang_Msg_validationMsg);
					return;
				}

				Ext.getCmp('riskItem-register').getValue();
				Ext.getCmp('riskItem-datetime').getValue();
				Ext.getCmp('riskItemInfoPanel-form').doLayout();

				riskItemUpdate(riskItemSeq,name,description,category);
				Ext.getCmp('updateRiskItem-button').enable();
				seletWin.close();
			}
		},'-',{
			xtype: 'button',
			iconCls: 'icon-cancel',
			text: TPMS_lang_button_cancel,
			handler: function() {
				if(Ext.getCmp('riskItemUpdate-center')){
					Ext.getCmp('updateRiskItem-button').enable();
					seletWin.close();
				}
			}
        }]
	};


	var seletWin = new Ext.Window({
		title: TPMS_lang_riskItem_update,
		id: 'riskItemUpdate-win',
		closable:true,
		width:500,
		height:380,//350,
		border:false,
		plain:true,
		layout: 'border',
		resizable: false, //Resize of the Window, if false - it cannot be resized
		closable: false,
		items: [centerPanel]
	});

	seletWin.show(this);
};





/*
	//리스크아이템 삭제
	insertRiskItem = function(){
		var list = new Array();
		var records = Ext.getCmp('riskItemGridPanel').selModel.getSelections();
					
		for(var i=0; i<records.length; i++){
			list[i] = records[i].data['seq'];
		}
			
		Ext.Ajax.tpmsRequest({
			url:TPMS.sys.Service + '/RiskItems.aspx?method=DeleteRiskItem',
			displaySuccessMessage : '삭제 성공',
			displayFailMessage : '삭제 실패',
			params: {
				itemSeqs: Ext.encode(list),
			},
			scope: this,
			success: function (resp, opt) {
				var result = Ext.decode(resp.responseText);
				Ext.getCmp('riskItemGridPanel').getStore().reload();
				//Ext.getCmp('').getForm().reset();
			},
			failure: function (resp, opt) { 
				alert("삭제 실패"); 
			}
		});	
	}
*/