﻿var tipData = Array();
var dataCnt = 0;
var pageNum = -1;

var tmpWin = null;


var tipStore = new Ext.data.Store({
	proxy:new Ext.data.HttpProxy({
		url: '/service/toolTip_proc.php',
		method:'POST'
	}),
	reader:new Ext.data.JsonReader({
		root:'data',
		fields:['seq','name','description','file']
	}),
	listeners:{
		scope:this,
		load : function(store , record, option){
			//alert("ie");
			tipData = store.reader.jsonData.data;
			dataCnt = store.reader.jsonData.totalCount;

			//if(pageNum == -1){
			//	pageNum = 0;
			//}else{
				pageNum = parseInt((Math.random(dataCnt)*1000),10)%dataCnt;
			//}
				//alert(pageNum);


			tmpWin = showPage(pageNum);
			
		},
		loadexception:function(){
			//TPMS.util.errorAlert(TPMS.sys.name , TPMS.locale.commonMsg.errorInfrom);
		}
	}
});

tipStore.load();


showPage = function(num){
	
	if(Ext.getCmp('tipPanel')){
		Ext.getCmp('tipPage').setTitle(tipData[num].name);
		Ext.getCmp('tipPage').body.dom.innerHTML = tipData[num].description;
		Ext.getCmp('tipPage').doLayout(true,false);
		return;
	}

	var tipPage = {
		id : 'tipPage',
		xtype:'panel',
		title: tipData[num].name,
		bodyStyle:'padding:5px; font-size:11;',
		//width: 440,
		//height: 330,
		html:tipData[num].description
	};

	var tipPageSlider = new Ext.Slider({
		id:'tipPageSlider',
		width: 200,
		minValue: 1,
		maxValue: dataCnt,
		plugins: new Ext.slider.Tip(),
		listeners:{
			changecomplete: function(s, v){ 
				var tipPageNum = this.getValue()-1;
				showPage(tipPageNum);				
				//alert(tipPageNum);
			} 
		}
	});

	Ext.getCmp('tipPageSlider').setValue(num+1);

	var tipPanel = new Ext.Panel({
		id: 'tipPanel',
		region: 'center',
		bodyStyle:'padding:5px;',
		border:false,
		items:[tipPage,
		{
			xtype: 'checkbox',
			id:'tipView-checkBox',
			name:'tipView-checkBox',
			boxLabel: TPMS_lang_showTip
		}],
		tbar:[{xtype: 'label', width: 100, html: "&nbsp;&nbsp;"+TPMS_lang_tipTitle},'->',{
			xtype:'button',
			iconCls: 'icon-cancel',
			text: TPMS_lang_button_close,
			handler: function(btn){

				var quickGuide = Ext.getCmp('tipView-checkBox').getValue()?'yes':'no';
				//alert(Config.TipShow +" / "+ quickGuide);

				if( Config.TipShow != quickGuide){					
					Ext.Ajax.request({
						url: '/service/commonConfig_proc.php?method=saveCommonConfig2',
						method: 'POST',
						params: { 
							tipShow		: quickGuide,
							userId		: UserInfo.UserId
						},
						success: function(result, request) {
							tmpWin = null;

							closeTip();
							window.close();
						},
						failure: function(result, request) {
						}
					});

					Config.TipShow = quickGuide;
				}else{
					tmpWin = null;
					closeTip();
					window.close();
				}
			}
		}],
		bbar:[{xtype:'tbfill',text: '->'},{
			xtype:'button',			
			iconCls:'icon-prev',
			handler: function(btn){
				pageNum = Ext.getCmp("tipPageSlider").getValue();
				pageNum--;				
				var preNum = pageNum; 
				if(preNum == 0){
					preNum = dataCnt-1;
					pageNum = dataCnt-1;
				}else{
					preNum--;
					//pageNum--;
				}
				//alert("preNum :"+preNum+", num :"+pageNum);
				showPage(preNum);
				Ext.getCmp('tipPageSlider').setValue(preNum+1);
				
				/*
				pageNum--;
				var preNum = pageNum; 
				if(preNum == -1){
					preNum = dataCnt-1;
					pageNum = dataCnt-1;
				}
				//alert("preNum :"+preNum+", num :"+pageNum);
				showPage(preNum);
				Ext.getCmp('tipPageSlider').setValue(preNum+1);
				*/
			}
		},'&nbsp;',tipPageSlider,'&nbsp;',{
			xtype:'button',
			iconCls:'icon-next',
			bodyStyle:'color:red;',
			handler: function(btn){

				pageNum = Ext.getCmp("tipPageSlider").getValue();
				//pageNum++;
				var nextNum = pageNum; 
				if(nextNum == dataCnt){
					nextNum = 0;
					pageNum = 0;
				}else{
					//nextNum++;
					//pageNum++;
				}
				//alert("nextNum :"+nextNum+", num :"+pageNum);
				showPage(nextNum);
				Ext.getCmp('tipPageSlider').setValue(nextNum+1);

				/*
				pageNum++;
				var nextNum = pageNum; 
				if(nextNum == dataCnt){
					nextNum = 0;
					pageNum = 0;
				}
				//alert("nextNum :"+nextNum+", num :"+pageNum);
				showPage(nextNum);
				Ext.getCmp('tipPageSlider').setValue(nextNum+1);
				*/
			}
		}]
	});

	Ext.onReady(function(){
		var viewport = new Ext.Viewport({
			layout: 'border',
			renderTo: Ext.getBody(),
			items: [tipPanel]
		});
		window.document.title = TPMS_lang_quickGuide;

		if(Config.TipShow == "yes") Ext.getCmp('tipView-checkBox').setValue(true);
		else Ext.getCmp('tipView-checkBox').setValue(false);
	});
	
};

function closeTip(){
//	alert('test');
	window.open('/view/setStyle.php?closeTip=1','hiddenframe');
}